mrateauc<- read.csv('csv/mortalityrateauc.csv',header=TRUE)
rrateauc<- read.csv('csv/recoveryrateauc.csv',header=TRUE)
bitingauc<- read.csv('csv/bitingrateauc.csv',header=TRUE)
popauc<- read.csv('csv/popsizeauc.csv',header=TRUE)
popauc[,3]<-c(0.58, 0.57, 0.55, 0.56, 0.54, 0.59, 0.71, 0.92)

##################################################################

####Figure 9####

#x11(width=6.85,height=4.5)
#pdf(file='Figure9.pdf',width=6.85,height=4.5)
#postscript(file='Figure9.eps',width=6.85,height=4.5)
#par(mfrow=c(2,2),mar=c(0,3,2,2),oma=c(3.5,2,0,0),tcl=0.3, mgp=c(0.5,0.5,0), las=1, cex=0.75)
par(mfrow=c(2,2),mar=c(1,2,3,2),oma=c(4,4,1,0),tcl=0.3, mgp=c(0.5,0.5,0), las=1, cex=0.75)
plot(popauc[,2]~mrateauc[,1],type='o',col=4,ylim=c(0.4, 1), las=1, lwd=2,bty='l',xlab=NA, ylab=NA, xaxt='n', yaxt='n', xlim=c(0,1))
lines(popauc[,3]~mrateauc[,1],type='o', lty=2, lwd=2, col=1, pch =2)
lines(popauc[,4]~mrateauc[,1],type='o', col=2, pch=3)
##polygon for confidence intervals
axis(2, at=seq(0.4,1,0.2), labels=TRUE)
axis(1, at=c(0, seq(0.2,1, 0.2)), labels=TRUE)
#mtext(side=2,line=3, c("Autocorrelation"), las=0, cex=0.75)
mtext(side=2,line=3, c("AUC"), las=0, cex=0.9)
#mtext(paste("Fixed window size (in months) ",round(length(T)/2)), line=0.75, cex=0.75)
mtext(c(expression(paste('Mosquito population', ~italic(N[m])))), line=0.75,cex=0.9, font=2)
#legend(0, 0.25, c('Van Kampen', 'Gaussian'), lwd=2, bty='n', col=c(2, 'blue'))
#mtext(side=2, at=0.1, 'a', font=2, line=3)
mtext(side=2, at=1.1, 'a', font=2, line=3)

plot(bitingauc[,2]~mrateauc[,1],type='o',col=4,ylim=c(0.4, 1), las=1, lwd=2,bty='l',xlab=NA, ylab=NA, xaxt='n', yaxt='n', xlim=c(0,1))
lines(bitingauc[,3]~mrateauc[,1],type='o', lty=2, lwd=2, col=1,pch=2)
lines(bitingauc[,4]~mrateauc[,1],type='o', col=2,pch=3)
##polygon for confidence intervals
axis(2, at=seq(0.4,1,0.2), labels=TRUE)
axis(1, at=c(0, seq(0.2,1, 0.2)), labels=TRUE)
#mtext(side=2,line=3, c("Autocorrelation"), las=0, cex=0.75)
mtext(side=2,line=3, c("AUC"), las=0, cex=1)
#mtext(paste("Fixed window size (in months) ",round(length(T)/2)), line=0.75, cex=0.75)
mtext(c(expression(paste('Biting rate', ~italic(k)))), line=0.75, cex=0.9, font=2)
legend(0.6, 0.8, c('ACF', 'Variance', 'CV'), bty='n', col=c(4, 1, 2),pch=c(1,2,3), lty=c(1,2,1), lwd=2)
#mtext(side=2, at=0.1, 'b', font=2, line=3)
mtext(side=2, at=1.1, 'b', font=2, line=3)

plot(rrateauc[,2]~mrateauc[,1],type='o',col=4,ylim=c(0.4, 1), las=1, lwd=2,bty='l',xlab=NA, ylab=NA, xaxt='n', yaxt='n', xlim=c(0,1))
lines(rrateauc[,3]~mrateauc[,1],type='o', lty=2, lwd=2, col=1,pch=2)
lines(rrateauc[,4]~mrateauc[,1],type='o', col=2,pch=3)
##polygon for confidence intervals
axis(2, at=seq(0.4,1,0.2), labels=TRUE)
axis(1, at=c(0, seq(0.2,1, 0.2)), labels=TRUE)
#mtext(side=2,line=3, c("Autocorrelation"), las=0, cex=0.75)
mtext(side=2,line=3, c("AUC"), las=0, cex=1)
#mtext(paste("Fixed window size (in months) ",round(length(T)/2)), line=0.75, cex=0.75)
mtext(c(expression(paste('Recovery rate', ~mu))), line=0.75, font=2, cex=0.9)
#legend(0, 0.25, c('Van Kampen', 'Gaussian'), lwd=2, bty='n', col=c(2, 'blue'))
#mtext(side=2, at=0.1, 'c', font=2, line=3)
mtext(side=2, at=1.1, 'c', font=2, line=3)
mtext(side=1, 'Reporting rate', line=3)

plot(mrateauc[,2]~mrateauc[,1],type='o',col=4,ylim=c(0.4, 1), las=1, lwd=2,bty='l',xlab=NA, ylab=NA, xaxt='n', yaxt='n', xlim=c(0,1))
lines(mrateauc[,3]~mrateauc[,1],type='o', lty=2, lwd=2, col=1,pch=2)
lines(mrateauc[,4]~mrateauc[,1],type='o', col=2,pch=3)
##polygon for confidence intervals
axis(2, at=seq(0.4,1,0.2), labels=TRUE)
axis(1, at=c(0, seq(0.2,1, 0.2)), labels=TRUE)
#mtext(side=2,line=3, c("Autocorrelation"), las=0, cex=0.75)
mtext(side=2,line=3, c("AUC"), las=0, cex=1)
#mtext(paste("Fixed window size (in months) ",round(length(T)/2)), line=0.75, cex=0.75)
mtext(c(expression(paste('Mortality rate', ~delta))), line=0.75, cex=0.9, font=2)
#legend(0, 0.25, c('Van Kampen', 'Gaussian'), lwd=2, bty='n', col=c(2, 'blue'))
mtext(side=1, 'Reporting rate', line=3)
mtext(side=2, at=1.1, 'd', font=2, line=3)
#dev.off()
