source('source-code/3-29-14-RossMacDonaldModel.R')

kstarparams<-c(delta=0.1, mu=0.01,  p=0.5,  q=0.5, Nh=1000, Nm=10000)
kstar<-CalcKstar(kstarparams)
mustarparams<-c(k=0.3,  delta=0.1,  p=0.5,  q=0.5, Nh=1000, Nm=10000)
mustar<-CalcMustar(mustarparams)
deltastarparams<-c(k=0.3,   mu=0.01, p=0.5,  q=0.5, Nh=1000, Nm=10000)
deltastar<-CalcDeltastar(deltastarparams)  
Nmstarparams<-c(k=0.3,  delta=0.1,  mu=0.01, p=0.5,  q=0.5, Nh=1000)
Nmstar<-CalcNmstar(Nmstarparams)

autoNm <- read.csv('csv/autocorrelationNm.csv',header=FALSE)
autok <- read.csv('csv/autocorrelationk.csv',header=FALSE)
automu <- read.csv('csv/autocorrelationmu.csv',header=FALSE)
autodelta <- read.csv('csv/autocorrelationdeltastatic.csv',header=FALSE)
autodeltamoving <- read.csv('csv/autocormovingdelta.csv',header=FALSE)

varNm <- read.csv('csv/varianceNm.csv',header=FALSE)
vark <- read.csv('csv/variancek.csv',header=FALSE)
varmu <- read.csv('csv/variancemu.csv',header=FALSE)
vardelta <- read.csv('csv/vardeltastatic.csv',header=FALSE)
vardeltamoving <-  read.csv('csv/varmovingdelta.csv',header=FALSE)

CVNm <- read.csv('csv/CVNm.csv',header=FALSE)
CVk <- read.csv('csv/CVk.csv',header=FALSE)
CVmu <- read.csv('csv/CVmu.csv',header=FALSE)
CVdelta <- read.csv('csv/CVdeltastatic.csv',header=FALSE)
CVdeltamoving <- read.csv('csv/CVmovingdelta.csv',header=FALSE)

##################################################################

####Figure 3####
#x11(width=6.85,height=4.5) #4 parameters * 3 stats
#pdf(file='Figure3.pdf', width=6.85,height=4.5)
par(mfrow=c(3,2),mar=c(0,2,2,2),oma=c(4,4,1,0),tcl=0.3, mgp=c(0.5,0.5,0), las=1, cex=0.75)
plot(autok[,2]~autok[,1], type='l',bty='l',xlab=NA, ylab=NA, lwd=3,col='blue', lty=3, xaxt='n', yaxt='n')
abline(v=kstar, lty=2, lwd=3)
axis(1, at=c(0,0.1,0.2,0.3,0.1), labels=TRUE)
axis(2, at=c(0,0.5,1), labels=TRUE)
#axis(2, at=c(0.4, 0.6, 0.8, 1, 1.2), labels=TRUE)
mtext(side=3,at=0, line=0.83,'a',  font=2, las=1, cex=1)
mtext(side=2,line=4,c("Autocorrelation"), las=0, cex=1)

plot(autoNm[,2]~autoNm[,1], type='l',bty='l',xlab=NA, ylab=NA,lwd=3,col='blue', lty=3, xaxt='n', yaxt='n',ylim=c(0,1))
abline(v=Nmstar, lty=2, lwd=3)
axis(1, at=c(0,5000,10000), labels=TRUE)
axis(2, at=c(0,0.5,1), labels=TRUE)
mtext(side=2,at=1.3, line=4, 'b',  font=2, las=1, cex=1)

plot(vark[,2]~vark[,1], type='l',bty='l',xlab=NA, ylab=NA,lwd=3,col='blue', lty=3, xaxt='n', yaxt='n')
abline(v=kstar, lty=2, lwd=3)
axis(1, at=c(0,0.1,0.2,0.3,0.1),  labels=TRUE)
axis(2, at=c(0,5000,10000), labels=TRUE)
mtext(side=2,line=4, c("Variance"), las=0, cex=1)

plot(varNm[,2]~varNm[,1], type='l',bty='l',xlab=NA, ylab=NA,lwd=3,col='blue', lty=3, xaxt='n', yaxt='n', ylim=c(0,600))
abline(v=Nmstar, lty=2, lwd=3)
axis(1, at=c(0,5000,10000), labels=TRUE)
axis(2, at=c(0,300,600), labels=TRUE)

plot(CVk[,2]~CVk[,1], type='l',bty='l',xlab=NA, ylab=NA,lwd=3,col='blue', lty=3, xaxt='n', yaxt='n')
abline(v=kstar, lty=2, lwd=3)
axis(1, at=c(0,0.1,0.2,0.3,0.1),  labels=TRUE)
axis(2, at=c(0,0.5,1), labels=TRUE)
mtext(side=1,line=2.5, c(expression(paste('Biting rate', ~italic(k)))), las=0, cex=1)
mtext(side=2,line=4,c("CV"), las=0, cex=1)

plot(CVNm[,2]~CVNm[,1], type='l',bty='l',xlab=NA, ylab=NA,lwd=3,col='blue', lty=3, xaxt='n', yaxt='n', ylim=c(0,0.1))
abline(v=Nmstar, lty=2, lwd=3)
axis(1, at=c(0,5000,10000), labels=TRUE)
axis(2, at=c(0,0.05,0.1), labels=TRUE)
mtext(side=1,line=2.5,c(expression(paste('Mosquito population', ~italic(N[m])))), las=0, cex=1)#0.75
#dev.off()
#win.metafile(filename="test.emf",width=6.85,height=4.5)

##################################################################

####Figure 4####
#x11(width=6.85,height=4.5) #4 parameters * 3 stats
pdf(file='Figure4.pdf',width=6.85,height=4.5)
par(mfrow=c(3,2),mar=c(0,2,2,2),oma=c(4,4,1,0),tcl=0.3, mgp=c(0.5,0.5,0), las=1, cex=0.75)
plot(automu[,2]~automu[,1], type='l',bty='l',xlab=NA, ylab=NA,lwd=3,col='blue', lty=3, xaxt='n', yaxt='n', ylim=c(0,1))
abline(v=mustar, lty=2, lwd=3)
axis(1, at=c(0,1,2,3), labels=TRUE)
axis(2, at=c(0,0.5,1), labels=TRUE)
mtext(side=2,line=4,c("Autocorrelation"), las=0, cex=1)
mtext(side=2,at=1.3, line=4,'a',  font=2, las=1, cex=1)
#axis(2, at=c(0.4, 0.6, 0.8, 1, 1.2), labels=TRUE)

plot(autodeltamoving[,2]~autodeltamoving[,1], type='l',bty='l',xlab=NA, lwd=3,col='red', lty=1, xaxt='n', yaxt='n',ylab=NA)
abline(v=deltastar, lty=2, lwd=3)
lines(autodelta[,2]~autodelta[,1],col='blue', lty=3,lwd=3)
mtext(side=3,at=-3, line=0.83,'b',  font=2, las=1, cex=1)
axis(1, at=c(0,10,20), labels=TRUE)
axis(2, at=c(0,0.5,1), labels=TRUE)
legend(9,0.75, c('equilibrium', 'trajectory'), lty=c(3,1), lwd=3, col=c(4,2), bty='n', cex=1.25)

plot(varmu[,2]~varmu[,1], type='l',bty='l',xlab=NA, ylab=NA,lwd=3,col='blue', lty=3, xaxt='n', yaxt='n', ylim=c(0,1400))
abline(v=mustar, lty=2, lwd=3)
axis(1, at=c(0,1,2,3), labels=TRUE)
axis(2, at=c(0,700,1400), labels=TRUE)
mtext(side=2,line=4, c("Variance"), las=0, cex=1)

plot(vardeltamoving[,2]~vardeltamoving[,1], type='l',bty='l',xlab=NA, ylab=NA,lwd=3,col='red', lty=1, xaxt='n', yaxt='n', ylim=c(0,1000))
abline(v=deltastar, lty=2, lwd=3)
lines(vardelta[,2]~vardelta[,1],col='blue', lty=3,lwd=3)
axis(1, at=c(0,10,20), labels=TRUE)
axis(2, at=c(0,500,1000), labels=TRUE)

plot(CVmu[,2]~CVmu[,1], type='l',bty='l',xlab=NA, ylab=NA,lwd=3,col='blue', lty=3, xaxt='n', yaxt='n')
abline(v=mustar, lty=2, lwd=3)
axis(1, at=c(0,1,2,3), labels=TRUE)
axis(2, at=c(0,0.5,1), labels=TRUE)
mtext(side=1,line=2.5,c(expression(paste('Recovery rate', ~mu))), las=0, cex=1)
mtext(side=2,line=4,c("CV"), las=0, cex=1)

plot(CVdeltamoving[,2]~CVdeltamoving[,1], type='l',bty='l',xlab=NA, ylab=NA,lwd=3,col='red', lty=1, xaxt='n', yaxt='n', ylim=c(0,1.1))
lines(CVdelta[,2]~CVdelta[,1],col='blue', lty=3,lwd=3)
abline(v=deltastar, lty=2, lwd=3)
axis(1, at=c(0,10,20), labels=TRUE)
axis(2, at=c(0,0.5,1), labels=TRUE)
#legend(4,1, c('equilibrium', 'trajectory'), lty=c(3,1), lwd=3, col=c(4,2), bty='n')
mtext(side=1,line=2.5,c(expression(paste('Mortality rate', ~delta))),  las=0, cex=1)
dev.off()
