(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    120322,       3168]
NotebookOptionsPosition[    113329,       2939]
NotebookOutlinePosition[    113694,       2955]
CellTagsIndexPosition[    113651,       2952]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"eqns", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", 
         RowBox[{"p", "/", "Nh"}]}], ")"}], "*", "y", "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", "x"}], ")"}]}], "-", 
      RowBox[{"\[Mu]", " ", "x"}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", "q", " ", 
         RowBox[{"x", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", "y"}], ")"}]}], "-", 
      RowBox[{"\[Delta]", " ", "y"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.638034728344778*^9, 3.638034729412586*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eq", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"eqns", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", " ", 
      RowBox[{
       RowBox[{"eqns", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], ",", " ", 
    
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.63803474900006*^9, 3.6380347717937403`*^9}, {
  3.638034808442857*^9, 3.638034809087845*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", "0"}], ",", 
     RowBox[{"y", "\[Rule]", "0"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"Nh", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["k", "2"]}], " ", "Nm", " ", "p", " ", "q"}], "+", 
           RowBox[{"Nh", " ", "\[Delta]", " ", "\[Mu]"}]}], ")"}]}], 
        RowBox[{"k", " ", "q", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"k", " ", "Nm", " ", "p"}], "+", 
           RowBox[{"Nh", " ", "\[Mu]"}]}], ")"}]}]]}]}], ",", 
     RowBox[{"y", "\[Rule]", 
      FractionBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["k", "2"], " ", "Nm", " ", "p", " ", "q"}], "-", 
        RowBox[{"Nh", " ", "\[Delta]", " ", "\[Mu]"}]}], 
       RowBox[{"k", " ", "p", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"k", " ", "q"}], "+", "\[Delta]"}], ")"}]}]]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.638034773578661*^9, 3.638034812010927*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eq", "[", 
  RowBox[{"[", "2", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6380348279206743`*^9, 3.638034833697891*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"x", "\[Rule]", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"Nh", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["k", "2"]}], " ", "Nm", " ", "p", " ", "q"}], "+", 
         RowBox[{"Nh", " ", "\[Delta]", " ", "\[Mu]"}]}], ")"}]}], 
      RowBox[{"k", " ", "q", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"k", " ", "Nm", " ", "p"}], "+", 
         RowBox[{"Nh", " ", "\[Mu]"}]}], ")"}]}]]}]}], ",", 
   RowBox[{"y", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{
       SuperscriptBox["k", "2"], " ", "Nm", " ", "p", " ", "q"}], "-", 
      RowBox[{"Nh", " ", "\[Delta]", " ", "\[Mu]"}]}], 
     RowBox[{"k", " ", "p", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"k", " ", "q"}], "+", "\[Delta]"}], ")"}]}]]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.63803482980786*^9, 3.638034838687187*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"JacobEE", "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"eqns", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"eqns", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"eqns", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"eqns", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], "}"}],
    "/.", 
   RowBox[{"eq", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6380348199756193`*^9, 3.638034890323063*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "\[Mu]"}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["k", "2"], " ", "Nm", " ", "p", " ", "q"}], "-", 
        RowBox[{"Nh", " ", "\[Delta]", " ", "\[Mu]"}]}], 
       RowBox[{"Nh", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"k", " ", "q"}], "+", "\[Delta]"}], ")"}]}]]}], ",", 
     FractionBox[
      RowBox[{"k", " ", "p", " ", 
       RowBox[{"(", 
        RowBox[{"Nh", "+", 
         FractionBox[
          RowBox[{"Nh", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               SuperscriptBox["k", "2"]}], " ", "Nm", " ", "p", " ", "q"}], 
             "+", 
             RowBox[{"Nh", " ", "\[Delta]", " ", "\[Mu]"}]}], ")"}]}], 
          RowBox[{"k", " ", "q", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"k", " ", "Nm", " ", "p"}], "+", 
             RowBox[{"Nh", " ", "\[Mu]"}]}], ")"}]}]]}], ")"}]}], "Nh"]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{"k", " ", "q", " ", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", 
         FractionBox[
          RowBox[{
           RowBox[{
            SuperscriptBox["k", "2"], " ", "Nm", " ", "p", " ", "q"}], "-", 
           RowBox[{"Nh", " ", "\[Delta]", " ", "\[Mu]"}]}], 
          RowBox[{"k", " ", "p", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"k", " ", "q"}], "+", "\[Delta]"}], ")"}]}]]}], ")"}]}], 
      "Nh"], ",", 
     RowBox[{
      RowBox[{"-", "\[Delta]"}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["k", "2"]}], " ", "Nm", " ", "p", " ", "q"}], "+", 
        RowBox[{"Nh", " ", "\[Delta]", " ", "\[Mu]"}]}], 
       RowBox[{
        RowBox[{"k", " ", "Nm", " ", "p"}], "+", 
        RowBox[{"Nh", " ", "\[Mu]"}]}]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.638034852203183*^9, 3.638034891273452*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Eigenvalues", "[", "JacobEE", "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "//", "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.638034894214213*^9, 3.6380349237273893`*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["k", "3"], " ", 
      SuperscriptBox["Nm", "2"], " ", 
      SuperscriptBox["p", "3"], " ", 
      SuperscriptBox["q", "2"]}], "+", 
     RowBox[{"k", " ", 
      SuperscriptBox["Nh", "2"], " ", "p", " ", 
      SuperscriptBox["q", "2"], " ", 
      SuperscriptBox["\[Mu]", "2"]}], "+", 
     RowBox[{"k", " ", "Nh", " ", "Nm", " ", 
      SuperscriptBox["p", "2"], " ", "q", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"k", " ", "q"}], "+", "\[Delta]"}], ")"}], "2"], "+", 
        RowBox[{"2", " ", "k", " ", "q", " ", "\[Mu]"}]}], ")"}]}], "+", 
     RowBox[{"\[Sqrt]", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["p", "2"], " ", 
        SuperscriptBox["q", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", "Nh", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"k", " ", "q"}], "+", "\[Delta]"}], ")"}], "2"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"k", " ", "Nm", " ", "p"}], "+", 
              RowBox[{"Nh", " ", "\[Mu]"}]}], ")"}], "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               SuperscriptBox["k", "2"]}], " ", "Nm", " ", "p", " ", "q"}], 
             "+", 
             RowBox[{"Nh", " ", "\[Delta]", " ", "\[Mu]"}]}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["k", "2"], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["k", "2"], " ", "Nm", " ", "p", " ", "q", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Nm", " ", "p"}], "+", 
                 RowBox[{"Nh", " ", "q"}]}], ")"}]}], "+", 
              RowBox[{
              "2", " ", "k", " ", "Nh", " ", "Nm", " ", "p", " ", "q", " ", 
               RowBox[{"(", 
                RowBox[{"\[Delta]", "+", "\[Mu]"}], ")"}]}], "+", 
              RowBox[{"Nh", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Nm", " ", "p", " ", 
                  SuperscriptBox["\[Delta]", "2"]}], "+", 
                 RowBox[{"Nh", " ", "q", " ", 
                  SuperscriptBox["\[Mu]", "2"]}]}], ")"}]}]}], ")"}], 
            "2"]}]}], ")"}]}], ")"}]}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"2", " ", "Nh", " ", "p", " ", "q", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", " ", "q"}], "+", "\[Delta]"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"k", " ", "Nm", " ", "p"}], "+", 
       RowBox[{"Nh", " ", "\[Mu]"}]}], ")"}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.63803490025533*^9, 3.638034927620713*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Eigenvalues", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a11", ",", " ", "a12"}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"a21", ",", " ", "a22"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.638097874527484*^9, 3.6380978958006897`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"a11", "+", "a22", "-", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["a11", "2"], "+", 
        RowBox[{"4", " ", "a12", " ", "a21"}], "-", 
        RowBox[{"2", " ", "a11", " ", "a22"}], "+", 
        SuperscriptBox["a22", "2"]}]]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"a11", "+", "a22", "+", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["a11", "2"], "+", 
        RowBox[{"4", " ", "a12", " ", "a21"}], "-", 
        RowBox[{"2", " ", "a11", " ", "a22"}], "+", 
        SuperscriptBox["a22", "2"]}]]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.638097896566669*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mosquito population size", "Section",
 CellChangeTimes->{{3.6374199791073303`*^9, 3.637419985859002*^9}}],

Cell[CellGroupData[{

Cell["Parameters", "Subsubsection",
 CellChangeTimes->{{3.559560896211769*^9, 3.5595608981479626`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"k", "=", "0.3"}], ";", " ", 
  RowBox[{"\[Mu]", "=", "0.01"}], ";", " ", 
  RowBox[{"\[Delta]", "=", 
   RowBox[{"1", "/", "10"}]}], ";", "  ", 
  RowBox[{"Nh", "=", "1000"}], ";", " ", 
  RowBox[{"p", "=", "0.5"}], ";", 
  RowBox[{"q", "=", "0.5"}], ";", 
  RowBox[{"\[Sigma]", "=", "0.05"}], ";"}]], "Input",
 CellChangeTimes->{{3.556986019746208*^9, 3.5569860445223026`*^9}, {
   3.556986261786672*^9, 3.5569862655463924`*^9}, {3.5569868150831923`*^9, 
   3.5569868654915376`*^9}, {3.559493229027683*^9, 3.5594932330918865`*^9}, {
   3.5601581786399975`*^9, 3.5601581831514482`*^9}, {3.5601656412571898`*^9, 
   3.5601656463286967`*^9}, {3.5601665546725225`*^9, 3.560166556079663*^9}, {
   3.5617195287057753`*^9, 3.5617195328832808`*^9}, 3.5825441706313725`*^9, {
   3.5825442708993983`*^9, 3.5825442755378623`*^9}, {3.582544320499358*^9, 
   3.582544321682476*^9}, {3.5825459689861903`*^9, 3.5825459716894608`*^9}, {
   3.606739887303907*^9, 3.6067399053207083`*^9}, {3.6067444316234975`*^9, 
   3.606744434999835*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"eqnsRM", "[", "Nm_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", 
         RowBox[{"p", "/", "Nh"}]}], ")"}], "*", "y", "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", "x"}], ")"}]}], "-", 
      RowBox[{"\[Mu]", " ", "x"}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", "q", " ", 
         RowBox[{"x", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", "y"}], ")"}]}], "-", 
      RowBox[{"\[Delta]", " ", "y"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzU1Ik3EAx/E5p4dsLHEmZhSV6LbU+VJELxR/iHJbQzAPU2LiKFIxJqIU
M5iJD2YlrK0npi0JjB2cOmSiY6QiRpCIpoy14cGJzzb5y1MetIOH8Pk9hy+f
4/eCxVr7RCqRSC4KwW/9zOeT1yl5nFs1Ap1G/suVm5Tc3Tv4CjfPpAoD9ygp
mWhVw4itgofJOy7RzD1/fPI+JWZtzg5Ur4Z3oSWyyMOxh6YMv+DT+WZRfcdf
LeQj0nJYuVp3FepOTF+D5/Q3umcEk9Gcl7BzRf4KppJeUflaVwKaWVMSVpc4
jqB0aUG0bKm4dBb/fzYtrFFZP+R1U6LUZbEw2mTU5Av+2Ri5DMdDdu95wZqh
oA/KDYc/lXZKwt9ly3D+jecX1CtCoo96Pm1BjvOl4PMMTpErGO3aOgXdKy6m
pYeS4ICvHzYY7O+gWb/9Hg7+lo1Cb+iBaCwyE4CcpnAarv9wSFoFHXVzmbAt
UZAHbwfconJN9mkqeKB8exZ+XLNdgv8TacWw75mlt4KhZM47zMDGWedO+wAl
BebXHGQV9Ycw3WkVZW81p8VclKg8g1IYd+8XqacoeeHiS+ExucMWdw==
  "]],

Cell[BoxData[
 RowBox[{
  RowBox[{"sols", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", " ", "Reals"}], "]"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.5541966693446703`*^9, 3.5541966804306707`*^9}, {
  3.5541968726606703`*^9, 3.5541968774916706`*^9}, {3.5541999144835997`*^9, 
  3.5541999190270543`*^9}, {3.554200238404261*^9, 3.5542002436192613`*^9}, {
  3.556288483901885*^9, 3.556288484806714*^9}, {3.556288657199264*^9, 
  3.5562886703219023`*^9}, {3.5569861788310966`*^9, 3.5569862162856135`*^9}, {
  3.5572493802110267`*^9, 3.557249401833458*^9}, {3.55724945309803*^9, 
  3.557249465375702*^9}, {3.582544243199629*^9, 3.582544265664875*^9}, {
  3.5825443426765757`*^9, 3.5825443437326813`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sols", "[", "10000", "]"}]], "Input",
 CellChangeTimes->{{3.557249468729831*^9, 3.557249478012188*^9}, 
   3.557249649519188*^9, {3.5594927032385235`*^9, 3.559492703588681*^9}, {
   3.5617197021938057`*^9, 3.5617197028652086`*^9}, {3.582544286447953*^9, 
   3.582544288975206*^9}, 3.5825443615714645`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "\[Equal]", "0.`"}], "||", 
    RowBox[{"x", "\[Equal]", "988.9624724061811`"}]}], ")"}], "&&", 
  RowBox[{"y", "\[Equal]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"66.66666666666667`", " ", "x"}], 
     RowBox[{
      RowBox[{"-", "1000.`"}], "+", 
      RowBox[{"1.`", " ", "x"}]}]]}]}]}]], "Output",
 CellChangeTimes->{{3.5572494711791253`*^9, 3.5572494786362123`*^9}, 
   3.557249649940404*^9, 3.5573223618943653`*^9, 3.557322393608799*^9, 
   3.5594927044090505`*^9, 3.5594932923245897`*^9, 3.5594951537000713`*^9, 
   3.55956031011652*^9, 3.5595631052106466`*^9, 3.5600985759122267`*^9, 
   3.560158189656099*^9, 3.5601656514452085`*^9, 3.560166561180173*^9, 
   3.56171959697171*^9, 3.5617197035236034`*^9, 3.5617197406508665`*^9, 
   3.56717557199247*^9, 3.5671757082930984`*^9, 3.5671819382720337`*^9, 
   3.567184400007183*^9, 3.5825442902233305`*^9, {3.5825443473480425`*^9, 
   3.5825443621105185`*^9}, 3.58254522991129*^9, 3.5825452664909477`*^9, 
   3.5825459744587374`*^9, 3.582906216633763*^9, 3.606739917390915*^9, 
   3.6067446478121142`*^9, 3.607967225555371*^9, 3.608916450870103*^9, 
   3.6092638505494337`*^9, 3.6093448433400917`*^9, 3.6096739445262637`*^9, 
   3.6101875744725666`*^9, 3.63742014868614*^9, 3.637420199317409*^9, 
   3.6374206516791887`*^9, 3.6406242663811827`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"xEE", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "Nm", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
  3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.58254438312562*^9, 
  3.582544419270234*^9}, {3.6067399658557615`*^9, 3.6067399790670824`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"yEE", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "Nm", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", 
   RowBox[{"x", "->", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"sols", "[", "Nm", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
  3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.5572496707984056`*^9, 
  3.5572496819372344`*^9}, {3.582544387717079*^9, 3.582544388373145*^9}, {
  3.582544429623269*^9, 3.582544500795386*^9}, {3.606739989516127*^9, 
  3.606739989684144*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"yEE", "[", "10000", "]"}]], "Input",
 CellChangeTimes->{{3.582545287210019*^9, 3.5825452900102997`*^9}, {
  3.606739932409417*^9, 3.6067399938115563`*^9}}],

Cell[BoxData["5973.333333333361`"], "Output",
 CellChangeTimes->{{3.582545290550353*^9, 3.582545316729971*^9}, 
   3.5825459745567474`*^9, 3.582906216696769*^9, {3.606739933217498*^9, 
   3.6067399944746227`*^9}, 3.606744647851118*^9, 3.6079672255963707`*^9, 
   3.608916450910107*^9, 3.609263850587434*^9, 3.6093448433740954`*^9, 
   3.6096739445652676`*^9, 3.61018757451057*^9, 3.637420149083973*^9, 
   3.637420199440711*^9, 3.637420651811583*^9, 3.6406242667970867`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"JEE", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], "}"}],
    "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "Nm", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "Nm", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
  3.557249885112858*^9, 3.5572499095277967`*^9}, {3.5572499569692216`*^9, 
  3.557249966189176*^9}, {3.5825445141107173`*^9, 3.5825445638566914`*^9}, {
  3.5825447968749905`*^9, 3.582544804154719*^9}, {3.582544924191721*^9, 
  3.582544928048107*^9}, {3.5825453084331417`*^9, 3.5825453123045287`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Nm", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"100", ",", " ", "10000", ",", " ", "100"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.637420086819742*^9, 3.637420102996469*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Nm", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"Eigenvalues", "[", 
           RowBox[{"JEE", "[", 
            RowBox[{"Nm", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}]}], "}"}], ",", " ", 
        
        RowBox[{"{", 
         RowBox[{"i", ",", " ", 
          RowBox[{"Length", "[", "Nm", "]"}]}], "}"}]}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Nm", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"Eigenvalues", "[", 
           RowBox[{"JEE", "[", 
            RowBox[{"Nm", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}]}], "}"}], ",", " ", 
        
        RowBox[{"{", 
         RowBox[{"i", ",", " ", 
          RowBox[{"Length", "[", "Nm", "]"}]}], "}"}]}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "1"}], "]"}], "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.637419877596363*^9, 3.637419901409733*^9}, {
  3.6374201141855917`*^9, 3.6374201392893057`*^9}, {3.637420172573217*^9, 
  3.637420184424653*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJw1yw1M1HUcx3EGCxAhwTlkJWJAiewEMTGRCz48y91x3iOcQQl1QGnFMSQo
TUA6kSc9eUgMmOIiUcQUkQdd40BAnjxOghDIcg1NqZ2QBukBl63f97/99t/r
9/m9X3s/RZJobmZmpnxx/vv//80EqiptCzdHZbezC4hsW1pMeSXM1lA0jL7K
t6hitse+YSMn4vQZ5lXQFM7fm9l0ltkJCg8vqUdbPfMa1D2vLypwvsS8Do67
q11uxjYyu+JQqnH8gxNNzO7QVuv4PH0z8xtoDYpvgWUbswcMK/o3GrZdZ/bE
xM8Z2vHkH5g5sPv+VGRSSTuzF5r9yivvT2qZN+G+uHWt+o8OZh/U6ZSDqvlO
5s0ISaoKubt0g/lNLNdPWPabdTNvgc4YWfu3kewLp10JmmFDD/NWnCh+eit7
7CbzW2h6fthq5Eov8zYUZmXmqXL6mP1gCBVctA7oZ94O19q0irbfyf6IFS2u
UH05wMzFO6c7rTgm8tt4UppVY/pkkDkA/6zS7+8fIAdidLrJYvSVW8yAPGt8
Wfq7zNmAgwVKb5fTHoSqSbfverppD8Ji0oHsXw20B0PdFX8nbqWO7cHwnnw8
FujDbBaCzLANPXIB7SFQF7jkBytpD0WCp/Pe/M9pD0Vcsti1rIj2MFRMjcla
q2kPw1yl4Z5/A+3hMEmPcRTXaQ/HEmesidtLewSOrl9v4zBCewSmB7pi536h
fQdm9bkN1o9o3wFucunA7r9oj4T/+Zrl9kbaI+EtHnngaTHEdh70z4Tp7TbM
2Tysnpu+PeFAOx/R2333HnGinQ+V9puw4bW0C1Bn1efT4U67ABUpVc/iPGmP
As8jTX3Bm/Yo/PhyjPHqFtqFWJ3hNn7Qj3YhRheP2dgG0L4TfqMTxoRg2nfi
zmd1574Kp12Ek78dv5jBY4YIH+lvCAOE9F6EZhdTzqSYWSuCUMFdEMupF8NS
5eH7rYJ6MbaeO/vpSCz1YtR05l6beo96MQSHlKafEqiXIKWMs3hBSb0ECxq9
6MNk6iVwLL6WYbOHegmkfX3DZR9TL4Wy0VhnnUK9FHf39W1ITqVeivn2kJTL
adRLMfnkadbDdOplOKPTiOwyqZfB/XJG97ovqJcB2pVNbgeol4GbZjfleJB6
OYIOq+yNWdTLsbGr5qE+h3o5kur5DidzqZfDXOP9ukxNfTT6C6aumudRH40Z
rlpQe4T6aJz3Ee7hFlAfjYFUr/zeQupj8GcDfw2vmPoYxPnv13Qcpf6FFy4J
vDXUx2CQk9hYepx6BU7Nzjo/LqFegSHVowdBZdQrIHJLjC8qp16BK0vCcd3X
1O9C6Eu1Vcsqhtr/BZHQHFI=
      "]]}, 
    {RGBColor[0.6, 0.24, 0.4428931686004542], PointBox[CompressedData["
1:eJw1ywlQlGUcx/FXEDAFosQGIu5bgRRKAU1+wALLshy77MVo3GgFw7mDtmS9
ynCEDIeAgNLEQIxpanSAMKQuGsYAIgLCQgiiIPeIkyZNptX4f5+Zd575vN/n
Zx2fJk7SYhgm8b/v//vVWfU52OHtPGv661X6AWnqyfrUzm7yBsjEA+GquR6y
EXQND9Q+tO8jG2Nz40bdbc84myCh6L57dfFN8juwmdnbMPUPZyucSQlUTcj7
yTaQePn0OTZwtkP1aqhn1TRnB0S8zPM6YHqL7ASlyfabKyGct0L+5ee3VlSc
XRBckqUzcIazG1Q9r9f1DnHejlf3AHkHDknX9Lre4uwOvpmhsNeNsweEOuma
dj7n92BZsL85Ionz+zCMfWmRnsd5J9yHm+zMz3HehfP5p+O/GObsCbVgUjKk
c5vshQ95zXZCH87e+Fhmc332KOfdiGld7XLv57wHOsHNK952g+QPIDMe1OTk
ct6LAIlV4aYlzj7ILPUe64kaIgNFBm2Kin4yC3jkZGdI+cPUffHZcEutww0y
64tMh7f5vKA71P1Qd2LztFEvmfXDNyVRPEPRCHV/pGQ7amk0ZNYftUkyG4v4
Ueo8xK791l2/TGZ5qMk7fsnlsIZ6AGqKX5TXrB+jHoB8M+vL18rJTCCSH3/d
UWo5Tj0QicrshfkLZCYIRQk32I49v1MPAm+kfORZL5nhY7HY6lrZvgnqfDwq
NbTPWSIzwTgcrSy+kHOXejDWXDJmLfUnqQuQPdqJ3joyK4BNjEnDWdcp6iHI
/OqipuUKmQ2BmfmJ75863qMuREh0pVVjOpkVQu/vB8fi2rkeCmOjtrB3taap
h2Ix7YjzphAyEwZreeXUHxVcD8PTJwYx8xNcD8fo8u6f5uzvUw9Hhe4K8ziV
zESgQuGVq91GRgRejHUVWqx7QO8jYHo5OcNXQFZHoKDA43xyBZkRoeyHky11
E2SIoPPo+ZZh+xnai6C/JSX2jTSyWgQfy4QdkjYyI0bra+OudetmaS/GuF+c
1oKAzIox5Lc/3ruSrBbjbGWkXtldMhOJOxb7mhccHtI+Ek3aRdZB6WQ2Errd
R22/bSerI1E/qJWrrz1HewlulxcbKYVkSPDdmF79ZBWZlcDTS7VBOEVWS9C6
s9P2F6d52kvxY76k3y2TDCl+/shwrrGDzEoRe+SvMDOdBdpLkZRlu1AZRmZk
KFyvPGVUQ4YMPX0FwSXTZFaGS8dLJg22LdJeBmeVi3+pkszIcS46Ov7NK2TI
8YlJrFO13hLt5TBOrDpmLiKr5Th4WhnTdIrMKPBnQNZFtxkyFLjn/ySm3XWZ
9gpUfborKeAQWa1A8nVB86CazEQheutzj7iNK1f/BVmhBUc=
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -0.9075170531589938},
  Method->{},
  PlotRange->{{0, 100.}, {-0.9075170531589938, 0}},
  PlotRangeClipping->True,
  PlotRangePadding->{{2., 2.}, {0.018150341063179875`, 
   0.018150341063179875`}}]], "Output",
 CellChangeTimes->{{3.637420191131723*^9, 3.637420202888639*^9}, 
   3.6374206552529163`*^9, 3.6406242705119867`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Nm", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"Eigenvalues", "[", 
         RowBox[{"JEE", "[", 
          RowBox[{"Nm", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "Nm", "]"}]}], "}"}]}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "2"}], "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6374207905318003`*^9, 3.637420802402677*^9}, 
   3.6374210258040133`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tabev1", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Eigenvalues", "[", 
       RowBox[{"JEE", "[", 
        RowBox[{"Nm", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "Nm", "]"}]}], "}"}]}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6374207905318003`*^9, 3.637420842819949*^9}, {
   3.637420876916781*^9, 3.637420907721203*^9}, 3.637421017311982*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tabev2", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Eigenvalues", "[", 
       RowBox[{"JEE", "[", 
        RowBox[{"Nm", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "Nm", "]"}]}], "}"}]}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6374207905318003`*^9, 3.637420842819949*^9}, {
   3.637420876916781*^9, 3.637420922227117*^9}, 3.6374210118323393`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Nm", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"tabev1", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "Nm", "]"}]}], "}"}]}], "]"}], ",", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Nm", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"tabev2", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "Nm", "]"}]}], "}"}]}], "]"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6374209535571127`*^9, 3.637420998329795*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJwt0wtMU1ccBvCKFDbFjk1cYAQoCD7BMUgcsGV+U1SEzqEDxOgAK/gYRgs0
iEXnlAEVGx5S5GGNCDIBUcuj0FIet2U6AogKFYtDHgryjrrp7DKnc7n/k9yc
/HKTk5zv/x1n4aGtMWYcDif63ff/zq7t2Kv1Wz5m92sr6/0IPXi2+KCunTUT
j7Ctd76VjHfQ/yOw4O0pfOLWxRrHsbB0nsXKV2TmJHZnPPLKl91iPZwKl9Gv
Sob+JXNO4fKBDZKBbd2s+TKE+K7pWlpCRhbyn33jkzdC9sxB8NtU3z12t+n8
MxDbet6aDSIHy7Ht1I+3ZyXk4Txsykzg3rlMFuVD0vGBorOXzCkEu99hnV2E
w6Emyxsfk/kKBNjzBJ2ryMrzEHBFRk0AGRfglL5TGRxD3lcMXtRbR1Eq2fMi
vAxlrg6VZNNFVKWdEx43kJkSMIGDIb3cu6ylpfjeX+kqWEMOvoT9YS5tYyfI
tmWIrH92w6ubPFwG7iblrJ9rD+vyXxBm02NMTiGLLmN9CF86f5rsU474LL/+
ju29dP8KZCxQh+d2k9sr4J2cGBcaYKA8KnHUoCpccpMcfgXxSz4J8N94j/Kp
guLMwhHrTvJEFS5lbvfnbemjvK7iQOJSM6ORnHQNhTFhLo7C+5TfdUSZfmsv
niGbK1GQerrBPclIeb6z7E1OgXk/6y4l0uydm/U5ZM9qxD6/oM1yesBaXo1o
ceLkxFWyqRoZu2/+pP3yd9Y7a+Dfl9P3qpPM1GBKxtdn7xhg7VqLp1k8t+Rp
srQWSRFi2dXkh6xnamFyjxtzshqk+dQh8b4OnQpyXR1cIm1LKjyGaF4qxJ+/
ZlS1kI+qYO9w5vrLpcM0PxWCIuT8UhHZvx6W/zw+uUtDLq+HjbV686dmI6yt
GjB16Njy+UFkUQOct8mH/swlGxrw8sWCyIkBso8a92e+qB13e8RaoUauxSzn
+UEyR4PccN+UuWpytAZv+m9IHec8pj5oYNccG/d1INm9Eenp3lWxueTsRmRX
n1UpBsgvGsF9+nqRwW2U+qKF1aIDUR8eIjdpscZp92chajK/CfXvP/BQzBlj
/XMTHqzdZTYZSJ5oQu/anUI/OVnQjAr5d5bZD8nKZtxz3KGcXPKEtU0LyuZm
OG8UkZNaYNF+YnG5hjzQguIesxSruePUv1bczZFZiwXkS6240m9ZPJhHNmfg
4yt5TzBEXs2gfrVucdOyCeong5q0kO5V8eQiBnX7eOOlWnIXg6hjf2+2506y
fsMgJmHxpHwz2VMHqbm4yLqALNShoyt9U+YIWa5Dw+nMwQUrp1jf1GG5xH1d
lphs0qEyIkL4UQt5hR4/2EYty7ecpr7rYROdd9JhCzlTj73nxJFlRWRGj7/W
J1xbNUr+Q4/hdS8iNR4z9B7akHfk85j1h8lhbYhtC1T2MGRpGyJWvPbeNW+2
9T/8Skai
      "]]}, 
    {RGBColor[0.6, 0.24, 0.4428931686004542], PointBox[CompressedData["
1:eJwt0QtMk1cYBmAiThBhijFKtilMWERSBZZpZDbsVXGLgA1McXV0U1y5qNso
QwdOJgJW7lCgDNQShVEpNy1QKOXWv0WRm7UyGAK6kQUdMlNFmaIVOpf/O8nJ
yZNzznfeL+f9Q9Gfhy+wsrISvpn/r+zYD9EF+8wPd5/Wsj6MIHu12pKaz5r5
AfzaoXcDrGW0fwLHBsyczy6VsUYiJJkvxp94VdD5ZPDdN+5x11SzHhdD8ao6
K2O1ku6nY+WBEucbofWsXbKQHGMe+aZIRfVywZQYAvyNTay98tC87aAaizRU
Px+mpb0bTFtaWQdJMXo3jhmJbKf3CuFw9eKuiHwta1ERmnwKL9wfY+j9c7gf
3LxG/I+OteQ8FAZhv+iFnvLIsCNCtuPefCdrZQmWGEcX9Vpdp3wXYTDvkv9r
JkddgtP+MMmAqYvylqIoe+bm6eEbrGdLoXp11mawoZvylyEzMT5VlNTDOu1X
mPwCr9j69lI/5Vgrjy3W/E12kiM0aG6p6Oc+6k+OLy/pbTgWsuIynhUkllq+
66d+KzC7wniyt4+8RYGhKZX10Ds3qf9KhCSOLD7+Fbm7Eo7WKLhdSJZUQTbm
ernrOplfjbmIhNN/msguNRBfO3hHsNzAerIGnmOPhz/xJitrEb9zfVdIIDn+
CsQZzunbhWRcRZjH6qPpJ8gLlRBEBq+VZpGjlCieGN7bXELuV+L5BdP41lqy
Vx0se3I5/FaytA7znGEVt5s8W4ecdevsHAfJgnpM9V0Lff4HmanHtDGl1vYh
2a0B3MiCvgNPyWkN2FpVumSZmfyoAZ7Bgw88rG/R/6hgfMk7rrUjq1RY9Xzq
9qgj2akR+z7edDTNiZzQCBFzfufAGvJ4IxQ2Pd46N7JfE4qjZS8FHmRFE/zd
Y8U1nmR7NX57+wtz40dkkRqr4lxHTvmQB9UYmsu1s/clb2mGz9CoOWw7WdaM
Oz8qKs98SrbS4NxfeVfi/MlCDQ4bO3m+PHK3Bk3OlqSxYDKnBTw+93VwCFnS
gkUi903lfPJMCzZXVnw/GErmt6JUn9Iy8TW5rRWByULL72FklzZESzlzNULy
mTa8lhiDoiLJk21Ymd0SZ3eEHNiOPT09A9Jvycp2COvNCtto8ooO3DvWsz4y
hhzfgRfaHdF1seS7HRh7NpM4eZwMLcoMkiCHeHK5Fm51cdddfiIvZABmuco1
gbyZATfWYWLlKXIUg21nRcvMieTzDDZcK500JpH7GURUBzieSyHPM1gg8fxg
r5jspUNvxkTjglTyIR2ecMWB8jSyVIcqb94Rbga5S4e+mI3p3ZnkWR0e1Qa8
559N9tBDsPWkRJdDFrzxa2Wgp4Sco0c/J7y+II/M6HFxenr143zyUz1uiR4+
2CYlu3UiyDX8YFYheV8nGuZ5I4ZfyGmd8HtLLltcfEv7HzSIXa0=
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -0.9075170531589938},
  Method->{},
  PlotRange->{{0, 10000.}, {-0.9075170531589938, 0}},
  PlotRangeClipping->True,
  PlotRangePadding->{{200., 200.}, {0.018150341063179875`, 
   0.018150341063179875`}}]], "Output",
 CellChangeTimes->{{3.6374209914102077`*^9, 3.6374209992097187`*^9}, 
   3.6406242762693243`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["export files", "Section",
 CellChangeTimes->{3.640625503399273*^9}],

Cell[CellGroupData[{

Cell[BoxData["Nm"], "Input",
 CellChangeTimes->{{3.64062430506214*^9, 3.640624305372629*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "100", ",", "200", ",", "300", ",", "400", ",", "500", ",", "600", ",", 
   "700", ",", "800", ",", "900", ",", "1000", ",", "1100", ",", "1200", ",", 
   "1300", ",", "1400", ",", "1500", ",", "1600", ",", "1700", ",", "1800", 
   ",", "1900", ",", "2000", ",", "2100", ",", "2200", ",", "2300", ",", 
   "2400", ",", "2500", ",", "2600", ",", "2700", ",", "2800", ",", "2900", 
   ",", "3000", ",", "3100", ",", "3200", ",", "3300", ",", "3400", ",", 
   "3500", ",", "3600", ",", "3700", ",", "3800", ",", "3900", ",", "4000", 
   ",", "4100", ",", "4200", ",", "4300", ",", "4400", ",", "4500", ",", 
   "4600", ",", "4700", ",", "4800", ",", "4900", ",", "5000", ",", "5100", 
   ",", "5200", ",", "5300", ",", "5400", ",", "5500", ",", "5600", ",", 
   "5700", ",", "5800", ",", "5900", ",", "6000", ",", "6100", ",", "6200", 
   ",", "6300", ",", "6400", ",", "6500", ",", "6600", ",", "6700", ",", 
   "6800", ",", "6900", ",", "7000", ",", "7100", ",", "7200", ",", "7300", 
   ",", "7400", ",", "7500", ",", "7600", ",", "7700", ",", "7800", ",", 
   "7900", ",", "8000", ",", "8100", ",", "8200", ",", "8300", ",", "8400", 
   ",", "8500", ",", "8600", ",", "8700", ",", "8800", ",", "8900", ",", 
   "9000", ",", "9100", ",", "9200", ",", "9300", ",", "9400", ",", "9500", 
   ",", "9600", ",", "9700", ",", "9800", ",", "9900", ",", "10000"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.640624306341572*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<Nm.csv\>\"", ",", " ", "Nm"}], "]"}]], "Input",
 CellChangeTimes->{{3.640624332886257*^9, 3.640624367813498*^9}, {
  3.6406246360329*^9, 3.640624638711532*^9}}],

Cell[BoxData["\<\"Nm.csv\"\>"], "Output",
 CellChangeTimes->{3.6406243716171637`*^9, 3.640624639349021*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["tabev2"], "Input",
 CellChangeTimes->{{3.640624280782979*^9, 3.640624282983322*^9}, {
  3.640624313844405*^9, 3.640624314109664*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.007959742420622112`"}], ",", 
   RowBox[{"-", "0.01809691962058607`"}], ",", 
   RowBox[{"-", "0.02735631329907781`"}], ",", 
   RowBox[{"-", "0.03637907432667911`"}], ",", 
   RowBox[{"-", "0.045295264684475645`"}], ",", 
   RowBox[{"-", "0.05414701476463851`"}], ",", 
   RowBox[{"-", "0.06295076307649572`"}], ",", 
   RowBox[{"-", "0.07171291848987624`"}], ",", 
   RowBox[{"-", "0.08043502876120637`"}], ",", 
   RowBox[{"-", "0.089115756518928`"}], ",", 
   RowBox[{"-", "0.09775166012719338`"}], ",", 
   RowBox[{"-", "0.10633743875411003`"}], ",", 
   RowBox[{"-", "0.11486588429385183`"}], ",", 
   RowBox[{"-", "0.12332763001876064`"}], ",", 
   RowBox[{"-", "0.13171072098562114`"}], ",", 
   RowBox[{"-", "0.13999999999999982`"}], ",", 
   RowBox[{"-", "0.14817628841557462`"}], ",", 
   RowBox[{"-", "0.15621534158053593`"}], ",", 
   RowBox[{"-", "0.1640865834684749`"}], ",", 
   RowBox[{"-", "0.17175169535400275`"}], ",", 
   RowBox[{"-", "0.17916328477685606`"}], ",", 
   RowBox[{"-", "0.18626413399134087`"}], ",", 
   RowBox[{"-", "0.1929879223589147`"}], ",", 
   RowBox[{"-", "0.19926268210201345`"}], ",", 
   RowBox[{"-", "0.20501812468186337`"}], ",", 
   RowBox[{"-", "0.21019668525631469`"}], ",", 
   RowBox[{"-", "0.21476555615174928`"}], ",", 
   RowBox[{"-", "0.21872473124426756`"}], ",", 
   RowBox[{"-", "0.2221068895879906`"}], ",", 
   RowBox[{"-", "0.22496920629070138`"}], ",", 
   RowBox[{"-", "0.22738135033599485`"}], ",", 
   RowBox[{"-", "0.22941458683907948`"}], ",", 
   RowBox[{"-", "0.23113460245078746`"}], ",", 
   RowBox[{"-", "0.2325981436949548`"}], ",", 
   RowBox[{"-", "0.23385232709625106`"}], ",", 
   RowBox[{"-", "0.23493538441974607`"}], ",", 
   RowBox[{"-", "0.23587797206683933`"}], ",", 
   RowBox[{"-", "0.23670456100311887`"}], ",", 
   RowBox[{"-", "0.23743468947857962`"}], ",", 
   RowBox[{"-", "0.238084008504603`"}], ",", 
   RowBox[{"-", "0.23866511989290984`"}], ",", 
   RowBox[{"-", "0.23918823378315746`"}], ",", 
   RowBox[{"-", "0.2396616791058645`"}], ",", 
   RowBox[{"-", "0.24009229827666442`"}], ",", 
   RowBox[{"-", "0.24048575239280717`"}], ",", 
   RowBox[{"-", "0.24084675784825688`"}], ",", 
   RowBox[{"-", "0.24117927056212746`"}], ",", 
   RowBox[{"-", "0.24148663017661634`"}], ",", 
   RowBox[{"-", "0.24177167358612361`"}], ",", 
   RowBox[{"-", "0.24203682487434883`"}], ",", 
   RowBox[{"-", "0.2422841670128348`"}], ",", 
   RowBox[{"-", "0.242515499381581`"}], ",", 
   RowBox[{"-", "0.2427323842038482`"}], ",", 
   RowBox[{"-", "0.2429361842609576`"}], ",", 
   RowBox[{"-", "0.2431280937066762`"}], ",", 
   RowBox[{"-", "0.24330916338845765`"}], ",", 
   RowBox[{"-", "0.24348032177010448`"}], ",", 
   RowBox[{"-", "0.243642392312099`"}], ",", 
   RowBox[{"-", "0.24379610798324922`"}], ",", 
   RowBox[{"-", "0.24394212343661856`"}], ",", 
   RowBox[{"-", "0.24408102527375655`"}], ",", 
   RowBox[{"-", "0.24421334073637427`"}], ",", 
   RowBox[{"-", "0.2443395450981629`"}], ",", 
   RowBox[{"-", "0.24446006797713407`"}], ",", 
   RowBox[{"-", "0.24457529874746634`"}], ",", 
   RowBox[{"-", "0.2446855911969103`"}], ",", 
   RowBox[{"-", "0.24479126754948982`"}], ",", 
   RowBox[{"-", "0.2448926219520901`"}], ",", 
   RowBox[{"-", "0.24498992350647492`"}], ",", 
   RowBox[{"-", "0.24508341891443755`"}], ",", 
   RowBox[{"-", "0.24517333479254189`"}], ",", 
   RowBox[{"-", "0.24525987970369864`"}], ",", 
   RowBox[{"-", "0.24534324594527124`"}], ",", 
   RowBox[{"-", "0.2454236111271732`"}], ",", 
   RowBox[{"-", "0.24550113956827121`"}], ",", 
   RowBox[{"-", "0.24557598353512156`"}], ",", 
   RowBox[{"-", "0.24564828434350874`"}], ",", 
   RowBox[{"-", "0.24571817334026466`"}], ",", 
   RowBox[{"-", "0.24578577278035038`"}], ",", 
   RowBox[{"-", "0.24585119661206983`"}], ",", 
   RowBox[{"-", "0.24591455118150762`"}], ",", 
   RowBox[{"-", "0.24597593586577382`"}], ",", 
   RowBox[{"-", "0.24603544364335928`"}], ",", 
   RowBox[{"-", "0.2460931616088136`"}], ",", 
   RowBox[{"-", "0.24614917143802142`"}], ",", 
   RowBox[{"-", "0.24620354980956022`"}], ",", 
   RowBox[{"-", "0.24625636878693064`"}], ",", 
   RowBox[{"-", "0.24630769616586284`"}], ",", 
   RowBox[{"-", "0.2463575957903923`"}], ",", 
   RowBox[{"-", "0.24640612784095356`"}], ",", 
   RowBox[{"-", "0.24645334909736358`"}], ",", 
   RowBox[{"-", "0.2464993131792278`"}], ",", 
   RowBox[{"-", "0.24654407076601614`"}], ",", 
   RowBox[{"-", "0.24658766979880198`"}], ",", 
   RowBox[{"-", "0.24663015566543434`"}], ",", 
   RowBox[{"-", "0.24667157137072324`"}], ",", 
   RowBox[{"-", "0.24671195769304297`"}], ",", 
   RowBox[{"-", "0.24675135332861453`"}], ",", 
   RowBox[{"-", "0.24678979502458773`"}], ",", 
   RowBox[{"-", "0.24682731770193744`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6406242841990623`*^9, 3.64062431594103*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<Nmev1.csv\>\"", ",", " ", "tabev1"}], "]"}]], "Input",
 CellChangeTimes->{{3.640624382014758*^9, 3.6406243930984497`*^9}, {
  3.640624619487206*^9, 3.64062462179873*^9}}],

Cell[BoxData["\<\"Nmev1.csv\"\>"], "Output",
 CellChangeTimes->{3.64062439610851*^9, 3.64062462340418*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<Nmev2.csv\>\"", ",", " ", "tabev2"}], "]"}]], "Input",
 CellChangeTimes->{{3.640624402356144*^9, 3.640624409118018*^9}, {
  3.64062462602437*^9, 3.640624627646597*^9}}],

Cell[BoxData["\<\"Nmev2.csv\"\>"], "Output",
 CellChangeTimes->{3.640624410100863*^9, 3.6406246281929817`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Biting rate", "Section",
 CellChangeTimes->{{3.637419854631805*^9, 3.637419857120516*^9}}],

Cell[CellGroupData[{

Cell["Parameters", "Subsubsection",
 CellChangeTimes->{{3.559560896211769*^9, 3.5595608981479626`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Nm", "=", "10000"}], ";", "  ", 
  RowBox[{"\[Mu]", "=", "0.01"}], ";", " ", 
  RowBox[{"\[Delta]", "=", 
   RowBox[{"1", "/", "10"}]}], ";", "  ", 
  RowBox[{"Nh", "=", "1000"}], ";", " ", 
  RowBox[{"p", "=", "0.5"}], ";", 
  RowBox[{"q", "=", "0.5"}], ";", " ", 
  RowBox[{"\[Sigma]", "=", "0.05"}], ";"}]], "Input",
 CellChangeTimes->{{3.556986019746208*^9, 3.5569860445223026`*^9}, {
   3.556986261786672*^9, 3.5569862655463924`*^9}, {3.5569868150831923`*^9, 
   3.5569868654915376`*^9}, {3.559493229027683*^9, 3.5594932330918865`*^9}, {
   3.5601581786399975`*^9, 3.5601581831514482`*^9}, {3.5601656412571898`*^9, 
   3.5601656463286967`*^9}, {3.5601665546725225`*^9, 3.560166556079663*^9}, {
   3.5617195287057753`*^9, 3.5617195328832808`*^9}, 3.5825441706313725`*^9, {
   3.5825442708993983`*^9, 3.5825442755378623`*^9}, {3.582544320499358*^9, 
   3.582544321682476*^9}, {3.5825459689861903`*^9, 3.5825459716894608`*^9}, {
   3.5825462894952383`*^9, 3.582546294006689*^9}, {3.5825518931115437`*^9, 
   3.5825518944226747`*^9}, {3.582551924760708*^9, 3.58255192517575*^9}, {
   3.606740247924965*^9, 3.606740256765849*^9}, {3.606743834179759*^9, 
   3.606743840011342*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"eqnsRM", "[", "k_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", 
         RowBox[{"p", "/", "Nh"}]}], ")"}], "*", "y", "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", "x"}], ")"}]}], "-", 
      RowBox[{"\[Mu]", " ", "x"}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", "q", " ", 
         RowBox[{"x", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", "y"}], ")"}]}], "-", 
      RowBox[{"\[Delta]", " ", "y"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzVtIk2EAh/E5DxfmWOFUPFDIRN08LA8hahQvROVUBPNCRSYNxQPJRBRj
BlNx6CphbU1WmQjKLpwHYqIyPCCKYAw1kTnxQsVvW7zypRfahRfR+/8uHn6X
T7JWV9koFolEchZcHjR+jyqkpCEmbwxayvnx/GJKnl1cT8LjhGCK6zklmTOt
CujV5/Aw8NQqGHExdzr7ghKNKvocKnYOfkOtd52HU6+qw+eYTavNguqOSxXk
veKHMHen6hEsiZwvgPfVRT0LzIAv+h3s9Ej6YDDgEJTsdvmhxlYdgC8zzbdQ
vLEmmL2RlrWI/1+9Clak6z7H9VAiK7ljg77X5cp45p/9sQw47TY4HjArviw5
oaT0ZltmoORgM+wnXH0/ugfVUrdgXe+3E8hxziDsDuekMUxf18ldaPdYjS29
lCyZnIOwttTwEWrUZ5/g8GHYBHS4ywSPvAsuyClT5uGvLbOolWmuWomAb/yJ
cfCJyy4oUd6Lpcxr2YckOLKrl8N//pA0ONCm7c8xUrLi+GqE9YuW83YTJYma
IQ7apDU3MNSiE7Q9bg45slKSPjoshqf2q1TFD0reWvks6JHfZiuZClOyCv4H
YuAdnQ==
  "]],

Cell[BoxData[
 RowBox[{
  RowBox[{"sols", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", " ", "Reals"}], "]"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.5541966693446703`*^9, 3.5541966804306707`*^9}, {
  3.5541968726606703`*^9, 3.5541968774916706`*^9}, {3.5541999144835997`*^9, 
  3.5541999190270543`*^9}, {3.554200238404261*^9, 3.5542002436192613`*^9}, {
  3.556288483901885*^9, 3.556288484806714*^9}, {3.556288657199264*^9, 
  3.5562886703219023`*^9}, {3.5569861788310966`*^9, 3.5569862162856135`*^9}, {
  3.5572493802110267`*^9, 3.557249401833458*^9}, {3.55724945309803*^9, 
  3.557249465375702*^9}, {3.582544243199629*^9, 3.582544265664875*^9}, {
  3.5825443426765757`*^9, 3.5825443437326813`*^9}, {3.5825463016244507`*^9, 
  3.582546302856574*^9}, {3.58254633501779*^9, 3.582546340554343*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sols", "[", "10000", "]"}]], "Input",
 CellChangeTimes->{{3.557249468729831*^9, 3.557249478012188*^9}, 
   3.557249649519188*^9, {3.5594927032385235`*^9, 3.559492703588681*^9}, {
   3.5617197021938057`*^9, 3.5617197028652086`*^9}, {3.582544286447953*^9, 
   3.582544288975206*^9}, 3.5825443615714645`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "\[Equal]", "0.`"}], "||", 
    RowBox[{"x", "\[Equal]", "999.99979999604`"}]}], ")"}], "&&", 
  RowBox[{"y", "\[Equal]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"0.002`", " ", "x"}], 
     RowBox[{
      RowBox[{"-", "1000.`"}], "+", 
      RowBox[{"1.`", " ", "x"}]}]]}]}]}]], "Output",
 CellChangeTimes->{{3.5572494711791253`*^9, 3.5572494786362123`*^9}, 
   3.557249649940404*^9, 3.5573223618943653`*^9, 3.557322393608799*^9, 
   3.5594927044090505`*^9, 3.5594932923245897`*^9, 3.5594951537000713`*^9, 
   3.55956031011652*^9, 3.5595631052106466`*^9, 3.5600985759122267`*^9, 
   3.560158189656099*^9, 3.5601656514452085`*^9, 3.560166561180173*^9, 
   3.56171959697171*^9, 3.5617197035236034`*^9, 3.5617197406508665`*^9, 
   3.56717557199247*^9, 3.5671757082930984`*^9, 3.5671819382720337`*^9, 
   3.567184400007183*^9, 3.5825442902233305`*^9, {3.5825443473480425`*^9, 
   3.5825443621105185`*^9}, 3.58254522991129*^9, 3.5825452664909477`*^9, 
   3.5825459744587374`*^9, 3.5825517637036037`*^9, 3.5825518989061227`*^9, 
   3.5825519300432367`*^9, 3.5825520641596465`*^9, 3.5829046919563103`*^9, 
   3.6067402662738*^9, 3.606740757257687*^9, 3.6067437489482365`*^9, 
   3.606743845513892*^9, 3.6079677677963705`*^9, 3.609264696061434*^9, 
   3.6096739830431147`*^9, 3.610187612892408*^9, 3.63741990959776*^9, 
   3.637421107130427*^9, 3.640625270428849*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"xEE", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "k", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
  3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.58254438312562*^9, 
  3.582544419270234*^9}, {3.5825463967159586`*^9, 3.5825464004593334`*^9}, {
  3.606740269405113*^9, 3.6067402710692797`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"yEE", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "k", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", 
   RowBox[{"x", "->", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"sols", "[", "k", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
  3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.5572496707984056`*^9, 
  3.5572496819372344`*^9}, {3.582544387717079*^9, 3.582544388373145*^9}, {
  3.582544429623269*^9, 3.582544500795386*^9}, {3.58254640252454*^9, 
  3.5825464067639637`*^9}, {3.582551914536686*^9, 3.5825519158008122`*^9}, {
  3.6067402749506674`*^9, 3.6067402751986923`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"xEE", "[", "0.021", "]"}]], "Input",
 CellChangeTimes->{{3.582545287210019*^9, 3.5825452900102997`*^9}, {
  3.6067402991430864`*^9, 3.6067403054547176`*^9}, {3.606740681724341*^9, 
  3.606740687284897*^9}}],

Cell[BoxData["84.88612836438939`"], "Output",
 CellChangeTimes->{{3.582545290550353*^9, 3.582545316729971*^9}, 
   3.5825459745567474`*^9, 3.5825517637746115`*^9, 3.5825518990141335`*^9, 
   3.582551930129245*^9, 3.5825520642376547`*^9, 3.5829046920073156`*^9, {
   3.606740288609033*^9, 3.6067403060807805`*^9}, {3.6067406829874673`*^9, 
   3.6067406879289613`*^9}, 3.606740757282687*^9, 3.6067437489762397`*^9, 
   3.606743845539895*^9, 3.6079677678293705`*^9, 3.6092646961224337`*^9, 
   3.6096739830731177`*^9, 3.610187612929412*^9, 3.637419909905382*^9, 
   3.637421107270691*^9, 3.6406252705712767`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"JEE", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], "}"}],
    "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "k", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "k", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
  3.557249885112858*^9, 3.5572499095277967`*^9}, {3.5572499569692216`*^9, 
  3.557249966189176*^9}, {3.5825445141107173`*^9, 3.5825445638566914`*^9}, {
  3.5825447968749905`*^9, 3.582544804154719*^9}, {3.582544924191721*^9, 
  3.582544928048107*^9}, {3.5825453084331417`*^9, 3.5825453123045287`*^9}, {
  3.582546434497737*^9, 3.582546460465333*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DetJEE", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Det", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
     "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "k", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "k", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
  3.557249885112858*^9, 3.5572499095277967`*^9}, {3.582544816460949*^9, 
  3.582544850317334*^9}, {3.582544930064308*^9, 3.5825449330566072`*^9}, {
  3.582545320578356*^9, 3.582545323072605*^9}, {3.5825464372650137`*^9, 
  3.582546437761063*^9}, {3.582551562718508*^9, 3.582551570526288*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TrJEE", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
     "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "k", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "k", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.5572498228336563`*^9}, {
   3.5572498684046154`*^9, 3.5572498690598407`*^9}, 3.557249915456025*^9, {
   3.5825448317734804`*^9, 3.5825448547657795`*^9}, {3.5825449350238047`*^9, 
   3.582544939904292*^9}, {3.5825453275710554`*^9, 3.582545329633261*^9}, {
   3.5825464402893157`*^9, 3.5825464412664137`*^9}, {3.5825515664618816`*^9, 
   3.5825515724774833`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a11", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "k", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557249995097088*^9}, {
  3.5572506164947824`*^9, 3.5572506173684163`*^9}, {3.582544857401043*^9, 
  3.582544862633566*^9}, {3.5825515774019756`*^9, 3.582551581337369*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a12", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "k", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.5572500074079657`*^9}, {
  3.5572506212217646`*^9, 3.5572506219861937`*^9}, {3.582544870522355*^9, 
  3.582544881562459*^9}, {3.582551583097545*^9, 3.5825516056427994`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a21", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "k", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557250016674782*^9}, {
  3.5572506241390767`*^9, 3.557250629848896*^9}, {3.58254487217052*^9, 
  3.582544879610264*^9}, {3.5825515857698126`*^9, 3.5825516070179367`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a22", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "k", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557250025708587*^9}, {
  3.5572506323137913`*^9, 3.557250636323145*^9}, {3.582544874905793*^9, 
  3.58254487737004*^9}, {3.5825515883460703`*^9, 3.5825516089221277`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B11", "[", "k_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"p", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"yEE", "[", "k", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nh", "-", 
      RowBox[{"xEE", "[", "k", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Mu]", " ", 
    RowBox[{"xEE", "[", "k", "]"}]}], "+", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "p", " ", "*", 
    " ", "p", " ", "*", 
    RowBox[{"yEE", "[", "k", "]"}], "*", 
    RowBox[{"yEE", "[", "k", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nh", "-", 
      RowBox[{"xEE", "[", "k", "]"}]}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nh", "-", 
      RowBox[{"xEE", "[", "k", "]"}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557250038969182*^9, 3.5572500604669466`*^9}, {
   3.559492735036815*^9, 3.5594927806431365`*^9}, {3.582544885146817*^9, 
   3.5825449148757896`*^9}, {3.582544945932895*^9, 3.5825449535986614`*^9}, {
   3.5825515909233274`*^9, 3.58255161714695*^9}, {3.6067436497546606`*^9, 
   3.6067437022566605`*^9}, 3.6079673642373705`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B12", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "p", " ", "q", 
   " ", "*", 
   RowBox[{"yEE", "[", "k", "]"}], "*", 
   RowBox[{"xEE", "[", "k", "]"}], "*", 
   RowBox[{"(", 
    RowBox[{"Nh", "-", 
     RowBox[{"xEE", "[", "k", "]"}]}], ")"}], "*", 
   RowBox[{"(", 
    RowBox[{"Nm", "-", 
     RowBox[{"yEE", "[", "k", "]"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.557250068548109*^9, 3.557250109359541*^9}, {
  3.5594927878030243`*^9, 3.5594927918775573`*^9}, {3.5825448867299757`*^9, 
  3.582544893738676*^9}, {3.582551593897625*^9, 3.5825515955607915`*^9}, {
  3.6067435989896607`*^9, 3.606743610237661*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B21", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "p", " ", "q", 
   " ", "*", 
   RowBox[{"yEE", "[", "k", "]"}], "*", 
   RowBox[{"xEE", "[", "k", "]"}], "*", 
   RowBox[{"(", 
    RowBox[{"Nh", "-", 
     RowBox[{"xEE", "[", "k", "]"}]}], ")"}], "*", 
   RowBox[{"(", 
    RowBox[{"Nm", "-", 
     RowBox[{"yEE", "[", "k", "]"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.557250120311232*^9}, {
   3.5594927900844345`*^9, 3.55949279483809*^9}, {3.5825448883781404`*^9, 
   3.5825448964579477`*^9}, {3.5825515972419596`*^9, 3.58255159834507*^9}, {
   3.6067436122686605`*^9, 3.6067436180376606`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B22", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"xEE", "[", "k", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "k", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Delta]", " ", 
    RowBox[{"yEE", "[", "k", "]"}]}], "+", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "q", " ", "q", 
    " ", "*", 
    RowBox[{"xEE", "[", "k", "]"}], "*", 
    RowBox[{"xEE", "[", "k", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "k", "]"}]}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "k", "]"}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.5572501626671324`*^9}, {
   3.559492802858534*^9, 3.5594928166756196`*^9}, {3.5601584582819586`*^9, 
   3.5601584596270933`*^9}, {3.582544890203323*^9, 3.5825448905233545`*^9}, {
   3.5825449651668186`*^9, 3.5825450095042515`*^9}, {3.582551600619297*^9, 
   3.58255162634787*^9}, {3.6067437066800103`*^9, 3.606743740929435*^9}, {
   3.607967680809371*^9, 3.6079677189663706`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"k", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0.021", ",", " ", "0.3", ",", " ", "0.01"}], "]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"tabev1k", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Eigenvalues", "[", 
       RowBox[{"JEE", "[", 
        RowBox[{"k", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "k", "]"}]}], "}"}]}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6374207905318003`*^9, 3.637420842819949*^9}, {
   3.637420876916781*^9, 3.637420907721203*^9}, 3.637421017311982*^9, {
   3.637421061353096*^9, 3.6374210852702637`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tabev2k", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Eigenvalues", "[", 
       RowBox[{"JEE", "[", 
        RowBox[{"k", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "k", "]"}]}], "}"}]}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6374207905318003`*^9, 3.637420842819949*^9}, {
   3.637420876916781*^9, 3.637420922227117*^9}, 3.6374210118323393`*^9, {
   3.637421065201971*^9, 3.637421087028707*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"tabev1k", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "k", "]"}]}], "}"}]}], "]"}], ",", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"tabev2k", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "k", "]"}]}], "}"}]}], "]"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6374209535571127`*^9, 3.637420998329795*^9}, {
  3.637421075460875*^9, 3.637421101091333*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQLa1/V4Wtcar9LE7bfdOS9+yPsNxyomzffHu/Gl2p
lJx9+08vdN32+e8S+8Il3trcygf2v1Iz5Fgjs8peRysgJEnw4H4gJyrFer39
ljX7b84TPLR/igRLGJ/uJvsfx+U7p5sf3q98+2dd1p4t9tM3pMR1LTyyf/Pc
98uPeW+3Pxv4NK+k4th+p4SnF5Ru77SPncr659ydE/svKoE12B93djhcfOb0
/kSQ9M999kuOH9gmpX1+/4/gx0tnHzlg7/I2ae3b3Iv77U3jdnnyHLJ/NHOz
v0vq5f3tYjfPfQ8+bF+S2O4iU3p1//nvYA32a35onLCaeX0/WPrxUftXqWfL
Np67uR+km0n7uH0Ag9SZCOE7+5fNPqKwoeiE/bv1e4vbUu/tf1sDsuGkvUjr
gq0fEx/sB1vHdNr+sfSsSSunPdxfC3bAGfsHL36wFl14tB+kO2PiWfuIpXKb
HvE92Q80HOQke0Y5UeMFgU/3r/p4yTdJ4IJ9yf9vqyJnPNvvlyQADPIL9q84
2L8ce/R8/yeQdMRFe5GzLE7LDV7un+bcnfP890X7l/xHBA40vtpvBY6eS/aH
fsp43bn6ej8AN2rwig==
      "]]}, 
    {RGBColor[0.6, 0.24, 0.4428931686004542], PointBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQLa1/V4Wtcao9Q2pgykxPv/0RlltOlO2bb39g+/Kl
Udod+08vdN32+e8S+w0msRwazLP2v1Iz5Fgjs8p+SnbE3RMKS/cDOVEp1uvt
fxxW0mOWXbd/igRLGJ/uJvt9iw4prD+xeb/y7Z91WXu22NvdfvF3XdmO/Zvn
vl9+zHu7PcNa5nin3Xv2OyU8vaB0e6e9p60O80TVA/svKoE12MtFfHZYNuHg
/kSQ9M999pO7VyszbD+0/0fw46Wzjxywf2GxtevixsP77U3jdnnyHLIPD205
+2Pikf3tYjfPfQ8+bL/d+KtsTuLR/ee/gzXYH648aPFX9dh+sPTjo/b8m1fF
az8+th+km0n7uL3mYddLqrOP7182+4jChqIT9stee+8L9z+x/20NyIaT9hIy
v9u3MpzcD7aO6bT9MpvmVy/Wn9xfC3bAGfvDzb1i2bGn9oN0Z0w8a89z9+fm
KZyn9wMNBznJ/njtX6YVW07vX/Xxkm+SwAX7dT+mlF6PO7PfL0kAGOQX7P+J
lkl6cZzd/wkkHXHRfvH/q3PlNp7dP825O+f574v2MazLC3Ijz+23AkfPJfvC
/w0OXozn9wMAERzrMw==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -0.8698560187838711},
  Method->{},
  PlotRange->{{0, 0.29100000000000004`}, {-0.8698560187838711, 0}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0058200000000000005`, 0.0058200000000000005`}, {
   0.017397120375677422`, 0.017397120375677422`}}]], "Output",
 CellChangeTimes->{{3.6374209914102077`*^9, 3.6374209992097187`*^9}, 
   3.637421109503827*^9, 3.6406252735998573`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["export files", "Section",
 CellChangeTimes->{{3.640625490081551*^9, 3.640625493882227*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<k.csv\>\"", ",", " ", "k"}], "]"}]], "Input",
 CellChangeTimes->{{3.640625303411421*^9, 3.640625308586719*^9}}],

Cell[BoxData["\<\"k.csv\"\>"], "Output",
 CellChangeTimes->{3.640625309969059*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ev1k.csv\>\"", ",", " ", "tabev1k"}], "]"}]], "Input",
 CellChangeTimes->{{3.640625318675499*^9, 3.6406253325363283`*^9}}],

Cell[BoxData["\<\"ev1k.csv\"\>"], "Output",
 CellChangeTimes->{3.6406253368950443`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ev2k.csv\>\"", ",", " ", "tabev2k"}], "]"}]], "Input",
 CellChangeTimes->{{3.640625342362064*^9, 3.640625344875059*^9}}],

Cell[BoxData["\<\"ev2k.csv\"\>"], "Output",
 CellChangeTimes->{3.640625345972871*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Recovery rate", "Section",
 CellChangeTimes->{{3.637419599866878*^9, 3.637419603120838*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\n", 
  RowBox[{
   RowBox[{
    RowBox[{"Nm", "=", "10000"}], ";", "   ", 
    RowBox[{"\[Delta]", "=", 
     RowBox[{"1", "/", "10"}]}], ";", "  ", 
    RowBox[{"Nh", "=", "1000"}], ";", " ", 
    RowBox[{"p", "=", "0.5"}], ";", 
    RowBox[{"q", "=", "0.5"}], ";", 
    RowBox[{"k", "=", "0.3"}], ";", 
    RowBox[{"\[Sigma]", "=", "0.05"}]}], "\n", "0.05`", "\n", 
   RowBox[{
    RowBox[{
     RowBox[{"eqnsRM", "[", "\[Mu]_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"k", " ", 
           RowBox[{"p", "/", "Nh"}]}], ")"}], "*", "y", "*", 
         RowBox[{"(", 
          RowBox[{"Nh", "-", "x"}], ")"}]}], "-", 
        RowBox[{"\[Mu]", " ", "x"}]}], ",", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"k", " ", "q", " ", 
           RowBox[{"x", "/", "Nh"}]}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{"Nm", "-", "y"}], ")"}]}], "-", 
        RowBox[{"\[Delta]", " ", "y"}]}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"sols", "[", "\[Mu]_", "]"}], ":=", 
    RowBox[{
     RowBox[{"Reduce", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", " ", "Reals"}], "]"}], "//", 
     "N"}]}], "\n", 
   RowBox[{"sols", "[", "1", "]"}], "\n", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"x", "\[Equal]", "0.`"}], "||", 
      RowBox[{"x", "\[Equal]", "333.33333333333326`"}]}], ")"}], "&&", 
    RowBox[{"y", "\[Equal]", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"6666.666666666667`", " ", "x"}], 
       RowBox[{
        RowBox[{"-", "1000.`"}], "+", 
        RowBox[{"1.`", " ", "x"}]}]]}]}]}], "\n", 
   RowBox[{
    RowBox[{"xEE", "[", "\[Mu]_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"sols", "[", "\[Mu]", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"yEE", "[", "\[Mu]_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"sols", "[", "\[Mu]", "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "/.", 
     RowBox[{"x", "->", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"sols", "[", "\[Mu]", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}]}]}]}], "\n", 
   RowBox[{
    RowBox[{"JEE", "[", "\[Mu]_", "]"}], ":=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
      "}"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "\[Rule]", 
        RowBox[{"xEE", "[", "\[Mu]", "]"}]}], ",", " ", 
       RowBox[{"y", "\[Rule]", 
        RowBox[{"yEE", "[", "\[Mu]", "]"}]}]}], "}"}]}]}], "\n", 
   RowBox[{
    RowBox[{"DetJEE", "[", "\[Mu]_", "]"}], ":=", 
    RowBox[{
     RowBox[{"Det", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
        
        RowBox[{"{", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
       "}"}], "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "\[Rule]", 
        RowBox[{"xEE", "[", "\[Mu]", "]"}]}], ",", " ", 
       RowBox[{"y", "\[Rule]", 
        RowBox[{"yEE", "[", "\[Mu]", "]"}]}]}], "}"}]}]}], "\n", 
   RowBox[{
    RowBox[{"TrJEE", "[", "\[Mu]_", "]"}], ":=", 
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
        
        RowBox[{"{", 
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
       "}"}], "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "\[Rule]", 
        RowBox[{"xEE", "[", "\[Mu]", "]"}]}], ",", " ", 
       RowBox[{"y", "\[Rule]", 
        RowBox[{"yEE", "[", "\[Mu]", "]"}]}]}], "}"}]}]}], "\n", 
   RowBox[{
    RowBox[{"a11", "[", "\[Mu]_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"JEE", "[", "\[Mu]", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"a12", "[", "\[Mu]_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"JEE", "[", "\[Mu]", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"a21", "[", "\[Mu]_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"JEE", "[", "\[Mu]", "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"a22", "[", "\[Mu]_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"JEE", "[", "\[Mu]", "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "\n"}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
   3.557249885112858*^9, 3.5572499095277967`*^9}, {3.5572499569692216`*^9, 
   3.557249966189176*^9}, {3.5825445141107173`*^9, 3.5825445638566914`*^9}, {
   3.5825447968749905`*^9, 3.582544804154719*^9}, {3.582544924191721*^9, 
   3.582544928048107*^9}, {3.5825453084331417`*^9, 3.5825453123045287`*^9}, {
   3.582546434497737*^9, 3.582546460465333*^9}, {3.5828985686490407`*^9, 
   3.5828985822664022`*^9}, {3.582901961894332*^9, 3.5829020885409946`*^9}, {
   3.582902295191658*^9, 3.582902308104949*^9}, {3.5829024166047983`*^9, 
   3.582902419358073*^9}, {3.637419571234527*^9, 3.637419580892541*^9}, {
   3.6374196444468193`*^9, 3.637419644942235*^9}, 3.63742122222129*^9}],

Cell[BoxData["0.05`"], "Output",
 CellChangeTimes->{{3.5829019824843903`*^9, 3.582902009025044*^9}, {
   3.5829020395420957`*^9, 3.5829020600651474`*^9}, 3.582902096134754*^9, 
   3.582902316324771*^9, 3.5829024282179594`*^9, 3.5829028077189054`*^9, 
   3.606741409120687*^9, {3.606744216946032*^9, 3.6067442403453712`*^9}, 
   3.6079679413153706`*^9, 3.6093410740331993`*^9, 3.609674012465057*^9, 
   3.610187641697288*^9, 3.63742119537995*^9, 3.637421226430523*^9, 
   3.637421268707962*^9, 3.640625353974502*^9}],

Cell[BoxData["0.05`"], "Output",
 CellChangeTimes->{{3.5829019824843903`*^9, 3.582902009025044*^9}, {
   3.5829020395420957`*^9, 3.5829020600651474`*^9}, 3.582902096134754*^9, 
   3.582902316324771*^9, 3.5829024282179594`*^9, 3.5829028077189054`*^9, 
   3.606741409120687*^9, {3.606744216946032*^9, 3.6067442403453712`*^9}, 
   3.6079679413153706`*^9, 3.6093410740331993`*^9, 3.609674012465057*^9, 
   3.610187641697288*^9, 3.63742119537995*^9, 3.637421226430523*^9, 
   3.637421268707962*^9, 3.640625353975877*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "\[Equal]", "0.`"}], "||", 
    RowBox[{"x", "\[Equal]", "333.33333333333326`"}]}], ")"}], "&&", 
  RowBox[{"y", "\[Equal]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"6666.666666666667`", " ", "x"}], 
     RowBox[{
      RowBox[{"-", "1000.`"}], "+", 
      RowBox[{"1.`", " ", "x"}]}]]}]}]}]], "Output",
 CellChangeTimes->{{3.5829019824843903`*^9, 3.582902009025044*^9}, {
   3.5829020395420957`*^9, 3.5829020600651474`*^9}, 3.582902096134754*^9, 
   3.582902316324771*^9, 3.5829024282179594`*^9, 3.5829028077189054`*^9, 
   3.606741409120687*^9, {3.606744216946032*^9, 3.6067442403453712`*^9}, 
   3.6079679413153706`*^9, 3.6093410740331993`*^9, 3.609674012465057*^9, 
   3.610187641697288*^9, 3.63742119537995*^9, 3.637421226430523*^9, 
   3.637421268707962*^9, 3.640625353977285*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "\[Equal]", "0.`"}], "||", 
    RowBox[{"x", "\[Equal]", "333.33333333333326`"}]}], ")"}], "&&", 
  RowBox[{"y", "\[Equal]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"6666.666666666667`", " ", "x"}], 
     RowBox[{
      RowBox[{"-", "1000.`"}], "+", 
      RowBox[{"1.`", " ", "x"}]}]]}]}]}]], "Output",
 CellChangeTimes->{{3.5829019824843903`*^9, 3.582902009025044*^9}, {
   3.5829020395420957`*^9, 3.5829020600651474`*^9}, 3.582902096134754*^9, 
   3.582902316324771*^9, 3.5829024282179594`*^9, 3.5829028077189054`*^9, 
   3.606741409120687*^9, {3.606744216946032*^9, 3.6067442403453712`*^9}, 
   3.6079679413153706`*^9, 3.6093410740331993`*^9, 3.609674012465057*^9, 
   3.610187641697288*^9, 3.63742119537995*^9, 3.637421226430523*^9, 
   3.637421268707962*^9, 3.640625353978649*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Mu]", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0.01", ",", " ", "2.24", ",", " ", "0.1"}], "]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"tabev1mu", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Eigenvalues", "[", 
       RowBox[{"JEE", "[", 
        RowBox[{"\[Mu]", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "\[Mu]", "]"}]}], "}"}]}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6374207905318003`*^9, 3.637420842819949*^9}, {
   3.637420876916781*^9, 3.637420907721203*^9}, 3.637421017311982*^9, {
   3.637421061353096*^9, 3.6374210852702637`*^9}, {3.6374211429233847`*^9, 
   3.637421186699566*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tabev2mu", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Eigenvalues", "[", 
       RowBox[{"JEE", "[", 
        RowBox[{"\[Mu]", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "\[Mu]", "]"}]}], "}"}]}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6374207905318003`*^9, 3.637420842819949*^9}, {
   3.637420876916781*^9, 3.637420922227117*^9}, 3.6374210118323393`*^9, {
   3.637421065201971*^9, 3.637421087028707*^9}, {3.637421146939158*^9, 
   3.6374212048429832`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Mu]", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"tabev1mu", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "\[Mu]", "]"}]}], "}"}]}], "]"}], ",", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Mu]", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"tabev2mu", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "\[Mu]", "]"}]}], "}"}]}], "]"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6374209535571127`*^9, 3.637420998329795*^9}, {
  3.637421075460875*^9, 3.637421101091333*^9}, {3.6374211692369747`*^9, 
  3.6374211921645184`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGAQB2IQXS2yzv1hVYt9nNYf40Sut/s1Y/oPfdXYY+/Tc/rd
z8T3+x9VgRScste4Em35+OKH/TcWF9hyXb9s/1zdsiL29cf9dlzXgSK37NW3
Tp5a8f/T/qAdcq2vAx/YC7/MXNvM/2V/2+tAoMhje/kPffWJMl/37wRJ73hm
Xz9RrGqT2rf9b0DSr1/aX7mravFG7/t+eZC03Ft7rQOPy9NNf0Dd88H+y1a+
ixlWP/cf/qoBFPloH9CxIE7N7tf+WJB0zGd7GYbK3tMOv/d/A0l//WLf0/Ft
X7XTn/0TQNL93+z/fNqhHuL8F2reD/tnIu+1cp3/Qc37aX/Zwij6ttN/qHm/
7a1eP5a9ocBwAGLeH/vr51Wy/s5nOAAx75/9zIAWwSdyjAfAwSfC4LCeM2X3
xLmMBx6Cw4vB4ZLn9yhuGaYDYOl1jA7dFWe8Q2cxHQAAy//G4g==
      "]]}, 
    {RGBColor[0.6, 0.24, 0.4428931686004542], PointBox[CompressedData["
1:eJxTTMoPSmViYGAQB2IQXS2yzv1hVYu9C+vSOZwzzu/XjOk/9FVjj/211orX
7u9O739UBVJwyt7HrILj6rUT+28sLrDlun7Z3vyl3VlhnWP77biuA0Vu2fta
rZG6d/Xw/qAdcq2vAx/Y221pXNR2+OD+tteBQJHH9gtOxuo/uLh//06Q9I5n
9ivs2ko+Vu7Z/wYk/fql/aHnnU/EC3fulwdJy721r5oxt15yzTaoez7Y963a
nf5Mccv+w181gCIf7dcbn30oeHrj/liQdMxn+3XpwlufOq3f/w0k/fWLPYfA
Yum99qv3TwBJ93+zT9rUwfOqeTnUvB/2DXPWOX1hXwI176f9k48H5fOPLoCa
99te4+bPtVNzZ0PN+2O/ZfWVc3HrpkLN+2e/4I0A2z6XCfvBwSfC4GDAdWxh
RVDb/ofg8GJw2DCJ25sxtHI/WHodo0PDbcWYp3ox+wFbmcia
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -2.3253580018782194`},
  Method->{},
  PlotRange->{{0, 2.21}, {-2.3253580018782194`, 0}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0442, 0.0442}, {0.04650716003756439, 
   0.04650716003756439}}]], "Output",
 CellChangeTimes->{3.637421195655702*^9, 3.637421226788678*^9, 
  3.637421269706476*^9, 3.640625355410448*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["export files", "Section",
 CellChangeTimes->{3.640625486079167*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<mu.csv\>\"", ",", " ", "\[Mu]"}], "]"}]], "Input",
 CellChangeTimes->{{3.640625367004191*^9, 3.640625376066098*^9}}],

Cell[BoxData["\<\"mu.csv\"\>"], "Output",
 CellChangeTimes->{3.640625376855617*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ev1mu.csv\>\"", ",", " ", "tabev1mu"}], "]"}]], "Input",
 CellChangeTimes->{{3.640625386002405*^9, 3.640625392850528*^9}}],

Cell[BoxData["\<\"ev1mu.csv\"\>"], "Output",
 CellChangeTimes->{3.640625393614274*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ev2mu.csv\>\"", ",", " ", "tabev2mu"}], "]"}]], "Input",
 CellChangeTimes->{{3.640625399195071*^9, 3.640625402386291*^9}}],

Cell[BoxData["\<\"ev2mu.csv\"\>"], "Output",
 CellChangeTimes->{3.640625402962413*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mortality rate", "Section",
 CellChangeTimes->{{3.637419670290357*^9, 3.637419675186822*^9}}],

Cell[CellGroupData[{

Cell["Parameters", "Subsubsection",
 CellChangeTimes->{{3.559560896211769*^9, 3.5595608981479626`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Nm", "=", "10000"}], ";", "   ", 
  RowBox[{"\[Mu]", "=", "0.01"}], ";", "  ", 
  RowBox[{"Nh", "=", "1000"}], ";", " ", 
  RowBox[{"p", "=", "0.5"}], ";", 
  RowBox[{"q", "=", "0.5"}], ";", 
  RowBox[{"k", "=", "0.3"}], ";", 
  RowBox[{"\[Sigma]", "=", "0.05"}], ";"}]], "Input",
 CellChangeTimes->{{3.556986019746208*^9, 3.5569860445223026`*^9}, {
   3.556986261786672*^9, 3.5569862655463924`*^9}, {3.5569868150831923`*^9, 
   3.5569868654915376`*^9}, {3.559493229027683*^9, 3.5594932330918865`*^9}, {
   3.5601581786399975`*^9, 3.5601581831514482`*^9}, {3.5601656412571898`*^9, 
   3.5601656463286967`*^9}, {3.5601665546725225`*^9, 3.560166556079663*^9}, {
   3.5617195287057753`*^9, 3.5617195328832808`*^9}, 3.5825441706313725`*^9, {
   3.5825442708993983`*^9, 3.5825442755378623`*^9}, {3.582544320499358*^9, 
   3.582544321682476*^9}, {3.5825459689861903`*^9, 3.5825459716894608`*^9}, {
   3.5825462894952383`*^9, 3.582546294006689*^9}, {3.5825518931115437`*^9, 
   3.5825518944226747`*^9}, {3.582551924760708*^9, 3.58255192517575*^9}, {
   3.5828985164218187`*^9, 3.5828985223714137`*^9}, {3.58289928181135*^9, 
   3.582899282851454*^9}, {3.58290295048118*^9, 3.5829029551686487`*^9}, {
   3.6067415283096867`*^9, 3.606741541316687*^9}, {3.6067442942597623`*^9, 
   3.606744297603097*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"eqnsRM", "[", "\[Delta]_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", 
         RowBox[{"p", "/", "Nh"}]}], ")"}], "*", "y", "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", "x"}], ")"}]}], "-", 
      RowBox[{"\[Mu]", " ", "x"}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", "q", " ", 
         RowBox[{"x", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", "y"}], ")"}]}], "-", 
      RowBox[{"\[Delta]", " ", "y"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.519571180172819*^9, 3.519571185596361*^9}, {
   3.520701703415719*^9, 3.520701735653719*^9}, {3.5267279752220283`*^9, 
   3.526728011333639*^9}, {3.5267295775462446`*^9, 3.52672958060155*^9}, {
   3.5272435254974394`*^9, 3.527243544599532*^9}, {3.527243590650166*^9, 
   3.52724363005742*^9}, {3.527243818760213*^9, 3.5272438192732425`*^9}, {
   3.5272441594827013`*^9, 3.527244160088736*^9}, {3.5272442026501703`*^9, 
   3.5272442216262555`*^9}, {3.5272590978215475`*^9, 3.527259104620227*^9}, {
   3.5272591444312077`*^9, 3.5272591492156863`*^9}, {3.5272599476815248`*^9, 
   3.5272599547682333`*^9}, {3.5272601165054054`*^9, 
   3.5272601179925547`*^9}, {3.5272605212425756`*^9, 3.527260539842576*^9}, {
   3.5541966434736705`*^9, 3.5541966483526707`*^9}, {3.554199890418194*^9, 
   3.5541999009632483`*^9}, {3.554213171991537*^9, 3.5542132137687144`*^9}, {
   3.5562880796654115`*^9, 3.556288080149027*^9}, {3.5562881328919363`*^9, 
   3.5562881338143663`*^9}, {3.556288252859419*^9, 3.5562883173716908`*^9}, {
   3.556288639125667*^9, 3.556288646983135*^9}, {3.556985900618725*^9, 
   3.5569859173605614`*^9}, {3.556985955977948*^9, 3.556985999040328*^9}, {
   3.5569861361513124`*^9, 3.556986138397784*^9}, {3.5569862697137265`*^9, 
   3.5569862731302357`*^9}, {3.5569868845242696`*^9, 
   3.5569869339165726`*^9}, {3.5569870648717556`*^9, 3.55698706877188*^9}, {
   3.557249200536383*^9, 3.5572492523463078`*^9}, {3.55724930783784*^9, 
   3.557249336059325*^9}, {3.5594926270758686`*^9, 3.559492652832854*^9}, {
   3.561719580584884*^9, 3.5617195882614875`*^9}, {3.561719722783152*^9, 
   3.5617197234865737`*^9}, {3.5671756912573953`*^9, 3.567175700425312*^9}, {
   3.5825441835186615`*^9, 3.5825442394242516`*^9}, {3.5825462958168697`*^9, 
   3.582546297047993*^9}, {3.5828985250926857`*^9, 3.582898526980874*^9}, {
   3.5829019347876215`*^9, 3.582901935685711*^9}, 3.5829026023713727`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sols", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", " ", "Reals"}], "]"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.5541966693446703`*^9, 3.5541966804306707`*^9}, {
   3.5541968726606703`*^9, 3.5541968774916706`*^9}, {3.5541999144835997`*^9, 
   3.5541999190270543`*^9}, {3.554200238404261*^9, 3.5542002436192613`*^9}, {
   3.556288483901885*^9, 3.556288484806714*^9}, {3.556288657199264*^9, 
   3.5562886703219023`*^9}, {3.5569861788310966`*^9, 
   3.5569862162856135`*^9}, {3.5572493802110267`*^9, 3.557249401833458*^9}, {
   3.55724945309803*^9, 3.557249465375702*^9}, {3.582544243199629*^9, 
   3.582544265664875*^9}, {3.5825443426765757`*^9, 3.5825443437326813`*^9}, {
   3.5825463016244507`*^9, 3.582546302856574*^9}, {3.58254633501779*^9, 
   3.582546340554343*^9}, {3.5828985362137976`*^9, 3.582898539877164*^9}, 
   3.582902607684904*^9, {3.5829029260007324`*^9, 3.5829029310252347`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sols", "[", 
  RowBox[{"1", "/", "7"}], "]"}]], "Input",
 CellChangeTimes->{{3.557249468729831*^9, 3.557249478012188*^9}, 
   3.557249649519188*^9, {3.5594927032385235`*^9, 3.559492703588681*^9}, {
   3.5617197021938057`*^9, 3.5617197028652086`*^9}, {3.582544286447953*^9, 
   3.582544288975206*^9}, 3.5825443615714645`*^9, {3.582899300963265*^9, 
   3.5828993014433126`*^9}, {3.5829029475038824`*^9, 3.582902959312063*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "\[Equal]", "0.`"}], "||", 
    RowBox[{"x", "\[Equal]", "987.0703248186692`"}]}], ")"}], "&&", 
  RowBox[{"y", "\[Equal]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"66.66666666666667`", " ", "x"}], 
     RowBox[{
      RowBox[{"-", "1000.`"}], "+", 
      RowBox[{"1.`", " ", "x"}]}]]}]}]}]], "Output",
 CellChangeTimes->{{3.5572494711791253`*^9, 3.5572494786362123`*^9}, 
   3.557249649940404*^9, 3.5573223618943653`*^9, 3.557322393608799*^9, 
   3.5594927044090505`*^9, 3.5594932923245897`*^9, 3.5594951537000713`*^9, 
   3.55956031011652*^9, 3.5595631052106466`*^9, 3.5600985759122267`*^9, 
   3.560158189656099*^9, 3.5601656514452085`*^9, 3.560166561180173*^9, 
   3.56171959697171*^9, 3.5617197035236034`*^9, 3.5617197406508665`*^9, 
   3.56717557199247*^9, 3.5671757082930984`*^9, 3.5671819382720337`*^9, 
   3.567184400007183*^9, 3.5825442902233305`*^9, {3.5825443473480425`*^9, 
   3.5825443621105185`*^9}, 3.58254522991129*^9, 3.5825452664909477`*^9, 
   3.5825459744587374`*^9, 3.5825517637036037`*^9, 3.5825518989061227`*^9, 
   3.5825519300432367`*^9, 3.5825520641596465`*^9, 3.582899302794448*^9, 
   3.5829004312322807`*^9, {3.5829029422543573`*^9, 3.582902960044136*^9}, 
   3.5829031193890696`*^9, 3.606741561350687*^9, 3.606744339364272*^9, 
   3.607964961436371*^9, 3.607966911453371*^9, 3.608999808141624*^9, 
   3.609341343734166*^9, 3.609674013868197*^9, 3.6101876430784264`*^9, 
   3.6374213709559393`*^9, 3.64062540707753*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"xEE", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "\[Delta]", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
   3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.58254438312562*^9, 
   3.582544419270234*^9}, {3.5825463967159586`*^9, 3.5825464004593334`*^9}, 
   3.5828985425484314`*^9, {3.5828993217493434`*^9, 3.582899324261595*^9}, 
   3.58290260993913*^9, {3.582902912415374*^9, 3.5829029146555977`*^9}, {
   3.606741553139687*^9, 3.606741553323687*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"yEE", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "\[Delta]", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", 
   RowBox[{"x", "->", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"sols", "[", "\[Delta]", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
   3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.5572496707984056`*^9, 
   3.5572496819372344`*^9}, {3.582544387717079*^9, 3.582544388373145*^9}, {
   3.582544429623269*^9, 3.582544500795386*^9}, {3.58254640252454*^9, 
   3.5825464067639637`*^9}, {3.582551914536686*^9, 3.5825519158008122`*^9}, 
   3.582898544485625*^9, {3.582899332102379*^9, 3.582899336454814*^9}, 
   3.5829026111722527`*^9, {3.5829029180799403`*^9, 3.5829029227204046`*^9}, {
   3.606741556579687*^9, 3.606741556771687*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JEE", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], "}"}],
    "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "\[Delta]", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "\[Delta]", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
   3.557249885112858*^9, 3.5572499095277967`*^9}, {3.5572499569692216`*^9, 
   3.557249966189176*^9}, {3.5825445141107173`*^9, 3.5825445638566914`*^9}, {
   3.5825447968749905`*^9, 3.582544804154719*^9}, {3.582544924191721*^9, 
   3.582544928048107*^9}, {3.5825453084331417`*^9, 3.5825453123045287`*^9}, {
   3.582546434497737*^9, 3.582546460465333*^9}, {3.5828985686490407`*^9, 
   3.5828985822664022`*^9}, 3.582902612534389*^9, {3.5829029893980713`*^9, 
   3.582903021495281*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DetJEE", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Det", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
     "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "\[Delta]", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "\[Delta]", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
   3.557249885112858*^9, 3.5572499095277967`*^9}, {3.582544816460949*^9, 
   3.582544850317334*^9}, {3.582544930064308*^9, 3.5825449330566072`*^9}, {
   3.582545320578356*^9, 3.582545323072605*^9}, {3.5825464372650137`*^9, 
   3.582546437761063*^9}, {3.582551562718508*^9, 3.582551570526288*^9}, {
   3.5828985958197575`*^9, 3.5828986062988057`*^9}, 3.5829026164067764`*^9, {
   3.582903008968028*^9, 3.582903026392771*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TrJEE", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
     "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "\[Delta]", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "\[Delta]", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.5572498228336563`*^9}, {
   3.5572498684046154`*^9, 3.5572498690598407`*^9}, 3.557249915456025*^9, {
   3.5825448317734804`*^9, 3.5825448547657795`*^9}, {3.5825449350238047`*^9, 
   3.582544939904292*^9}, {3.5825453275710554`*^9, 3.582545329633261*^9}, {
   3.5825464402893157`*^9, 3.5825464412664137`*^9}, {3.5825515664618816`*^9, 
   3.5825515724774833`*^9}, {3.582898600363212*^9, 3.5828986079149675`*^9}, 
   3.5829026150786433`*^9, {3.58290301347948*^9, 3.5829030281199436`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a11", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "\[Delta]", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557249995097088*^9}, {
   3.5572506164947824`*^9, 3.5572506173684163`*^9}, {3.582544857401043*^9, 
   3.582544862633566*^9}, {3.5825515774019756`*^9, 3.582551581337369*^9}, {
   3.5828986371608915`*^9, 3.5828986407922544`*^9}, 3.5829028898071136`*^9, {
   3.5829030320683384`*^9, 3.5829030330284343`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a12", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "\[Delta]", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.5572500074079657`*^9}, {
   3.5572506212217646`*^9, 3.5572506219861937`*^9}, {3.582544870522355*^9, 
   3.582544881562459*^9}, {3.582551583097545*^9, 3.5825516056427994`*^9}, {
   3.5828986349196672`*^9, 3.5828986472248974`*^9}, 3.5829028924793806`*^9, {
   3.5829030348206134`*^9, 3.582903035716703*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a21", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "\[Delta]", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557250016674782*^9}, {
   3.5572506241390767`*^9, 3.557250629848896*^9}, {3.58254487217052*^9, 
   3.582544879610264*^9}, {3.5825515857698126`*^9, 3.5825516070179367`*^9}, {
   3.5828986330154767`*^9, 3.5828986487760525`*^9}, 3.5829028941755505`*^9, {
   3.582903037492881*^9, 3.5829030383889704`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a22", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "\[Delta]", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557250025708587*^9}, {
   3.5572506323137913`*^9, 3.557250636323145*^9}, {3.582544874905793*^9, 
   3.58254487737004*^9}, {3.5825515883460703`*^9, 3.5825516089221277`*^9}, {
   3.582898629288104*^9, 3.582898650568232*^9}, 3.582902897391872*^9, {
   3.582903040196151*^9, 3.5829030410122323`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B11", "[", "\[Delta]_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"p", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"yEE", "[", "\[Delta]", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nh", "-", 
      RowBox[{"xEE", "[", "\[Delta]", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Mu]", " ", 
    RowBox[{"xEE", "[", "\[Delta]", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557250038969182*^9, 3.5572500604669466`*^9}, {
   3.559492735036815*^9, 3.5594927806431365`*^9}, {3.582544885146817*^9, 
   3.5825449148757896`*^9}, {3.582544945932895*^9, 3.5825449535986614`*^9}, {
   3.5825515909233274`*^9, 3.58255161714695*^9}, 3.582898627335909*^9, {
   3.5828986574499197`*^9, 3.5828986627944546`*^9}, {3.5828993677659445`*^9, 
   3.5828993833375015`*^9}, 3.58290289916805*^9, {3.58290304358949*^9, 
   3.5829030498301144`*^9}, {3.606744303165653*^9, 3.606744306008937*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B12", "[", "\[Delta]_", "]"}], ":=", "0"}]], "Input",
 CellChangeTimes->{{3.557250068548109*^9, 3.557250109359541*^9}, {
   3.5594927878030243`*^9, 3.5594927918775573`*^9}, {3.5825448867299757`*^9, 
   3.582544893738676*^9}, {3.582551593897625*^9, 3.5825515955607915`*^9}, {
   3.5828986125984354`*^9, 3.5828986182460003`*^9}, 3.58290290097523*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B21", "[", "\[Delta]_", "]"}], ":=", "0"}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.557250120311232*^9}, {
   3.5594927900844345`*^9, 3.55949279483809*^9}, {3.5825448883781404`*^9, 
   3.5825448964579477`*^9}, {3.5825515972419596`*^9, 3.58255159834507*^9}, 
   3.582898624455621*^9, 3.5829029031184444`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B22", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"xEE", "[", "\[Delta]", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "\[Delta]", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Delta]", " ", 
    RowBox[{"yEE", "[", "\[Delta]", "]"}]}], "+", 
   RowBox[{
    RowBox[{"\[Sigma]", "^", "2"}], "*", 
    RowBox[{"yEE", "[", "\[Delta]", "]"}], "*", 
    RowBox[{"yEE", "[", "\[Delta]", "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.5572501626671324`*^9}, {
   3.559492802858534*^9, 3.5594928166756196`*^9}, {3.5601584582819586`*^9, 
   3.5601584596270933`*^9}, {3.582544890203323*^9, 3.5825448905233545`*^9}, {
   3.5825449651668186`*^9, 3.5825450095042515`*^9}, {3.582551600619297*^9, 
   3.58255162634787*^9}, 3.5828986260567813`*^9, {3.582898665097685*^9, 
   3.582898670378213*^9}, 3.5829029055686893`*^9, {3.5829030524853797`*^9, 
   3.58290305919005*^9}, {3.606744307949131*^9, 3.606744321621498*^9}, {
   3.6079649414283705`*^9, 3.607964949960371*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B22", "[", "22", "]"}]], "Input",
 CellChangeTimes->{{3.607966982743371*^9, 3.607966996316371*^9}}],

Cell[BoxData["66.22086113956074`"], "Output",
 CellChangeTimes->{{3.6079669868853707`*^9, 3.6079669972403708`*^9}, 
   3.608999808278624*^9, 3.609341343981191*^9, 3.6096740139692073`*^9, 
   3.6101876431854367`*^9, 3.637421372058683*^9, 3.640625408556156*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Delta]", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0.1", ",", " ", "22", ",", " ", "0.25"}], "]"}]}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Delta]", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"Eigenvalues", "[", 
          RowBox[{"JEE", "[", 
           RowBox[{"\[Delta]", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "\[Delta]", "]"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Delta]", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"Eigenvalues", "[", 
          RowBox[{"JEE", "[", 
           RowBox[{"\[Delta]", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "\[Delta]", "]"}]}], "}"}]}], "]"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
  3.557249885112858*^9, 3.5572499095277967`*^9}, {3.5572499569692216`*^9, 
  3.557249966189176*^9}, {3.5825445141107173`*^9, 3.5825445638566914`*^9}, {
  3.5825447968749905`*^9, 3.582544804154719*^9}, {3.582544924191721*^9, 
  3.582544928048107*^9}, {3.5825453084331417`*^9, 3.5825453123045287`*^9}, {
  3.582546434497737*^9, 3.582546460465333*^9}, {3.5828985686490407`*^9, 
  3.5828985822664022`*^9}, {3.582901961894332*^9, 3.5829020885409946`*^9}, {
  3.582902295191658*^9, 3.582902308104949*^9}, {3.5829024166047983`*^9, 
  3.582902419358073*^9}, {3.58290332221235*^9, 3.5829033386459928`*^9}, {
  3.6067420822105656`*^9, 3.6067421378511295`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJwt039M1HUcx/ED0SMg4Pj9PeC44/h9HNzxubMF4b1mTZeroWKIlhQonOUQ
kmyTMltEISishT+uhXQglI2pmw00x+6YQMgQNEQ64I47OBG6iB/jNp2lBfd+
b7fvHnvu9cd3352koGRnoTuPx8v9/7f6/E63ejc0eUn/sHyveUPR2j3Q7N3/
8qHTG20GtnbTmjxzR63vq7Nkh6ZJqr/bJFg0uPZLGg1ffVzmuUJ2agxjFS1v
8B6Tn2i6Nxcr1z15Sv5X06K71/t06bnhzsDq8WC5b/i82ulmdNkdpV63fota
Xkf2wLC033zj7/XkDZDnF1/NcfDJnihN3xrkfPQC2Qs1ItHeers32QfCt9rC
VLYXyb5Y9jjjd9/sZ3S9rz/GlN94p8/7kwWoM3/gXe0QkANw/p71uWkugBwI
n00n7YmzgeQg9M4uth+bCSIHI/OzuaO37cHkEPQcCZFw0yHkUJTX6K8ftIWS
w5Dv9My8PhlG5rBF8Owy38KRheh8M8tv94SQHA5hoSmvdSycHIGWs8cvOP+I
IEdiBOFDr41GkkXo6KtZ+nZERI7C4cAfNkwPRxld31MMZ1Udn3tf7PI1MUoq
pioxS2YS+LXon2m1EuoSXE4VH6mbIbNoaCVt1vbCaOrR6D9Uu81iJzMpxlTe
V9cfkFKXwiOyQCCfJrMY/PrV4OFdBTHUY3DS/HXfJzYyi0XMeJeo+b1Y6rGo
v932Yf8kmcXhYdfRrqW8OOpxiH20xZezkFk86hq25mJfPPV4ODq/b9ROkFkC
0HPQXvt2AvUE8NwG4trHyCwRkx32IvOeROqJ+DJr6KKHicySkFPSapXlJlFP
QrW4Qpg9SmYy/OL4dGd5joy6DO4rl6r0I2SWjFz/qM6+XcnUk1E2tbCwMExm
cmT8lSIJzZZTl+Oj5vntm34nsxTMVLxyonBHCvUUCMWytlN3ySwV44q+0WtZ
qdRTUdkscR8fTDWu/R85BRqzm4Ld4hUu71Hg/MSFS/VFZJ0CK7t9MhNaySYF
/ixYHLr5kMwp8cWO7QVZsUraKxHClCtTB8g6JSofnKv8+CLZpETUYFWIl53M
pSGjzPPHBmka7dPQOCd8SbmfrEuDPrq7t7uJbEqDwMrPyZ0icwyP2+fsDgmj
PYMkoLjsRD5Zx3BMdcYtUE82MWzLKKxrtZI5FV4XWyPSxSraq3D6pufPd94l
61TY12PbmN9INqlgGy2+tWIhc2oYS69kVYnUtFejYfmn8fA8sk6N8tZ3tFca
yCY1BJ0Dy5vNauN/VMB17A==
      "]]}, 
    {RGBColor[0.6, 0.24, 0.4428931686004542], PointBox[CompressedData["
1:eJwt0w9MlHUcx/GfB2XSQeCFB4nKKRmCdidHTcV8vg5awloi1TwoViCYGNoF
gRd48iCFpYZ4cfPkSA/UkHB0gxjKkLu5LOOPMgJSi2Q2g2k1qWzXH13fx/v8
ttvttffzue2eZ48u962MfJUQwsQf5bv+sHLOSCkPnGiY5bjk2Xz/jEmPqDKK
HVlXPcb75yfp+TknQ8p2DsO3JHf0yorvD/V7/Ptp6fWgyz3TE+fhO5Ic16kN
VZ+D/5bSo+o0u+t74buSecf8SkNZt2dwQDmCZLvWXZTcBauIJFtGjfsLOJCE
c4UlwN4OP0heR4Rd+60bfojEhRZ31qk2OIjkh8+OqhecgtVEiZoI11QLHELe
mIvuEV8z/m8oyebJZ5KSP4XDSD5Wol/cexyeTfI3I0W3c47BGpJbdY7y2Cb4
UZIrV98bVjfC4SQCq5OnglzwHBJqV8O5NUdgLYnpKueNmgY4gsQu57Y9M5xw
JImJ6yfabIfhx0gUDmf51jjguSTiN6y3BhyCo0g0ZjT3jNvheSRC14/v7a+D
55P4emZAYP/H8AISCZl2+aoNzzOaRL1l437fQb872LaBvh8XwUYdCfr99kuv
1KKzf3HqLycdQF9Ioqf3n7LRj9DZltTn7lTuR19E4s+/CkakfejswlJPX/Be
9BgSeVuXtN78AJ1dSIb80T3oj5OI1nw+Y7AanZ13/I+jQ++jLyaxIp+Kr72H
zjY1NXp9VehP8P0vnTU+F+5g79SfjF+3Gz2WhKixRFkr0dmra31x3TL6EhLr
3gnrvluBzqa0K1X2XehxJGpvDV1fZUVnm6d/C/+1HD2ehOGN5Vtby9AVZ2av
LHkXfSmJLRETU6kWdLZv4cWp2B3oy/j6Zf+1h5Wis2VJ3xdQgv4kCVdyzpl7
xejsoXatRgUb9eycPnNwETpbNJuKot/2v4+RBv699H1nV5n9zmR7I1P+7dqO
95U9sXTs/Mxtfl9hu3QXUvLexH45941f3RwowJ7t2n4gYe0W7NnyWO4R72bs
lesryrvS8rFP4Out9uBrm7BnTxy0Pm3NxZ4dfbplMCYHe7bc2TH52WvYG/l5
/Fzxybxs7Nne0eywxizslZ5+1JVowl5xQZf7u5exT+T7Ed7d9uGL2CvW3QhJ
24A9W7ZtchhewF7xqz9cmkzF/in27J7h089izxaqL7ub1mKvuLrOlJqEveJO
qbXc6Pkfw0Fd+w==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -21.864302802071567`},
  Method->{},
  PlotRange->{{0, 21.85}, {-21.864302802071567`, 0}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.43700000000000006`, 0.43700000000000006`}, {
   0.43728605604143134`, 0.43728605604143134`}}]], "Output",
 CellChangeTimes->{
  3.582903348285957*^9, 3.606741925279874*^9, {3.606742104165761*^9, 
   3.606742141491493*^9}, 3.6067443744457808`*^9, 3.607964998344371*^9, 
   3.6093413798177743`*^9, 3.609674050690879*^9, 3.6101876792440424`*^9, 
   3.637421375084154*^9, 3.640625411856122*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"tabev1d", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Eigenvalues", "[", 
       RowBox[{"JEE", "[", 
        RowBox[{"\[Delta]", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "\[Delta]", "]"}]}], "}"}]}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6374207905318003`*^9, 3.637420842819949*^9}, {
   3.637420876916781*^9, 3.637420907721203*^9}, 3.637421017311982*^9, {
   3.637421061353096*^9, 3.6374210852702637`*^9}, {3.6374211429233847`*^9, 
   3.637421186699566*^9}, {3.6374213326162558`*^9, 3.63742136526609*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tabev2d", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Eigenvalues", "[", 
       RowBox[{"JEE", "[", 
        RowBox[{"\[Delta]", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "\[Delta]", "]"}]}], "}"}]}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "2"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6374207905318003`*^9, 3.637420842819949*^9}, {
   3.637420876916781*^9, 3.637420922227117*^9}, 3.6374210118323393`*^9, {
   3.637421065201971*^9, 3.637421087028707*^9}, {3.637421146939158*^9, 
   3.6374212048429832`*^9}, {3.637421335336379*^9, 3.637421363409244*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Delta]", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"tabev1d", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "\[Delta]", "]"}]}], "}"}]}], "]"}], ",", " ", 
    
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Delta]", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"tabev2d", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "\[Delta]", "]"}]}], "}"}]}], "]"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6374209535571127`*^9, 3.637420998329795*^9}, {
  3.637421075460875*^9, 3.637421101091333*^9}, {3.6374211692369747`*^9, 
  3.6374211921645184`*^9}, {3.6374213442816772`*^9, 3.637421361112391*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJwt039M1HUcx/ED0SMg4Pj9PeC44/h9HNzxubMF4b1mTZeroWKIlhQonOUQ
kmyTMltEISishT+uhXQglI2pmw00x+6YQMgQNEQ64I47OBG6iB/jNp2lBfd+
b7fvHnvu9cd3352koGRnoTuPx8v9/7f6/E63ejc0eUn/sHyveUPR2j3Q7N3/
8qHTG20GtnbTmjxzR63vq7Nkh6ZJqr/bJFg0uPZLGg1ffVzmuUJ2agxjFS1v
8B6Tn2i6Nxcr1z15Sv5X06K71/t06bnhzsDq8WC5b/i82ulmdNkdpV63fota
Xkf2wLC033zj7/XkDZDnF1/NcfDJnihN3xrkfPQC2Qs1ItHeers32QfCt9rC
VLYXyb5Y9jjjd9/sZ3S9rz/GlN94p8/7kwWoM3/gXe0QkANw/p71uWkugBwI
n00n7YmzgeQg9M4uth+bCSIHI/OzuaO37cHkEPQcCZFw0yHkUJTX6K8ftIWS
w5Dv9My8PhlG5rBF8Owy38KRheh8M8tv94SQHA5hoSmvdSycHIGWs8cvOP+I
IEdiBOFDr41GkkXo6KtZ+nZERI7C4cAfNkwPRxld31MMZ1Udn3tf7PI1MUoq
pioxS2YS+LXon2m1EuoSXE4VH6mbIbNoaCVt1vbCaOrR6D9Uu81iJzMpxlTe
V9cfkFKXwiOyQCCfJrMY/PrV4OFdBTHUY3DS/HXfJzYyi0XMeJeo+b1Y6rGo
v932Yf8kmcXhYdfRrqW8OOpxiH20xZezkFk86hq25mJfPPV4ODq/b9ROkFkC
0HPQXvt2AvUE8NwG4trHyCwRkx32IvOeROqJ+DJr6KKHicySkFPSapXlJlFP
QrW4Qpg9SmYy/OL4dGd5joy6DO4rl6r0I2SWjFz/qM6+XcnUk1E2tbCwMExm
cmT8lSIJzZZTl+Oj5vntm34nsxTMVLxyonBHCvUUCMWytlN3ySwV44q+0WtZ
qdRTUdkscR8fTDWu/R85BRqzm4Ld4hUu71Hg/MSFS/VFZJ0CK7t9MhNaySYF
/ixYHLr5kMwp8cWO7QVZsUraKxHClCtTB8g6JSofnKv8+CLZpETUYFWIl53M
pSGjzPPHBmka7dPQOCd8SbmfrEuDPrq7t7uJbEqDwMrPyZ0icwyP2+fsDgmj
PYMkoLjsRD5Zx3BMdcYtUE82MWzLKKxrtZI5FV4XWyPSxSraq3D6pufPd94l
61TY12PbmN9INqlgGy2+tWIhc2oYS69kVYnUtFejYfmn8fA8sk6N8tZ3tFca
yCY1BJ0Dy5vNauN/VMB17A==
      "]]}, 
    {RGBColor[0.6, 0.24, 0.4428931686004542], PointBox[CompressedData["
1:eJwt0w9MlHUcx/GfB2XSQeCFB4nKKRmCdidHTcV8vg5awloi1TwoViCYGNoF
gRd48iCFpYZ4cfPkSA/UkHB0gxjKkLu5LOOPMgJSi2Q2g2k1qWzXH13fx/v8
ttvttffzue2eZ48u962MfJUQwsQf5bv+sHLOSCkPnGiY5bjk2Xz/jEmPqDKK
HVlXPcb75yfp+TknQ8p2DsO3JHf0yorvD/V7/Ptp6fWgyz3TE+fhO5Ic16kN
VZ+D/5bSo+o0u+t74buSecf8SkNZt2dwQDmCZLvWXZTcBauIJFtGjfsLOJCE
c4UlwN4OP0heR4Rd+60bfojEhRZ31qk2OIjkh8+OqhecgtVEiZoI11QLHELe
mIvuEV8z/m8oyebJZ5KSP4XDSD5Wol/cexyeTfI3I0W3c47BGpJbdY7y2Cb4
UZIrV98bVjfC4SQCq5OnglzwHBJqV8O5NUdgLYnpKueNmgY4gsQu57Y9M5xw
JImJ6yfabIfhx0gUDmf51jjguSTiN6y3BhyCo0g0ZjT3jNvheSRC14/v7a+D
55P4emZAYP/H8AISCZl2+aoNzzOaRL1l437fQb872LaBvh8XwUYdCfr99kuv
1KKzf3HqLycdQF9Ioqf3n7LRj9DZltTn7lTuR19E4s+/CkakfejswlJPX/Be
9BgSeVuXtN78AJ1dSIb80T3oj5OI1nw+Y7AanZ13/I+jQ++jLyaxIp+Kr72H
zjY1NXp9VehP8P0vnTU+F+5g79SfjF+3Gz2WhKixRFkr0dmra31x3TL6EhLr
3gnrvluBzqa0K1X2XehxJGpvDV1fZUVnm6d/C/+1HD2ehOGN5Vtby9AVZ2av
LHkXfSmJLRETU6kWdLZv4cWp2B3oy/j6Zf+1h5Wis2VJ3xdQgv4kCVdyzpl7
xejsoXatRgUb9eycPnNwETpbNJuKot/2v4+RBv699H1nV5n9zmR7I1P+7dqO
95U9sXTs/Mxtfl9hu3QXUvLexH45941f3RwowJ7t2n4gYe0W7NnyWO4R72bs
lesryrvS8rFP4Out9uBrm7BnTxy0Pm3NxZ4dfbplMCYHe7bc2TH52WvYG/l5
/Fzxybxs7Nne0eywxizslZ5+1JVowl5xQZf7u5exT+T7Ed7d9uGL2CvW3QhJ
24A9W7ZtchhewF7xqz9cmkzF/in27J7h089izxaqL7ub1mKvuLrOlJqEveJO
qbXc6Pkfw0Fd+w==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -21.864302802071567`},
  Method->{},
  PlotRange->{{0, 21.85}, {-21.864302802071567`, 0}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.43700000000000006`, 0.43700000000000006`}, {
   0.43728605604143134`, 0.43728605604143134`}}]], "Output",
 CellChangeTimes->{3.637421378204508*^9, 3.6406254151511507`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["export files", "Section",
 CellChangeTimes->{{3.640625474024761*^9, 3.640625477077917*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ev1d.csv\>\"", ",", " ", "tabev1d"}], "]"}]], "Input",
 CellChangeTimes->{{3.640625420762546*^9, 3.640625426746282*^9}}],

Cell[BoxData["\<\"ev1d.csv\"\>"], "Output",
 CellChangeTimes->{3.640625429961894*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ev2d.csv\>\"", ",", " ", "tabev2d"}], "]"}]], "Input",
 CellChangeTimes->{{3.640625420762546*^9, 3.640625439032815*^9}}],

Cell[BoxData["\<\"ev2d.csv\"\>"], "Output",
 CellChangeTimes->{3.64062543952734*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<d.csv\>\"", ",", " ", "\[Delta]"}], "]"}]], "Input",
 CellChangeTimes->{{3.640625420762546*^9, 3.6406254509275627`*^9}}],

Cell[BoxData["\<\"d.csv\"\>"], "Output",
 CellChangeTimes->{3.640625452602787*^9}]
}, Open  ]]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{740, 867},
WindowMargins->{{120, Automatic}, {Automatic, 22}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 673, 21, 32, "Input"],
Cell[CellGroupData[{
Cell[1255, 45, 537, 16, 32, "Input"],
Cell[1795, 63, 1175, 35, 58, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3007, 103, 146, 3, 32, "Input"],
Cell[3156, 108, 964, 29, 58, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4157, 142, 885, 28, 77, "Input"],
Cell[5045, 172, 2074, 62, 135, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7156, 239, 226, 5, 32, "Input"],
Cell[7385, 246, 2926, 79, 112, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10348, 330, 304, 8, 32, "Input"],
Cell[10655, 340, 767, 23, 95, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11459, 368, 111, 1, 81, "Section"],
Cell[CellGroupData[{
Cell[11595, 373, 103, 1, 35, "Subsubsection"],
Cell[11701, 376, 1059, 19, 55, "Input"],
Cell[12763, 397, 1290, 33, 55, "Input"],
Cell[14056, 432, 1147, 26, 77, "Input"],
Cell[CellGroupData[{
Cell[15228, 462, 329, 5, 32, "Input"],
Cell[15560, 469, 1380, 26, 49, "Output"]
}, Open  ]],
Cell[16955, 498, 498, 12, 32, "Input"],
Cell[17456, 512, 805, 21, 32, "Input"],
Cell[CellGroupData[{
Cell[18286, 537, 179, 3, 32, "Input"],
Cell[18468, 542, 474, 6, 32, "Output"]
}, Open  ]],
Cell[18957, 551, 1501, 41, 99, "Input"],
Cell[20461, 594, 223, 6, 32, "Input"],
Cell[CellGroupData[{
Cell[20709, 604, 1567, 46, 121, "Input"],
Cell[22279, 652, 3421, 62, 237, "Output"]
}, Open  ]],
Cell[25715, 717, 736, 22, 55, "Input"],
Cell[26454, 741, 601, 16, 55, "Input"],
Cell[27058, 759, 603, 16, 55, "Input"],
Cell[CellGroupData[{
Cell[27686, 779, 892, 27, 55, "Input"],
Cell[28581, 808, 3578, 65, 233, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[32220, 880, 73, 1, 81, "Section"],
Cell[CellGroupData[{
Cell[32318, 885, 93, 1, 32, "Input"],
Cell[32414, 888, 1461, 22, 209, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33912, 915, 214, 4, 32, "Input"],
Cell[34129, 921, 107, 1, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34273, 927, 147, 2, 32, "Input"],
Cell[34423, 931, 4896, 103, 407, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39356, 1039, 224, 4, 32, "Input"],
Cell[39583, 1045, 106, 1, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39726, 1051, 222, 4, 32, "Input"],
Cell[39951, 1057, 110, 1, 32, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[40110, 1064, 96, 1, 81, "Section"],
Cell[CellGroupData[{
Cell[40231, 1069, 103, 1, 35, "Subsubsection"],
Cell[40337, 1072, 1215, 21, 55, "Input"],
Cell[41555, 1095, 1302, 34, 55, "Input"],
Cell[42860, 1131, 1240, 27, 55, "Input"],
Cell[CellGroupData[{
Cell[44125, 1162, 329, 5, 32, "Input"],
Cell[44457, 1169, 1436, 27, 49, "Output"]
}, Open  ]],
Cell[45908, 1199, 547, 13, 32, "Input"],
Cell[46458, 1214, 904, 22, 32, "Input"],
Cell[CellGroupData[{
Cell[47387, 1240, 230, 4, 32, "Input"],
Cell[47620, 1246, 609, 8, 32, "Output"]
}, Open  ]],
Cell[48244, 1257, 1543, 42, 99, "Input"],
Cell[49790, 1301, 1548, 42, 99, "Input"],
Cell[51341, 1345, 1592, 43, 99, "Input"],
Cell[52936, 1390, 435, 10, 32, "Input"],
Cell[53374, 1402, 437, 10, 32, "Input"],
Cell[53814, 1414, 434, 10, 32, "Input"],
Cell[54251, 1426, 434, 10, 32, "Input"],
Cell[54688, 1438, 1180, 31, 55, "Input"],
Cell[55871, 1471, 743, 19, 55, "Input"],
Cell[56617, 1492, 773, 20, 55, "Input"],
Cell[57393, 1514, 1276, 33, 55, "Input"],
Cell[58672, 1549, 157, 5, 32, "Input"],
Cell[58832, 1556, 652, 17, 55, "Input"],
Cell[59487, 1575, 652, 17, 55, "Input"],
Cell[CellGroupData[{
Cell[60164, 1596, 939, 28, 55, "Input"],
Cell[61106, 1626, 1983, 38, 239, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[63150, 1671, 97, 1, 81, "Section"],
Cell[CellGroupData[{
Cell[63272, 1676, 165, 3, 32, "Input"],
Cell[63440, 1681, 82, 1, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63559, 1687, 176, 3, 32, "Input"],
Cell[63738, 1692, 87, 1, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63862, 1698, 174, 3, 32, "Input"],
Cell[64039, 1703, 85, 1, 32, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[64173, 1710, 98, 1, 81, "Section"],
Cell[CellGroupData[{
Cell[64296, 1715, 8328, 238, 675, "Input"],
Cell[72627, 1955, 515, 7, 32, "Output"],
Cell[73145, 1964, 515, 7, 32, "Output"],
Cell[73663, 1973, 863, 19, 49, "Output"],
Cell[74529, 1994, 863, 19, 49, "Output"]
}, Open  ]],
Cell[75407, 2016, 160, 5, 32, "Input"],
Cell[75570, 2023, 713, 18, 55, "Input"],
Cell[76286, 2043, 713, 18, 55, "Input"],
Cell[CellGroupData[{
Cell[77024, 2065, 1010, 29, 55, "Input"],
Cell[78037, 2096, 1618, 32, 239, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[79704, 2134, 73, 1, 81, "Section"],
Cell[CellGroupData[{
Cell[79802, 2139, 170, 3, 32, "Input"],
Cell[79975, 2144, 83, 1, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80095, 2150, 176, 3, 32, "Input"],
Cell[80274, 2155, 86, 1, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80397, 2161, 176, 3, 32, "Input"],
Cell[80576, 2166, 86, 1, 32, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[80711, 2173, 99, 1, 81, "Section"],
Cell[CellGroupData[{
Cell[80835, 2178, 103, 1, 35, "Subsubsection"],
Cell[80941, 2181, 1330, 22, 55, "Input"],
Cell[82274, 2205, 2569, 47, 55, "Input"],
Cell[84846, 2254, 1397, 29, 77, "Input"],
Cell[CellGroupData[{
Cell[86268, 2287, 448, 7, 32, "Input"],
Cell[86719, 2296, 1526, 28, 49, "Output"]
}, Open  ]],
Cell[88260, 2327, 711, 15, 32, "Input"],
Cell[88974, 2344, 1076, 24, 32, "Input"],
Cell[90053, 2370, 1725, 44, 99, "Input"],
Cell[91781, 2416, 1729, 44, 99, "Input"],
Cell[93513, 2462, 1764, 44, 99, "Input"],
Cell[95280, 2508, 583, 12, 32, "Input"],
Cell[95866, 2522, 583, 12, 32, "Input"],
Cell[96452, 2536, 580, 12, 32, "Input"],
Cell[97035, 2550, 574, 12, 32, "Input"],
Cell[97612, 2564, 952, 20, 32, "Input"],
Cell[98567, 2586, 383, 6, 32, "Input"],
Cell[98953, 2594, 383, 7, 32, "Input"],
Cell[99339, 2603, 1189, 26, 55, "Input"],
Cell[CellGroupData[{
Cell[100553, 2633, 123, 2, 32, "Input"],
Cell[100679, 2637, 259, 3, 32, "Output"]
}, Open  ]],
Cell[100953, 2643, 161, 5, 32, "Input"],
Cell[CellGroupData[{
Cell[101139, 2652, 1871, 44, 99, "Input"],
Cell[103013, 2698, 3410, 62, 241, "Output"]
}, Open  ]],
Cell[106438, 2763, 765, 18, 55, "Input"],
Cell[107206, 2783, 764, 18, 55, "Input"],
Cell[CellGroupData[{
Cell[107995, 2805, 1073, 30, 55, "Input"],
Cell[109071, 2837, 3191, 58, 241, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[112323, 2902, 97, 1, 81, "Section"],
Cell[CellGroupData[{
Cell[112445, 2907, 174, 3, 32, "Input"],
Cell[112622, 2912, 85, 1, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[112744, 2918, 174, 3, 32, "Input"],
Cell[112921, 2923, 84, 1, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[113042, 2929, 174, 3, 32, "Input"],
Cell[113219, 2934, 82, 1, 32, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
