(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    190912,       4712]
NotebookOptionsPosition[    179928,       4372]
NotebookOutlinePosition[    180299,       4388]
CellTagsIndexPosition[    180256,       4385]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Leading Indicators - vary Nm", "Section",
 CellChangeTimes->{{3.582544115718882*^9, 3.5825441216224723`*^9}, {
  3.5825462716354523`*^9, 3.5825462755868473`*^9}}],

Cell[CellGroupData[{

Cell["Parameters", "Subsubsection",
 CellChangeTimes->{{3.559560896211769*^9, 3.5595608981479626`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"k", "=", "0.3"}], ";", " ", 
  RowBox[{"\[Mu]", "=", "0.01"}], ";", " ", 
  RowBox[{"\[Delta]", "=", 
   RowBox[{"1", "/", "10"}]}], ";", "  ", 
  RowBox[{"Nh", "=", "1000"}], ";", " ", 
  RowBox[{"p", "=", "0.5"}], ";", 
  RowBox[{"q", "=", "0.5"}], ";", 
  RowBox[{"\[Sigma]", "=", "0.05"}], ";"}]], "Input",
 CellChangeTimes->{{3.556986019746208*^9, 3.5569860445223026`*^9}, {
   3.556986261786672*^9, 3.5569862655463924`*^9}, {3.5569868150831923`*^9, 
   3.5569868654915376`*^9}, {3.559493229027683*^9, 3.5594932330918865`*^9}, {
   3.5601581786399975`*^9, 3.5601581831514482`*^9}, {3.5601656412571898`*^9, 
   3.5601656463286967`*^9}, {3.5601665546725225`*^9, 3.560166556079663*^9}, {
   3.5617195287057753`*^9, 3.5617195328832808`*^9}, 3.5825441706313725`*^9, {
   3.5825442708993983`*^9, 3.5825442755378623`*^9}, {3.582544320499358*^9, 
   3.582544321682476*^9}, {3.5825459689861903`*^9, 3.5825459716894608`*^9}, {
   3.606739887303907*^9, 3.6067399053207083`*^9}, {3.6067444316234975`*^9, 
   3.606744434999835*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"eqnsRM", "[", "Nm_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", 
         RowBox[{"p", "/", "Nh"}]}], ")"}], "*", "y", "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", "x"}], ")"}]}], "-", 
      RowBox[{"\[Mu]", " ", "x"}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", "q", " ", 
         RowBox[{"x", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", "y"}], ")"}]}], "-", 
      RowBox[{"\[Delta]", " ", "y"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzU1Ik3EAx/E5p4dsLHEmZhSV6LbU+VJELxR/iHJbQzAPU2LiKFIxJqIU
M5iJD2YlrK0npi0JjB2cOmSiY6QiRpCIpoy14cGJzzb5y1MetIOH8Pk9hy+f
4/eCxVr7RCqRSC4KwW/9zOeT1yl5nFs1Ap1G/suVm5Tc3Tv4CjfPpAoD9ygp
mWhVw4itgofJOy7RzD1/fPI+JWZtzg5Ur4Z3oSWyyMOxh6YMv+DT+WZRfcdf
LeQj0nJYuVp3FepOTF+D5/Q3umcEk9Gcl7BzRf4KppJeUflaVwKaWVMSVpc4
jqB0aUG0bKm4dBb/fzYtrFFZP+R1U6LUZbEw2mTU5Av+2Ri5DMdDdu95wZqh
oA/KDYc/lXZKwt9ly3D+jecX1CtCoo96Pm1BjvOl4PMMTpErGO3aOgXdKy6m
pYeS4ICvHzYY7O+gWb/9Hg7+lo1Cb+iBaCwyE4CcpnAarv9wSFoFHXVzmbAt
UZAHbwfconJN9mkqeKB8exZ+XLNdgv8TacWw75mlt4KhZM47zMDGWedO+wAl
BebXHGQV9Ycw3WkVZW81p8VclKg8g1IYd+8XqacoeeHiS+ExucMWdw==
  "]],

Cell[BoxData[
 RowBox[{
  RowBox[{"sols", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", " ", "Reals"}], "]"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.5541966693446703`*^9, 3.5541966804306707`*^9}, {
  3.5541968726606703`*^9, 3.5541968774916706`*^9}, {3.5541999144835997`*^9, 
  3.5541999190270543`*^9}, {3.554200238404261*^9, 3.5542002436192613`*^9}, {
  3.556288483901885*^9, 3.556288484806714*^9}, {3.556288657199264*^9, 
  3.5562886703219023`*^9}, {3.5569861788310966`*^9, 3.5569862162856135`*^9}, {
  3.5572493802110267`*^9, 3.557249401833458*^9}, {3.55724945309803*^9, 
  3.557249465375702*^9}, {3.582544243199629*^9, 3.582544265664875*^9}, {
  3.5825443426765757`*^9, 3.5825443437326813`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sols", "[", "10000", "]"}]], "Input",
 CellChangeTimes->{{3.557249468729831*^9, 3.557249478012188*^9}, 
   3.557249649519188*^9, {3.5594927032385235`*^9, 3.559492703588681*^9}, {
   3.5617197021938057`*^9, 3.5617197028652086`*^9}, {3.582544286447953*^9, 
   3.582544288975206*^9}, 3.5825443615714645`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "\[Equal]", "0.`"}], "||", 
    RowBox[{"x", "\[Equal]", "988.9624724061811`"}]}], ")"}], "&&", 
  RowBox[{"y", "\[Equal]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"66.66666666666667`", " ", "x"}], 
     RowBox[{
      RowBox[{"-", "1000.`"}], "+", 
      RowBox[{"1.`", " ", "x"}]}]]}]}]}]], "Output",
 CellChangeTimes->{{3.5572494711791253`*^9, 3.5572494786362123`*^9}, 
   3.557249649940404*^9, 3.5573223618943653`*^9, 3.557322393608799*^9, 
   3.5594927044090505`*^9, 3.5594932923245897`*^9, 3.5594951537000713`*^9, 
   3.55956031011652*^9, 3.5595631052106466`*^9, 3.5600985759122267`*^9, 
   3.560158189656099*^9, 3.5601656514452085`*^9, 3.560166561180173*^9, 
   3.56171959697171*^9, 3.5617197035236034`*^9, 3.5617197406508665`*^9, 
   3.56717557199247*^9, 3.5671757082930984`*^9, 3.5671819382720337`*^9, 
   3.567184400007183*^9, 3.5825442902233305`*^9, {3.5825443473480425`*^9, 
   3.5825443621105185`*^9}, 3.58254522991129*^9, 3.5825452664909477`*^9, 
   3.5825459744587374`*^9, 3.582906216633763*^9, 3.606739917390915*^9, 
   3.6067446478121142`*^9, 3.607967225555371*^9, 3.608916450870103*^9, 
   3.6092638505494337`*^9, 3.6093448433400917`*^9, 3.6096739445262637`*^9, 
   3.6101875744725666`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"xEE", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "Nm", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
  3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.58254438312562*^9, 
  3.582544419270234*^9}, {3.6067399658557615`*^9, 3.6067399790670824`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"yEE", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "Nm", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", 
   RowBox[{"x", "->", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"sols", "[", "Nm", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
  3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.5572496707984056`*^9, 
  3.5572496819372344`*^9}, {3.582544387717079*^9, 3.582544388373145*^9}, {
  3.582544429623269*^9, 3.582544500795386*^9}, {3.606739989516127*^9, 
  3.606739989684144*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"yEE", "[", "10000", "]"}]], "Input",
 CellChangeTimes->{{3.582545287210019*^9, 3.5825452900102997`*^9}, {
  3.606739932409417*^9, 3.6067399938115563`*^9}}],

Cell[BoxData["5973.333333333361`"], "Output",
 CellChangeTimes->{{3.582545290550353*^9, 3.582545316729971*^9}, 
   3.5825459745567474`*^9, 3.582906216696769*^9, {3.606739933217498*^9, 
   3.6067399944746227`*^9}, 3.606744647851118*^9, 3.6079672255963707`*^9, 
   3.608916450910107*^9, 3.609263850587434*^9, 3.6093448433740954`*^9, 
   3.6096739445652676`*^9, 3.61018757451057*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"JEE", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], "}"}],
    "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "Nm", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "Nm", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
  3.557249885112858*^9, 3.5572499095277967`*^9}, {3.5572499569692216`*^9, 
  3.557249966189176*^9}, {3.5825445141107173`*^9, 3.5825445638566914`*^9}, {
  3.5825447968749905`*^9, 3.582544804154719*^9}, {3.582544924191721*^9, 
  3.582544928048107*^9}, {3.5825453084331417`*^9, 3.5825453123045287`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Stats", "Subsubsection",
 CellChangeTimes->{{3.584107818016035*^9, 3.5841078189441276`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DetJEE", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Det", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
     "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "Nm", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "Nm", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
  3.557249885112858*^9, 3.5572499095277967`*^9}, {3.582544816460949*^9, 
  3.582544850317334*^9}, {3.582544930064308*^9, 3.5825449330566072`*^9}, {
  3.582545320578356*^9, 3.582545323072605*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TrJEE", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
     "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "Nm", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "Nm", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.5572498228336563`*^9}, {
   3.5572498684046154`*^9, 3.5572498690598407`*^9}, 3.557249915456025*^9, {
   3.5825448317734804`*^9, 3.5825448547657795`*^9}, {3.5825449350238047`*^9, 
   3.582544939904292*^9}, {3.5825453275710554`*^9, 3.582545329633261*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a11", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "Nm", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557249995097088*^9}, {
  3.5572506164947824`*^9, 3.5572506173684163`*^9}, {3.582544857401043*^9, 
  3.582544862633566*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a12", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "Nm", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.5572500074079657`*^9}, {
  3.5572506212217646`*^9, 3.5572506219861937`*^9}, {3.582544870522355*^9, 
  3.582544881562459*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a21", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "Nm", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557250016674782*^9}, {
  3.5572506241390767`*^9, 3.557250629848896*^9}, {3.58254487217052*^9, 
  3.582544879610264*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a22", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "Nm", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557250025708587*^9}, {
  3.5572506323137913`*^9, 3.557250636323145*^9}, {3.582544874905793*^9, 
  3.58254487737004*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B11", "[", "Nm_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"p", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"yEE", "[", "Nm", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nh", "-", 
      RowBox[{"xEE", "[", "Nm", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Mu]", " ", 
    RowBox[{"xEE", "[", "Nm", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557250038969182*^9, 3.5572500604669466`*^9}, {
  3.559492735036815*^9, 3.5594927806431365`*^9}, {3.582544885146817*^9, 
  3.5825449148757896`*^9}, {3.582544945932895*^9, 3.5825449535986614`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B12", "[", "Nm_", "]"}], ":=", "0"}]], "Input",
 CellChangeTimes->{{3.557250068548109*^9, 3.557250109359541*^9}, {
   3.5594927878030243`*^9, 3.5594927918775573`*^9}, {3.5825448867299757`*^9, 
   3.582544893738676*^9}, 3.606743524201661*^9, {3.606743572392661*^9, 
   3.6067435914056606`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B21", "[", "Nm_", "]"}], ":=", "0"}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.557250120311232*^9}, {
   3.5594927900844345`*^9, 3.55949279483809*^9}, {3.5825448883781404`*^9, 
   3.5825448964579477`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B22", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"xEE", "[", "Nm", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "Nm", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Delta]", " ", 
    RowBox[{"yEE", "[", "Nm", "]"}]}], "+", 
   RowBox[{
    RowBox[{"\[Sigma]", "^", "2"}], "*", 
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"xEE", "[", "Nm", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"xEE", "[", "Nm", "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.5572501626671324`*^9}, {
   3.559492802858534*^9, 3.5594928166756196`*^9}, {3.5601584582819586`*^9, 
   3.5601584596270933`*^9}, {3.582544890203323*^9, 3.5825448905233545`*^9}, {
   3.5825449651668186`*^9, 3.5825450095042515`*^9}, {3.606744601255459*^9, 
   3.606744625352868*^9}, {3.6079652221753707`*^9, 3.607965234950371*^9}, {
   3.607967214766371*^9, 3.607967217397371*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Functions", "Subsubsection",
 CellChangeTimes->{{3.5595609237325206`*^9, 3.559560924804628*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PSD", "[", 
   RowBox[{"Nm_", ",", " ", "\[Omega]_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"B11", "[", "Nm", "]"}], "*", 
      RowBox[{"a22", "[", "Nm", "]"}], "*", 
      RowBox[{"a22", "[", "Nm", "]"}]}], "+", 
     RowBox[{
      RowBox[{"a12", "[", "Nm", "]"}], "*", 
      RowBox[{"a12", "[", "Nm", "]"}], "*", 
      RowBox[{"B22", "[", "Nm", "]"}]}], "+", 
     RowBox[{
      RowBox[{"B11", "[", "Nm", "]"}], "*", 
      RowBox[{"\[Omega]", "^", "2"}]}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Omega]", "^", "2"}], "-", 
        RowBox[{"(", 
         RowBox[{"DetJEE", "[", "Nm", "]"}], ")"}]}], ")"}], "^", "2"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"TrJEE", "[", "Nm", "]"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"TrJEE", "[", "Nm", "]"}]}], ")"}], "*", 
      RowBox[{"\[Omega]", "^", "2"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.5572501736968274`*^9, 3.5572503769909124`*^9}, {
   3.557250462663035*^9, 3.5572504632402573`*^9}, {3.5573222480149784`*^9, 
   3.5573222749572144`*^9}, 3.5825450418784885`*^9, {3.582545103559656*^9, 
   3.5825451120555058`*^9}, {3.582545142793579*^9, 3.5825452000433035`*^9}}],

Cell["Can only compute up to threshold, zero after", "Text",
 CellChangeTimes->{{3.567175547374008*^9, 3.567175555421813*^9}, {
  3.567175601088379*^9, 3.567175603360606*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"PSD", "[", 
         RowBox[{"Nm", ",", "\[Omega]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Omega]", ",", " ", 
          RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}], ",", " ", 
        RowBox[{"MaxRecursion", "\[Rule]", "120"}]}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", "\[Pi]"}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"Nm", ",", " ", "100", ",", " ", "10000", ",", " ", "100"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQA2IQ/cR0sYdu6yvHqk/JXiB6xfP7ASC6TfpGNIiO+Twv
HkTXxP4B04dWRjWCaCaJf2A6rjjb0xBI/2tzjwDR+uqrEkH0sU85GSD6yL1z
OSDarfNQGYiuWc/3C0T33Xv/G0Qv279ewghIq8gWSIHoihmy8iB6n7+aCoje
UMKbCaLn8HJmgejV1n7dIPpX6Aow3VP11NgYSJdtWmsBovsOMWeB6KPKmmD6
wqHtWwOBtMSkiO0gWkwre24QkNaec3k+iK7aW/TmxuRXji/Y970D0dcc8r6D
6IPnWsH0LN+L3DeBdOf7a2BaNaNlmebGV45N5XdWgGjBCIuJ/vdfOZoktYDp
A8KJBe5PXjmG5AUXgWgAr/qzjQ==
  "]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"var", "//", "ListPlot"}]], "Input",
 CellChangeTimes->{{3.5600986515137863`*^9, 3.560098652013836*^9}, {
  3.5671755844497156`*^9, 3.567175588114082*^9}, {3.567175654180688*^9, 
  3.5671756571889887`*^9}, {3.5671757180720763`*^9, 3.5671757222474937`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJw1yw0s3Hccx/H/7LYp1mqw2jxMPTtccdQzHw/noRznjruTVlMtPWs6D+2m
pix/javT6AO1qrLFPIR27SjTmYpei7Qz0VUj0W6EGNpuzU5QrFaz+N4v+eWX
1++dz86DWeJ0HYZh0jbu/+/m0QRf4HN9GvSLQB9oHOnJ01jkknVhaXejUFGX
TTaEUVrhUNoPR8jGWBTG5XZJDpNNcb0iZDrS7RDZHKXM/NDVxwfIVrgv2uJq
spJCtsau2bniurf3km2h42rorKiSk+0xZ+cZX1MuJTuiQ/XltYGniWQufl73
mDc9KCG7QK8y2iDATEzm4U39q+q5NRHZDc+71Buv1u74Xf+jb5cD48ge2K+q
mFy8FkvmI41Xd2oxOIbsCfPLbWWRy9FkL3xjcTU6YiiKvBupSoVwx+1Isje4
vPmWYnUE2QdbJWvJvz0RkH0R7M/xHuFo7Ydmj5GM3OBwsj96neO2mavCyAEw
e3fUUDweSg6EYuKCbCxQ6yAY33isqWoJIQdjoDmpqdZca8D6vcbubdXYNAtM
rvbW8S3ITAiuN135SS0Kph6CTscvTN/6LIh6KOyLd9y3aAikHopXS0dtHccD
qIdhYWBKE72TzIbhovLPyHuZ/tTDcf7lh5zpfj/q4bikZ16y1YbMCGD1z8vh
TpUvdQEsgkyGpUs+1COg8fFey88gsxE49/TkB7emvKlHQvdIv27TATIbiVN7
X6/89cdu6lGIFRTm+GWS2ShUlUU1Ys2LejTiuzR9XefIbDSEhj9mp9pp+x7c
bevwenPHk/oeWBleMZbtJzMx4DbZWPow2r7hX8tMcpr41GOx0vHAYlRIZmMx
X4Qsv1UP6kJEwMwkv5nMCuGkdL2ZJdf2ONQaDAtW9bV9w7YznOW77tTjoSqq
t4nJJ7PxaCiVtT/x1HYRfK05eap5t01DhO+G3R8FtZFZEc7O9JfPZJPVIpxY
+fz5YT6ZScBlbspX+/7eRfsElN40bRadJLMJcDnUkqPUI6sT8FAakz5Wy6O9
GMmDp0cdPcgQw2Gickw26Ep7MVqHjzpFpZPVYiwcdzCY0CEzEhSg1HO93oX2
EnRuLfm+QkBmJeA9zHnAvnCmvQTKlHfW28vJTCIq1ltfGPmTkYjWBRnv/CyX
9ol4dkuu2F5JVidCL6PRUhVGZpLQHTrfPbXoRPsk9BwbP/5+C5lNwunMJcHr
fWR1Ej6ZPjNXY0RmpOA9iumd/MWR9lJYPTszeltJZqVQXHQe/TiErJYi2d9u
df1fB9rLEK6o2CLqIUOGFXmIhFNAZmUYrO6p2x5IVsvQ3XeP/+m6Pe3laC+w
u2PQR4YcapFu6mwJmZXjRE3e1xohWS1HsVyebG2i3SeDY3Bp9Ni4Hf4D49+l
WA==
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 100.}, {0, 123.64114832164688`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{2., 2.}, {2.4728229664329375`, 
   2.4728229664329375`}}]], "Output",
 CellChangeTimes->{
  3.560098652792914*^9, 3.560159898829981*^9, 3.560165734130476*^9, {
   3.5671756397152414`*^9, 3.5671756579810677`*^9}, {3.5671757326265316`*^9, 
   3.567175736649934*^9}, 3.582545353252623*^9, 3.582545978915183*^9, 
   3.606740042843459*^9, 3.606740126493823*^9, 3.6067446821015425`*^9, 
   3.6067447680991416`*^9, 3.6079672425633707`*^9, 3.60891646794081*^9, 
   3.609263881785434*^9, 3.609673961282939*^9, 3.610187590791198*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"var2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Nm", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{"var", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", 
       RowBox[{"Length", "[", "Nm", "]"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6089165331803336`*^9, 3.6089165449235077`*^9}, {
  3.6092641194714336`*^9, 3.6092641199914336`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<varianceNm.csv\>\"", ",", "var2"}], "]"}]], "Input",
 CellChangeTimes->{{3.6092641320304337`*^9, 3.6092641418574333`*^9}}],

Cell[BoxData["\<\"varianceNm.csv\"\>"], "Output",
 CellChangeTimes->{3.6092641434184337`*^9, 3.6093449981705737`*^9, 
  3.6096739613149424`*^9, 3.610187590987218*^9}]
}, Open  ]],

Cell["Variance rises as the population size drops.", "Text",
 CellChangeTimes->{{3.608916569099925*^9, 3.608916580068022*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CVNm", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Nm", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{"var", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}], "/", 
        RowBox[{"xEE", "[", 
         RowBox[{"Nm", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", 
       RowBox[{"Length", "[", "Nm", "]"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6092641577694335`*^9, 3.6092641685204334`*^9}, {
  3.6092642354004335`*^9, 3.6092642631104336`*^9}, {3.6092643151074333`*^9, 
  3.6092643306344337`*^9}, {3.609345006852442*^9, 3.6093450135601125`*^9}, {
  3.6093450774725027`*^9, 3.6093450778385396`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "CVNm", "]"}]], "Input",
 CellChangeTimes->{{3.609264335205434*^9, 3.6092643395794334`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJwt0gkw3FccB3BCSIaMRsNoqWMIiUrQjCMJ2a+oItFE1ChdTIjUpo64klJX
nCHiZtRVwTpXWceGde4uo6iO6TQitFLnNG3DtkmoNOlqO//fm3nz5jPvvd/7
/d57BoHXPa7ukZOTC/qv/z8yzQdcg7NW49JOFuNrMElXXn2Yeo+xKAp+OVL5
r7bLaD4Oetp2hS+4xYyRjBVxyJhsbyGtT4Wqg26RcnQe46UMSIv+Xns1mUP7
s3EmJ2gtsS+bsf5dHDi9Iv3mQBbFy8dGwrcLSW2ZjC0K8WaGmuFUSgbFL0L9
p/JOz26lM3YvQQY/krO/No3OK0VFSlRD6Y+pjCPKcKVSvX70XbJcOTRtC3nr
uSmMCyrw2k9/QG/3FuVTBf94ex3zRDK/Grk2wYmOSmTUYLVpcG3cMpkx5x5s
9LbtO4OTKN9aHBsyPHe2LZHxTi2Eh7wyJv9JoPzr4B3GOjz/CTmrHvUyYdhJ
STzVw8VJU5u5x++RtRpwgtXsvsL7guprwIwS9614M3JzIzQS9s++7I6jepsQ
mh2YO+ZAtm2GV5f+zY9mY6n+Fow0Cx2Oh5MnWmAb9M7mryrkglZ8qbErNW7/
nLE3Dxo+ja35nmT9Nqg///PwnOwm4ydtYBn6/tXbRuZ/DTtNRc/nfuTYdjh2
RDi7q5PRAfN2tmLl5A3Ginw83OFd5KaROXw80p2XAeRpPiassm+77sbQ/XYi
XJ9XXS4il3Si1Gd9US2dvNOJlf6q1FxXsm8XXO4KDbbfIIu6INAQR5kvRDM2
6oYn21nboIGc1Q32NaWUnkjy025sXIyufcAiu/dAoBu/EaZG7unB7J4jR8OX
oui9BJiJbrow1kVOEOBgq0vM5UzykgAfb2kJTrDJ79/HYv+MtoUlufk+nOzG
8132kVV7YfO2aDRiKZLetxcpmpeMq4XkB734Q7X7B0kx2bYPHfy1rLlwclUf
1IM2y74/R5YTgtdyfLHJhBwkRIFjseDSXvKEEHXWTVvjqxGMzfrhUH15eVdC
LuhHVlml0VYd+UU/8nosp2vSyN4D0FauYb0MIg8OIJpncvrVB2T9QQRLI6dq
jpLTB3Eh847jsir5ySA8q4vSY5avM3YbQoiDjsv5VjJ/CI2ySmX7GPKhYfxs
MBcKFjl2GEsBxXluKuSfhhFj7Pub96Nw+n8j+LC62N+vkcwdQfBnMiOPG2RF
EXwUeN+ZO5GtRZhatzgl1SBzRFAYQXn2L2GMK0TQYiUH7gjJ0yLYzXE9rHLJ
MhGUzRaDTwWQLcTYjQp4LG9NDhTjNdv1WKYKuUSMI3fyFCTLoYzHxYjdPOPE
7yPviBHVsrDPrYBsKsFTv4WSAg7ZV4JtHbZfnAM5TwInjw35PdpkkQS5Tunn
jbdCGD+TwH83zXRlhmw0iqWk33sseWSvUcxzyo0O3iZnjcL5astswpUQ1r9k
VfrS
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.0033433378387540988`},
  Method->{},
  PlotRange->{{0, 10000.}, {0.0033433378387540988`, 0.014619321119354043`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{200., 200.}, {0.00022551966561199887`, 
   0.00022551966561199887`}}]], "Output",
 CellChangeTimes->{3.6092643401104336`*^9, 3.6093450183065867`*^9, 
  3.609345087310487*^9, 3.6096739613679476`*^9, 3.610187591472266*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<CVNm.csv\>\"", ",", "CVNm"}], "]"}]], "Input",
 CellChangeTimes->{{3.6092641320304337`*^9, 3.6092641418574333`*^9}, {
  3.6092643725914335`*^9, 3.609264378422434*^9}, {3.6093448312848864`*^9, 
  3.609344832698028*^9}}],

Cell[BoxData["\<\"CVNm.csv\"\>"], "Output",
 CellChangeTimes->{3.6092643799514337`*^9, 3.609345093326088*^9, 
  3.6096739613909497`*^9, 3.6101875916452837`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"autocovar", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"PSD", "[", 
          RowBox[{"Nm", ",", "\[Omega]"}], "]"}], "*", 
         RowBox[{"Cos", "[", 
          RowBox[{"7", "\[Omega]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Omega]", ",", "  ", 
          RowBox[{"-", 
           RowBox[{"10", "^", "20"}]}], ",", 
          RowBox[{"10", "^", "20"}]}], "}"}], ",", " ", 
        RowBox[{"MaxRecursion", "\[Rule]", "1200000"}]}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", "\[Pi]"}], ")"}]}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"Nm", ",", " ", "100", ",", " ", "10000", ",", " ", "100"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzVsoQ3EABvDlBal5ojVkapiWzFCi5Fi510ypNYy5tRqZMFqIB6fk9mAm
hRcjxiyR0FySFEmxLKRDzKXjYS55Qfh/5+Hr9/B99UVVNRbX+vF4vEgS6E2Z
zo3vZSnze3U+nHu6KYJ02EUpLPuYqoAd5T+ce/OaHugn+OXUNhvyEom/dI4a
JsTadfDgvV4P95mTepjdt2eCHU7+FxxifN9wdscpkBPFEUYhDLG3GuDV4KIR
plS+tcKJY1MbHKjRZCURrVO1CliT9FIHtbRND72Foj7OgMx+rn81LKuIHu3j
Cjw1+ivbaLJ3dangjGtDDXf5TeXQXvYXbSYedTqk0OY+HIMt64px+BhkCL0c
YalQdb8Qxki7RTBIFyiGn/xqCWzf3JbC7YVgGVy3HslhwWRYBmRkIk73mUkB
NcPpKliyJNyKW2ap++msHbgp8VmUNyylb0kfhR7Lt1tFTJPyz+FtsvgPrjke
OPXhcsGzl6WiVlM5r+camLsH8uMY5vwHH8UESg==
  "]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Nm", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"100", ",", " ", "10000", ",", " ", "100"}], "]"}]}], ";", " ", 
  RowBox[{"autocor", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Nm", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"autocovar", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "/", 
        RowBox[{"var", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", 
       RowBox[{"Length", "[", "Nm", "]"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.559558594953652*^9, 3.5595586856997256`*^9}, {
   3.5601657426543283`*^9, 3.5601657432773905`*^9}, {3.5601666210121555`*^9, 
   3.560166627507805*^9}, {3.5671758154388123`*^9, 3.567175823198588*^9}, {
   3.582545417650062*^9, 3.5825454387551727`*^9}, {3.6067400718233566`*^9, 
   3.606740086471822*^9}, 3.6093449369324503`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "autocor", "]"}]], "Input",
 CellChangeTimes->{{3.559558688350991*^9, 3.559558692561412*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJwt0wtQVGUUB3BKsTIfSIjIJIqQ2iJKMoKNiX9fYyolaKGLiEJILEnIaxTY
RBYfvFQkiEAcXmKgossuC+66uyyL4o6QU4gGjvJYNtyQgSITUsFszrkzd+78
5t77Pc75f47Bkdv2vWlhYRHy+v7/SZcQVlcTwzdKBleTRUiQW3+4Yu8AWReN
ZvWMBZ9k9PP7eHxgeSTh424zGUkYU/Rl9XzxmL+XIC32X4XE9Du5+xg8Vo5v
RKaJ/0/D7TWTzRM295LnZWJwXdGSOe8bebzTMKxMtZr9Rg/Z7QyWqTMqA4a6
ePxsiMYtXUPHHpF9cmA/YnRyFTzk+XIxfjDuc1XMA/KBPHx96sbile3tPH8+
rGo6+sa+/I2cVYCygRH7b5/c4/UUIlezbJ11XhtZeg53Su+npO24y+srgtG2
82aaSys5rBim0NHJnTN+5fWWAOrmwZB3fiGPlmBr8st8h/l3eP2l6J1a+652
aws5tQzmo/6q5vzbvJ/ziAio6UodN5DtyrEo3Clxm/gW768cJu2j1KIZTeSK
Cwh0ThO+Ut/g/f4Evdeyt+y+aySvqECup71luY+e91+Jsw4LDHEeDWRDJawP
Wxzf76rjelyEQRxu/TxMS955CZHp8R/tyFVzfS5D6OrUO6tTRTZfxvQ/m0uO
rFFyvaowTfDznL80deRDV2D7IibD6FvL9buKdQ/2Wve9qCFPlEL2pNi3TCXn
ekoxMiAcu58pI7dI4b14W7ZvVDXXtxoOM5c7PAuVknOqIQpO8ojuuML1roYw
+YnSa0IVOUAGh/GQhQmbLnH9ZdijFFSILlaSneVIGg6MiXCu4H7I4ZYV7vRK
cYE8IMfNlmkLpbvLuT818LBUbllkf55cU4P1tppA5/5S7pcCjhKBKbalhCxW
wH2+qedlfTH3T4GgZ5GJQSeKyOtrEabI9hdUneN+1sLHGBIhHjpLnlIHv4NN
KYXeBdzfOnh6doT2638kt9XBac3O1V0+edzva4iSyS2m/JNLLryGefVvj8y6
ksP9V2L6rBZRfcL35BAlNH0PtrcKszkPSny6qmSp++Yz5MUqFCfOvn9vcxbn
QwV50GinWHGK/FQF/+fv/WExnMl5uY6Jr9oOJ27KIKuv43Sen98WVRrnRw3b
gOFk89pU8lE1Ls45ZDL2HOc8qWEX84OmO/cY2VuD5+6j3ud2H+V8aVDVJEt/
7JlCttHCIV32d7GThPOmhd1XliL13GTyw9eWnp23yuUI568ezgtOfPZN+mHy
+XroWpd2nuwQcx51mKubafZam0j20CGzf4PhqT6e86nD8vaF11b5HyIX6LC9
q02onXSQ86pDTJ39LrdbceRxHdovN7kGFcRyfhsg2zNw1y0phhzcgMLoIW1W
bDTnuQESg0AniY8iNzWgQuk42e7kAc53AxxDoyTdAZFkgR42KZYeUcoIzrse
pXKxrd+S/eRTenQc2/PCXhXO+dcjrstmRfAuEXlYD4lLsFevVRifh0YMubr7
iTpCyX6NGJwUKGqV7+Pz0QizSmCcWhSy+j8SeAvA
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 10000.}, {0, 0.9534031944035366}},
  PlotRangeClipping->True,
  PlotRangePadding->{{200., 200.}, {0.01906806388807073, 
   0.01906806388807073}}]], "Output",
 CellChangeTimes->{3.5595586930184574`*^9, 3.55956034573652*^9, 
  3.5601599934814453`*^9, 3.560165783354398*^9, 3.560166630364091*^9, 
  3.5671763861108737`*^9, 3.5825454450037975`*^9, 3.58254598368666*^9, 
  3.6067400606342382`*^9, 3.6067401561977935`*^9, 3.606744702055538*^9, 
  3.6067447865409856`*^9, 3.6067451798584547`*^9, 3.6079672629283705`*^9, 
  3.6089164881858344`*^9, 3.6092639018944335`*^9, 3.6093449752202787`*^9, 
  3.609673981313942*^9, 3.61018761121124*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<autocorrelationNm.csv\>\"", ",", "autocor"}], "]"}]], "Input",
 CellChangeTimes->{{3.6092637201084337`*^9, 3.6092637217024336`*^9}, {
  3.6092638175184336`*^9, 3.6092638441084337`*^9}, {3.609264029613434*^9, 
  3.6092640332924337`*^9}}],

Cell[BoxData["\<\"autocorrelationNm.csv\"\>"], "Output",
 CellChangeTimes->{3.609264035804434*^9, 3.6093449827640333`*^9, 
  3.6096739815329638`*^9, 3.6101876113822565`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"autocor", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"autocovar", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "/", 
      RowBox[{"var", "[", 
       RowBox[{"[", "i", "]"}], "]"}]}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", 
       RowBox[{"Length", "[", "Nm", "]"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5600988226237183`*^9, 3.5600988273742433`*^9}, 
   3.567176407510013*^9, {3.5825462579090796`*^9, 3.5825462591572046`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["autocor"], "Input",
 CellChangeTimes->{{3.5825459951538067`*^9, 3.582545999337225*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.9534031944035366`", ",", "0.8867455293853788`", ",", 
   "0.829496454576565`", ",", "0.7773711578921946`", ",", 
   "0.7291114645101399`", ",", "0.684144359034364`", ",", 
   "0.6421204954257067`", ",", "0.6027850658447786`", ",", 
   "0.5659318838680727`", ",", "0.5313840220350068`", ",", 
   "0.4989844947548959`", ",", "0.4685912551576395`", ",", 
   "0.4400742388205444`", ",", "0.4133134618949724`", ",", 
   "0.3881977021394278`", ",", "0.3646235231779551`", ",", 
   "0.3424945128787817`", ",", "0.3217206627113794`", ",", 
   "0.30221784472318525`", ",", "0.2839073593425906`", ",", 
   "0.2667155367977172`", ",", "0.2505733806601178`", ",", 
   "0.2354162456404176`", ",", "0.22118354389031855`", ",", 
   "0.20781847571655665`", ",", "0.1952677814776708`", ",", 
   "0.18348151219000042`", ",", "0.17241281683845167`", ",", 
   "0.16201774474964997`", ",", "0.15225506163959862`", ",", 
   "0.14308607815877097`", ",", "0.13447448990722397`", ",", 
   "0.12638622801840477`", ",", "0.11878931951149518`", ",", 
   "0.11165375669365017`", ",", "0.10495137496325437`", ",", 
   "0.09865573835480766`", ",", "0.09274203279088786`", ",", 
   "0.08718696503272513`", ",", "0.08196866940202434`", ",", 
   "0.07706661932836203`", ",", "0.07246154485067167`", ",", 
   "0.06813535520829922`", ",", "0.0640710662601873`", ",", 
   "0.06025273242238855`", ",", "0.05666538257151172`", ",", 
   "0.05329496127023624`", ",", "0.05012827089136595`", ",", 
   "0.04715292008720428`", ",", "0.044357274125360724`", ",", 
   "0.04173040844707424`", ",", "0.03926206516599466`", ",", 
   "0.03694261223294551`", ",", "0.03476300511579589`", ",", 
   "0.032714750837901006`", ",", "0.030789874228494777`", ",", 
   "0.028980886247770427`", ",", "0.027280754258045825`", ",", 
   "0.0256828742436633`", ",", "0.02418104412782115`", ",", 
   "0.022769439927345602`", ",", "0.021442592184870827`", ",", 
   "0.020195364430207197`", ",", "0.01902293284640338`", ",", 
   "0.017920767181499587`", ",", "0.01688461282929879`", ",", 
   "0.015910474007224118`", ",", "0.014994597963821165`", ",", 
   "0.01413346015260435`", ",", "0.013323750312906231`", ",", 
   "0.012562359402021687`", ",", "0.01184636732641135`", ",", 
   "0.011173031422926655`", ",", "0.010539775644070867`", ",", 
   "0.009944180404113812`", ",", "0.009383973045575667`", ",", 
   "0.00885701888757234`", ",", "0.008361312823284048`", ",", 
   "0.007894971425649586`", ",", "0.007456225539905801`", ",", 
   "0.007043413325835857`", ",", "0.006654973725162021`", ",", 
   "0.006289440327572959`", ",", "0.005945435611002072`", ",", 
   "0.005621665533275993`", ",", "0.0053169144536421185`", ",", 
   "0.0050300403640150745`", ",", "0.004759970411008329`", ",", 
   "0.004505696690981022`", ",", "0.004266272301423625`", ",", 
   "0.004040807633016653`", ",", "0.003828466887665597`", ",", 
   "0.0036284648087278135`", ",", "0.0034400636103754803`", ",", 
   "0.003262570094179945`", ",", "0.0030953329411679783`", ",", 
   "0.0029377401688796554`", ",", "0.002789216743257709`", ",", 
   "0.0026492223359476574`", ",", "0.0025172492181221202`"}], "}"}]], "Output",
 CellChangeTimes->{{3.5825460003483257`*^9, 3.5825460269429855`*^9}, 
   3.6067447020735397`*^9, 3.606744786550987*^9, 3.607967262950371*^9, 
   3.608916488210837*^9, 3.6092639020574336`*^9, 3.6096739815719676`*^9, 
   3.6101876114282618`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"reac", "[", "Nm_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"A", "=", 
      RowBox[{"JEE", "[", "Nm", "]"}]}], ";", " ", 
     RowBox[{"r", "=", 
      RowBox[{"Max", "[", 
       RowBox[{"Eigenvalues", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"A", "+", 
           RowBox[{"Transpose", "[", "A", "]"}]}], ")"}], "/", "2"}], "]"}], 
       "]"}]}], ";", 
     RowBox[{"Return", "[", "r", "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.513699505060236*^9, 3.513699521012762*^9}, {
   3.513699599532543*^9, 3.5136996025227823`*^9}, 3.513699646606309*^9, {
   3.5140497359139996`*^9, 3.514049739785386*^9}, {3.514114672121261*^9, 
   3.5141146962240334`*^9}, {3.5193859033237047`*^9, 3.519385915756948*^9}, {
   3.5193867473611*^9, 3.5193867608164454`*^9}, {3.519386807635127*^9, 
   3.519386817793143*^9}, {3.5230974016679106`*^9, 3.5230975422349653`*^9}, {
   3.526743414000314*^9, 3.5267435629812107`*^9}, {3.527349027198474*^9, 
   3.527349049820736*^9}, {3.532689828155117*^9, 3.532689831115413*^9}, {
   3.575124201118757*^9, 3.5751242262562704`*^9}, {3.5829043985109687`*^9, 
   3.5829044036004777`*^9}, {3.5829061860287027`*^9, 3.582906189644064*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Nm", ",", 
       RowBox[{"reac", "[", "Nm", "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"Nm", ",", " ", "100", ",", " ", "10000", ",", " ", "100"}], 
      "}"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.532689764809783*^9, 3.5326897932886305`*^9}, {
  3.575124240607705*^9, 3.575124309970641*^9}, {3.582904408190937*^9, 
  3.582904420768194*^9}, {3.5829061937074704`*^9, 3.5829062381259117`*^9}, {
  3.6067401658977633`*^9, 3.6067401679379673`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJw11AtMk1cUB/CKzqCbW6eyINsUJmygMIs8hpDNf0Sd4oOO4QPUQao8JBh8
TAYbKCJsYBFQICv4gDKUIj5Kn5QW+rV1WGxdsG6EEZgYFejAOtAZnTr2+E5v
cnPzS+695/ty7jlegoyYJBcOh7Pr3/nfyo44SNMLBYLW/ctZ70ZfT9qN7r5S
/f9k9mOV+8As+yenWHOy4f08Y6Okqp41DkNpF8Z7BTTS/nwMdz5cmV/WzHqw
EBtVd+vfslyh88VYkni1MmmihbVnCa6WzLze7ZDTfWWYsW6MG9+nZM07Ab1U
ZZupUNP9J5HeLlLUf61hza/EuHlHhc5fS/GqINqR0jZq1rHe+z0et+cd69nQ
QfGrMTCr3x7dpmddXoOzXHms+luGvuc0Ojnle/gLDaylZ7AoOnxnv4yMWnBi
fPuyQoysU+twa1AyJbOZzBNj0nFPyXczsX4qxsnf37Y0HSAz9ZBlF9+LuEYu
+gHHe6KW3uRepf9pQKP0zvvhn5Hdz2H29gjLqmLy4DmYG8TjWg1Zch7BjgvL
4u6S9zbiUrCo0Tr9R9ZhEvw070WOypvMacKpS9zJxo/J5iYoFp0ZXBhDLr+A
IEXCnFoBeWszUl8punUkg+x5EaEFXVbfbPLIRcwQciOHDpOll+DZNcybWkDO
uoycw0mfM4VkXMHE1JwFW5yeJkVpWlDtX/nkVCmUgS4f9R4iW6X4KuObWHdn
PF4LAu/Mdr29j1zZglX8R8L1u8lPW9AhdWhyE8jbZYh8NXd/SSyZkWG0+PST
sjVkbznMdeGhZyLIRXJkZYrnXgsgj8nBZ8Ia5i8g8xXAQ328/A2yQgGfG1OW
V0w686VESP9trsVBzlHifPfB9OQBZ/6UqNn8fCTDQl6pwuLsR0Hjrc58qtD7
qY/fo3Pk19QwbjIP55505leNgse4LzpE/lmNd4Tal1Fp5LBWfHd0NL9mE/l0
K4bm+K09DjJHg198vOS+i8m7NCi1Rer2uZHNGthc3F32TNL79G9DN1NlnW8n
l7ehNbHBTWgjP27DJKenTKklb9VitCTzoriBrNNiTDtFHHOc7KnD0hlvplsO
kgt08D/b/evrX5BHdEiNdC1asJq8vh2SJyb7ZABZ2o68FeejZM76mtuBwJQH
N8NeUv1ldaAuLKiw6h65vwNFFkfUdQsZerj6doz1ysgNemRW5M4zVZOnMaje
FphyLI8cysBW2hnLS3HWOwPmxOV1qg3kGgbW6XHid4PJVgZfhpeJUjzIfzNY
0SsXVHGc/cEA3gG7p2SI+onAgBi/9+7XWcmVBjQneMjznP2m04CRbBxZIyI/
NWB1gHDZs1zyIiPSHyxvq9hJ3m7EH7YLPe5ryaVGpH7QtaX4QzJjhLdp+MX9
OeQJI/70Dc1Z8oz6n7cJHsnRR5N/I282ISRRoxaayEUmVOZvU9dKGP0/oo9W
Xg==
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{100., 0.},
  Method->{},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{3.5829062426223617`*^9, 3.6067401698661604`*^9, 
  3.606744703433676*^9, 3.6067447879201236`*^9, 3.6079672643593707`*^9, 
  3.608916489633979*^9, 3.609263903441434*^9, 3.6096739829931097`*^9, 
  3.610187612827401*^9}]
}, Open  ]],

Cell["\<\
Not reactive but reactivity starts to increase near threshold\
\>", "Text",
 CellChangeTimes->{{3.582906256379737*^9, 3.582906258938993*^9}, {
  3.5829063801761155`*^9, 3.582906391569255*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"R0", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"k", "^", "2"}], ")"}], "*", "p", "*", "q", "*", 
   RowBox[{"Nm", "/", 
    RowBox[{"(", 
     RowBox[{"Nh", "*", "\[Mu]", "*", "\[Delta]"}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.582902163175458*^9, 3.582902197775917*^9}, {
  3.5829024614362807`*^9, 3.5829024635154886`*^9}, {3.5829035737555017`*^9, 
  3.5829035747636023`*^9}, {3.5829060064357452`*^9, 3.582906006803782*^9}, {
  3.582906286720771*^9, 3.5829062873758364`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Nm", ",", " ", 
      RowBox[{"R0", "[", "Nm", "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"Nm", ",", " ", "100", ",", " ", "10000", ",", " ", "100"}], 
     "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5829022030004396`*^9, 3.5829022598271217`*^9}, {
  3.5829035786839943`*^9, 3.582903612333359*^9}, {3.5829060096520667`*^9, 
  3.5829060271878204`*^9}, {3.5829062957286716`*^9, 3.58290631011311*^9}, {
  3.6067401998831615`*^9, 3.606740201795353*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJwt1E1Ik3EAx/EH8eDBg0SHgZenkJAKGhIyiPChtBZpPWraqlVrzXqsoOFp
QdCIhAWRj7JIxWiV1Xp/KqtVVk8FsYOHHTp46PAcd/AwpMNOUfH7DsaXz/95
/m8wti55fmCkwTCM1L/v/+pzyFIb6Chdo/pjuJVeoOtV65Ka3cD7l3m+SQ3G
eb6F8au0QzWvsc5WOsH7nWp4knUjdIr521Q7z7zt7HeD+V1q+ibjFvNm6A7V
neUcO+kc63Wr3i010cP4bdbfpToFtbCb897hnFG1joM9jN9l/71q7h779nKf
efbpU0P32X8f6+DsfrX4gHk2933IezhSZLyffR/RAbWMXew+5jyDauyJ6mHz
Kec7oFZxBXvPOO+Qmnmu1rD1gvMPq42e2nJQdXABL+FwjL5UfZzHNr/jOg5w
/JWaPsw8bBxR215zb5zDZlxdwR62F7jHUXUBV3DojZo4pl7ENRzg7HG1+63a
lFCL2MbN79RpnMYB/onbT6iREu/hOVzCxnuaVFM4isvYxZs/qMvYxeZJ9Td2
cOyj6uFFXMfmomql1Cs4h6u4gns/qaER1sUJvPazWsQZXMO/cOQU+35Rs3ge
l3Gjr7acVjtxDDu4gGdxFS/hsKP+wRkc/qr6OImb+N/NYxv/wNO4jgO88Zva
fkaN4zS+jkvYx8ZZdRVHcdt31cXDeBnnsHnO+gt3ufIF
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 10000.}, {0, 225.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{200., 200.}, {4.5, 4.5}}]], "Output",
 CellChangeTimes->{3.5829063148515835`*^9, 3.606740202426416*^9, 
  3.606744703454678*^9, 3.606744787942126*^9, 3.6079672643813705`*^9, 
  3.6089164896599817`*^9, 3.6092639035174336`*^9, 3.6096739830191126`*^9, 
  3.610187612858404*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Leading Indicators - vary k", "Section",
 CellChangeTimes->{{3.582544115718882*^9, 3.5825441216224723`*^9}, {
  3.5825462716354523`*^9, 3.5825462850587945`*^9}}],

Cell[CellGroupData[{

Cell["Parameters", "Subsubsection",
 CellChangeTimes->{{3.559560896211769*^9, 3.5595608981479626`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Nm", "=", "10000"}], ";", "  ", 
  RowBox[{"\[Mu]", "=", "0.01"}], ";", " ", 
  RowBox[{"\[Delta]", "=", 
   RowBox[{"1", "/", "10"}]}], ";", "  ", 
  RowBox[{"Nh", "=", "1000"}], ";", " ", 
  RowBox[{"p", "=", "0.5"}], ";", 
  RowBox[{"q", "=", "0.5"}], ";", " ", 
  RowBox[{"\[Sigma]", "=", "0.05"}], ";"}]], "Input",
 CellChangeTimes->{{3.556986019746208*^9, 3.5569860445223026`*^9}, {
   3.556986261786672*^9, 3.5569862655463924`*^9}, {3.5569868150831923`*^9, 
   3.5569868654915376`*^9}, {3.559493229027683*^9, 3.5594932330918865`*^9}, {
   3.5601581786399975`*^9, 3.5601581831514482`*^9}, {3.5601656412571898`*^9, 
   3.5601656463286967`*^9}, {3.5601665546725225`*^9, 3.560166556079663*^9}, {
   3.5617195287057753`*^9, 3.5617195328832808`*^9}, 3.5825441706313725`*^9, {
   3.5825442708993983`*^9, 3.5825442755378623`*^9}, {3.582544320499358*^9, 
   3.582544321682476*^9}, {3.5825459689861903`*^9, 3.5825459716894608`*^9}, {
   3.5825462894952383`*^9, 3.582546294006689*^9}, {3.5825518931115437`*^9, 
   3.5825518944226747`*^9}, {3.582551924760708*^9, 3.58255192517575*^9}, {
   3.606740247924965*^9, 3.606740256765849*^9}, {3.606743834179759*^9, 
   3.606743840011342*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"eqnsRM", "[", "k_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", 
         RowBox[{"p", "/", "Nh"}]}], ")"}], "*", "y", "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", "x"}], ")"}]}], "-", 
      RowBox[{"\[Mu]", " ", "x"}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", "q", " ", 
         RowBox[{"x", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", "y"}], ")"}]}], "-", 
      RowBox[{"\[Delta]", " ", "y"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzVtIk2EAh/E5DxfmWOFUPFDIRN08LA8hahQvROVUBPNCRSYNxQPJRBRj
BlNx6CphbU1WmQjKLpwHYqIyPCCKYAw1kTnxQsVvW7zypRfahRfR+/8uHn6X
T7JWV9koFolEchZcHjR+jyqkpCEmbwxayvnx/GJKnl1cT8LjhGCK6zklmTOt
CujV5/Aw8NQqGHExdzr7ghKNKvocKnYOfkOtd52HU6+qw+eYTavNguqOSxXk
veKHMHen6hEsiZwvgPfVRT0LzIAv+h3s9Ej6YDDgEJTsdvmhxlYdgC8zzbdQ
vLEmmL2RlrWI/1+9Clak6z7H9VAiK7ljg77X5cp45p/9sQw47TY4HjArviw5
oaT0ZltmoORgM+wnXH0/ugfVUrdgXe+3E8hxziDsDuekMUxf18ldaPdYjS29
lCyZnIOwttTwEWrUZ5/g8GHYBHS4ywSPvAsuyClT5uGvLbOolWmuWomAb/yJ
cfCJyy4oUd6Lpcxr2YckOLKrl8N//pA0ONCm7c8xUrLi+GqE9YuW83YTJYma
IQ7apDU3MNSiE7Q9bg45slKSPjoshqf2q1TFD0reWvks6JHfZiuZClOyCv4H
YuAdnQ==
  "]],

Cell[BoxData[
 RowBox[{
  RowBox[{"sols", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", " ", "Reals"}], "]"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.5541966693446703`*^9, 3.5541966804306707`*^9}, {
  3.5541968726606703`*^9, 3.5541968774916706`*^9}, {3.5541999144835997`*^9, 
  3.5541999190270543`*^9}, {3.554200238404261*^9, 3.5542002436192613`*^9}, {
  3.556288483901885*^9, 3.556288484806714*^9}, {3.556288657199264*^9, 
  3.5562886703219023`*^9}, {3.5569861788310966`*^9, 3.5569862162856135`*^9}, {
  3.5572493802110267`*^9, 3.557249401833458*^9}, {3.55724945309803*^9, 
  3.557249465375702*^9}, {3.582544243199629*^9, 3.582544265664875*^9}, {
  3.5825443426765757`*^9, 3.5825443437326813`*^9}, {3.5825463016244507`*^9, 
  3.582546302856574*^9}, {3.58254633501779*^9, 3.582546340554343*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sols", "[", "10000", "]"}]], "Input",
 CellChangeTimes->{{3.557249468729831*^9, 3.557249478012188*^9}, 
   3.557249649519188*^9, {3.5594927032385235`*^9, 3.559492703588681*^9}, {
   3.5617197021938057`*^9, 3.5617197028652086`*^9}, {3.582544286447953*^9, 
   3.582544288975206*^9}, 3.5825443615714645`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "\[Equal]", "0.`"}], "||", 
    RowBox[{"x", "\[Equal]", "999.99979999604`"}]}], ")"}], "&&", 
  RowBox[{"y", "\[Equal]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"0.002`", " ", "x"}], 
     RowBox[{
      RowBox[{"-", "1000.`"}], "+", 
      RowBox[{"1.`", " ", "x"}]}]]}]}]}]], "Output",
 CellChangeTimes->{{3.5572494711791253`*^9, 3.5572494786362123`*^9}, 
   3.557249649940404*^9, 3.5573223618943653`*^9, 3.557322393608799*^9, 
   3.5594927044090505`*^9, 3.5594932923245897`*^9, 3.5594951537000713`*^9, 
   3.55956031011652*^9, 3.5595631052106466`*^9, 3.5600985759122267`*^9, 
   3.560158189656099*^9, 3.5601656514452085`*^9, 3.560166561180173*^9, 
   3.56171959697171*^9, 3.5617197035236034`*^9, 3.5617197406508665`*^9, 
   3.56717557199247*^9, 3.5671757082930984`*^9, 3.5671819382720337`*^9, 
   3.567184400007183*^9, 3.5825442902233305`*^9, {3.5825443473480425`*^9, 
   3.5825443621105185`*^9}, 3.58254522991129*^9, 3.5825452664909477`*^9, 
   3.5825459744587374`*^9, 3.5825517637036037`*^9, 3.5825518989061227`*^9, 
   3.5825519300432367`*^9, 3.5825520641596465`*^9, 3.5829046919563103`*^9, 
   3.6067402662738*^9, 3.606740757257687*^9, 3.6067437489482365`*^9, 
   3.606743845513892*^9, 3.6079677677963705`*^9, 3.609264696061434*^9, 
   3.6096739830431147`*^9, 3.610187612892408*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"xEE", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "k", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
  3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.58254438312562*^9, 
  3.582544419270234*^9}, {3.5825463967159586`*^9, 3.5825464004593334`*^9}, {
  3.606740269405113*^9, 3.6067402710692797`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"yEE", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "k", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", 
   RowBox[{"x", "->", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"sols", "[", "k", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
  3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.5572496707984056`*^9, 
  3.5572496819372344`*^9}, {3.582544387717079*^9, 3.582544388373145*^9}, {
  3.582544429623269*^9, 3.582544500795386*^9}, {3.58254640252454*^9, 
  3.5825464067639637`*^9}, {3.582551914536686*^9, 3.5825519158008122`*^9}, {
  3.6067402749506674`*^9, 3.6067402751986923`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"xEE", "[", "0.021", "]"}]], "Input",
 CellChangeTimes->{{3.582545287210019*^9, 3.5825452900102997`*^9}, {
  3.6067402991430864`*^9, 3.6067403054547176`*^9}, {3.606740681724341*^9, 
  3.606740687284897*^9}}],

Cell[BoxData["84.88612836438939`"], "Output",
 CellChangeTimes->{{3.582545290550353*^9, 3.582545316729971*^9}, 
   3.5825459745567474`*^9, 3.5825517637746115`*^9, 3.5825518990141335`*^9, 
   3.582551930129245*^9, 3.5825520642376547`*^9, 3.5829046920073156`*^9, {
   3.606740288609033*^9, 3.6067403060807805`*^9}, {3.6067406829874673`*^9, 
   3.6067406879289613`*^9}, 3.606740757282687*^9, 3.6067437489762397`*^9, 
   3.606743845539895*^9, 3.6079677678293705`*^9, 3.6092646961224337`*^9, 
   3.6096739830731177`*^9, 3.610187612929412*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"JEE", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], "}"}],
    "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "k", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "k", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
  3.557249885112858*^9, 3.5572499095277967`*^9}, {3.5572499569692216`*^9, 
  3.557249966189176*^9}, {3.5825445141107173`*^9, 3.5825445638566914`*^9}, {
  3.5825447968749905`*^9, 3.582544804154719*^9}, {3.582544924191721*^9, 
  3.582544928048107*^9}, {3.5825453084331417`*^9, 3.5825453123045287`*^9}, {
  3.582546434497737*^9, 3.582546460465333*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DetJEE", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Det", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
     "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "k", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "k", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
  3.557249885112858*^9, 3.5572499095277967`*^9}, {3.582544816460949*^9, 
  3.582544850317334*^9}, {3.582544930064308*^9, 3.5825449330566072`*^9}, {
  3.582545320578356*^9, 3.582545323072605*^9}, {3.5825464372650137`*^9, 
  3.582546437761063*^9}, {3.582551562718508*^9, 3.582551570526288*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TrJEE", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
     "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "k", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "k", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.5572498228336563`*^9}, {
   3.5572498684046154`*^9, 3.5572498690598407`*^9}, 3.557249915456025*^9, {
   3.5825448317734804`*^9, 3.5825448547657795`*^9}, {3.5825449350238047`*^9, 
   3.582544939904292*^9}, {3.5825453275710554`*^9, 3.582545329633261*^9}, {
   3.5825464402893157`*^9, 3.5825464412664137`*^9}, {3.5825515664618816`*^9, 
   3.5825515724774833`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a11", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "k", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557249995097088*^9}, {
  3.5572506164947824`*^9, 3.5572506173684163`*^9}, {3.582544857401043*^9, 
  3.582544862633566*^9}, {3.5825515774019756`*^9, 3.582551581337369*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a12", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "k", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.5572500074079657`*^9}, {
  3.5572506212217646`*^9, 3.5572506219861937`*^9}, {3.582544870522355*^9, 
  3.582544881562459*^9}, {3.582551583097545*^9, 3.5825516056427994`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a21", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "k", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557250016674782*^9}, {
  3.5572506241390767`*^9, 3.557250629848896*^9}, {3.58254487217052*^9, 
  3.582544879610264*^9}, {3.5825515857698126`*^9, 3.5825516070179367`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a22", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "k", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557250025708587*^9}, {
  3.5572506323137913`*^9, 3.557250636323145*^9}, {3.582544874905793*^9, 
  3.58254487737004*^9}, {3.5825515883460703`*^9, 3.5825516089221277`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B11", "[", "k_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"p", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"yEE", "[", "k", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nh", "-", 
      RowBox[{"xEE", "[", "k", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Mu]", " ", 
    RowBox[{"xEE", "[", "k", "]"}]}], "+", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "p", " ", "*", 
    " ", "p", " ", "*", 
    RowBox[{"yEE", "[", "k", "]"}], "*", 
    RowBox[{"yEE", "[", "k", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nh", "-", 
      RowBox[{"xEE", "[", "k", "]"}]}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nh", "-", 
      RowBox[{"xEE", "[", "k", "]"}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557250038969182*^9, 3.5572500604669466`*^9}, {
   3.559492735036815*^9, 3.5594927806431365`*^9}, {3.582544885146817*^9, 
   3.5825449148757896`*^9}, {3.582544945932895*^9, 3.5825449535986614`*^9}, {
   3.5825515909233274`*^9, 3.58255161714695*^9}, {3.6067436497546606`*^9, 
   3.6067437022566605`*^9}, 3.6079673642373705`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B12", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "p", " ", "q", 
   " ", "*", 
   RowBox[{"yEE", "[", "k", "]"}], "*", 
   RowBox[{"xEE", "[", "k", "]"}], "*", 
   RowBox[{"(", 
    RowBox[{"Nh", "-", 
     RowBox[{"xEE", "[", "k", "]"}]}], ")"}], "*", 
   RowBox[{"(", 
    RowBox[{"Nm", "-", 
     RowBox[{"yEE", "[", "k", "]"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.557250068548109*^9, 3.557250109359541*^9}, {
  3.5594927878030243`*^9, 3.5594927918775573`*^9}, {3.5825448867299757`*^9, 
  3.582544893738676*^9}, {3.582551593897625*^9, 3.5825515955607915`*^9}, {
  3.6067435989896607`*^9, 3.606743610237661*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B21", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "p", " ", "q", 
   " ", "*", 
   RowBox[{"yEE", "[", "k", "]"}], "*", 
   RowBox[{"xEE", "[", "k", "]"}], "*", 
   RowBox[{"(", 
    RowBox[{"Nh", "-", 
     RowBox[{"xEE", "[", "k", "]"}]}], ")"}], "*", 
   RowBox[{"(", 
    RowBox[{"Nm", "-", 
     RowBox[{"yEE", "[", "k", "]"}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.557250120311232*^9}, {
   3.5594927900844345`*^9, 3.55949279483809*^9}, {3.5825448883781404`*^9, 
   3.5825448964579477`*^9}, {3.5825515972419596`*^9, 3.58255159834507*^9}, {
   3.6067436122686605`*^9, 3.6067436180376606`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B22", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"xEE", "[", "k", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "k", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Delta]", " ", 
    RowBox[{"yEE", "[", "k", "]"}]}], "+", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "q", " ", "q", 
    " ", "*", 
    RowBox[{"xEE", "[", "k", "]"}], "*", 
    RowBox[{"xEE", "[", "k", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "k", "]"}]}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "k", "]"}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.5572501626671324`*^9}, {
   3.559492802858534*^9, 3.5594928166756196`*^9}, {3.5601584582819586`*^9, 
   3.5601584596270933`*^9}, {3.582544890203323*^9, 3.5825448905233545`*^9}, {
   3.5825449651668186`*^9, 3.5825450095042515`*^9}, {3.582551600619297*^9, 
   3.58255162634787*^9}, {3.6067437066800103`*^9, 3.606743740929435*^9}, {
   3.607967680809371*^9, 3.6079677189663706`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Functions", "Subsubsection",
 CellChangeTimes->{{3.5595609237325206`*^9, 3.559560924804628*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PSD", "[", 
   RowBox[{"k_", ",", " ", "\[Omega]_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], 
      RowBox[{"B12", "[", "k", "]"}], 
      RowBox[{"a12", "[", "k", "]"}], 
      RowBox[{"a22", "[", "k", "]"}]}], "+", 
     RowBox[{
      RowBox[{"B11", "[", "k", "]"}], "*", 
      RowBox[{"a22", "[", "k", "]"}], "*", 
      RowBox[{"a22", "[", "k", "]"}]}], "+", 
     RowBox[{
      RowBox[{"a12", "[", "k", "]"}], "*", 
      RowBox[{"a12", "[", "k", "]"}], "*", 
      RowBox[{"B22", "[", "k", "]"}]}], "+", 
     RowBox[{
      RowBox[{"B11", "[", "k", "]"}], "*", 
      RowBox[{"\[Omega]", "^", "2"}]}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Omega]", "^", "2"}], "-", 
        RowBox[{"(", 
         RowBox[{"DetJEE", "[", "k", "]"}], ")"}]}], ")"}], "^", "2"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"TrJEE", "[", "k", "]"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"TrJEE", "[", "k", "]"}]}], ")"}], "*", 
      RowBox[{"\[Omega]", "^", "2"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.5572501736968274`*^9, 3.5572503769909124`*^9}, {
   3.557250462663035*^9, 3.5572504632402573`*^9}, {3.5573222480149784`*^9, 
   3.5573222749572144`*^9}, 3.5825450418784885`*^9, {3.582545103559656*^9, 
   3.5825451120555058`*^9}, {3.582545142793579*^9, 3.5825452000433035`*^9}, {
   3.5825516295351887`*^9, 3.582551663424577*^9}, {3.6067438123495765`*^9, 
   3.6067438229326344`*^9}, {3.606743854181759*^9, 3.6067438957439146`*^9}}],

Cell["Can only compute up to threshold, zero after", "Text",
 CellChangeTimes->{{3.567175547374008*^9, 3.567175555421813*^9}, {
  3.567175601088379*^9, 3.567175603360606*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"PSD", "[", 
         RowBox[{"k", ",", "\[Omega]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Omega]", ",", " ", 
          RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}], ",", " ", 
        RowBox[{"MaxRecursion", "\[Rule]", "120"}]}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", "\[Pi]"}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", " ", "0.021", ",", " ", "0.3", ",", " ", "0.01"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQA2IQ/cR0sYdu6yvHqk/JXiB6xfP7ASC6TfpGNIiO+Twv
HkTXxP4B04dWRjWCaCaJf2A6rjjb0xBI/2tzjwDR+uqrEkH0sU85GSD6yL1z
OSDarfNQGYiuWc/3C0T33Xv/G0Qv279ewghIq8gWSIHoihmy8iB6n7+aCoje
UMKbCaLn8HJmgejV1n7dIPpX6Aow3VP11NgYSJdtWmsBovsOMWeB6KPKmmD6
wqHtWwOBtMSkiO0gWkwre24QkNaec3k+iK7aW/TmxuRXji/Y970D0dcc8r6D
6IPnWsH0LN+L3DeBdOf7a2BaNaNlmebGV45N5XdWgOg/donndED0z5cXQfSO
e88e+99/5fjlxd4nIBoAGy253Q==
  "]],

Cell[BoxData[
 RowBox[{
  RowBox[{"autocovar", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"PSD", "[", 
          RowBox[{"k", ",", "\[Omega]"}], "]"}], "*", 
         RowBox[{"Cos", "[", 
          RowBox[{"7", " ", "\[Omega]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Omega]", ",", "  ", 
          RowBox[{"-", 
           RowBox[{"10", "^", 
            RowBox[{"(", "15", ")"}]}]}], ",", 
          RowBox[{"10", "^", "15"}]}], "}"}], ",", " ", 
        RowBox[{"MaxRecursion", "\[Rule]", "1200000"}]}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", "\[Pi]"}], ")"}]}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"k", ",", " ", "0.021", ",", " ", "0.3", ",", " ", "0.01"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5594839731003284`*^9, 3.559483987123349*^9}, {
   3.5594840389970284`*^9, 3.55948412675336*^9}, {3.559484156967207*^9, 
   3.5594841598864117`*^9}, {3.5594844268332224`*^9, 
   3.5594844319404306`*^9}, {3.559492171357833*^9, 3.5594922902352285`*^9}, {
   3.559492365317283*^9, 3.5594924194046354`*^9}, {3.559492454464693*^9, 
   3.559492534079257*^9}, {3.5594935844589214`*^9, 3.5594935994959173`*^9}, {
   3.5594938294921446`*^9, 3.559493843503557*^9}, {3.559494491677012*^9, 
   3.559494533392316*^9}, {3.559494575542994*^9, 3.5594945877124767`*^9}, {
   3.559496210824774*^9, 3.5594962191756086`*^9}, {3.5594965033500233`*^9, 
   3.5594965171414022`*^9}, {3.559496777009386*^9, 3.5594967940010853`*^9}, {
   3.5595585393730946`*^9, 3.5595585591990767`*^9}, {3.5601598642325215`*^9, 
   3.560159883960494*^9}, {3.560159941804278*^9, 3.5601599795330505`*^9}, {
   3.5601656799800615`*^9, 3.560165725421605*^9}, {3.560166590307085*^9, 
   3.5601666021162663`*^9}, {3.5671758593452024`*^9, 
   3.5671758923545027`*^9}, {3.567175940005267*^9, 3.567175968293096*^9}, {
   3.567176003095576*^9, 3.5671760299602623`*^9}, {3.5671760644897146`*^9, 
   3.5671760863308983`*^9}, {3.567176176862951*^9, 3.567176177005965*^9}, {
   3.5671762197132354`*^9, 3.567176329861249*^9}, {3.582545384833781*^9, 
   3.5825454020825057`*^9}, {3.5825517039366283`*^9, 3.582551711826417*^9}, {
   3.582551965562788*^9, 3.58255200588582*^9}, 3.582900537786935*^9, {
   3.606740786765687*^9, 3.6067407932616873`*^9}, {3.6096738289717093`*^9, 
   3.609673829897802*^9}, {3.6101875241235323`*^9, 3.6101875250906286`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["autocovar"], "Input",
 CellChangeTimes->{{3.5825518078350167`*^9, 3.582551832034436*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "8012.713589559485`", ",", "9535.653228916206`", ",", "3816.643234518386`", 
   ",", "1638.19640282526`", ",", "775.3876317492472`", ",", 
   "398.5021720329752`", ",", "218.7230621707422`", ",", 
   "126.49912320543133`", ",", "76.29735672171147`", ",", 
   "47.61041310804505`", ",", "30.549263150046`", ",", "20.060821071821497`", 
   ",", "13.432498184192005`", ",", "9.145354782741334`", ",", 
   "6.317453607640387`", ",", "4.420485815929544`", ",", "3.129342790016853`",
    ",", "2.2392540722709455`", ",", "1.6186236032354895`", ",", 
   "1.1813927845354173`", ",", "0.8704221000394087`", ",", 
   "0.6472665223962559`", ",", "0.48575551908159176`", ",", 
   "0.3678887059243561`", ",", "0.2811697758348898`", ",", 
   "0.21685012679576765`", ",", "0.168757280647427`", ",", 
   "0.13250470773487083`"}], "}"}]], "Output",
 CellChangeTimes->{{3.582551818534086*^9, 3.582551833002533*^9}, 
   3.582551959101142*^9, 3.5825520933085613`*^9, 3.606743917587099*^9, 
   3.607967785328371*^9, 3.6092647133954334`*^9, 3.6096740002658367`*^9, 
   3.6101876298080993`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"k", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0.021", ",", " ", "0.3", ",", " ", "0.01"}], "]"}]}], ";", " ", 
  RowBox[{"autocor", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"autocovar", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "/", 
        RowBox[{"var", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", 
       RowBox[{"Length", "[", "k", "]"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.559558594953652*^9, 3.5595586856997256`*^9}, {
  3.5601657426543283`*^9, 3.5601657432773905`*^9}, {3.5601666210121555`*^9, 
  3.560166627507805*^9}, {3.5671758154388123`*^9, 3.567175823198588*^9}, {
  3.582545417650062*^9, 3.5825454387551727`*^9}, {3.5825517160648403`*^9, 
  3.5825517315043845`*^9}, {3.5825518569509277`*^9, 3.582551858054038*^9}, {
  3.5829047827843924`*^9, 3.5829047852966433`*^9}, {3.606740799395687*^9, 
  3.606740808036687*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "autocor", "]"}]], "Input",
 CellChangeTimes->{{3.559558688350991*^9, 3.559558692561412*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQLa1/V4Wtcar92o3G9XMevrePsNxyomzffHvD0y2/
1drf2Z9e6Lrt898l9l8bTB517n5j/0rNkGONzCp7x1knAxInvrIHcqJSrNfb
7zkp8CxU6YX9FAmWMD7dTfbW8qK+Ij1P7ZVv/6zL2rPFftqjjd+Wvnlkv3nu
++XHvLfbL9E9eOVr3AN7p4SnF5Ru77R/wcbqvf7DbfuLSmAN9o1XHK3u9V23
TwRJ/9xn/2Pm8knrVly2/xH8eOnsIwfsk6J+Rjg5X7C3N43b5clzyH7ud+N/
Z7edsm8Xu3nue/Bh+/OM1gx7Lxy1P/8drMF+0cfJbl17DtqDpR8ftS+SUDNe
tH+PPUg3k/Zx+4LY5wL2Dtvtl80+orCh6IR9anL2XLWTm+zf1oBsOGn/3dxi
46eodRDrmE7b113NkfrRvcK+Fixyxl7zYi9j+KPF9iDdGRPP2j/1/tN/SXWB
PdBwkJPsz2XO1D3pP8t+1cdLvkkCF+yTzc/q/W2Zau+XJAAM8gv2XCLhcX1r
J9p/AklHXLT/b5x2Zo1+r/005+6c57+B/L+RepYWHfZW4Oi5ZJ//iEO4zrTF
HgBdUOKs
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 0.29100000000000004`}, {0, 0.9962904438412373}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0058200000000000005`, 0.0058200000000000005`}, {
   0.019925808876824748`, 0.019925808876824748`}}]], "Output",
 CellChangeTimes->{
  3.5595586930184574`*^9, 3.55956034573652*^9, 3.5601599934814453`*^9, 
   3.560165783354398*^9, 3.560166630364091*^9, 3.5671763861108737`*^9, 
   3.5825454450037975`*^9, 3.58254598368666*^9, {3.582551793098543*^9, 
   3.5825518027645097`*^9}, 3.5825518610303354`*^9, 3.582551959151147*^9, 
   3.582552030616293*^9, 3.5825520933615665`*^9, 3.606740811277687*^9, 
   3.606743917607101*^9, 3.607967785347371*^9, 3.6092647134214334`*^9, 
   3.6096740002918396`*^9, 3.6101876298411026`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<autocorrelationk.csv\>\"", ",", " ", "autocor"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6092644627164335`*^9, 3.609264484882434*^9}}],

Cell[BoxData["\<\"autocorrelationk.csv\"\>"], "Output",
 CellChangeTimes->{3.6092644862584333`*^9, 3.6092647134984336`*^9, 
  3.6096740003578463`*^9, 3.610187629904109*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", 
      RowBox[{"var", "[", 
       RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"i", ",", " ", 
      RowBox[{"Length", "[", "k", "]"}]}], "}"}]}], "]"}], "//", 
  "ListPlot"}]], "Input",
 CellChangeTimes->{{3.5600986515137863`*^9, 3.560098652013836*^9}, {
  3.5671755844497156`*^9, 3.567175588114082*^9}, {3.567175654180688*^9, 
  3.5671756571889887`*^9}, {3.5671757180720763`*^9, 3.5671757222474937`*^9}, {
  3.607967809720371*^9, 3.607967825799371*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQLa1/V4Wtcaq9v1qCY0/WfocIyy0nyvbNtw/ZKRqz
u/Www+mFrts+/11i/7XcZN6qWRscXqkZcqyRWWUfm3f56uQr8xyAnKgU6/X2
vAENGtkCExymSLCE8elusl9z4uD+CXVNDsq3f9Zl7dlivyRu5pNe2XKHzXPf
Lz/mvd3+xsY5pxpe5Dk4JTy9oHR7p319madn341Uh4tKYA32Bnut93zXSnBI
BEn/3GfvGrkwhutuhMOP4MdLZx85YK9pqB01a0+wg71p3C5PnkP2a9QbtimL
Bzi0i9089z34sP3x1oO78q54OZz/DtZg/2ZKRtCO024OYOnHR+3dU5qc29c5
O4B0M2kft5fK2m1pa+XosGz2EYUNRSfsefY/Fr3XbOfwtgZkw0l7O81Zq6V9
rR3A1jGdtv8S/n2zyxILh1qwA87YC92ye7ko08wBpDtj4ln7x2unTXzSauIA
NBzkJHt1p0Svmc+NHFZ9vOSbJHDBXjzbY29To6GDX5IAMMgv2D9ftepErqeB
wyeQdMRF+/odIUtP5ek5THPuznn++6K98yMeH6cuHQcrcPRcso/8xZljfVvL
AQCqJtU9
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 0.29100000000000004`}, {0, 2544.0027649564213`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0058200000000000005`, 0.0058200000000000005`}, {
   50.88005529912843, 50.88005529912843}}]], "Output",
 CellChangeTimes->{
  3.560098652792914*^9, 3.560159898829981*^9, 3.560165734130476*^9, {
   3.5671756397152414`*^9, 3.5671756579810677`*^9}, {3.5671757326265316`*^9, 
   3.567175736649934*^9}, 3.582545353252623*^9, 3.582545978915183*^9, 
   3.582551777832017*^9, 3.5825519440256343`*^9, 3.5825520780950403`*^9, 
   3.606740781308687*^9, 3.6067439087782183`*^9, 3.607967776229371*^9, {
   3.6079678148673706`*^9, 3.607967826847371*^9}, 3.6092647135194335`*^9, 
   3.609674000407851*^9, 3.610187629957114*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"vark", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"var", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", 
       RowBox[{"Length", "[", "k", "]"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6092645362864337`*^9, 3.609264564139434*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<variancek.csv\>\"", ",", " ", "vark"}], "]"}]], "Input",
 CellChangeTimes->{{3.6092644627164335`*^9, 3.609264484882434*^9}, {
  3.6092645455084333`*^9, 3.6092645559574337`*^9}}],

Cell[BoxData["\<\"variancek.csv\"\>"], "Output",
 CellChangeTimes->{3.6092644862584333`*^9, 3.6092647136054335`*^9, 
  3.609674000478858*^9, 3.610187630024121*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"2", ",", " ", 
   RowBox[{
    RowBox[{"Length", "[", "Nm", "]"}], "-", "1"}], ",", "1"}]}]], "Input",
 EmphasizeSyntaxErrors->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"CVk", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{"var", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}], "/", 
        RowBox[{"xEE", "[", 
         RowBox[{"k", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "k", "]"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6092641577694335`*^9, 3.6092641685204334`*^9}, {
  3.6092642354004335`*^9, 3.6092642631104336`*^9}, {3.6092643151074333`*^9, 
  3.6092643306344337`*^9}, {3.609264646974434*^9, 3.6092646743244333`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "CVk", "]"}]], "Input",
 CellChangeTimes->{{3.609264335205434*^9, 3.6092643395794334`*^9}, {
  3.609264676955434*^9, 3.6092646778034334`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQLa1/V4Wtcar9vk2fJ4Q8/2AfYbnlRNm++fYXZpVE
/gk9bn96oeu2z3+X2IflTnta9mOb/Ss1Q441Mqvsnxy64ab+brU9kBOVYr3e
/ou9GKfX/0X2UyRYwvh0N9nXW/Roc1+aba98+2dd1p4t9jPPdcq41k613zz3
/fJj3tvti3JFu7u9Jto7JTy9oHR7p/2LLTv/nNzTY39RCazB/uOJPaonGzvs
E0HSP/fZ3wtccc0+otX+R/DjpbOPHLD3fczLkvaqyd7eNG6XJ88h+xjfzVOS
GBvt28VunvsefNh+apXn/gsf6+zPfwdrsG85fZyhqKDGHiz9+Ki9zLezkXwx
VfYg3Uzax+35nhisfTa7wn7Z7CMKG4pO2J8veHD3jWy5/dsakA0n7eV3NUZs
v1IKsY7ptP3V0KUNqttK7GvBImfs3ataUkt2FduDdGdMPGu/rvhAypzbRfZA
w0FOsn97xUjzvkiR/aqPl3yTBC7YF+1/GFqWVGjvlyQADPIL9hlaPEsjDhbY
fwJJR1y0P7Lq+GY+/QL7ac7dOc9/X7SftP7GOdXgfHsrcPRcsldRmDy1KC7P
HgDeI99m
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 0.29100000000000004`}, {0, 0.08639344277494129}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0058200000000000005`, 0.0058200000000000005`}, {
   0.0017278688554988259`, 0.0017278688554988259`}}]], "Output",
 CellChangeTimes->{3.6092647138354335`*^9, 3.6096740007238827`*^9, 
  3.610187630260144*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<CVk.csv\>\"", ",", "CVk"}], "]"}]], "Input",
 CellChangeTimes->{{3.6092641320304337`*^9, 3.6092641418574333`*^9}, {
  3.6092643725914335`*^9, 3.609264378422434*^9}, {3.609264680403434*^9, 
  3.6092646842424335`*^9}}],

Cell[BoxData["\<\"CVk.csv\"\>"], "Output",
 CellChangeTimes->{3.609264713908434*^9, 3.6096740007848887`*^9, 
  3.6101876303231506`*^9}]
}, Open  ]],

Cell["Autocorrelation increases until threshold is reached.", "Text",
 CellChangeTimes->{{3.582906094612562*^9, 3.5829061114282436`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"reac", "[", "k_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"A", "=", 
      RowBox[{"JEE", "[", "k", "]"}]}], ";", " ", 
     RowBox[{"r", "=", 
      RowBox[{"Max", "[", 
       RowBox[{"Eigenvalues", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"A", "+", 
           RowBox[{"Transpose", "[", "A", "]"}]}], ")"}], "/", "2"}], "]"}], 
       "]"}]}], ";", 
     RowBox[{"Return", "[", "r", "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.513699505060236*^9, 3.513699521012762*^9}, {
   3.513699599532543*^9, 3.5136996025227823`*^9}, 3.513699646606309*^9, {
   3.5140497359139996`*^9, 3.514049739785386*^9}, {3.514114672121261*^9, 
   3.5141146962240334`*^9}, {3.5193859033237047`*^9, 3.519385915756948*^9}, {
   3.5193867473611*^9, 3.5193867608164454`*^9}, {3.519386807635127*^9, 
   3.519386817793143*^9}, {3.5230974016679106`*^9, 3.5230975422349653`*^9}, {
   3.526743414000314*^9, 3.5267435629812107`*^9}, {3.527349027198474*^9, 
   3.527349049820736*^9}, {3.532689828155117*^9, 3.532689831115413*^9}, {
   3.575124201118757*^9, 3.5751242262562704`*^9}, {3.5829043985109687`*^9, 
   3.5829044036004777`*^9}, {3.582904698300945*^9, 3.582904701404255*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k", ",", 
       RowBox[{"reac", "[", "k", "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"k", ",", " ", "0.021", ",", " ", "0.3", ",", " ", "0.01"}], 
      "}"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.532689764809783*^9, 3.5326897932886305`*^9}, {
  3.575124240607705*^9, 3.575124309970641*^9}, {3.582904408190937*^9, 
  3.582904420768194*^9}, {3.582904705324647*^9, 3.5829047257246866`*^9}, {
  3.6067408343616867`*^9, 3.606740837033687*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQLa1/V4Wtcaq9T3jhpryfE+wjLLecKNs3317FSPVM
zqqp9qcXum77/HeJ/a2jjyVW35hh/0rNkGONzCr7Jb7/LMyCZ9kDOVEp1uvt
Z9lbyU7Sn2U/RYIljE93k32F4Xzt+lkz7JVv/6zL2rPFPmBp6YvyY1PtN899
v/yY93b7K9PbV614MtHeKeHpBaXbO+0vqDefd3Lpsr+oBNZgfyB+/Zmq2XX2
iSDpn/vsHZRmtE+JirT/Efx46ewjB+w/vImOn3eueL+9adwuT55D9gvOl9U3
bG/f3y5289z34MP2PCobDgTxTt5//jtYg71H2uuS6WWz9oOlHx+1b2I6szqT
ZeF+kG4m7eP2Qb0yPz7fXrJ/2ewjChuKTthP4Iuz/75nxf63NSAbTtrf+Dg/
N3/xmv1g65hO2yv7OhcIuG3YXwt2wBl7TeuNxdZWm/aDdGdMPGuv+mrNJGPd
LfuBhoOcZD8jWm6Fjty2/as+XvJNErhgH/EiJqmTZ8d+vyQBYJBfsL9Z9Wrb
pe87938CSUdctL8pUHh4w/3d+6c5d+c8/33RXuVc4dMnh/futwJHzyX7pf99
brgs2b8fAJv/5t0=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0.021, 0.},
  Method->{},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{3.582904738985013*^9, 3.606740838141687*^9, 
  3.6067439179991403`*^9, 3.607967785753371*^9, 3.609264714316434*^9, 
  3.6096740012079315`*^9, 3.6101876307361917`*^9}]
}, Open  ]],

Cell["System becomes reactive close to the threshold.", "Text",
 CellChangeTimes->{{3.5829061541985197`*^9, 3.582906164726573*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Leading Indicators - vary mu [human recovery rate]", "Section",
 CellChangeTimes->{{3.582544115718882*^9, 3.5825441216224723`*^9}, {
  3.5825462716354523`*^9, 3.5825462850587945`*^9}, {3.582898506014778*^9, 
  3.5828985066388407`*^9}, {3.582899617885954*^9, 3.5828996223343987`*^9}}],

Cell[CellGroupData[{

Cell["Parameters", "Subsubsection",
 CellChangeTimes->{{3.559560896211769*^9, 3.5595608981479626`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Nm", "=", "10000"}], ";", "   ", 
  RowBox[{"\[Delta]", "=", 
   RowBox[{"1", "/", "10"}]}], ";", "  ", 
  RowBox[{"Nh", "=", "1000"}], ";", " ", 
  RowBox[{"p", "=", "0.5"}], ";", 
  RowBox[{"q", "=", "0.5"}], ";", 
  RowBox[{"k", "=", "0.3"}], ";", 
  RowBox[{"\[Sigma]", "=", "0.05"}]}]], "Input",
 CellChangeTimes->{{3.556986019746208*^9, 3.5569860445223026`*^9}, {
   3.556986261786672*^9, 3.5569862655463924`*^9}, {3.5569868150831923`*^9, 
   3.5569868654915376`*^9}, {3.559493229027683*^9, 3.5594932330918865`*^9}, {
   3.5601581786399975`*^9, 3.5601581831514482`*^9}, {3.5601656412571898`*^9, 
   3.5601656463286967`*^9}, {3.5601665546725225`*^9, 3.560166556079663*^9}, {
   3.5617195287057753`*^9, 3.5617195328832808`*^9}, 3.5825441706313725`*^9, {
   3.5825442708993983`*^9, 3.5825442755378623`*^9}, {3.582544320499358*^9, 
   3.582544321682476*^9}, {3.5825459689861903`*^9, 3.5825459716894608`*^9}, {
   3.5825462894952383`*^9, 3.582546294006689*^9}, {3.5825518931115437`*^9, 
   3.5825518944226747`*^9}, {3.582551924760708*^9, 3.58255192517575*^9}, {
   3.5828985164218187`*^9, 3.5828985223714137`*^9}, {3.58289928181135*^9, 
   3.582899282851454*^9}, {3.606740932483687*^9, 3.606740941914687*^9}, {
   3.6067442004083786`*^9, 3.6067442044957867`*^9}}],

Cell[BoxData["0.05`"], "Output",
 CellChangeTimes->{3.6067442068210196`*^9, 3.607967930505371*^9, 
  3.6093410623750334`*^9, 3.6096740012249327`*^9, 3.610187630753194*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"eqnsRM", "[", "\[Mu]_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", 
         RowBox[{"p", "/", "Nh"}]}], ")"}], "*", "y", "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", "x"}], ")"}]}], "-", 
      RowBox[{"\[Mu]", " ", "x"}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", "q", " ", 
         RowBox[{"x", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", "y"}], ")"}]}], "-", 
      RowBox[{"\[Delta]", " ", "y"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzVtIk2EAh/E5DxfZWOFMyijEkW4epqWIB4oXpHQmgnphEYtm4gFlEYky
hWk4bJUwtxarTKJiF84SmaiMNMIIkqEl8jnxYorfNnnlKy+0wAvx/b8XD7/L
J81oqm2Sy2QyNQt+GbS+PVlMyf3kK6PQUS29KyilpHx3/yPcOBdV+65Tkv2p
TQMFc74EI9ec3ITdic3PNygx6JK2oWZpdQcahW8SHKtriJ9gNs+3cPUP/+qg
JMjz4OWl+kJYeWKqCF7Ql/RMMyPBpF74KKDoh9GIh6tY7gxDg6shAiuy7YdQ
vvCVm7uQkTOD/z+zDtZkml6k9FCiqkx0weC9au1Z5p+V0Sw47rd4LjJrXs16
oaLq4KfKQsnq97hFOP905BfUK/3cO31vQlAUvVHYFS8qk5nBztAp6A44ra19
lMzavIPwdpXlOTTot4bh0FrcB+jx3+SuC9M+KGrVU/D3D7usjWmvn0uA7eHU
FHjV5+YqtKfPUOa+6tl5+HLZnA6PwjEZcKDD+DjfSsmc57UV3p1xbD+wUZJq
eCJCl/LWAYx1mLiuspaYdSclmSNDcrjp3rukmaSk2ynlwED6Ya6WqbGl6WDF
//dZArO2McQ9Bo0AJs0=
  "]],

Cell[BoxData[
 RowBox[{
  RowBox[{"sols", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", " ", "Reals"}], "]"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.5541966693446703`*^9, 3.5541966804306707`*^9}, {
  3.5541968726606703`*^9, 3.5541968774916706`*^9}, {3.5541999144835997`*^9, 
  3.5541999190270543`*^9}, {3.554200238404261*^9, 3.5542002436192613`*^9}, {
  3.556288483901885*^9, 3.556288484806714*^9}, {3.556288657199264*^9, 
  3.5562886703219023`*^9}, {3.5569861788310966`*^9, 3.5569862162856135`*^9}, {
  3.5572493802110267`*^9, 3.557249401833458*^9}, {3.55724945309803*^9, 
  3.557249465375702*^9}, {3.582544243199629*^9, 3.582544265664875*^9}, {
  3.5825443426765757`*^9, 3.5825443437326813`*^9}, {3.5825463016244507`*^9, 
  3.582546302856574*^9}, {3.58254633501779*^9, 3.582546340554343*^9}, {
  3.5828985362137976`*^9, 3.582898539877164*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sols", "[", "1", "]"}]], "Input",
 CellChangeTimes->{{3.557249468729831*^9, 3.557249478012188*^9}, 
   3.557249649519188*^9, {3.5594927032385235`*^9, 3.559492703588681*^9}, {
   3.5617197021938057`*^9, 3.5617197028652086`*^9}, {3.582544286447953*^9, 
   3.582544288975206*^9}, 3.5825443615714645`*^9, {3.582899300963265*^9, 
   3.5828993014433126`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "\[Equal]", "0.`"}], "||", 
    RowBox[{"x", "\[Equal]", "333.33333333333326`"}]}], ")"}], "&&", 
  RowBox[{"y", "\[Equal]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"6666.666666666667`", " ", "x"}], 
     RowBox[{
      RowBox[{"-", "1000.`"}], "+", 
      RowBox[{"1.`", " ", "x"}]}]]}]}]}]], "Output",
 CellChangeTimes->{{3.5572494711791253`*^9, 3.5572494786362123`*^9}, 
   3.557249649940404*^9, 3.5573223618943653`*^9, 3.557322393608799*^9, 
   3.5594927044090505`*^9, 3.5594932923245897`*^9, 3.5594951537000713`*^9, 
   3.55956031011652*^9, 3.5595631052106466`*^9, 3.5600985759122267`*^9, 
   3.560158189656099*^9, 3.5601656514452085`*^9, 3.560166561180173*^9, 
   3.56171959697171*^9, 3.5617197035236034`*^9, 3.5617197406508665`*^9, 
   3.56717557199247*^9, 3.5671757082930984`*^9, 3.5671819382720337`*^9, 
   3.567184400007183*^9, 3.5825442902233305`*^9, {3.5825443473480425`*^9, 
   3.5825443621105185`*^9}, 3.58254522991129*^9, 3.5825452664909477`*^9, 
   3.5825459744587374`*^9, 3.5825517637036037`*^9, 3.5825518989061227`*^9, 
   3.5825519300432367`*^9, 3.5825520641596465`*^9, 3.582899302794448*^9, 
   3.5829004312322807`*^9, 3.5829026656677017`*^9, 3.582904492105327*^9, 
   3.582970007255286*^9, 3.606740950830687*^9, 3.606740997027687*^9, 
   3.6067442069210296`*^9, 3.607967930616371*^9, 3.6093410627040663`*^9, 
   3.6096740012549357`*^9, 3.6101876307831964`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"xEE", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "\[Mu]", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
   3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.58254438312562*^9, 
   3.582544419270234*^9}, {3.5825463967159586`*^9, 3.5825464004593334`*^9}, 
   3.5828985425484314`*^9, {3.5828993217493434`*^9, 3.582899324261595*^9}, {
   3.606740954458687*^9, 3.606740954634687*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"yEE", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "\[Mu]", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", 
   RowBox[{"x", "->", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"sols", "[", "\[Mu]", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
   3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.5572496707984056`*^9, 
   3.5572496819372344`*^9}, {3.582544387717079*^9, 3.582544388373145*^9}, {
   3.582544429623269*^9, 3.582544500795386*^9}, {3.58254640252454*^9, 
   3.5825464067639637`*^9}, {3.582551914536686*^9, 3.5825519158008122`*^9}, 
   3.582898544485625*^9, {3.582899332102379*^9, 3.582899336454814*^9}, {
   3.606740958242687*^9, 3.606740958410687*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JEE", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], "}"}],
    "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "\[Mu]", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "\[Mu]", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
  3.557249885112858*^9, 3.5572499095277967`*^9}, {3.5572499569692216`*^9, 
  3.557249966189176*^9}, {3.5825445141107173`*^9, 3.5825445638566914`*^9}, {
  3.5825447968749905`*^9, 3.582544804154719*^9}, {3.582544924191721*^9, 
  3.582544928048107*^9}, {3.5825453084331417`*^9, 3.5825453123045287`*^9}, {
  3.582546434497737*^9, 3.582546460465333*^9}, {3.5828985686490407`*^9, 
  3.5828985822664022`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DetJEE", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Det", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
     "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "\[Mu]", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "\[Mu]", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
  3.557249885112858*^9, 3.5572499095277967`*^9}, {3.582544816460949*^9, 
  3.582544850317334*^9}, {3.582544930064308*^9, 3.5825449330566072`*^9}, {
  3.582545320578356*^9, 3.582545323072605*^9}, {3.5825464372650137`*^9, 
  3.582546437761063*^9}, {3.582551562718508*^9, 3.582551570526288*^9}, {
  3.5828985958197575`*^9, 3.5828986062988057`*^9}, {3.5829026293660717`*^9, 
  3.5829026305661917`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TrJEE", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Mu]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
     "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "\[Mu]", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "\[Mu]", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.5572498228336563`*^9}, {
   3.5572498684046154`*^9, 3.5572498690598407`*^9}, 3.557249915456025*^9, {
   3.5825448317734804`*^9, 3.5825448547657795`*^9}, {3.5825449350238047`*^9, 
   3.582544939904292*^9}, {3.5825453275710554`*^9, 3.582545329633261*^9}, {
   3.5825464402893157`*^9, 3.5825464412664137`*^9}, {3.5825515664618816`*^9, 
   3.5825515724774833`*^9}, {3.582898600363212*^9, 3.5828986079149675`*^9}, {
   3.582902633207456*^9, 3.582902636118747*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a11", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "\[Mu]", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557249995097088*^9}, {
  3.5572506164947824`*^9, 3.5572506173684163`*^9}, {3.582544857401043*^9, 
  3.582544862633566*^9}, {3.5825515774019756`*^9, 3.582551581337369*^9}, {
  3.5828986371608915`*^9, 3.5828986407922544`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a12", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "\[Mu]", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.5572500074079657`*^9}, {
  3.5572506212217646`*^9, 3.5572506219861937`*^9}, {3.582544870522355*^9, 
  3.582544881562459*^9}, {3.582551583097545*^9, 3.5825516056427994`*^9}, {
  3.5828986349196672`*^9, 3.5828986472248974`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a21", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "\[Mu]", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557250016674782*^9}, {
  3.5572506241390767`*^9, 3.557250629848896*^9}, {3.58254487217052*^9, 
  3.582544879610264*^9}, {3.5825515857698126`*^9, 3.5825516070179367`*^9}, {
  3.5828986330154767`*^9, 3.5828986487760525`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a22", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "\[Mu]", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557250025708587*^9}, {
  3.5572506323137913`*^9, 3.557250636323145*^9}, {3.582544874905793*^9, 
  3.58254487737004*^9}, {3.5825515883460703`*^9, 3.5825516089221277`*^9}, {
  3.582898629288104*^9, 3.582898650568232*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B11", "[", "\[Mu]_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"p", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"yEE", "[", "\[Mu]", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nh", "-", 
      RowBox[{"xEE", "[", "\[Mu]", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Mu]", " ", 
    RowBox[{"xEE", "[", "\[Mu]", "]"}]}], "+", 
   RowBox[{
    RowBox[{"\[Sigma]", "^", "2"}], "*", 
    RowBox[{"xEE", "[", "\[Mu]", "]"}], "*", 
    RowBox[{"xEE", "[", "\[Mu]", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557250038969182*^9, 3.5572500604669466`*^9}, {
   3.559492735036815*^9, 3.5594927806431365`*^9}, {3.582544885146817*^9, 
   3.5825449148757896`*^9}, {3.582544945932895*^9, 3.5825449535986614`*^9}, {
   3.5825515909233274`*^9, 3.58255161714695*^9}, 3.582898627335909*^9, {
   3.5828986574499197`*^9, 3.5828986627944546`*^9}, {3.5828993677659445`*^9, 
   3.5828993833375015`*^9}, {3.606744177704108*^9, 3.606744178336171*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B12", "[", "\[Mu]_", "]"}], ":=", "0"}]], "Input",
 CellChangeTimes->{{3.557250068548109*^9, 3.557250109359541*^9}, {
  3.5594927878030243`*^9, 3.5594927918775573`*^9}, {3.5825448867299757`*^9, 
  3.582544893738676*^9}, {3.582551593897625*^9, 3.5825515955607915`*^9}, {
  3.5828986125984354`*^9, 3.5828986182460003`*^9}, {3.606744021521491*^9, 
  3.6067440253618755`*^9}, {3.606744119197258*^9, 3.6067441236056986`*^9}, {
  3.606744175955933*^9, 3.606744182391577*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B21", "[", "\[Mu]_", "]"}], ":=", "0"}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.557250120311232*^9}, {
   3.5594927900844345`*^9, 3.55949279483809*^9}, {3.5825448883781404`*^9, 
   3.5825448964579477`*^9}, {3.5825515972419596`*^9, 3.58255159834507*^9}, 
   3.582898624455621*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B22", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"xEE", "[", "\[Mu]", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "\[Mu]", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Delta]", " ", 
    RowBox[{"yEE", "[", "\[Mu]", "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.5572501626671324`*^9}, {
   3.559492802858534*^9, 3.5594928166756196`*^9}, {3.5601584582819586`*^9, 
   3.5601584596270933`*^9}, {3.582544890203323*^9, 3.5825448905233545`*^9}, {
   3.5825449651668186`*^9, 3.5825450095042515`*^9}, {3.582551600619297*^9, 
   3.58255162634787*^9}, 3.5828986260567813`*^9, {3.582898665097685*^9, 
   3.582898670378213*^9}, {3.6079679179773707`*^9, 3.6079679224073706`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Predictions", "Subsubsection",
 CellChangeTimes->{{3.5595609237325206`*^9, 3.559560924804628*^9}, {
  3.5828999381729794`*^9, 3.5828999394521074`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PSD", "[", 
   RowBox[{"\[Mu]_", ",", " ", "\[Omega]_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], 
      RowBox[{"B12", "[", "\[Mu]", "]"}], 
      RowBox[{"a12", "[", "\[Mu]", "]"}], 
      RowBox[{"a22", "[", "\[Mu]", "]"}]}], "+", 
     RowBox[{
      RowBox[{"B11", "[", "\[Mu]", "]"}], "*", 
      RowBox[{"a22", "[", "\[Mu]", "]"}], "*", 
      RowBox[{"a22", "[", "\[Mu]", "]"}]}], "+", 
     RowBox[{
      RowBox[{"a12", "[", "\[Mu]", "]"}], "*", 
      RowBox[{"a12", "[", "\[Mu]", "]"}], "*", 
      RowBox[{"B22", "[", "\[Mu]", "]"}]}], "+", 
     RowBox[{
      RowBox[{"B11", "[", "\[Mu]", "]"}], "*", 
      RowBox[{"\[Omega]", "^", "2"}]}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Omega]", "^", "2"}], "-", 
        RowBox[{"(", 
         RowBox[{"DetJEE", "[", "\[Mu]", "]"}], ")"}]}], ")"}], "^", "2"}], 
     "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"TrJEE", "[", "\[Mu]", "]"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"TrJEE", "[", "\[Mu]", "]"}]}], ")"}], "*", 
      RowBox[{"\[Omega]", "^", "2"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.5572501736968274`*^9, 3.5572503769909124`*^9}, {
   3.557250462663035*^9, 3.5572504632402573`*^9}, {3.5573222480149784`*^9, 
   3.5573222749572144`*^9}, 3.5825450418784885`*^9, {3.582545103559656*^9, 
   3.5825451120555058`*^9}, {3.582545142793579*^9, 3.5825452000433035`*^9}, {
   3.5825516295351887`*^9, 3.582551663424577*^9}, {3.5828986765738325`*^9, 
   3.5828987001581907`*^9}, {3.606743958942234*^9, 3.60674399230657*^9}, {
   3.606744220907428*^9, 3.606744222147552*^9}}],

Cell["Can only compute up to threshold, zero after", "Text",
 CellChangeTimes->{{3.567175547374008*^9, 3.567175555421813*^9}, {
  3.567175601088379*^9, 3.567175603360606*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"PSD", "[", 
         RowBox[{"\[Mu]", ",", "\[Omega]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Omega]", ",", " ", 
          RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}], ",", " ", 
        RowBox[{"MaxRecursion", "\[Rule]", "120"}]}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", "\[Pi]"}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", " ", "0.01", ",", " ", "2.24", ",", " ", "0.1"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5594839731003284`*^9, 3.559483987123349*^9}, {
   3.5594840389970284`*^9, 3.55948412675336*^9}, {3.559484156967207*^9, 
   3.5594841598864117`*^9}, {3.5594844268332224`*^9, 
   3.5594844319404306`*^9}, {3.559492171357833*^9, 3.5594922902352285`*^9}, {
   3.559492365317283*^9, 3.5594924194046354`*^9}, {3.559492454464693*^9, 
   3.559492534079257*^9}, {3.5594935844589214`*^9, 3.5594935994959173`*^9}, {
   3.5594938294921446`*^9, 3.559493843503557*^9}, {3.559493880924862*^9, 
   3.559493921197234*^9}, {3.559494472420494*^9, 3.5594944802829113`*^9}, {
   3.5594947464447837`*^9, 3.559494749260495*^9}, {3.5594960951712093`*^9, 
   3.559496133428035*^9}, {3.5594965281174994`*^9, 3.5594965292856164`*^9}, {
   3.559558573742531*^9, 3.5595585867678337`*^9}, {3.5595604273488874`*^9, 
   3.5595604466128135`*^9}, {3.5671755235856295`*^9, 3.567175541938465*^9}, {
   3.5671756114454145`*^9, 3.5671756121814885`*^9}, {3.567175774540723*^9, 
   3.56717577471674*^9}, {3.582545204137713*^9, 3.5825452228895884`*^9}, {
   3.5825516670389385`*^9, 3.5825516953117657`*^9}, {3.5828987040915837`*^9, 
   3.582898708124987*^9}, {3.582899232594429*^9, 3.582899237874957*^9}, {
   3.606741005087687*^9, 3.606741010711687*^9}, 3.6067410530446873`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"var", "//", "ListPlot"}]], "Input",
 CellChangeTimes->{{3.5600986515137863`*^9, 3.560098652013836*^9}, {
  3.5671755844497156`*^9, 3.567175588114082*^9}, {3.567175654180688*^9, 
  3.5671756571889887`*^9}, {3.5671757180720763`*^9, 3.5671757222474937`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGAQB2IQDQEf7E/Hi3xtdZvqABVwmJi5+LTS4olQPofDu6zd
1+4d6oXyBRwump6vnVXbCeWLOKR9qBX2lWmD8iUcUoSEFB4lNEP5Mg7/pz9c
+1G+EcpXcEgsvyyVWVoH5Ss5rLvhrSJvVg3lqzgIefP/eZRYAeWrOfw9KHdY
7GEplK/hEDJnx1SDRcVQvpbDpkCDmxwzCqF8HYcdIR+EggvzoXw9hyhuywWv
f2RD+QYOYczdTbK7M6B8Q4dVZpXXjq5LhfKNHNRKdVJ2nEmC8o0d9K7rznfj
T4DyTRx2Mi9ff/pxFJRv6nC/wMTgxsNQKN/M4UKmn9luoUAo39xhwrR0EanH
Hg4ATThgGA==
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 23.}, {0, 1361.6308177169292`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.46, 0.46}, {27.232616354338585`, 
   27.232616354338585`}}]], "Output",
 CellChangeTimes->{
  3.560098652792914*^9, 3.560159898829981*^9, 3.560165734130476*^9, {
   3.5671756397152414`*^9, 3.5671756579810677`*^9}, {3.5671757326265316`*^9, 
   3.567175736649934*^9}, 3.582545353252623*^9, 3.582545978915183*^9, 
   3.582551777832017*^9, 3.5825519440256343`*^9, 3.5825520780950403`*^9, 
   3.5829009747886305`*^9, 3.5829015002241693`*^9, 3.582902725408675*^9, 
   3.606741060067687*^9, {3.606744211561494*^9, 3.606744234975835*^9}, 
   3.607967935474371*^9, 3.6093410676175575`*^9, 3.6096740059924097`*^9, 
   3.610187635384657*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"mu", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0.01", ",", " ", "2.24", ",", " ", "0.1"}], "]"}]}], ";", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"mu", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{"var", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", 
       RowBox[{"Length", "[", "mu", "]"}]}], "}"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6067410968096867`*^9, 3.606741190411687*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGAQB2IQXS2yzv1hVYv96XiRr61uUx00Y/oPfdXYYz8xc/Fp
pcUTHR5VgRScsn+XtfvavUO9DjcWF9hyXb9sf9H0fO2s2k4HO67rQJFb9mkf
aoV9ZdocgnbItb4OfGCfIiSk8Cih2aHtdSBQ5LH9/+kP136Ub3TYCZLe8cw+
sfyyVGZpncMbkPTrl/brbniryJtVO8iDpOXe2gt58/95lFgBdc8H+78H5Q6L
PSx1OPxVAyjy0T5kzo6pBouKHWJB0jGf7TcFGtzkmFHo8A0k/fWL/Y6QD0LB
hfkOE0DS/d/so7gtF7z+kQ0174d9GHN3k+zuDKh5P+1XmVVeO7ouFWreb3u1
Up2UHWeSoOb9sde7rjvfjT8Bat4/+53My9effhzlAA4+EQaH+wUmBjcehjo8
BIcXg8OFTD+z3UKBDmDpdYwOE6ali0g99nAAAO/vtiw=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 2.21}, {0, 1361.6308177169292`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0442, 0.0442}, {27.232616354338585`, 
   27.232616354338585`}}]], "Output",
 CellChangeTimes->{
  3.606741190914687*^9, {3.606744211576495*^9, 3.6067442349928365`*^9}, 
   3.607967935507371*^9, 3.60934106763756*^9, 3.6096740060104113`*^9, 
   3.6101876354026585`*^9}]
}, Open  ]],

Cell["\<\
Variance increases as infectious period gets shorter due to therapeutic \
interventions\
\>", "Text",
 CellChangeTimes->{{3.582899772021366*^9, 3.5828997890940733`*^9}, {
  3.582901016426794*^9, 3.5829010319633474`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Mu]", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0.01", ",", " ", "2.24", ",", " ", "0.1"}], "]"}]}], ";", " ", 
  RowBox[{"varmu", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Mu]", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{"var", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", 
       RowBox[{"Length", "[", "\[Mu]", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.559558594953652*^9, 3.5595586856997256`*^9}, {
   3.5601657426543283`*^9, 3.5601657432773905`*^9}, {3.5601666210121555`*^9, 
   3.560166627507805*^9}, {3.5671758154388123`*^9, 3.567175823198588*^9}, {
   3.582545417650062*^9, 3.5825454387551727`*^9}, {3.5825517160648403`*^9, 
   3.5825517315043845`*^9}, {3.5825518569509277`*^9, 3.582551858054038*^9}, {
   3.5828997373829026`*^9, 3.582899751016266*^9}, {3.5829702205746155`*^9, 
   3.5829702218387423`*^9}, {3.6067412328796873`*^9, 3.606741233831687*^9}, 
   3.606741286885687*^9, {3.606741343146687*^9, 3.606741362310687*^9}, {
   3.609340982025999*^9, 3.609341018415638*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<variancemu.csv\>\"", ",", "varmu"}], "]"}]], "Input",
 CellChangeTimes->{{3.6092641320304337`*^9, 3.6092641418574333`*^9}, {
  3.6092643725914335`*^9, 3.609264378422434*^9}, {3.609264680403434*^9, 
  3.6092646842424335`*^9}, {3.6093408924610434`*^9, 3.609340899247722*^9}, {
  3.6093409369634933`*^9, 3.609340945485346*^9}, {3.6093410286216583`*^9, 
  3.609341044297226*^9}}],

Cell[BoxData["\<\"variancemu.csv\"\>"], "Output",
 CellChangeTimes->{3.6093410677205677`*^9, 3.6096740060704174`*^9, 
  3.610187635456664*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"CVmu", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"mu", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{"var", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}], "/", 
        RowBox[{"xEE", "[", 
         RowBox[{"mu", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "mu", "]"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6092641577694335`*^9, 3.6092641685204334`*^9}, {
  3.6092642354004335`*^9, 3.6092642631104336`*^9}, {3.6092643151074333`*^9, 
  3.6092643306344337`*^9}, {3.609264646974434*^9, 3.6092646743244333`*^9}, {
  3.6093408481066084`*^9, 3.6093409087606735`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "CVmu", "]"}]], "Input",
 CellChangeTimes->{{3.609264335205434*^9, 3.6092643395794334`*^9}, {
  3.609264676955434*^9, 3.6092646778034334`*^9}, {3.6093408887606735`*^9, 
  3.609340889444742*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGAQB2IQXS2yzv1hVYs9p0DSjUlSi+01Y/oPfdXYY+/jazVn
YuZi+0dVIAWn7FUCo22f3l1sf2NxgS3X9cv2iWtz6z6ULbG347oOFLllP/vg
Bf+lJkvtg3bItb4OfGC/Z3Jw2DLxZfZtrwOBIo/tV3hrtRcoLrffCZLe8cz+
3ZNfhRNCVti/AUm/fmnP/z7968stK+3lQdJyb+3bMhhzZD1WQ93zwf75GlFr
GbG19oe/agBFPto/1olewKW13j4WJB3z2X675eP4iyc32H8DSX/9Yr/752+x
PSab7CeApPu/2a8TzXXKerYZat4Pe9MFksWhP7ZCzftp/62M8ULN5B1Q837b
rwhy35f7bzfUvD/2FiFugnLxB6Dm/bN/dlJBctqPw/bg4BNhcBBiWtMV4HrK
/iE4vBgcVrxRVPhQcsUeLL2O0UFeQI/zSMZ7ewBITLev
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 2.21}, {0, 0.25763096532598656`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0442, 0.0442}, {0.005152619306519731, 
   0.005152619306519731}}]], "Output",
 CellChangeTimes->{3.60934106784258*^9, 3.609674006209431*^9, 
  3.610187635596678*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<CVmu.csv\>\"", ",", "CVmu"}], "]"}]], "Input",
 CellChangeTimes->{{3.6092641320304337`*^9, 3.6092641418574333`*^9}, {
  3.6092643725914335`*^9, 3.609264378422434*^9}, {3.609264680403434*^9, 
  3.6092646842424335`*^9}, {3.6093408924610434`*^9, 3.609340899247722*^9}}],

Cell[BoxData["\<\"CVmu.csv\"\>"], "Output",
 CellChangeTimes->{3.609341067891585*^9, 3.6096740062634363`*^9, 
  3.6101876356506834`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"autocovar", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"PSD", "[", 
          RowBox[{"\[Mu]", ",", "\[Omega]"}], "]"}], "*", 
         RowBox[{"Cos", "[", 
          RowBox[{"7", " ", "\[Omega]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Omega]", ",", "  ", 
          RowBox[{"-", 
           RowBox[{"10", "^", "20"}]}], ",", 
          RowBox[{"10", "^", "20"}]}], "}"}], ",", " ", 
        RowBox[{"MaxRecursion", "\[Rule]", "1200000"}]}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", "\[Pi]"}], ")"}]}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", " ", "0.01", ",", " ", "2.24", ",", " ", "0.1"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.582970236889247*^9, 3.582970288065364*^9}, {
  3.6067413120516872`*^9, 3.606741352646687*^9}, {3.607967952137371*^9, 
  3.607967964390371*^9}, {3.6096738697717886`*^9, 3.609673870330845*^9}, {
  3.6101874781539354`*^9, 3.610187479289049*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Mu]", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0.01", ",", " ", "2.24", ",", " ", "0.1"}], "]"}]}], ";", " ", 
  RowBox[{"autocor", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Mu]", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"autocovar", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "/", 
        RowBox[{"var", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", 
       RowBox[{"Length", "[", "\[Mu]", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.559558594953652*^9, 3.5595586856997256`*^9}, {
   3.5601657426543283`*^9, 3.5601657432773905`*^9}, {3.5601666210121555`*^9, 
   3.560166627507805*^9}, {3.5671758154388123`*^9, 3.567175823198588*^9}, {
   3.582545417650062*^9, 3.5825454387551727`*^9}, {3.5825517160648403`*^9, 
   3.5825517315043845`*^9}, {3.5825518569509277`*^9, 3.582551858054038*^9}, {
   3.5828997373829026`*^9, 3.582899751016266*^9}, {3.5829702205746155`*^9, 
   3.5829702218387423`*^9}, {3.6067412328796873`*^9, 3.606741233831687*^9}, 
   3.606741286885687*^9, {3.606741343146687*^9, 3.606741362310687*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"autocor", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.559558688350991*^9, 3.559558692561412*^9}, {
  3.606744263914728*^9, 3.6067442674490814`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGAQB2IQXS2yzv1hVYv9tj0ecQtrku01Y/oPfdXYY1/8Wbv1
akeD/aMqkIJT9sdaBNOyXXvtbywusOW6ftn+bdSPRc9nTrW347oOFLllH6Rw
q+W09Vz7oB1yra8DH9jX7HHd9unsIvu214FAkcf23JZ7mBkyltvvBEnveGZ/
vkMk9HTFGvs3IOnXL+19b4uu+8W+0V4eJC331j7x9Ieq9QpboO75YD9VfppG
+eTt9oe/agBFPtofL3ywtrxwt30sSDrms72Dy+Q9Wy/ut/8Gkv76xf7zWrXo
o5mH7CeApPu/2W+PrnEyCzwKNe+HvVlg9Zu/e09AzftpH5ikwS9y9wzUvN/2
19SfpDr/vAA174/9H8/4XGnTK1Dz/tlbxfU0XKu5YQ8OPhEGB6mTee6nS+/Z
PwSHF4PDpjSfj5w7HtuDpdcxOiy9e7f/oPtrewDqc74+
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0.01, 0.0023787643169935436`},
  Method->{},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{
  3.5595586930184574`*^9, 3.55956034573652*^9, 3.5601599934814453`*^9, 
   3.560165783354398*^9, 3.560166630364091*^9, 3.5671763861108737`*^9, 
   3.5825454450037975`*^9, 3.58254598368666*^9, {3.582551793098543*^9, 
   3.5825518027645097`*^9}, 3.5825518610303354`*^9, 3.582551959151147*^9, 
   3.582552030616293*^9, 3.5825520933615665`*^9, 3.5828997949076543`*^9, 
   3.5829010473838897`*^9, 3.5829015474918957`*^9, 3.5829027853866725`*^9, 
   3.5829702255881166`*^9, 3.6067412912026873`*^9, {3.606741347811687*^9, 
   3.606741366389687*^9}, {3.6067442162989674`*^9, 3.606744267994136*^9}, 
   3.6079679406223707`*^9, 3.607967978149371*^9, 3.6093410733081264`*^9, 
   3.6096740117089815`*^9, 3.610187640945213*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<autocorrelationmu.csv\>\"", ",", "autocor"}], "]"}]], "Input",
 CellChangeTimes->{{3.6092641320304337`*^9, 3.6092641418574333`*^9}, {
  3.6092643725914335`*^9, 3.609264378422434*^9}, {3.609264680403434*^9, 
  3.6092646842424335`*^9}, {3.6093408924610434`*^9, 3.609340899247722*^9}, {
  3.6093409369634933`*^9, 3.609340945485346*^9}}],

Cell[BoxData["\<\"autocorrelationmu.csv\"\>"], "Output",
 CellChangeTimes->{3.6093410733601313`*^9, 3.609674011769987*^9, 
  3.6101876410002184`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"R0", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"k", "^", "2"}], ")"}], "*", "p", "*", "q", "*", 
   RowBox[{"Nm", "/", 
    RowBox[{"(", 
     RowBox[{"Nh", "*", "\[Mu]", "*", "\[Delta]"}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.582902163175458*^9, 3.582902197775917*^9}, {
  3.5829024614362807`*^9, 3.5829024635154886`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Mu]", ",", " ", 
      RowBox[{"R0", "[", "\[Mu]", "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"\[Mu]", ",", " ", "0.01", ",", " ", "2.24", ",", " ", "0.01"}], 
     "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5829022030004396`*^9, 3.5829022598271217`*^9}, {
  3.6067413843026867`*^9, 3.606741385198687*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxFlwtQVVUUhs+5gCCIooKoIa9QRBSpNCXDtTXUdHxSo2VojprNlJZmOqk1
UxBZOSr2Ms2y0sxeKE0ZFSoPHXwnWqGixgVBkIfncc99P7pn739qz2HuHDhn
77X+b61/cVOWvpj/jEWSpMbgj/m5KbZ0mnXjmySZK3klE/cf4L6AlScWd8wr
/4wC5jqej7/vx99nst27zPWNuH99KvuVP1+K5yez4E3wN2U0dPp7adP7Mbz/
E95/mEXW71udG/mLuJdyGN9u16/Y70GWUbC92hheQS/XTYlf9PIYxHMM+9/P
9gffrt9XSZ0nZgev+1gnP6+K0vh52WzMA+aqIT9/YRTOP4HzR7IaY3jwhJP0
Cl8jWBSPpxbPD2f5/MBTpA0+8/zwQ+nI9zTiG8aaNpobnqFrR1Y1HFk1FPGe
Q7xpbI0Z3urz9OSpyQN+LLkX+lxA/KlM5H0R+acin4vIJ4U9ajUPqKNv+UpG
fnXIL5mVVJsJXKIJWw9fvxyRxHi6D1wW+weGMJ5O/WWKSHkzZnLEEOT/J/JP
YElmOIl/0dRgtHVT7oEef0GPwezZFeb6m1Y2mAkOgj710GcgM3eLLa2n7CkT
O3o8NhB6XYFe8cxubmdcoQll/YNXPPS7Cv0GsIm8AK6Rft/4pCI9Dnpeg55x
jIdX3EATmraV39sdC32vQ99Ydv6cua5Dv1jofQN692dxPMCb9NSkmaXJw/pD
/5vQvx/j2xX8QzsfU16KXNwPPBqxXz/k00hf8dUXfBrBpy/ya6TUsVWvZHpi
wMsKXjHI10qLeMAx4GcFvxjk30STNkS3jP2gD3g2gWcfJrZrov3dZ5dlFvYG
32bwjYY+zfSJIyNrUGE0eDeDdzT0uiX6771e4H8L/HtBv1sUxwFFoR5aUA9R
0LOF7t+ReHDPjUjURwvqIxL6tlJylKl4JOqlFfXSE3q30uTMlb3TFvZEv9+G
vj2h/20qjowb8fjBCNTTbdRTBHi04fkI8GhDfYWDRxt9+8bRZc8tCQePNtRb
OHi0047ckHntp3qARzvqrwd4tNO25vHBqwd43EE9hoHHHUq3bj1w4VAY6vMO
6jMMPDpoFF9h4NGBeg0Fjw66HHE2d+vhUPDoRP2Ggkcn1SS0Zm/OCQWPTuQb
Ch5d9GpF7aaK2hDw6EJ9h4BHFz31/A8//70wBDy6Ue8h4NFN6Ye+qHhLs4BH
N+rfAh53KerVNUbRNgt43EU/WMDjLo3+re3LLVkW8FAQnwX5KPSh9Z55Sy7J
4KOgX2Tkp9AWZ2j+6Q0yeCnoHxn5KsTLM00GPwX9JCF/lcqvjj7x7iUJPFX0
lwQ9VBr/duI/xUUS+KroNwn6qLSuKEN7cpwE3ir6T4JeGoVX+EoqGwIk+Gvo
xwAJ/TTSD4w72j4rQKIeNPRngMQ80mgOT8hPol819KufhL46lb7DgpefRL3o
6F8fCb11Gvv0d89urvSRqB8d/ewjob9OU7pm/Fma5yNRTzr62wcONuIynvOS
4GFDv3tJ8LDRgC0nl5Y94SXBw4b+95LgYSNX4bHPR7d5SPCwwQ88JHjYaHle
0twhmzwkeBjwBw8JHgbFlj1+Ir+vhwQPA37hJsHDoO84LzcJHgb8w02Ch0H0
wqKb8jQ3CR52+IkbPOx05eY6Nq7VBR52+IsLPOw0dEHM+5lvu8DDTnncb1zg
YadJy8sXVI10gYcDurnAw0Fnck2gTvBwwI+c4OGgxMEdjyx7zQkeDviTEzwc
NLu2IPXhDCf2/f9T8HDSxEV7S+cEnxM8nPAvB3g4aTNfDvBwws8c4OGkh27v
WXshxwEeTvibAzxc1LUpb3ZMtx08XPA7O3i4qEidb8/ZbwcPF/zPDh4uSsgK
mZhTYAcPF/zQDh5uOvlRY4M3zg4ebvijAR5uumjaWZ0BHm74pUHCb9x0t+Wt
gSXbDPBwE8e3ygAPD1UOqk+dNMsADw/81AAPD9XPXfzIhmgDPDzwVxt4eCj+
8Pn2EX/YwMMDv0WdS170gw08vPBfG3h4qWb6jZ21823g4YUf28DDS2GxU9ft
TrCBh/e/vhM8vFS2wL32SLMOHj74tQ4ePjo6Z83pmO918PDBv3Xw8NHCcR+n
7l2ng4cPfq6Dh4+o+YVPFzAdPPzwdx08/FSd3asmu5cOHn74vQYefsottRSm
XNXAww//18DDT743EjNSvtbAI4B5oIFHgJalr1+avl4DjwDmgwYeAcpOOpU1
cqoGHgHMCw08ApSZkWxNj9egm4Q5ohGXO1Zi66OOD+7froKPxMQ8UYnLlSux
n+ey2tbfVfCSmJgvKvF0V0hse5Vr4J7tKvF0NkpMzBuVeLjbgz7/Y0nxyOUq
8XD2BecAnz8q/EJi9s1V1TtyVPioxMQ8UqGPxFakza852UclYV8SE/NJgV4y
u5Lw6E/VrQrx7RJlJuaVAv1kNrotyl14TCEuzzSZCT9UoKfMQgssWfJOhXh4
q2Um5pkCfWUWEt47YfxqhcT3I5kt5gWsQG+ZVabOCF4K8XSrZbaezzsF+sts
mGzNq0hTSPx7IjPxfUyhfwE0inaE
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 2.2399999999999998`}, {0, 12.238175675675677`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0448, 0.0448}, {0.24476351351351355`, 
   0.24476351351351355`}}]], "Output",
 CellChangeTimes->{
  3.5829022608742266`*^9, 3.5829024664577827`*^9, 3.5829027979249263`*^9, 
   3.606741386951687*^9, {3.6067442163129683`*^9, 3.6067442397133083`*^9}, 
   3.607967940646371*^9, 3.6093410733881345`*^9, 3.609674011814992*^9, 
   3.610187641056224*^9}]
}, Open  ]],

Cell["R0 decreases as infectious period decreases", "Text",
 CellChangeTimes->{{3.5829021298981304`*^9, 3.5829021332424645`*^9}, {
  3.5829024807612133`*^9, 3.582902490985235*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Mu]", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"Eigenvalues", "[", 
           RowBox[{"JEE", "[", 
            RowBox[{"\[Mu]", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}]}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"i", ",", " ", 
          RowBox[{"Length", "[", "\[Mu]", "]"}]}], "}"}]}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Mu]", "[", 
           RowBox[{"[", "i", "]"}], "]"}], ",", 
          RowBox[{"Eigenvalues", "[", 
           RowBox[{"JEE", "[", 
            RowBox[{"\[Mu]", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}]}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"i", ",", " ", 
          RowBox[{"Length", "[", "\[Mu]", "]"}]}], "}"}]}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "1"}], "]"}], "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
  3.557249885112858*^9, 3.5572499095277967`*^9}, {3.5572499569692216`*^9, 
  3.557249966189176*^9}, {3.5825445141107173`*^9, 3.5825445638566914`*^9}, {
  3.5825447968749905`*^9, 3.582544804154719*^9}, {3.582544924191721*^9, 
  3.582544928048107*^9}, {3.5825453084331417`*^9, 3.5825453123045287`*^9}, {
  3.582546434497737*^9, 3.582546460465333*^9}, {3.5828985686490407`*^9, 
  3.5828985822664022`*^9}, {3.582901961894332*^9, 3.5829020885409946`*^9}, {
  3.582902295191658*^9, 3.582902308104949*^9}, {3.5829024166047983`*^9, 
  3.582902419358073*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGAQB2IQDQEf7F1Yl87hnHF+P1TA4VprxWv3d6ehfA4HH7MK
jqvXTkD5Ag7mL+3OCuscg/JFHHyt1kjdu3oYypdwsNvSuKjt8EEoX8ZhwclY
/QcX90P5Cg4r7NpKPlbugfKVHA4973wiXrgTyldxqJoxt15yzTYoX82hb9Xu
9GeKW6B8DYf1xmcfCp7eCOVrOaxLF9761Gk9lK/jwCGwWHqv/WooX88haVMH
z6vm5VC+gUPDnHVOX9iXQPmGDk8+HpTPP7oAyjdy0Lj5c+3U3NlQvrHDltVX
zsWtmwrlmzgseCPAts9lApRv6mDAdWxhRVAblG/msGEStzdjaCWUb+7QcFsx
5qlezH4AuNNyhg==
      "]]}, 
    {RGBColor[0.6, 0.24, 0.4428931686004542], PointBox[CompressedData["
1:eJxTTMoPSmViYGAQB2IQDQEf7OO0/hgncr3dDxVw8Ok5/e5n4nson8NB40q0
5eOLH6B8AYfn6pYVsa8/QvkiDupbJ0+t+P8JypdwEH6ZubaZ/wuUL+Mg/6Gv
PlHmK5Sv4FA/Uaxqk9o3KF/J4cpdVYs3et+hfBUHrQOPy9NNf0D5ag5ftvJd
zLD6CeVrOAR0LIhTs/sF5Ws5yDBU9p52+A3l6zj0dHzbV+30B8rXc/jzaYd6
iPNfKN/A4ZnIe61c539QvqHDZQuj6NtO/6F8Iwer149lbygwHIDwjR2un1fJ
+jsfxjdxmBnQIvhEjhHKN3VYz5mye+JcGN/M4ZLn9yhuGSYo39yhu+KMd+gs
pgMAKUhwzg==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -2.3253580018782194`},
  Method->{},
  PlotRange->{{0, 23.}, {-2.3253580018782194`, 0}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.46, 0.46}, {0.04650716003756439, 
   0.04650716003756439}}]], "Output",
 CellChangeTimes->{{3.5829019824843903`*^9, 3.582902009025044*^9}, {
   3.5829020395420957`*^9, 3.5829020600651474`*^9}, 3.582902096134754*^9, 
   3.582902316324771*^9, 3.5829024282179594`*^9, 3.5829028077189054`*^9, 
   3.606741409120687*^9, {3.606744216946032*^9, 3.6067442403453712`*^9}, 
   3.6079679413153706`*^9, 3.6093410740331993`*^9, 3.609674012465057*^9, 
   3.610187641697288*^9}]
}, Open  ]],

Cell["\<\
dominant eigenvalue increases to zero but subdominant eigenvalue gets smaller \
and smaller\
\>", "Text",
 CellChangeTimes->{{3.582902511226259*^9, 3.5829025714372797`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"reac", "[", "\[Mu]_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"A", "=", 
      RowBox[{"JEE", "[", "\[Mu]", "]"}]}], ";", " ", 
     RowBox[{"r", "=", 
      RowBox[{"Max", "[", 
       RowBox[{"Eigenvalues", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"A", "+", 
           RowBox[{"Transpose", "[", "A", "]"}]}], ")"}], "/", "2"}], "]"}], 
       "]"}]}], ";", 
     RowBox[{"Return", "[", "\[Mu]", "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.513699505060236*^9, 3.513699521012762*^9}, {
   3.513699599532543*^9, 3.5136996025227823`*^9}, 3.513699646606309*^9, {
   3.5140497359139996`*^9, 3.514049739785386*^9}, {3.514114672121261*^9, 
   3.5141146962240334`*^9}, {3.5193859033237047`*^9, 3.519385915756948*^9}, {
   3.5193867473611*^9, 3.5193867608164454`*^9}, {3.519386807635127*^9, 
   3.519386817793143*^9}, {3.5230974016679106`*^9, 3.5230975422349653`*^9}, {
   3.526743414000314*^9, 3.5267435629812107`*^9}, {3.527349027198474*^9, 
   3.527349049820736*^9}, {3.532689828155117*^9, 3.532689831115413*^9}, {
   3.575124201118757*^9, 3.5751242262562704`*^9}, {3.5829043985109687`*^9, 
   3.5829044036004777`*^9}, {3.5829044567547927`*^9, 3.5829044680029173`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", 
       RowBox[{"reac", "[", "\[Mu]", "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", " ", "0.01", ",", " ", "1", ",", " ", "0.01"}], 
      "}"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.532689764809783*^9, 3.5326897932886305`*^9}, {
  3.575124240607705*^9, 3.575124309970641*^9}, {3.582904408190937*^9, 
  3.582904420768194*^9}, {3.5829044632664433`*^9, 3.582904463857503*^9}, {
  3.5829045066587825`*^9, 3.5829045114282594`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxV0zkshFEUxfGJkpaW6KhpUdJSq8RSoqU1NYWGQjPTaCaRSJCIWGMJYh87
Y99pRu1775+cEy8xP5H57nfvPU91R29bV0kqlepMfoKD5bnmwsBQ039H5Wxl
+r11dkLy96wcHwtnUs7F7+Vk8pH8NiV5blqW5jN9DaUzMpYZm5O17cPLxZp5
SR8LMps8lc8syo/4niVZXxfOiuS9q3KlWJNUXpNlsY912RZftCGZc1PeDYRC
W5I+t2V/aKtvR7KXXZmKZ08yh20phML7krnsyHJo/EDGMesOZRwjb5n7SFaF
NiqPJXuwPd3hnEj2kpehSnnOsqdT+RvKFC17O5ONMfhzyR5tbCt9IdnrpdzZ
Dsey5ytZERu7luzdxjLtN5IcbiVzWHKxzGXJqSCZ05KbZe47SY6WMpZc7yV7
scRi2dODJHfL3iz34FGyR8u9sOz1SXJPLHu2/J8/S/ZuuUeWHF4kOVhysORg
yeFVkoMlB0sOb5IcLPfSksO7JAdLDpYcPiQ5WHKw5PApycGSgyWHL0kOlhws
OXxLcrDkYMnhR/4BkKIbcQ==
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0.01, 0.01},
  Method->{},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{
  3.582904516064723*^9, 3.606741425836687*^9, {3.6067442183011675`*^9, 
   3.606744241689506*^9}, 3.6079679427353706`*^9, 3.609341075404336*^9, 
   3.609674013833194*^9, 3.6101876430424223`*^9}]
}, Open  ]],

Cell["Reactivity always positive and increasing", "Text",
 CellChangeTimes->{{3.5829045761307287`*^9, 3.5829045817472906`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Leading Indicators - vary delta [mosquito death rate]", "Section",
 CellChangeTimes->{{3.582544115718882*^9, 3.5825441216224723`*^9}, {
  3.5825462716354523`*^9, 3.5825462850587945`*^9}, {3.582898506014778*^9, 
  3.5828985066388407`*^9}, {3.582899617885954*^9, 3.5828996223343987`*^9}, {
  3.5829025840135374`*^9, 3.5829025978859243`*^9}}],

Cell["\<\
what if we evaluate it about the trajectory??\
\>", "Text",
 CellChangeTimes->{{3.6079682367343707`*^9, 3.6079682469613705`*^9}}],

Cell[CellGroupData[{

Cell["Parameters", "Subsubsection",
 CellChangeTimes->{{3.559560896211769*^9, 3.5595608981479626`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Nm", "=", "10000"}], ";", "   ", 
  RowBox[{"\[Mu]", "=", "0.01"}], ";", "  ", 
  RowBox[{"Nh", "=", "1000"}], ";", " ", 
  RowBox[{"p", "=", "0.5"}], ";", 
  RowBox[{"q", "=", "0.5"}], ";", 
  RowBox[{"k", "=", "0.3"}], ";", 
  RowBox[{"\[Sigma]", "=", "0.05"}], ";"}]], "Input",
 CellChangeTimes->{{3.556986019746208*^9, 3.5569860445223026`*^9}, {
   3.556986261786672*^9, 3.5569862655463924`*^9}, {3.5569868150831923`*^9, 
   3.5569868654915376`*^9}, {3.559493229027683*^9, 3.5594932330918865`*^9}, {
   3.5601581786399975`*^9, 3.5601581831514482`*^9}, {3.5601656412571898`*^9, 
   3.5601656463286967`*^9}, {3.5601665546725225`*^9, 3.560166556079663*^9}, {
   3.5617195287057753`*^9, 3.5617195328832808`*^9}, 3.5825441706313725`*^9, {
   3.5825442708993983`*^9, 3.5825442755378623`*^9}, {3.582544320499358*^9, 
   3.582544321682476*^9}, {3.5825459689861903`*^9, 3.5825459716894608`*^9}, {
   3.5825462894952383`*^9, 3.582546294006689*^9}, {3.5825518931115437`*^9, 
   3.5825518944226747`*^9}, {3.582551924760708*^9, 3.58255192517575*^9}, {
   3.5828985164218187`*^9, 3.5828985223714137`*^9}, {3.58289928181135*^9, 
   3.582899282851454*^9}, {3.58290295048118*^9, 3.5829029551686487`*^9}, {
   3.6067415283096867`*^9, 3.606741541316687*^9}, {3.6067442942597623`*^9, 
   3.606744297603097*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"eqnsRM", "[", "\[Delta]_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", 
         RowBox[{"p", "/", "Nh"}]}], ")"}], "*", "y", "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", "x"}], ")"}]}], "-", 
      RowBox[{"\[Mu]", " ", "x"}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", "q", " ", 
         RowBox[{"x", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", "y"}], ")"}]}], "-", 
      RowBox[{"\[Delta]", " ", "y"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.519571180172819*^9, 3.519571185596361*^9}, {
   3.520701703415719*^9, 3.520701735653719*^9}, {3.5267279752220283`*^9, 
   3.526728011333639*^9}, {3.5267295775462446`*^9, 3.52672958060155*^9}, {
   3.5272435254974394`*^9, 3.527243544599532*^9}, {3.527243590650166*^9, 
   3.52724363005742*^9}, {3.527243818760213*^9, 3.5272438192732425`*^9}, {
   3.5272441594827013`*^9, 3.527244160088736*^9}, {3.5272442026501703`*^9, 
   3.5272442216262555`*^9}, {3.5272590978215475`*^9, 3.527259104620227*^9}, {
   3.5272591444312077`*^9, 3.5272591492156863`*^9}, {3.5272599476815248`*^9, 
   3.5272599547682333`*^9}, {3.5272601165054054`*^9, 
   3.5272601179925547`*^9}, {3.5272605212425756`*^9, 3.527260539842576*^9}, {
   3.5541966434736705`*^9, 3.5541966483526707`*^9}, {3.554199890418194*^9, 
   3.5541999009632483`*^9}, {3.554213171991537*^9, 3.5542132137687144`*^9}, {
   3.5562880796654115`*^9, 3.556288080149027*^9}, {3.5562881328919363`*^9, 
   3.5562881338143663`*^9}, {3.556288252859419*^9, 3.5562883173716908`*^9}, {
   3.556288639125667*^9, 3.556288646983135*^9}, {3.556985900618725*^9, 
   3.5569859173605614`*^9}, {3.556985955977948*^9, 3.556985999040328*^9}, {
   3.5569861361513124`*^9, 3.556986138397784*^9}, {3.5569862697137265`*^9, 
   3.5569862731302357`*^9}, {3.5569868845242696`*^9, 
   3.5569869339165726`*^9}, {3.5569870648717556`*^9, 3.55698706877188*^9}, {
   3.557249200536383*^9, 3.5572492523463078`*^9}, {3.55724930783784*^9, 
   3.557249336059325*^9}, {3.5594926270758686`*^9, 3.559492652832854*^9}, {
   3.561719580584884*^9, 3.5617195882614875`*^9}, {3.561719722783152*^9, 
   3.5617197234865737`*^9}, {3.5671756912573953`*^9, 3.567175700425312*^9}, {
   3.5825441835186615`*^9, 3.5825442394242516`*^9}, {3.5825462958168697`*^9, 
   3.582546297047993*^9}, {3.5828985250926857`*^9, 3.582898526980874*^9}, {
   3.5829019347876215`*^9, 3.582901935685711*^9}, 3.5829026023713727`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sols", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", " ", "Reals"}], "]"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.5541966693446703`*^9, 3.5541966804306707`*^9}, {
   3.5541968726606703`*^9, 3.5541968774916706`*^9}, {3.5541999144835997`*^9, 
   3.5541999190270543`*^9}, {3.554200238404261*^9, 3.5542002436192613`*^9}, {
   3.556288483901885*^9, 3.556288484806714*^9}, {3.556288657199264*^9, 
   3.5562886703219023`*^9}, {3.5569861788310966`*^9, 
   3.5569862162856135`*^9}, {3.5572493802110267`*^9, 3.557249401833458*^9}, {
   3.55724945309803*^9, 3.557249465375702*^9}, {3.582544243199629*^9, 
   3.582544265664875*^9}, {3.5825443426765757`*^9, 3.5825443437326813`*^9}, {
   3.5825463016244507`*^9, 3.582546302856574*^9}, {3.58254633501779*^9, 
   3.582546340554343*^9}, {3.5828985362137976`*^9, 3.582898539877164*^9}, 
   3.582902607684904*^9, {3.5829029260007324`*^9, 3.5829029310252347`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sols", "[", 
  RowBox[{"1", "/", "7"}], "]"}]], "Input",
 CellChangeTimes->{{3.557249468729831*^9, 3.557249478012188*^9}, 
   3.557249649519188*^9, {3.5594927032385235`*^9, 3.559492703588681*^9}, {
   3.5617197021938057`*^9, 3.5617197028652086`*^9}, {3.582544286447953*^9, 
   3.582544288975206*^9}, 3.5825443615714645`*^9, {3.582899300963265*^9, 
   3.5828993014433126`*^9}, {3.5829029475038824`*^9, 3.582902959312063*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "\[Equal]", "0.`"}], "||", 
    RowBox[{"x", "\[Equal]", "987.0703248186692`"}]}], ")"}], "&&", 
  RowBox[{"y", "\[Equal]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"66.66666666666667`", " ", "x"}], 
     RowBox[{
      RowBox[{"-", "1000.`"}], "+", 
      RowBox[{"1.`", " ", "x"}]}]]}]}]}]], "Output",
 CellChangeTimes->{{3.5572494711791253`*^9, 3.5572494786362123`*^9}, 
   3.557249649940404*^9, 3.5573223618943653`*^9, 3.557322393608799*^9, 
   3.5594927044090505`*^9, 3.5594932923245897`*^9, 3.5594951537000713`*^9, 
   3.55956031011652*^9, 3.5595631052106466`*^9, 3.5600985759122267`*^9, 
   3.560158189656099*^9, 3.5601656514452085`*^9, 3.560166561180173*^9, 
   3.56171959697171*^9, 3.5617197035236034`*^9, 3.5617197406508665`*^9, 
   3.56717557199247*^9, 3.5671757082930984`*^9, 3.5671819382720337`*^9, 
   3.567184400007183*^9, 3.5825442902233305`*^9, {3.5825443473480425`*^9, 
   3.5825443621105185`*^9}, 3.58254522991129*^9, 3.5825452664909477`*^9, 
   3.5825459744587374`*^9, 3.5825517637036037`*^9, 3.5825518989061227`*^9, 
   3.5825519300432367`*^9, 3.5825520641596465`*^9, 3.582899302794448*^9, 
   3.5829004312322807`*^9, {3.5829029422543573`*^9, 3.582902960044136*^9}, 
   3.5829031193890696`*^9, 3.606741561350687*^9, 3.606744339364272*^9, 
   3.607964961436371*^9, 3.607966911453371*^9, 3.608999808141624*^9, 
   3.609341343734166*^9, 3.609674013868197*^9, 3.6101876430784264`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"xEE", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "\[Delta]", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
   3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.58254438312562*^9, 
   3.582544419270234*^9}, {3.5825463967159586`*^9, 3.5825464004593334`*^9}, 
   3.5828985425484314`*^9, {3.5828993217493434`*^9, 3.582899324261595*^9}, 
   3.58290260993913*^9, {3.582902912415374*^9, 3.5829029146555977`*^9}, {
   3.606741553139687*^9, 3.606741553323687*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"yEE", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "\[Delta]", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", 
   RowBox[{"x", "->", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"sols", "[", "\[Delta]", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
   3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.5572496707984056`*^9, 
   3.5572496819372344`*^9}, {3.582544387717079*^9, 3.582544388373145*^9}, {
   3.582544429623269*^9, 3.582544500795386*^9}, {3.58254640252454*^9, 
   3.5825464067639637`*^9}, {3.582551914536686*^9, 3.5825519158008122`*^9}, 
   3.582898544485625*^9, {3.582899332102379*^9, 3.582899336454814*^9}, 
   3.5829026111722527`*^9, {3.5829029180799403`*^9, 3.5829029227204046`*^9}, {
   3.606741556579687*^9, 3.606741556771687*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JEE", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], "}"}],
    "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "\[Delta]", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "\[Delta]", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
   3.557249885112858*^9, 3.5572499095277967`*^9}, {3.5572499569692216`*^9, 
   3.557249966189176*^9}, {3.5825445141107173`*^9, 3.5825445638566914`*^9}, {
   3.5825447968749905`*^9, 3.582544804154719*^9}, {3.582544924191721*^9, 
   3.582544928048107*^9}, {3.5825453084331417`*^9, 3.5825453123045287`*^9}, {
   3.582546434497737*^9, 3.582546460465333*^9}, {3.5828985686490407`*^9, 
   3.5828985822664022`*^9}, 3.582902612534389*^9, {3.5829029893980713`*^9, 
   3.582903021495281*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DetJEE", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Det", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
     "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "\[Delta]", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "\[Delta]", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
   3.557249885112858*^9, 3.5572499095277967`*^9}, {3.582544816460949*^9, 
   3.582544850317334*^9}, {3.582544930064308*^9, 3.5825449330566072`*^9}, {
   3.582545320578356*^9, 3.582545323072605*^9}, {3.5825464372650137`*^9, 
   3.582546437761063*^9}, {3.582551562718508*^9, 3.582551570526288*^9}, {
   3.5828985958197575`*^9, 3.5828986062988057`*^9}, 3.5829026164067764`*^9, {
   3.582903008968028*^9, 3.582903026392771*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TrJEE", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "x"}], "]"}], ",", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqnsRM", "[", "\[Delta]", "]"}], "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", "y"}], "]"}]}], "}"}]}], 
     "}"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"xEE", "[", "\[Delta]", "]"}]}], ",", " ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"yEE", "[", "\[Delta]", "]"}]}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.5572498228336563`*^9}, {
   3.5572498684046154`*^9, 3.5572498690598407`*^9}, 3.557249915456025*^9, {
   3.5825448317734804`*^9, 3.5825448547657795`*^9}, {3.5825449350238047`*^9, 
   3.582544939904292*^9}, {3.5825453275710554`*^9, 3.582545329633261*^9}, {
   3.5825464402893157`*^9, 3.5825464412664137`*^9}, {3.5825515664618816`*^9, 
   3.5825515724774833`*^9}, {3.582898600363212*^9, 3.5828986079149675`*^9}, 
   3.5829026150786433`*^9, {3.58290301347948*^9, 3.5829030281199436`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a11", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "\[Delta]", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557249995097088*^9}, {
   3.5572506164947824`*^9, 3.5572506173684163`*^9}, {3.582544857401043*^9, 
   3.582544862633566*^9}, {3.5825515774019756`*^9, 3.582551581337369*^9}, {
   3.5828986371608915`*^9, 3.5828986407922544`*^9}, 3.5829028898071136`*^9, {
   3.5829030320683384`*^9, 3.5829030330284343`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a12", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "\[Delta]", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.5572500074079657`*^9}, {
   3.5572506212217646`*^9, 3.5572506219861937`*^9}, {3.582544870522355*^9, 
   3.582544881562459*^9}, {3.582551583097545*^9, 3.5825516056427994`*^9}, {
   3.5828986349196672`*^9, 3.5828986472248974`*^9}, 3.5829028924793806`*^9, {
   3.5829030348206134`*^9, 3.582903035716703*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a21", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "\[Delta]", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557250016674782*^9}, {
   3.5572506241390767`*^9, 3.557250629848896*^9}, {3.58254487217052*^9, 
   3.582544879610264*^9}, {3.5825515857698126`*^9, 3.5825516070179367`*^9}, {
   3.5828986330154767`*^9, 3.5828986487760525`*^9}, 3.5829028941755505`*^9, {
   3.582903037492881*^9, 3.5829030383889704`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a22", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"JEE", "[", "\[Delta]", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249973989476*^9, 3.557250025708587*^9}, {
   3.5572506323137913`*^9, 3.557250636323145*^9}, {3.582544874905793*^9, 
   3.58254487737004*^9}, {3.5825515883460703`*^9, 3.5825516089221277`*^9}, {
   3.582898629288104*^9, 3.582898650568232*^9}, 3.582902897391872*^9, {
   3.582903040196151*^9, 3.5829030410122323`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B11", "[", "\[Delta]_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"p", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"yEE", "[", "\[Delta]", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nh", "-", 
      RowBox[{"xEE", "[", "\[Delta]", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Mu]", " ", 
    RowBox[{"xEE", "[", "\[Delta]", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557250038969182*^9, 3.5572500604669466`*^9}, {
   3.559492735036815*^9, 3.5594927806431365`*^9}, {3.582544885146817*^9, 
   3.5825449148757896`*^9}, {3.582544945932895*^9, 3.5825449535986614`*^9}, {
   3.5825515909233274`*^9, 3.58255161714695*^9}, 3.582898627335909*^9, {
   3.5828986574499197`*^9, 3.5828986627944546`*^9}, {3.5828993677659445`*^9, 
   3.5828993833375015`*^9}, 3.58290289916805*^9, {3.58290304358949*^9, 
   3.5829030498301144`*^9}, {3.606744303165653*^9, 3.606744306008937*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B12", "[", "\[Delta]_", "]"}], ":=", "0"}]], "Input",
 CellChangeTimes->{{3.557250068548109*^9, 3.557250109359541*^9}, {
   3.5594927878030243`*^9, 3.5594927918775573`*^9}, {3.5825448867299757`*^9, 
   3.582544893738676*^9}, {3.582551593897625*^9, 3.5825515955607915`*^9}, {
   3.5828986125984354`*^9, 3.5828986182460003`*^9}, 3.58290290097523*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B21", "[", "\[Delta]_", "]"}], ":=", "0"}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.557250120311232*^9}, {
   3.5594927900844345`*^9, 3.55949279483809*^9}, {3.5825448883781404`*^9, 
   3.5825448964579477`*^9}, {3.5825515972419596`*^9, 3.58255159834507*^9}, 
   3.582898624455621*^9, 3.5829029031184444`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B22", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"xEE", "[", "\[Delta]", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "\[Delta]", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Delta]", " ", 
    RowBox[{"yEE", "[", "\[Delta]", "]"}]}], "+", 
   RowBox[{
    RowBox[{"\[Sigma]", "^", "2"}], "*", 
    RowBox[{"yEE", "[", "\[Delta]", "]"}], "*", 
    RowBox[{"yEE", "[", "\[Delta]", "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.5572501626671324`*^9}, {
   3.559492802858534*^9, 3.5594928166756196`*^9}, {3.5601584582819586`*^9, 
   3.5601584596270933`*^9}, {3.582544890203323*^9, 3.5825448905233545`*^9}, {
   3.5825449651668186`*^9, 3.5825450095042515`*^9}, {3.582551600619297*^9, 
   3.58255162634787*^9}, 3.5828986260567813`*^9, {3.582898665097685*^9, 
   3.582898670378213*^9}, 3.5829029055686893`*^9, {3.5829030524853797`*^9, 
   3.58290305919005*^9}, {3.606744307949131*^9, 3.606744321621498*^9}, {
   3.6079649414283705`*^9, 3.607964949960371*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"B22", "[", "22", "]"}]], "Input",
 CellChangeTimes->{{3.607966982743371*^9, 3.607966996316371*^9}}],

Cell[BoxData["66.22086113956074`"], "Output",
 CellChangeTimes->{{3.6079669868853707`*^9, 3.6079669972403708`*^9}, 
   3.608999808278624*^9, 3.609341343981191*^9, 3.6096740139692073`*^9, 
   3.6101876431854367`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Predictions", "Subsubsection",
 CellChangeTimes->{{3.5595609237325206`*^9, 3.559560924804628*^9}, {
  3.5828999381729794`*^9, 3.5828999394521074`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PSD", "[", 
   RowBox[{"\[Delta]_", ",", " ", "\[Omega]_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"B11", "[", "\[Delta]", "]"}], "*", 
      RowBox[{"a22", "[", "\[Delta]", "]"}], "*", 
      RowBox[{"a22", "[", "\[Delta]", "]"}]}], "+", 
     RowBox[{
      RowBox[{"a12", "[", "\[Delta]", "]"}], "*", 
      RowBox[{"a12", "[", "\[Delta]", "]"}], "*", 
      RowBox[{"B22", "[", "\[Delta]", "]"}]}], "+", 
     RowBox[{
      RowBox[{"B11", "[", "\[Delta]", "]"}], "*", 
      RowBox[{"\[Omega]", "^", "2"}]}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Omega]", "^", "2"}], "-", 
        RowBox[{"(", 
         RowBox[{"DetJEE", "[", "\[Delta]", "]"}], ")"}]}], ")"}], "^", "2"}],
      "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"TrJEE", "[", "\[Delta]", "]"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"TrJEE", "[", "\[Delta]", "]"}]}], ")"}], "*", 
      RowBox[{"\[Omega]", "^", "2"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.5572501736968274`*^9, 3.5572503769909124`*^9}, {
   3.557250462663035*^9, 3.5572504632402573`*^9}, {3.5573222480149784`*^9, 
   3.5573222749572144`*^9}, 3.5825450418784885`*^9, {3.582545103559656*^9, 
   3.5825451120555058`*^9}, {3.582545142793579*^9, 3.5825452000433035`*^9}, {
   3.5825516295351887`*^9, 3.582551663424577*^9}, {3.5828986765738325`*^9, 
   3.5828987001581907`*^9}, {3.582903064777609*^9, 3.582903095178649*^9}}],

Cell["Can only compute up to threshold, zero after", "Text",
 CellChangeTimes->{{3.567175547374008*^9, 3.567175555421813*^9}, {
  3.567175601088379*^9, 3.567175603360606*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"var", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"PSD", "[", 
         RowBox[{"\[Delta]", ",", "\[Omega]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Omega]", ",", " ", 
          RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}], ",", " ", 
        RowBox[{"MaxRecursion", "\[Rule]", "120000"}]}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", "\[Pi]"}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", " ", "0.1", ",", " ", "22", ",", " ", "0.25"}],
       "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5594839731003284`*^9, 3.559483987123349*^9}, {
   3.5594840389970284`*^9, 3.55948412675336*^9}, {3.559484156967207*^9, 
   3.5594841598864117`*^9}, {3.5594844268332224`*^9, 
   3.5594844319404306`*^9}, {3.559492171357833*^9, 3.5594922902352285`*^9}, {
   3.559492365317283*^9, 3.5594924194046354`*^9}, {3.559492454464693*^9, 
   3.559492534079257*^9}, {3.5594935844589214`*^9, 3.5594935994959173`*^9}, {
   3.5594938294921446`*^9, 3.559493843503557*^9}, {3.559493880924862*^9, 
   3.559493921197234*^9}, {3.559494472420494*^9, 3.5594944802829113`*^9}, {
   3.5594947464447837`*^9, 3.559494749260495*^9}, {3.5594960951712093`*^9, 
   3.559496133428035*^9}, {3.5594965281174994`*^9, 3.5594965292856164`*^9}, {
   3.559558573742531*^9, 3.5595585867678337`*^9}, {3.5595604273488874`*^9, 
   3.5595604466128135`*^9}, {3.5671755235856295`*^9, 3.567175541938465*^9}, {
   3.5671756114454145`*^9, 3.5671756121814885`*^9}, {3.567175774540723*^9, 
   3.56717577471674*^9}, {3.582545204137713*^9, 3.5825452228895884`*^9}, {
   3.5825516670389385`*^9, 3.5825516953117657`*^9}, {3.5828987040915837`*^9, 
   3.582898708124987*^9}, {3.582899232594429*^9, 3.582899237874957*^9}, {
   3.582903098937024*^9, 3.5829031055446854`*^9}, {3.606741707458687*^9, 
   3.606741716641687*^9}, 3.606741771950687*^9, {3.606741868504197*^9, 
   3.6067418717355204`*^9}, {3.609674896496451*^9, 3.609674896807482*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"delta", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0.1", ",", " ", "22", ",", " ", "0.25"}], "]"}]}], ";", 
  RowBox[{"vardelta", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"delta", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{"var", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", 
       RowBox[{"Length", "[", "delta", "]"}]}], "}"}]}], "]"}]}], ";", " ", 
  RowBox[{"ListPlot", "[", "vardelta", "]"}]}]], "Input",
 CellChangeTimes->{{3.5600986515137863`*^9, 3.560098652013836*^9}, {
  3.5671755844497156`*^9, 3.567175588114082*^9}, {3.567175654180688*^9, 
  3.5671756571889887`*^9}, {3.5671757180720763`*^9, 3.5671757222474937`*^9}, {
  3.606741761673687*^9, 3.60674180022837*^9}, {3.606741876294976*^9, 
  3.606741877790126*^9}, {3.6093411883716316`*^9, 3.6093412143002243`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJw1031Q0wUcx/GJibYIwVRchDAeNmEI237DCKnfh5JH46i4gDENiqcpBEjI
w4BEwKGMJxGPZqDkamJ2CxueZ0URCeEjYHcExJmBOzDp1AUqJl4h333vdr97
3fs+f/zud+N/kPVOihWHw4n7/7fwPKJduHPs0vN2f6v7BUh9ekPspC5Ho0za
BObpTbA2mX8VhehAvs0qqwcdf3MIweL+Hjt1+vC7R+u3kmfZjB8cH4Sp3yLP
sZfD4pK2BUeT59kzo1NvMsticOXywnHwjWfuUGNPHNkKjgGdUoVaQX4GscfU
ZzJC3yNbo6ib06WoSCSvgOzu4x0OpvfJXPjbhxpvBieRbeCSaBB06ZPJtih+
BR4nlqfS+9phmn18skmZRrbHn8/VudRfUJJXoXlneVid107yCxBc6nVp1KST
V2PSaXS4ZTqDvAaCl809pyIzyWsxPnA9vtOQRXbA1jce2N2qzCavQ0+E61iu
/y4yD7dTnU1Lbln8InSi6BX12hyyIx61BQqdIz4iv4Qb2Y3Crx9Z7ARp4idm
9lQueT0uiVW5g4rdZGeYe6Y+TbLJo+/pgjLbdvn978lGF0gGla0HPsynzkd4
x6Zkp/UF1Pk453PwyOmrZMYV48o1ASF7Cqm7QrIjIeB3XxV1N0xO3jyUfYNs
dIPC/g5rfbCIuju+S4n1bw4qpu4OT/3RfKmZzHgg73jPw77jJdQ9YJX++tmE
6I+pC2CS/WO4v3QPdQHKZ1eN1XSQGSG8v21qaZCWUhdiPrI++XoVmdmArMzS
IK8JS98Ac98f0rzNe6l7YvSarX/3IbLRE82tb0fZTlu6F7a4DuTHbymj7oXt
/Q3t+mYyI8LK0I6H5hlLFyHFkBDFRpZT90ZbQL9R8wXZ6I328QiP4XlL34hE
qVDnHlNBfSPkgee9dxnIjA9U+uqfOq33UfeB+cpMIjeBzPhCzVFxY89aui9y
+j7r1K1UL/4feWKsDZ8rvJtGlotR/uVq9tUuslYMdUOtTdW6ykWPiJF1cvn4
UDaZJ8EdT8GPbhfIcgm2qQ7rsvn7aS9B/9VldZ2F5BEJlvwq2su9RuZJ0aTo
Koz1OkB7KbqdSgs+LyNrpfDNEJXcGyWPSFEyt6/yNaaK9gz4rTFNGg1ZzoAn
TvtqeIKsZVCzuaLXI1BDewYBpmJTTiOZJ0PbRddnu6bJchnyLoZLng+upr0M
TwZ+2R7fQh6RId1hd+2JWTLPD9wY0c8zkTW090NfVO+/QXqy1g/uKW7+dU/I
I344puEXjMXU4j/ByVa3
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 21.85}, {0, 970.8576510067686}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.43700000000000006`, 0.43700000000000006`}, {
   19.417153020135373`, 19.417153020135373`}}]], "Output",
 CellChangeTimes->{
  3.560098652792914*^9, 3.560159898829981*^9, 3.560165734130476*^9, {
   3.5671756397152414`*^9, 3.5671756579810677`*^9}, {3.5671757326265316`*^9, 
   3.567175736649934*^9}, 3.582545353252623*^9, 3.582545978915183*^9, 
   3.582551777832017*^9, 3.5825519440256343`*^9, 3.5825520780950403`*^9, 
   3.5829009747886305`*^9, 3.5829015002241693`*^9, 3.5829031727974095`*^9, 
   3.606741723534687*^9, 3.606741803455693*^9, 3.606741888408187*^9, 
   3.6067443545767937`*^9, 3.607964977535371*^9, 3.607966946450371*^9, 
   3.609341359109704*^9, 3.6096740294057503`*^9, 3.6096749160844097`*^9, 
   3.610187658366955*^9}]
}, Open  ]],

Cell["\<\
Variance increases as mosquito lifespan gets shorter due to control \
interventions\
\>", "Text",
 CellChangeTimes->{{3.582899772021366*^9, 3.5828997890940733`*^9}, {
  3.582901016426794*^9, 3.5829010319633474`*^9}, {3.5829032319773273`*^9, 
  3.5829032695630856`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<vardeltastatic.csv\>\"", ",", "vardelta"}], "]"}]], "Input",
 CellChangeTimes->{{3.6092641320304337`*^9, 3.6092641418574333`*^9}, {
  3.6092643725914335`*^9, 3.609264378422434*^9}, {3.609264680403434*^9, 
  3.6092646842424335`*^9}, {3.6093408924610434`*^9, 3.609340899247722*^9}, {
  3.60934116675247*^9, 3.6093411781376085`*^9}, {3.609341230729867*^9, 
  3.609341237267521*^9}}],

Cell[BoxData["\<\"vardeltastatic.csv\"\>"], "Output",
 CellChangeTimes->{3.6093413592567186`*^9, 3.6096740295747676`*^9, 
  3.6101876585539737`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"CVdelta", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"delta", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{"var", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}], "/", 
        RowBox[{"xEE", "[", 
         RowBox[{"delta", "[", 
          RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "delta", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6092641577694335`*^9, 3.6092641685204334`*^9}, {
  3.6092642354004335`*^9, 3.6092642631104336`*^9}, {3.6092643151074333`*^9, 
  3.6092643306344337`*^9}, {3.609264646974434*^9, 3.6092646743244333`*^9}, {
  3.6093408481066084`*^9, 3.6093409087606735`*^9}, {3.6093411303068256`*^9, 
  3.6093411536141567`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "CVdelta", "]"}]], "Input",
 CellChangeTimes->{{3.609264335205434*^9, 3.6092643395794334`*^9}, {
  3.609264676955434*^9, 3.6092646778034334`*^9}, {3.6093408887606735`*^9, 
  3.609340889444742*^9}, {3.6093411585956545`*^9, 3.609341160164811*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJw103tMU2ccxvHKNoJDmAJysUO5WIool/a0sdaR88iYnWLohtvibWMqF0ET
nLJQbgPEOW5BLnOKWKAo0m7iEForExQ3QEAQRkEEIS4wHBsBgkIWNqQb8uNN
Tk4++eb54+TkdT4UFRRqwuFw9vz/LLwvFiycGlY18E5X0uxRNuzVecSOhBtk
il9PssyrM8wGjkpVT6IU5DE223S8am1CAru4n2ItjvreFNgnk2fY4NacNzq6
U8izrFlJ1L30hFTyS1Yxp8iwW/012962cDjI+HKu8lTpGbIJrunrlW38NPLr
eDGt6ni/PJ1sikedFtcNLplkMyjkbcdmCrPIbyI2KMJ31jqbvAL59rKAl5ln
yZbg8XavSDqVQ9+7Es3tK8Mm2VzyKjSxJ7T6+SVboXWyvUVyN49sDe7Bef7D
lHyyDaZ8tyd3bP+WvBrpcpuJXMtzZFsMBpsbj/Qt2Q75Rv258vLvyPYY0kxV
lsSeJzvALjFlnVp+gbwGBtd/eNYeBWQu6uLiuVuWXyS/DdNE/2XR40t2BDfn
M3vn3kLyWgQ/fk+harpEXgd2jbdmX62S/qcT7PeH++tvFS262gkxdluU/Npi
6s7YLAuT5h4uoe6MsZjmQatxMuOCrSejbzyJU1F3QVrDcmfGopS6K/bOtaWF
XiFXu+L2s9P1DbhMfT22yRQ69RC5ej0Ci9xtj2dcoc6DWnrAKkVSRp2H0Tud
wp3jZMYNVwflu97VXKXuhiON+XkTx8qp85EYIuzsk6ip8yE/XddSbKGh7g7r
ghOGP8fI1e6YcHcs/aL7e+obEPuh4dBrzT9Q34D5/RzX5PvXqHsgJFit/M1Q
Qd0DoTul8ZKJ69Q3wk/r9NageSX1jXAY4GYNqsnMJnzQM6AdCLxBfRN6Gv8Y
qJwnM56I4KV9GlBTRd0Tfw09XlaXVE3dC0VVLnu27tZS94Jis86JL9ZR90bP
4TIXG/5N6t7oyCtt6PLQL95HBx9MmqeOxPvdWvReH1y6fOBC0vEauq8+kDl+
U6zX/7ToPh8YM7I6vuLW0l6Aj/0tph4W19FeAOnzik/Cd9ylvQB+M6EqY3Y9
7QWI8YyT+efdo70QmkjvMw1VP9NeiJHnPg6tM7/QXghbt+G22YONtBeiLFm5
r9XYRHsGvb9b6bz7m2nPIFLf8uy8sZX2DD4yG74dmdpOewb/zoUHCNBJexFE
u/4O8bLsor0IyrND2RGybtqL8DTuwbTEtpf2Inwu/lFeeKef9mJMC7QVTrqn
tBcjOi5I0R8xTHsxHmRukzIvRmkvxn0Tjs4veIr9Dy8Lbd0=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 21.85}, {0, 0.34101718531556235`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.43700000000000006`, 0.43700000000000006`}, {
   0.006820343706311247, 0.006820343706311247}}]], "Output",
 CellChangeTimes->{3.6093413596767607`*^9, 3.609674030010811*^9, 
  3.6101876589910173`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<CVdeltastatic.csv\>\"", ",", "CVdelta"}], "]"}]], "Input",
 CellChangeTimes->{{3.6092641320304337`*^9, 3.6092641418574333`*^9}, {
  3.6092643725914335`*^9, 3.609264378422434*^9}, {3.609264680403434*^9, 
  3.6092646842424335`*^9}, {3.6093408924610434`*^9, 3.609340899247722*^9}, {
  3.60934116675247*^9, 3.6093411781376085`*^9}}],

Cell[BoxData["\<\"CVdeltastatic.csv\"\>"], "Output",
 CellChangeTimes->{3.609341359820775*^9, 3.6096740301978297`*^9, 
  3.610187659198038*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"autocovar", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"PSD", "[", 
          RowBox[{"\[Delta]", ",", "\[Omega]"}], "]"}], "*", 
         RowBox[{"Cos", "[", 
          RowBox[{"7", "\[Omega]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"\[Omega]", ",", "  ", 
          RowBox[{"-", 
           RowBox[{"10", "^", 
            RowBox[{"(", "15", ")"}]}]}], ",", 
          RowBox[{"10", "^", "15"}]}], "}"}], ",", " ", 
        RowBox[{"MaxRecursion", "\[Rule]", "1200000"}]}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", "\[Pi]"}], ")"}]}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", " ", "0.1", ",", "22", ",", " ", "0.25"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5594839731003284`*^9, 3.559483987123349*^9}, {
   3.5594840389970284`*^9, 3.55948412675336*^9}, {3.559484156967207*^9, 
   3.5594841598864117`*^9}, {3.5594844268332224`*^9, 
   3.5594844319404306`*^9}, {3.559492171357833*^9, 3.5594922902352285`*^9}, {
   3.559492365317283*^9, 3.5594924194046354`*^9}, {3.559492454464693*^9, 
   3.559492534079257*^9}, {3.5594935844589214`*^9, 3.5594935994959173`*^9}, {
   3.5594938294921446`*^9, 3.559493843503557*^9}, {3.559494491677012*^9, 
   3.559494533392316*^9}, {3.559494575542994*^9, 3.5594945877124767`*^9}, {
   3.559496210824774*^9, 3.5594962191756086`*^9}, {3.5594965033500233`*^9, 
   3.5594965171414022`*^9}, {3.559496777009386*^9, 3.5594967940010853`*^9}, {
   3.5595585393730946`*^9, 3.5595585591990767`*^9}, {3.5601598642325215`*^9, 
   3.560159883960494*^9}, {3.560159941804278*^9, 3.5601599795330505`*^9}, {
   3.5601656799800615`*^9, 3.560165725421605*^9}, {3.560166590307085*^9, 
   3.5601666021162663`*^9}, {3.5671758593452024`*^9, 
   3.5671758923545027`*^9}, {3.567175940005267*^9, 3.567175968293096*^9}, {
   3.567176003095576*^9, 3.5671760299602623`*^9}, {3.5671760644897146`*^9, 
   3.5671760863308983`*^9}, {3.567176176862951*^9, 3.567176177005965*^9}, {
   3.5671762197132354`*^9, 3.567176329861249*^9}, {3.582545384833781*^9, 
   3.5825454020825057`*^9}, {3.5825517039366283`*^9, 3.582551711826417*^9}, {
   3.582551965562788*^9, 3.58255200588582*^9}, {3.58289939572174*^9, 
   3.582899409882156*^9}, 3.5829005460757637`*^9, {3.5829031323783684`*^9, 
   3.5829031378979197`*^9}, {3.606741822478595*^9, 3.60674182792614*^9}, {
   3.6067418647918262`*^9, 3.606741881622509*^9}, {3.6096738947802896`*^9, 
   3.6096738949803095`*^9}, {3.6101875548366027`*^9, 3.6101875560117207`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Delta]", "=", 
   RowBox[{"Range", "[", 
    RowBox[{"0.1", ",", " ", "22", ",", " ", "0.25"}], "]"}]}], ";", " ", 
  RowBox[{"autocor", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Delta]", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", " ", 
       RowBox[{
        RowBox[{"autocovar", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "/", 
        RowBox[{"var", "[", 
         RowBox[{"[", "i", "]"}], "]"}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", 
       RowBox[{"Length", "[", "\[Delta]", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.559558594953652*^9, 3.5595586856997256`*^9}, {
  3.5601657426543283`*^9, 3.5601657432773905`*^9}, {3.5601666210121555`*^9, 
  3.560166627507805*^9}, {3.5671758154388123`*^9, 3.567175823198588*^9}, {
  3.582545417650062*^9, 3.5825454387551727`*^9}, {3.5825517160648403`*^9, 
  3.5825517315043845`*^9}, {3.5825518569509277`*^9, 3.582551858054038*^9}, {
  3.5828997373829026`*^9, 3.582899751016266*^9}, {3.5829031424263725`*^9, 
  3.5829031499941297`*^9}, {3.6067418340127487`*^9, 3.6067418473670835`*^9}, {
  3.6067418834786944`*^9, 3.606741884902837*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"autocor", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.559558688350991*^9, 3.559558692561412*^9}, {
  3.606741911776524*^9, 3.606741915366883*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJw1039M1HUcx/HjssMhIHCEHYFwB8LBHXjcD1SgfV9e/LAhiJQCWzgFQdYY
WDEKjGhAhUNlyioBdShO0RTlzg7lwoScaaLXsvjhCQQHcXnIj0lTJKTQz/u9
3b577LnXH999d+KM/OQsPo/HS/3/t/isq128K5zH3crZ+Pq9XPaL6+a++Wqt
w89bznCqF2fhXr3W8sDPco3Zxp0vjrnlG9fFvdxPc22nY547bL3H/A93aoXC
xvX1MM9ySdOhT3itZuZ5rv/z3bIBwSB3p2vxeEhMbppNn/qTmY/08T1ZDfJh
5iW4YXBzbIaFWYB21xC7NNUI81L0b66K93QYZXbAhHPncOotsiMWFi5qTxb8
xeyMoIiY08POY+x9XRBRMWItqCO74r0KkTRZZGV2Q32Dk9x7P1mIuPe1M+on
ZHfEWDef7Ej9m/k1zCWsb7qqI3uA11h6mS94yLwCpnL7yNh3yK9jQ5Lvdmk9
WYT8tDe1qgGyJwKFmdygl435DfyQ3fb91ylkLzj05L6lP0D2xraRlhN7O8kr
sXPXp5odj8k+aPRySSoWj7Pv6YuanOpE5wRmvS+6L3iXJhVSF+NIc7Q17yh1
MZw8O6YPdVKXIEBwfWZolLoEXzg2tZbYP2LdD545n/RWBDLr/bDS1i8VxlL3
h7jM7fn6TOr+WGpcXigtpb4Ksjr1JXMt9VUwuUo88vXUA5B4Ijpj5jb1AHxs
Pje1x0I9EMY5scn9GfVApGfaD3Utn2Bdip3HG+cu+jPrpejPrV/oWks9CAfL
qh/JNlIPQlXJkfmebdSDYRttOX9/N/Vg5AWn3osqoy7Dt2bDGUENdRmOV5YP
cI3U5UgZO3t0UkddjqFX/qj36qQegn97bT53fqUegvaSK8vsB6mH4uZ4m8U0
Tj0UNT9GdsufUV+NjevudkjsJ1lfjQtVikiDcPLl/1GkQIG2+ZDNhzlNgf3C
ZX03ZMy1Cqwz8Ufi1zD3KXDpQU7yZ1rah8FYNVW9I4H2YWipONX7NIX2YVjS
KomKy6B9GLZkFTVsyqW9ErER09fdC2mvRI+hPLq2lPZKGK7KDw9W0l6JqWon
0cODtFfhMH8X31hHexUU+/I+ereR9irowu0+uPwd7VXI3r5mzKqnvRpb281n
x4y0VyMw/Gax4Sfaq/HhsWC7lNu0V8Nln+73X36jvQbz4eeKhPdpr0HUl4JM
5RDtNdgkevux1Ep7DYy6opKnE5Pcf01ufFk=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0.1, 0.012503236344037421`},
  Method->{},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{
  3.5595586930184574`*^9, 3.55956034573652*^9, 3.5601599934814453`*^9, 
   3.560165783354398*^9, 3.560166630364091*^9, 3.5671763861108737`*^9, 
   3.5825454450037975`*^9, 3.58254598368666*^9, {3.582551793098543*^9, 
   3.5825518027645097`*^9}, 3.5825518610303354`*^9, 3.582551959151147*^9, 
   3.582552030616293*^9, 3.5825520933615665`*^9, 3.5828997949076543`*^9, 
   3.5829010473838897`*^9, 3.5829015474918957`*^9, 3.5829032456396933`*^9, 
   3.6067418495863056`*^9, {3.6067419066770144`*^9, 3.6067419158349295`*^9}, 
   3.606744372081544*^9, 3.607964995882371*^9, 3.609341377291522*^9, 
   3.6096740481156216`*^9, 3.610187676732791*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<autocorrelationdeltastatic.csv\>\"", ",", "autocor"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6092641320304337`*^9, 3.6092641418574333`*^9}, {
  3.6092643725914335`*^9, 3.609264378422434*^9}, {3.609264680403434*^9, 
  3.6092646842424335`*^9}, {3.6093408924610434`*^9, 3.609340899247722*^9}, {
  3.60934116675247*^9, 3.6093411781376085`*^9}, {3.6093412701948133`*^9, 
  3.6093412820870028`*^9}}],

Cell[BoxData["\<\"autocorrelationdeltastatic.csv\"\>"], "Output",
 CellChangeTimes->{3.609341377442537*^9, 3.609674048278638*^9, 
  3.610187676879806*^9}]
}, Open  ]],

Cell["\<\
Autocorrelation increases as mosquito lifespan gets shorter due to control \
interventions\
\>", "Text",
 CellChangeTimes->{{3.582899772021366*^9, 3.5828997890940733`*^9}, {
  3.582901016426794*^9, 3.5829010319633474`*^9}, {3.5829032319773273`*^9, 
  3.5829032837715063`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Delta]", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"Eigenvalues", "[", 
          RowBox[{"JEE", "[", 
           RowBox[{"\[Delta]", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "\[Delta]", "]"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Delta]", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"Eigenvalues", "[", 
          RowBox[{"JEE", "[", 
           RowBox[{"\[Delta]", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", 
        RowBox[{"Length", "[", "\[Delta]", "]"}]}], "}"}]}], "]"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.557249722202383*^9, 3.557249807155053*^9}, {
  3.557249885112858*^9, 3.5572499095277967`*^9}, {3.5572499569692216`*^9, 
  3.557249966189176*^9}, {3.5825445141107173`*^9, 3.5825445638566914`*^9}, {
  3.5825447968749905`*^9, 3.582544804154719*^9}, {3.582544924191721*^9, 
  3.582544928048107*^9}, {3.5825453084331417`*^9, 3.5825453123045287`*^9}, {
  3.582546434497737*^9, 3.582546460465333*^9}, {3.5828985686490407`*^9, 
  3.5828985822664022`*^9}, {3.582901961894332*^9, 3.5829020885409946`*^9}, {
  3.582902295191658*^9, 3.582902308104949*^9}, {3.5829024166047983`*^9, 
  3.582902419358073*^9}, {3.58290332221235*^9, 3.5829033386459928`*^9}, {
  3.6067420822105656`*^9, 3.6067421378511295`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJwt039M1HUcx/ED0SMg4Pj9PeC44/h9HNzxubMF4b1mTZeroWKIlhQonOUQ
kmyTMltEISishT+uhXQglI2pmw00x+6YQMgQNEQ64I47OBG6iB/jNp2lBfd+
b7fvHnvu9cd3352koGRnoTuPx8v9/7f6/E63ejc0eUn/sHyveUPR2j3Q7N3/
8qHTG20GtnbTmjxzR63vq7Nkh6ZJqr/bJFg0uPZLGg1ffVzmuUJ2agxjFS1v
8B6Tn2i6Nxcr1z15Sv5X06K71/t06bnhzsDq8WC5b/i82ulmdNkdpV63fota
Xkf2wLC033zj7/XkDZDnF1/NcfDJnihN3xrkfPQC2Qs1ItHeers32QfCt9rC
VLYXyb5Y9jjjd9/sZ3S9rz/GlN94p8/7kwWoM3/gXe0QkANw/p71uWkugBwI
n00n7YmzgeQg9M4uth+bCSIHI/OzuaO37cHkEPQcCZFw0yHkUJTX6K8ftIWS
w5Dv9My8PhlG5rBF8Owy38KRheh8M8tv94SQHA5hoSmvdSycHIGWs8cvOP+I
IEdiBOFDr41GkkXo6KtZ+nZERI7C4cAfNkwPRxld31MMZ1Udn3tf7PI1MUoq
pioxS2YS+LXon2m1EuoSXE4VH6mbIbNoaCVt1vbCaOrR6D9Uu81iJzMpxlTe
V9cfkFKXwiOyQCCfJrMY/PrV4OFdBTHUY3DS/HXfJzYyi0XMeJeo+b1Y6rGo
v932Yf8kmcXhYdfRrqW8OOpxiH20xZezkFk86hq25mJfPPV4ODq/b9ROkFkC
0HPQXvt2AvUE8NwG4trHyCwRkx32IvOeROqJ+DJr6KKHicySkFPSapXlJlFP
QrW4Qpg9SmYy/OL4dGd5joy6DO4rl6r0I2SWjFz/qM6+XcnUk1E2tbCwMExm
cmT8lSIJzZZTl+Oj5vntm34nsxTMVLxyonBHCvUUCMWytlN3ySwV44q+0WtZ
qdRTUdkscR8fTDWu/R85BRqzm4Ld4hUu71Hg/MSFS/VFZJ0CK7t9MhNaySYF
/ixYHLr5kMwp8cWO7QVZsUraKxHClCtTB8g6JSofnKv8+CLZpETUYFWIl53M
pSGjzPPHBmka7dPQOCd8SbmfrEuDPrq7t7uJbEqDwMrPyZ0icwyP2+fsDgmj
PYMkoLjsRD5Zx3BMdcYtUE82MWzLKKxrtZI5FV4XWyPSxSraq3D6pufPd94l
61TY12PbmN9INqlgGy2+tWIhc2oYS69kVYnUtFejYfmn8fA8sk6N8tZ3tFca
yCY1BJ0Dy5vNauN/VMB17A==
      "]]}, 
    {RGBColor[0.6, 0.24, 0.4428931686004542], PointBox[CompressedData["
1:eJwt0w9MlHUcx/GfB2XSQeCFB4nKKRmCdidHTcV8vg5awloi1TwoViCYGNoF
gRd48iCFpYZ4cfPkSA/UkHB0gxjKkLu5LOOPMgJSi2Q2g2k1qWzXH13fx/v8
ttvttffzue2eZ48u962MfJUQwsQf5bv+sHLOSCkPnGiY5bjk2Xz/jEmPqDKK
HVlXPcb75yfp+TknQ8p2DsO3JHf0yorvD/V7/Ptp6fWgyz3TE+fhO5Ic16kN
VZ+D/5bSo+o0u+t74buSecf8SkNZt2dwQDmCZLvWXZTcBauIJFtGjfsLOJCE
c4UlwN4OP0heR4Rd+60bfojEhRZ31qk2OIjkh8+OqhecgtVEiZoI11QLHELe
mIvuEV8z/m8oyebJZ5KSP4XDSD5Wol/cexyeTfI3I0W3c47BGpJbdY7y2Cb4
UZIrV98bVjfC4SQCq5OnglzwHBJqV8O5NUdgLYnpKueNmgY4gsQu57Y9M5xw
JImJ6yfabIfhx0gUDmf51jjguSTiN6y3BhyCo0g0ZjT3jNvheSRC14/v7a+D
55P4emZAYP/H8AISCZl2+aoNzzOaRL1l437fQb872LaBvh8XwUYdCfr99kuv
1KKzf3HqLycdQF9Ioqf3n7LRj9DZltTn7lTuR19E4s+/CkakfejswlJPX/Be
9BgSeVuXtN78AJ1dSIb80T3oj5OI1nw+Y7AanZ13/I+jQ++jLyaxIp+Kr72H
zjY1NXp9VehP8P0vnTU+F+5g79SfjF+3Gz2WhKixRFkr0dmra31x3TL6EhLr
3gnrvluBzqa0K1X2XehxJGpvDV1fZUVnm6d/C/+1HD2ehOGN5Vtby9AVZ2av
LHkXfSmJLRETU6kWdLZv4cWp2B3oy/j6Zf+1h5Wis2VJ3xdQgv4kCVdyzpl7
xejsoXatRgUb9eycPnNwETpbNJuKot/2v4+RBv699H1nV5n9zmR7I1P+7dqO
95U9sXTs/Mxtfl9hu3QXUvLexH45941f3RwowJ7t2n4gYe0W7NnyWO4R72bs
lesryrvS8rFP4Out9uBrm7BnTxy0Pm3NxZ4dfbplMCYHe7bc2TH52WvYG/l5
/Fzxybxs7Nne0eywxizslZ5+1JVowl5xQZf7u5exT+T7Ed7d9uGL2CvW3QhJ
24A9W7ZtchhewF7xqz9cmkzF/in27J7h089izxaqL7ub1mKvuLrOlJqEveJO
qbXc6Pkfw0Fd+w==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, -21.864302802071567`},
  Method->{},
  PlotRange->{{0, 21.85}, {-21.864302802071567`, 0}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.43700000000000006`, 0.43700000000000006`}, {
   0.43728605604143134`, 0.43728605604143134`}}]], "Output",
 CellChangeTimes->{
  3.582903348285957*^9, 3.606741925279874*^9, {3.606742104165761*^9, 
   3.606742141491493*^9}, 3.6067443744457808`*^9, 3.607964998344371*^9, 
   3.6093413798177743`*^9, 3.609674050690879*^9, 3.6101876792440424`*^9}]
}, Open  ]],

Cell["\<\
CSD not present in the dominant eigenvalue until delta = 0.3 [mosquito \
lifespan is shortened to 3 days]
dominant and subdominant eigenvalues are non-monotonic functions of delta.\
\>", "Text",
 CellChangeTimes->{{3.5829036429074163`*^9, 3.582903705037628*^9}, {
  3.58290383566869*^9, 3.5829038558757105`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"R0", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"k", "^", "2"}], ")"}], "*", "p", "*", "q", "*", 
   RowBox[{"Nm", "/", 
    RowBox[{"(", 
     RowBox[{"Nh", "*", "\[Mu]", "*", "\[Delta]"}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.582902163175458*^9, 3.582902197775917*^9}, {
  3.5829024614362807`*^9, 3.5829024635154886`*^9}, {3.5829035737555017`*^9, 
  3.5829035747636023`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Delta]", ",", " ", 
      RowBox[{"R0", "[", "\[Delta]", "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"\[Delta]", ",", " ", "0.01", ",", " ", "22", ",", " ", "0.25"}],
      "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5829022030004396`*^9, 3.5829022598271217`*^9}, {
  3.5829035786839943`*^9, 3.582903612333359*^9}, {3.606742176706014*^9, 
  3.6067421797623196`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJw10QtMU1ccx/FavICARd7ytFAsLQ9paYujGb0/SQSF6VJEcAyMQpgPAgMl
jNciY1S2iGMuEGdlbiqymimJDAUVw6ywB0qRJUQZWYZDWIlDkXd5bRX+nJyb
m0+++efk3Oub9mF8BpfD4ewzP2/exc4NMc+KylnOm1V9EXU5kTZPLj9mhflp
AfmX9iK+xUfzQj3A2i+vaLKRbbjYenJcGwlxSpV+SjTGzvelZcxGh5Mn2VtZ
/eYtJc+yVfIYraArhLzA9mx3S807I8by8c4cJBiynyWlC8lcnKy5kLxvREBe
i+GQdYq6UV+yJabqt94b2cUnW6OwNyK4ZNibbIPC1qeOJec9yXaI8qjb5lHn
TuahSf1Xn+6VG8yXNd94A8RSi4eXcl3JDrD3Tz54nO9CdsTU+7FtVyadyE5Y
n2i0SzQ6kp1xoa3jSNe0A9kF+raQQ0qvVbtCpxucK9m7geyG5e8Ne/JGJNSa
6t+aWE92R9Ouq7eZ+3ZkD+w/1/BOUr0t2ROSgcrMM9/ZkL3wcSon86Pr68je
SOzmfeL50Jrsg5q86cs9M1bkTeD1d437h1nB/DNbfBg+Dr896N5dYLliDR/P
NTtibnQy1H0RF7Mt1SAka3zR8ZmDILpyLXU/5IV2RKnnLKj74fdM2WhkDpkR
oCvweyZrlEtdAL3yj9Z3c8mMP4b6HlVkzK+h7o+mrw1pylNkZjO6260TMvir
fTMeq8IFFXc41IUIHHVW7XyPrBFCpVNqbs/+x670AKR4l8dPRJM1AdANDDm3
1i5RF2Gpundaa1qkLkLfsZFFfiqZESOo/y7P+PMCdTHaJ3N5X4WTmUD8+4vR
+9cf5qkH4kWE0LzJTBD8aoJcv7kyRz0IndrG+mtiMhMMlaTlS1GjiXowxGct
ontVZCYE95Xue4q7Z6mHICNHZflPOpnZAqc7BzcZ52eob0F+4d8V6rNkJhTq
awkOJsVqD8WCsEjZ/GSafTAlSqniSvDbFw9MH5SQoyTYf/OnyiEBuUyChaNz
cY6GqRXrJRh62lZmKCJzpfg2/kTsopgcJYVV7e4jn/ZP0rwUh/zVspgqsl6K
+Oc/Zku2k7lh8KpeihAtTtB8GJTzpZMbm8llYTi/46ro5TGyPgyZvS4F1RIy
VwZtacTnplfjNC9DMi972vYGuUwG2+Y9qrvHyXoZTqQfuDmzlcyV47pVeUHj
4mual2M2qPPAn+3kMjn6bQZnjp4m6+U4fK80a3cSmavA+KP808V+q/MKZIor
bw2/HKN5BRzXvO4pbyXrFYiNM69TY+z/E8ptyQ==
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 21.76}, {0, 13.086147471263011`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.43520000000000003`, 0.43520000000000003`}, {
   0.26172294942526025`, 0.26172294942526025`}}]], "Output",
 CellChangeTimes->{{3.582903584734599*^9, 3.5829036133804636`*^9}, 
   3.606742180234367*^9, 3.6067443744667826`*^9, 3.607964998368371*^9, 
   3.6093413798477774`*^9, 3.6096740507168818`*^9, 3.610187679272045*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"reac", "[", "\[Delta]_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{
     RowBox[{"A", "=", 
      RowBox[{"JEE", "[", "\[Delta]", "]"}]}], ";", " ", 
     RowBox[{"r", "=", 
      RowBox[{"Max", "[", 
       RowBox[{"Eigenvalues", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"A", "+", 
           RowBox[{"Transpose", "[", "A", "]"}]}], ")"}], "/", "2"}], "]"}], 
       "]"}]}], ";", 
     RowBox[{"Return", "[", "r", "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.513699505060236*^9, 3.513699521012762*^9}, {
   3.513699599532543*^9, 3.5136996025227823`*^9}, 3.513699646606309*^9, {
   3.5140497359139996`*^9, 3.514049739785386*^9}, {3.514114672121261*^9, 
   3.5141146962240334`*^9}, {3.5193859033237047`*^9, 3.519385915756948*^9}, {
   3.5193867473611*^9, 3.5193867608164454`*^9}, {3.519386807635127*^9, 
   3.519386817793143*^9}, {3.5230974016679106`*^9, 3.5230975422349653`*^9}, {
   3.526743414000314*^9, 3.5267435629812107`*^9}, {3.527349027198474*^9, 
   3.527349049820736*^9}, {3.532689828155117*^9, 3.532689831115413*^9}, {
   3.575124201118757*^9, 3.5751242262562704`*^9}, {3.5829043985109687`*^9, 
   3.5829044036004777`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", 
       RowBox[{"reac", "[", "\[Delta]", "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{
      "\[Delta]", ",", " ", "0.01", ",", " ", "22", ",", " ", "0.25"}], 
      "}"}]}], "]"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.532689764809783*^9, 3.5326897932886305`*^9}, {
  3.575124240607705*^9, 3.575124309970641*^9}, {3.582904408190937*^9, 
  3.582904420768194*^9}, {3.6067421942027636`*^9, 3.6067422215715003`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJw10XtMU2cYx/GucpQg7eQ2wEItFEu5l9IqOrbz2CV1RlMQHTIgo5ApOAht
dA4iG45D63QoqIiMaqGU6tByE1BRRKGQsUwXqRmYcdFKtqaJE1lma12cWTef
88ebk0+++eXNmxNRqMrczWQwGNme89+3MrB78+ODGrJCyfrmUdj4bZP6PZ8H
7ZOkciVreLGinMwc5GqfbLeRutn5uz2KIbSDJL5c89CPGiVj8uotTuES2SxS
7BzaaEE/JxumGrbM/kx3N8lSfbjxzIsR9CtSZzdmZy0bIf+/PpABC/r8khO8
W2gmFB44+WLho5toL6jNndqk6LmBXg55QZf91yVeR3vDt9NW16+T19A+MLm8
cBhOX0X7AttYbgo/cAXNhpDOJy2p6gHS81jPi1fBzn22VB3Vj/aDUnncFt3F
PrQ/5Fl592wLl9EBwBZ0nVfG0w6EdVLzbLqmFx0E+yPCwsn7Peh3oFp8equj
rxsdDP32j5vSOrrQITD7076qmN5OdCg8vZvlmv/RjF4NJtclGF26hOZAYAYn
tERAOwwyPr/C0hdfRIdDWRlMp13tQHPB9xdrTTqb9hpoC11R5FR9T3p+5iCX
4EEOkXpiz8yFN9byoFZebH22DU1EgFGkT1j64Tz2CCjj1JqmN6OJSHBFZm/j
3TNhj4QBvyNdWXlogg+3bgbvYj9rx86HGl2p8ffDaCIKSoxBhho+3aOA+qIi
umnciH0t9FH7vab3orVrYbx67P1X/nQXgL27tfzO7TbsAvCuO5rjo0YT0XCt
YISr4dM9GmbcwmDvGQN2IbSY7yj2NqC1QvC1KERV6XSPATXJWs9j0z0G/rZJ
t+9qacUeC23xSvPrKLQ2FiYNkjF3Twv2ODC+nOP6kmhtHIw524TL7uuxx4OA
OjRnLkZrPU67/tUDJt0ToOvQsR05hnPYEyDpgw2lKzehiUTQk/27x387iz0R
1PMF7xbUookkmGgsChmR0D0J9mx9mTBq05FjTmFePVMERxy5x+X1aJkIxM2x
hATQlAg6q069pfqr+Y0tInD/uUH1sAPNTAYOddLwmRItS4Yw9w7pP6FoKhkq
Fxle1VPf4T4ZslfxiYVTaKYYolzrgZWJlolB4Qi4seSPpsTwvL3108qpJtyL
4ZjJ+ra+Gc1MAc3BiVx5PlqWAheK7OZiAZpKgU9sf6x2LZ7BfQr0DthUjwfR
TAkk100EcDVomQSOC0K9DRloSgKT/Ln5XC69lwDHkd8lf9qIeynYHx1mZw2j
ZVJwuhr9vq5DU1LImK9KHVKiLVJwd55Vv05pJP8FChRyeg==
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0.01, 0.},
  Method->{},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{3.582904428774995*^9, 3.6067422240057435`*^9, 
  3.606744375657902*^9, 3.607964999630371*^9, 3.6093413810889015`*^9, 
  3.6096740519360037`*^9, 3.6101876804641647`*^9}]
}, Open  ]],

Cell["\<\
System not reactive until mosquito death rate close to one day. Reactivity \
non-monotonic\
\>", "Text",
 CellChangeTimes->{{3.582904590882204*^9, 3.5829046528544006`*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{1904, 1065},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 168, 2, 86, "Section"],
Cell[CellGroupData[{
Cell[772, 28, 103, 1, 39, "Subsubsection"],
Cell[878, 31, 1059, 19, 31, "Input"],
Cell[1940, 52, 1290, 33, 31, "Input"],
Cell[3233, 87, 1147, 26, 31, "Input"],
Cell[CellGroupData[{
Cell[4405, 117, 329, 5, 31, "Input"],
Cell[4737, 124, 1285, 25, 47, "Output"]
}, Open  ]],
Cell[6037, 152, 498, 12, 31, "Input"],
Cell[6538, 166, 805, 21, 31, "Input"],
Cell[CellGroupData[{
Cell[7368, 191, 179, 3, 31, "Input"],
Cell[7550, 196, 380, 5, 31, "Output"]
}, Open  ]],
Cell[7945, 204, 1501, 41, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9483, 250, 98, 1, 39, "Subsubsection"],
Cell[9584, 253, 1458, 41, 31, "Input"],
Cell[11045, 296, 1491, 41, 31, "Input"],
Cell[12539, 339, 389, 10, 31, "Input"],
Cell[12931, 351, 391, 10, 31, "Input"],
Cell[13325, 363, 386, 10, 31, "Input"],
Cell[13714, 375, 386, 10, 31, "Input"],
Cell[14103, 387, 627, 16, 31, "Input"],
Cell[14733, 405, 328, 6, 31, "Input"],
Cell[15064, 413, 280, 6, 31, "Input"],
Cell[15347, 421, 1193, 30, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16577, 456, 102, 1, 39, "Subsubsection"],
Cell[16682, 459, 1362, 37, 31, "Input"],
Cell[18047, 498, 175, 2, 30, "Text"],
Cell[18225, 502, 1081, 27, 31, "Input"],
Cell[CellGroupData[{
Cell[19331, 533, 279, 4, 31, "Input"],
Cell[19613, 539, 2294, 43, 241, "Output"]
}, Open  ]],
Cell[21922, 585, 538, 15, 31, "Input"],
Cell[CellGroupData[{
Cell[22485, 604, 176, 3, 31, "Input"],
Cell[22664, 609, 166, 2, 31, "Output"]
}, Open  ]],
Cell[22845, 614, 126, 1, 30, "Text"],
Cell[22974, 617, 864, 22, 31, "Input"],
Cell[CellGroupData[{
Cell[23863, 643, 132, 2, 31, "Input"],
Cell[23998, 647, 2098, 39, 233, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26133, 691, 272, 5, 31, "Input"],
Cell[26408, 698, 160, 2, 31, "Output"]
}, Open  ]],
Cell[26583, 703, 1385, 34, 31, "Input"],
Cell[27971, 739, 995, 24, 31, "Input"],
Cell[CellGroupData[{
Cell[28991, 767, 133, 2, 31, "Input"],
Cell[29127, 771, 2480, 45, 239, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31644, 821, 290, 5, 31, "Input"],
Cell[31937, 828, 173, 2, 31, "Output"]
}, Open  ]],
Cell[32125, 833, 535, 14, 31, "Input"],
Cell[CellGroupData[{
Cell[32685, 851, 101, 1, 31, "Input"],
Cell[32789, 854, 3417, 56, 112, "Output"]
}, Open  ]],
Cell[36221, 913, 1287, 27, 31, "Input"],
Cell[CellGroupData[{
Cell[37533, 944, 651, 15, 31, "Input"],
Cell[38187, 961, 2010, 38, 221, "Output"]
}, Open  ]],
Cell[40212, 1002, 202, 4, 30, "Text"],
Cell[40417, 1008, 542, 12, 31, "Input"],
Cell[CellGroupData[{
Cell[40984, 1024, 586, 13, 31, "Input"],
Cell[41573, 1039, 1340, 27, 238, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[42974, 1073, 167, 2, 86, "Section"],
Cell[CellGroupData[{
Cell[43166, 1079, 103, 1, 39, "Subsubsection"],
Cell[43272, 1082, 1215, 21, 31, "Input"],
Cell[44490, 1105, 1302, 34, 31, "Input"],
Cell[45795, 1141, 1240, 27, 31, "Input"],
Cell[CellGroupData[{
Cell[47060, 1172, 329, 5, 31, "Input"],
Cell[47392, 1179, 1367, 26, 47, "Output"]
}, Open  ]],
Cell[48774, 1208, 547, 13, 31, "Input"],
Cell[49324, 1223, 904, 22, 31, "Input"],
Cell[CellGroupData[{
Cell[50253, 1249, 230, 4, 31, "Input"],
Cell[50486, 1255, 537, 7, 31, "Output"]
}, Open  ]],
Cell[51038, 1265, 1543, 42, 31, "Input"],
Cell[52584, 1309, 1548, 42, 31, "Input"],
Cell[54135, 1353, 1592, 43, 31, "Input"],
Cell[55730, 1398, 435, 10, 31, "Input"],
Cell[56168, 1410, 437, 10, 31, "Input"],
Cell[56608, 1422, 434, 10, 31, "Input"],
Cell[57045, 1434, 434, 10, 31, "Input"],
Cell[57482, 1446, 1180, 31, 31, "Input"],
Cell[58665, 1479, 743, 19, 31, "Input"],
Cell[59411, 1500, 773, 20, 31, "Input"],
Cell[60187, 1522, 1276, 33, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61500, 1560, 102, 1, 39, "Subsubsection"],
Cell[61605, 1563, 1670, 44, 31, "Input"],
Cell[63278, 1609, 175, 2, 30, "Text"],
Cell[63456, 1613, 1080, 27, 31, "Input"],
Cell[64539, 1642, 2466, 46, 31, "Input"],
Cell[CellGroupData[{
Cell[67030, 1692, 103, 1, 31, "Input"],
Cell[67136, 1695, 1113, 19, 52, "Output"]
}, Open  ]],
Cell[68264, 1717, 1117, 26, 31, "Input"],
Cell[CellGroupData[{
Cell[69406, 1747, 133, 2, 31, "Input"],
Cell[69542, 1751, 1617, 31, 246, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[71196, 1787, 191, 4, 31, "Input"],
Cell[71390, 1793, 172, 2, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[71599, 1800, 656, 17, 31, "Input"],
Cell[72258, 1819, 1612, 31, 239, "Output"]
}, Open  ]],
Cell[73885, 1853, 476, 14, 31, "Input"],
Cell[CellGroupData[{
Cell[74386, 1871, 231, 4, 31, "Input"],
Cell[74620, 1877, 163, 2, 31, "Output"]
}, Open  ]],
Cell[74798, 1882, 172, 5, 31, "Input"],
Cell[74973, 1889, 802, 21, 31, "Input"],
Cell[CellGroupData[{
Cell[75800, 1914, 182, 3, 31, "Input"],
Cell[75985, 1919, 1206, 25, 240, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77228, 1949, 270, 5, 31, "Input"],
Cell[77501, 1956, 135, 2, 31, "Output"]
}, Open  ]],
Cell[77651, 1961, 137, 1, 30, "Text"],
Cell[77791, 1964, 1283, 27, 31, "Input"],
Cell[CellGroupData[{
Cell[79099, 1995, 645, 15, 31, "Input"],
Cell[79747, 2012, 1118, 23, 225, "Output"]
}, Open  ]],
Cell[80880, 2038, 131, 1, 30, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[81060, 2045, 289, 3, 86, "Section"],
Cell[CellGroupData[{
Cell[81374, 2052, 103, 1, 39, "Subsubsection"],
Cell[CellGroupData[{
Cell[81502, 2057, 1299, 22, 31, "Input"],
Cell[82804, 2081, 171, 2, 31, "Output"]
}, Open  ]],
Cell[82990, 2086, 1318, 34, 31, "Input"],
Cell[84311, 2122, 1303, 28, 31, "Input"],
Cell[CellGroupData[{
Cell[85639, 2154, 377, 6, 31, "Input"],
Cell[86019, 2162, 1458, 27, 47, "Output"]
}, Open  ]],
Cell[87492, 2192, 632, 14, 31, "Input"],
Cell[88127, 2208, 989, 23, 31, "Input"],
Cell[89119, 2233, 1624, 43, 31, "Input"],
Cell[90746, 2278, 1682, 44, 31, "Input"],
Cell[92431, 2324, 1718, 44, 31, "Input"],
Cell[94152, 2370, 496, 11, 31, "Input"],
Cell[94651, 2383, 498, 11, 31, "Input"],
Cell[95152, 2396, 495, 11, 31, "Input"],
Cell[95650, 2409, 491, 11, 31, "Input"],
Cell[96144, 2422, 1016, 23, 31, "Input"],
Cell[97163, 2447, 504, 8, 31, "Input"],
Cell[97670, 2457, 356, 7, 31, "Input"],
Cell[98029, 2466, 900, 20, 31, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[98966, 2491, 157, 2, 39, "Subsubsection"],
Cell[99126, 2495, 1779, 46, 31, "Input"],
Cell[100908, 2543, 175, 2, 30, "Text"],
Cell[101086, 2547, 1909, 35, 31, "Input"],
Cell[CellGroupData[{
Cell[103020, 2586, 279, 4, 31, "Input"],
Cell[103302, 2592, 1373, 28, 239, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[104712, 2625, 607, 17, 31, "Input"],
Cell[105322, 2644, 1104, 24, 239, "Output"]
}, Open  ]],
Cell[106441, 2671, 230, 5, 30, "Text"],
Cell[106674, 2678, 1205, 26, 31, "Input"],
Cell[CellGroupData[{
Cell[107904, 2708, 429, 7, 31, "Input"],
Cell[108336, 2717, 142, 2, 31, "Output"]
}, Open  ]],
Cell[108493, 2722, 859, 22, 31, "Input"],
Cell[CellGroupData[{
Cell[109377, 2748, 234, 4, 31, "Input"],
Cell[109614, 2754, 1003, 22, 240, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[110654, 2781, 320, 5, 31, "Input"],
Cell[110977, 2788, 136, 2, 31, "Output"]
}, Open  ]],
Cell[111128, 2793, 1089, 27, 31, "Input"],
Cell[112220, 2822, 1259, 28, 31, "Input"],
Cell[CellGroupData[{
Cell[113504, 2854, 247, 5, 31, "Input"],
Cell[113754, 2861, 1531, 28, 241, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[115322, 2894, 387, 6, 31, "Input"],
Cell[115712, 2902, 149, 2, 31, "Output"]
}, Open  ]],
Cell[115876, 2907, 393, 10, 31, "Input"],
Cell[CellGroupData[{
Cell[116294, 2921, 445, 11, 31, "Input"],
Cell[116742, 2934, 3317, 60, 245, "Output"]
}, Open  ]],
Cell[120074, 2997, 180, 2, 30, "Text"],
Cell[CellGroupData[{
Cell[120279, 3003, 2017, 50, 31, "Input"],
Cell[122299, 3055, 1700, 34, 241, "Output"]
}, Open  ]],
Cell[124014, 3092, 183, 4, 30, "Text"],
Cell[124200, 3098, 1299, 27, 31, "Input"],
Cell[CellGroupData[{
Cell[125524, 3129, 656, 15, 31, "Input"],
Cell[126183, 3146, 1095, 23, 241, "Output"]
}, Open  ]],
Cell[127293, 3172, 127, 1, 30, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[127469, 3179, 345, 4, 86, "Section"],
Cell[127817, 3185, 139, 3, 30, "Text"],
Cell[CellGroupData[{
Cell[127981, 3192, 103, 1, 39, "Subsubsection"],
Cell[128087, 3195, 1330, 22, 31, "Input"],
Cell[129420, 3219, 2569, 47, 31, "Input"],
Cell[131992, 3268, 1397, 29, 31, "Input"],
Cell[CellGroupData[{
Cell[133414, 3301, 448, 7, 31, "Input"],
Cell[133865, 3310, 1477, 27, 47, "Output"]
}, Open  ]],
Cell[135357, 3340, 711, 15, 31, "Input"],
Cell[136071, 3357, 1076, 24, 31, "Input"],
Cell[137150, 3383, 1725, 44, 31, "Input"],
Cell[138878, 3429, 1729, 44, 31, "Input"],
Cell[140610, 3475, 1764, 44, 31, "Input"],
Cell[142377, 3521, 583, 12, 31, "Input"],
Cell[142963, 3535, 583, 12, 31, "Input"],
Cell[143549, 3549, 580, 12, 31, "Input"],
Cell[144132, 3563, 574, 12, 31, "Input"],
Cell[144709, 3577, 952, 20, 31, "Input"],
Cell[145664, 3599, 383, 6, 31, "Input"],
Cell[146050, 3607, 383, 7, 31, "Input"],
Cell[146436, 3616, 1189, 26, 31, "Input"],
Cell[CellGroupData[{
Cell[147650, 3646, 123, 2, 31, "Input"],
Cell[147776, 3650, 215, 3, 31, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[148040, 3659, 157, 2, 39, "Subsubsection"],
Cell[148200, 3663, 1586, 40, 31, "Input"],
Cell[149789, 3705, 175, 2, 30, "Text"],
Cell[149967, 3709, 2064, 37, 31, "Input"],
Cell[CellGroupData[{
Cell[152056, 3750, 965, 22, 31, "Input"],
Cell[153024, 3774, 2400, 44, 242, "Output"]
}, Open  ]],
Cell[155439, 3821, 279, 6, 30, "Text"],
Cell[CellGroupData[{
Cell[155743, 3831, 433, 7, 31, "Input"],
Cell[156179, 3840, 148, 2, 31, "Output"]
}, Open  ]],
Cell[156342, 3845, 927, 24, 31, "Input"],
Cell[CellGroupData[{
Cell[157294, 3873, 285, 4, 31, "Input"],
Cell[157582, 3879, 1895, 36, 240, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[159514, 3920, 382, 6, 31, "Input"],
Cell[159899, 3928, 143, 2, 31, "Output"]
}, Open  ]],
Cell[160057, 3933, 2619, 48, 31, "Input"],
Cell[162679, 3983, 1241, 28, 31, "Input"],
Cell[CellGroupData[{
Cell[163945, 4015, 245, 5, 31, "Input"],
Cell[164193, 4022, 2238, 40, 241, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[166468, 4067, 451, 8, 31, "Input"],
Cell[166922, 4077, 154, 2, 31, "Output"]
}, Open  ]],
Cell[167091, 4082, 286, 6, 30, "Text"],
Cell[CellGroupData[{
Cell[167402, 4092, 1871, 44, 31, "Input"],
Cell[169276, 4138, 3362, 61, 242, "Output"]
}, Open  ]],
Cell[172653, 4202, 322, 6, 49, "Text"],
Cell[172978, 4210, 449, 11, 31, "Input"],
Cell[CellGroupData[{
Cell[173452, 4225, 503, 12, 31, "Input"],
Cell[173958, 4239, 2007, 37, 245, "Output"]
}, Open  ]],
Cell[175980, 4279, 1251, 27, 31, "Input"],
Cell[CellGroupData[{
Cell[177256, 4310, 622, 15, 31, "Input"],
Cell[177881, 4327, 1822, 34, 229, "Output"]
}, Open  ]],
Cell[179718, 4364, 182, 4, 30, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
