(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     40568,       1027]
NotebookOptionsPosition[     38287,        950]
NotebookOutlinePosition[     38657,        966]
CellTagsIndexPosition[     38614,        963]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Parameters", "Subsubsection",
 CellChangeTimes->{{3.559560896211769*^9, 3.5595608981479626`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"k", "=", "0.3"}], ";", " ", 
  RowBox[{"\[Mu]", "=", "0.01"}], ";", " ", 
  RowBox[{"\[Delta]", "=", 
   RowBox[{"1", "/", "10"}]}], ";", "  ", 
  RowBox[{"Nh", "=", "1000"}], ";", " ", 
  RowBox[{"p", "=", "0.5"}], ";", 
  RowBox[{"q", "=", "0.5"}], ";", 
  RowBox[{"\[Sigma]", "=", "0.05"}], ";"}]], "Input",
 CellChangeTimes->{{3.556986019746208*^9, 3.5569860445223026`*^9}, {
   3.556986261786672*^9, 3.5569862655463924`*^9}, {3.5569868150831923`*^9, 
   3.5569868654915376`*^9}, {3.559493229027683*^9, 3.5594932330918865`*^9}, {
   3.5601581786399975`*^9, 3.5601581831514482`*^9}, {3.5601656412571898`*^9, 
   3.5601656463286967`*^9}, {3.5601665546725225`*^9, 3.560166556079663*^9}, {
   3.5617195287057753`*^9, 3.5617195328832808`*^9}, 3.5825441706313725`*^9, {
   3.5825442708993983`*^9, 3.5825442755378623`*^9}, {3.582544320499358*^9, 
   3.582544321682476*^9}, {3.5825459689861903`*^9, 3.5825459716894608`*^9}, {
   3.606739887303907*^9, 3.6067399053207083`*^9}, {3.6067444316234975`*^9, 
   3.606744434999835*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"eqnsRM", "[", "Nm_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", 
         RowBox[{"p", "/", "Nh"}]}], ")"}], "*", "y", "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", "x"}], ")"}]}], "-", 
      RowBox[{"\[Mu]", " ", "x"}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", "q", " ", 
         RowBox[{"x", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", "y"}], ")"}]}], "-", 
      RowBox[{"\[Delta]", " ", "y"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzU1Ik3EAx/E5p4dsLHEmZhSV6LbU+VJELxR/iHJbQzAPU2LiKFIxJqIU
M5iJD2YlrK0npi0JjB2cOmSiY6QiRpCIpoy14cGJzzb5y1MetIOH8Pk9hy+f
4/eCxVr7RCqRSC4KwW/9zOeT1yl5nFs1Ap1G/suVm5Tc3Tv4CjfPpAoD9ygp
mWhVw4itgofJOy7RzD1/fPI+JWZtzg5Ur4Z3oSWyyMOxh6YMv+DT+WZRfcdf
LeQj0nJYuVp3FepOTF+D5/Q3umcEk9Gcl7BzRf4KppJeUflaVwKaWVMSVpc4
jqB0aUG0bKm4dBb/fzYtrFFZP+R1U6LUZbEw2mTU5Av+2Ri5DMdDdu95wZqh
oA/KDYc/lXZKwt9ly3D+jecX1CtCoo96Pm1BjvOl4PMMTpErGO3aOgXdKy6m
pYeS4ICvHzYY7O+gWb/9Hg7+lo1Cb+iBaCwyE4CcpnAarv9wSFoFHXVzmbAt
UZAHbwfconJN9mkqeKB8exZ+XLNdgv8TacWw75mlt4KhZM47zMDGWedO+wAl
BebXHGQV9Ycw3WkVZW81p8VclKg8g1IYd+8XqacoeeHiS+ExucMWdw==
  "]],

Cell[BoxData[
 RowBox[{
  RowBox[{"sols", "[", "Nm_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "Nm", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", " ", "Reals"}], "]"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.5541966693446703`*^9, 3.5541966804306707`*^9}, {
  3.5541968726606703`*^9, 3.5541968774916706`*^9}, {3.5541999144835997`*^9, 
  3.5541999190270543`*^9}, {3.554200238404261*^9, 3.5542002436192613`*^9}, {
  3.556288483901885*^9, 3.556288484806714*^9}, {3.556288657199264*^9, 
  3.5562886703219023`*^9}, {3.5569861788310966`*^9, 3.5569862162856135`*^9}, {
  3.5572493802110267`*^9, 3.557249401833458*^9}, {3.55724945309803*^9, 
  3.557249465375702*^9}, {3.582544243199629*^9, 3.582544265664875*^9}, {
  3.5825443426765757`*^9, 3.5825443437326813`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sols", "[", "10000", "]"}]], "Input",
 CellChangeTimes->{{3.557249468729831*^9, 3.557249478012188*^9}, 
   3.557249649519188*^9, {3.5594927032385235`*^9, 3.559492703588681*^9}, {
   3.5617197021938057`*^9, 3.5617197028652086`*^9}, {3.582544286447953*^9, 
   3.582544288975206*^9}, 3.5825443615714645`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "\[Equal]", "0.`"}], "||", 
    RowBox[{"x", "\[Equal]", "988.9624724061811`"}]}], ")"}], "&&", 
  RowBox[{"y", "\[Equal]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"66.66666666666667`", " ", "x"}], 
     RowBox[{
      RowBox[{"-", "1000.`"}], "+", 
      RowBox[{"1.`", " ", "x"}]}]]}]}]}]], "Output",
 CellChangeTimes->{{3.5572494711791253`*^9, 3.5572494786362123`*^9}, 
   3.557249649940404*^9, 3.5573223618943653`*^9, 3.557322393608799*^9, 
   3.5594927044090505`*^9, 3.5594932923245897`*^9, 3.5594951537000713`*^9, 
   3.55956031011652*^9, 3.5595631052106466`*^9, 3.5600985759122267`*^9, 
   3.560158189656099*^9, 3.5601656514452085`*^9, 3.560166561180173*^9, 
   3.56171959697171*^9, 3.5617197035236034`*^9, 3.5617197406508665`*^9, 
   3.56717557199247*^9, 3.5671757082930984`*^9, 3.5671819382720337`*^9, 
   3.567184400007183*^9, 3.5825442902233305`*^9, {3.5825443473480425`*^9, 
   3.5825443621105185`*^9}, 3.58254522991129*^9, 3.5825452664909477`*^9, 
   3.5825459744587374`*^9, 3.582906216633763*^9, 3.606739917390915*^9, 
   3.6067446478121142`*^9, 3.607967225555371*^9, 3.6089152274997787`*^9, 
   3.6089155342614517`*^9, 3.609153253298687*^9, {3.609153313891687*^9, 
   3.609153335008687*^9}, 3.609688422985965*^9, 3.6096895166053157`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Nmfn", "[", "t_", "]"}], ":=", 
  RowBox[{"10000", "-", "t"}]}]], "Input",
 CellChangeTimes->{{3.608910597037779*^9, 3.608910626416716*^9}, {
  3.6089110267107415`*^9, 3.608911029422013*^9}, {3.60891122581465*^9, 
  3.6089112260306716`*^9}, {3.608911303241392*^9, 3.6089113044095087`*^9}, {
  3.6089130224712973`*^9, 3.6089130233903894`*^9}, {3.6089150017012005`*^9, 
  3.6089150162296534`*^9}, {3.609153246793687*^9, 3.609153247004687*^9}, {
  3.6091533041136866`*^9, 3.609153328431687*^9}}],

Cell[BoxData[
 RowBox[{"Xinit", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "10000", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
   3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.58254438312562*^9, 
   3.582544419270234*^9}, {3.5825463967159586`*^9, 3.5825464004593334`*^9}, 
   3.5828985425484314`*^9, {3.5828993217493434`*^9, 3.582899324261595*^9}, 
   3.58290260993913*^9, {3.582902912415374*^9, 3.5829029146555977`*^9}, {
   3.606741553139687*^9, 3.606741553323687*^9}, {3.608910731101184*^9, 
   3.608910760718145*^9}, {3.6089150186698976`*^9, 3.6089150206700974`*^9}}],

Cell[BoxData[
 RowBox[{"Yinit", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "10000", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", 
   RowBox[{"x", "->", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"sols", "[", "10000", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
   3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.5572496707984056`*^9, 
   3.5572496819372344`*^9}, {3.582544387717079*^9, 3.582544388373145*^9}, {
   3.582544429623269*^9, 3.582544500795386*^9}, {3.58254640252454*^9, 
   3.5825464067639637`*^9}, {3.582551914536686*^9, 3.5825519158008122`*^9}, 
   3.582898544485625*^9, {3.582899332102379*^9, 3.582899336454814*^9}, 
   3.5829026111722527`*^9, {3.5829029180799403`*^9, 3.5829029227204046`*^9}, {
   3.606741556579687*^9, 3.606741556771687*^9}, {3.6089107371417875`*^9, 
   3.608910763318405*^9}, {3.608915023783409*^9, 3.608915026142645*^9}, {
   3.6089152557115993`*^9, 3.6089152569737253`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tstar", "=", "9995"}], ";"}]], "Input",
 CellChangeTimes->{{3.608912381871244*^9, 3.6089123862466817`*^9}, {
  3.6089130183588867`*^9, 3.6089130194059916`*^9}, {3.6089152171647453`*^9, 
  3.608915219845013*^9}, {3.6091532905546865`*^9, 3.6091533318876867`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"soln", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "t", "]"}], "==", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"k", " ", 
            RowBox[{"p", "/", "Nh"}]}], ")"}], "*", 
          RowBox[{"y", "[", "t", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{"Nh", "-", 
            RowBox[{"x", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"\[Mu]", " ", 
          RowBox[{"x", "[", "t", "]"}]}]}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "'"}], "[", "t", "]"}], "==", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"k", " ", "q", " ", 
            RowBox[{
             RowBox[{"x", "[", "t", "]"}], "/", "Nh"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Nmfn", "[", "t", "]"}], "-", 
            RowBox[{"y", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"\[Delta]", " ", 
          RowBox[{"y", "[", "t", "]"}]}]}]}], ",", " ", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "Xinit"}], ",", "  ", 
       RowBox[{
        RowBox[{"y", "[", "0", "]"}], "\[Equal]", "Yinit"}]}], "}"}], ",", 
     " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", " ", "y"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", " ", "0", ",", " ", "tstar"}], "}"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.564577583471239*^9, 3.5645776969485493`*^9}, {
   3.564577757103691*^9, 3.564577769506009*^9}, {3.5645786361102295`*^9, 
   3.564578700322476*^9}, {3.5645787565931187`*^9, 3.564578766280967*^9}, {
   3.5647301987431993`*^9, 3.5647302232358274`*^9}, {3.564730445639052*^9, 
   3.564730462190707*^9}, {3.5658640690934343`*^9, 3.5658640806186047`*^9}, 
   3.567379658579234*^9, {3.608910811555228*^9, 3.608910865897662*^9}, {
   3.608911114733543*^9, 3.6089111166377335`*^9}, {3.608911230122081*^9, 
   3.6089112414652147`*^9}, {3.6089113690789747`*^9, 
   3.6089113715102177`*^9}, {3.608912378890946*^9, 3.608912380010058*^9}, {
   3.6089150413381643`*^9, 3.6089150532263527`*^9}, {3.608915277874816*^9, 
   3.608915278247853*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", 
     TagBox[
      RowBox[{"InterpolatingFunction", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"0.`", ",", "9995.`"}], "}"}], "}"}], ",", "\<\"<>\"\>"}], 
       "]"}],
      False,
      Editable->False]}], ",", 
    RowBox[{"y", "\[Rule]", 
     TagBox[
      RowBox[{"InterpolatingFunction", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"0.`", ",", "9995.`"}], "}"}], "}"}], ",", "\<\"<>\"\>"}], 
       "]"}],
      False,
      Editable->False]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.608915227590788*^9, {3.6089152706370916`*^9, 3.608915281179146*^9}, 
   3.608915534314457*^9, 3.609153253372687*^9, {3.609153294897687*^9, 
   3.609153335063687*^9}, 3.60968842303797*^9, 3.609689516661321*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", "soln"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"t", ",", " ", "0", ",", " ", "tstar"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.608915968057827*^9, 3.6089159782148423`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV0nk8VHsfB/B5LFHpNqJ0aSF6aB4krkqkT+pKpYXkJiLS3mSJFk+h0ljm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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 870.},
  Method->{},
  PlotRange->{{0, 9995}, {868.5438657582527, 988.9624724061805}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.6089159839884195`*^9, 3.609153253503687*^9, {3.6091532973426867`*^9, 
   3.609153335082687*^9}, 3.6096884230619726`*^9, 3.609689516677323*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Linearisation", "Subsection",
 CellChangeTimes->{{3.6089112101970882`*^9, 3.6089112141964884`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"L", "[", "t", "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"k", " ", 
           RowBox[{"p", "/", "Nh"}]}], ")"}]}], "*", 
        RowBox[{"y", "[", "t", "]"}]}], "-", "\[Mu]"}], "  ", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", 
         RowBox[{"p", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", 
         RowBox[{"x", "[", "t", "]"}]}], ")"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", 
         RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Nmfn", "[", "t", "]"}], "-", 
         RowBox[{"y", "[", "t", "]"}]}], ")"}]}], ",", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"k", " ", "q", " ", 
          RowBox[{
           RowBox[{"x", "[", "t", "]"}], "/", "Nh"}]}], ")"}]}], "-", 
       "\[Delta]"}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6089111340344725`*^9, 3.6089111922472935`*^9}, {
  3.608911828804943*^9, 3.60891184997606*^9}, {3.608915341284156*^9, 
  3.60891534653168*^9}, {3.608916035508571*^9, 3.6089160359216127`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"linearisation", "[", "t1_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"L", "[", "t", "]"}], "/.", 
    RowBox[{"soln", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], " ", "/.", 
   RowBox[{"t", "\[Rule]", "t1"}]}]}]], "Input",
 CellChangeTimes->{{3.565863798803557*^9, 3.5658638026462803`*^9}, {
  3.565864097775555*^9, 3.5658640985087786`*^9}, {3.5658641370508165`*^9, 
  3.5658641373160253`*^9}, {3.565864581163877*^9, 3.5658646333899546`*^9}, {
  3.565864721566986*^9, 3.5658649040949187`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"a11", "[", "t1_", "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    RowBox[{"linearisation", "[", "t1", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a12", "[", "t1_", "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    RowBox[{"linearisation", "[", "t1", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2"}], "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a21", "[", "t1_", "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    RowBox[{"linearisation", "[", "t1", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "1"}], "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a22", "[", "t1_", "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    RowBox[{"linearisation", "[", "t1", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "2"}], "]"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5658651138948965`*^9, 3.565865142652154*^9}, {
   3.56586518547773*^9, 3.56586523935806*^9}, 3.608911860156078*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Detlin", "[", "t1_", "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{"Det", "[", 
    RowBox[{"linearisation", "[", "t1", "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5658652947264376`*^9, 3.5658653227231364`*^9}, {
  3.565865360457548*^9, 3.5658653657209167`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Trlin", "[", "t1_", "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{"Tr", "[", 
    RowBox[{"linearisation", "[", "t1", "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.565865372637939*^9, 3.5658653798191695`*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"B11", "[", "t1_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", " ", 
          RowBox[{"p", "/", "Nh"}]}], ")"}], "*", 
        RowBox[{"y", "[", "t", "]"}], "*", 
        RowBox[{"(", 
         RowBox[{"Nh", "-", 
          RowBox[{"x", "[", "t", "]"}]}], ")"}]}], "+", " ", 
       RowBox[{"\[Mu]", " ", 
        RowBox[{"x", "[", "t", "]"}]}]}], "/.", 
      RowBox[{"soln", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
     RowBox[{"t", "\[Rule]", "t1"}]}]}], "\[IndentingNewLine]", " ", 
   RowBox[{
    RowBox[{"B12", "[", "t1_", "]"}], ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"B21", "[", "t1_", "]"}], ":=", "0"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"B22", "[", "t1_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", " ", 
          RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
        RowBox[{"x", "[", "t", "]"}], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Nmfn", "[", "t", "]"}], "-", 
          RowBox[{"y", "[", "t", "]"}]}], ")"}]}], "+", 
       RowBox[{"\[Delta]", "  ", 
        RowBox[{"y", "[", "t", "]"}]}], "+", 
       RowBox[{
        RowBox[{"\[Sigma]", "^", "2"}], "*", 
        RowBox[{"(", 
         RowBox[{"k", " ", 
          RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
        RowBox[{"x", "[", "t", "]"}], "*", 
        RowBox[{"(", 
         RowBox[{"k", " ", 
          RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
        RowBox[{"x", "[", "t", "]"}]}]}], "/.", 
      RowBox[{"soln", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
     RowBox[{"t", "\[Rule]", "t1"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.565865566917977*^9, 3.565865661910427*^9}, {
  3.5658657332335167`*^9, 3.56586584638435*^9}, {3.608912147420801*^9, 
  3.6089122402620845`*^9}, {3.6089154619062166`*^9, 3.608915504162442*^9}, {
  3.6089159191669383`*^9, 3.6089159205770793`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PSDIm", "[", 
   RowBox[{"t_", " ", ",", "\[Omega]_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"B11", "[", "t", "]"}], "*", 
      RowBox[{"a22", "[", "t", "]"}], "*", 
      RowBox[{"a22", "[", "t", "]"}]}], "+", 
     RowBox[{
      RowBox[{"B22", "[", "t", "]"}], "*", 
      RowBox[{"a12", "[", "t", "]"}], "*", 
      RowBox[{"a12", "[", "t", "]"}]}], "+", 
     RowBox[{
      RowBox[{"B11", "[", "t", "]"}], "*", 
      RowBox[{"\[Omega]", "^", "2"}]}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Omega]", "^", "2"}], "-", 
        RowBox[{"(", 
         RowBox[{"Detlin", "[", "t", "]"}], ")"}]}], ")"}], "^", "2"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"Trlin", "[", "t", "]"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"Trlin", "[", "t", "]"}]}], ")"}], "*", 
      RowBox[{"\[Omega]", "^", "2"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.5572501736968274`*^9, 3.5572503769909124`*^9}, {
   3.557250462663035*^9, 3.5572504632402573`*^9}, {3.5573222480149784`*^9, 
   3.5573222749572144`*^9}, {3.5647290105543337`*^9, 
   3.5647290426443567`*^9}, {3.564729078431674*^9, 3.564729114499799*^9}, 
   3.5647293388335505`*^9, {3.5647294755242558`*^9, 3.564729565632166*^9}, {
   3.564730393953884*^9, 3.5647303946979585`*^9}, {3.565865871694762*^9, 
   3.5658659533845854`*^9}, {3.6096881761642847`*^9, 3.6096882327309413`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PSDIm", "[", 
  RowBox[{"100", " ", ",", "0.1"}], "]"}]], "Input",
 CellChangeTimes->{{3.6089161104450645`*^9, 3.6089161192519445`*^9}}],

Cell[BoxData["24.491598500323356`"], "Output",
 CellChangeTimes->{3.6089161200130205`*^9, 3.608916353698387*^9, 
  3.6089179812871294`*^9, 3.609153558850687*^9, 3.6096884276924353`*^9, 
  3.6096895231659718`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"varfn", "[", "t1_", "]"}], ":=", 
  RowBox[{
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{"PSDIm", "[", 
      RowBox[{"t1", ",", "\[Omega]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Omega]", ",", " ", 
       RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}], ",", " ", 
     RowBox[{"MaxRecursion", "\[Rule]", "120"}]}], "]"}], "/", 
   RowBox[{"(", 
    RowBox[{"2", " ", "\[Pi]"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.565866228776227*^9, 3.5658662623503056`*^9}, {
  3.608912334295487*^9, 3.608912334486506*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"autocovarfn", "[", "t1_", "]"}], ":=", 
  RowBox[{
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"PSDIm", "[", 
       RowBox[{"t1", ",", "\[Omega]"}], "]"}], "*", 
      RowBox[{"Cos", "[", 
       RowBox[{"30", " ", "\[Omega]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Omega]", ",", " ", 
       RowBox[{"-", "100000000000"}], ",", "100000000000"}], "}"}], ",", " ", 
     RowBox[{"MaxRecursion", "\[Rule]", "12000"}]}], "]"}], "/", 
   RowBox[{"(", 
    RowBox[{"2", "*", "\[Pi]"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.565866350675341*^9, 3.565866437551531*^9}, {
  3.565873339549457*^9, 3.565873343004654*^9}, {3.6089123374828053`*^9, 
  3.608912337854843*^9}, {3.6096895108987455`*^9, 3.609689511281783*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"autocorrelationfn", "[", "t1_", "]"}], ":=", 
  RowBox[{
   RowBox[{"autocovarfn", "[", "t1", "]"}], "/", 
   RowBox[{"varfn", "[", "t1", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5658664873123283`*^9, 3.565866501131772*^9}, {
  3.5658668206016293`*^9, 3.5658668284868827`*^9}, {3.6089123446305203`*^9, 
  3.6089123506711245`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"autocor", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Nmfn", "[", "t", "]"}], ",", 
       RowBox[{"autocorrelationfn", "[", "t", "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", " ", "0", ",", " ", "tstar", ",", " ", "100"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5658711443543673`*^9, 3.565871176893812*^9}, {
   3.565871295547079*^9, 3.5658713114569893`*^9}, {3.565872737577932*^9, 
   3.565872744150743*^9}, {3.608912355175575*^9, 3.608912355560613*^9}, {
   3.6089123959536524`*^9, 3.6089124047365303`*^9}, 3.6089124364817047`*^9, {
   3.6096886456762314`*^9, 3.609688649001564*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"variance", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"varfn", "[", "t", "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", " ", "0", ",", " ", "tstar", ",", " ", "100"}], 
      "}"}]}], "]"}]}], ";", 
  RowBox[{"Length", "[", "variance", "]"}]}]], "Input",
 CellChangeTimes->{{3.565871325010225*^9, 3.565871351986891*^9}, {
  3.565872653654218*^9, 3.565872664176956*^9}, {3.608912364167474*^9, 
  3.608912364568514*^9}, {3.608912411775234*^9, 3.608912434953552*^9}}],

Cell[BoxData["100"], "Output",
 CellChangeTimes->{3.608912456386695*^9, 3.6089130464536953`*^9, 
  3.608915545304556*^9, 3.608915933372359*^9, 3.6089163567706947`*^9, 
  3.608917984340435*^9, 3.609153562317687*^9, 3.6091536764866867`*^9, 
  3.6096884307707434`*^9, 3.6096895262102757`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"coefvar", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Nmfn", "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{"varfn", "[", "t", "]"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"x", "[", "t", "]"}], "/.", 
          RowBox[{"soln", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", " ", "0", ",", " ", "tstar", ",", " ", "100"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5658766524214573`*^9, 3.565876747222186*^9}, {
   3.565876812872143*^9, 3.5658768268933935`*^9}, {3.6089123699440517`*^9, 
   3.60891237103316*^9}, {3.6089124246585226`*^9, 3.608912431986255*^9}, {
   3.60891251884594*^9, 3.608912519782034*^9}, {3.6089186584728413`*^9, 
   3.6089186587358675`*^9}, 3.609688558832548*^9, {3.609688619699634*^9, 
   3.609688626267291*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variance", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Nmfn", "[", "t", "]"}], ",", 
       RowBox[{"varfn", "[", "t", "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", " ", "0", ",", " ", "tstar", ",", " ", "100"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.608912593672422*^9, 3.608912655146569*^9}, {
  3.6096885354852133`*^9, 3.6096885380624714`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "variance", "]"}]], "Input",
 CellChangeTimes->{{3.608912460372093*^9, 3.6089124766677227`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJwt0QlQlGUYB/Al16lxoNAQsDhEgQxkWVZAMNC/68G1FaESSzK6uASCCJis
IhTCyH2qHAUqKCCLgC7HwnItu4sHqU1KktgAkpMIjuKRlgdB5ft8M+9885v3
+973ef6PVWhMQNhbHA5H+t/6//3myewDV79kcM+IDd44sA+Ne4elWQtsma37
MP3tfJGPH/mpDsWOevb8NLJGh3SR3VIvDTlfhylt7cLvp8lbdbh36rXSftVH
zHY6COeVpRokkF9oURdkq/LqIF/UQl3vWHz3FblIC/m2rMSnnsuYQ7VYWGRj
nphK5muhW+aozuknz2hwYDDqXYHhx8xXNTA5PVydKCaXaeDBW2O5r5ocoYEy
IXJyxROyqwabLt+31K2xY+ZqEJWjFQoKydW9iNzYhZI7ZPRiCTfp2qyrPfOw
GimjHu6peeT9akT/lO4tGCcbqXEjOc3KZu1yZkUPQnMrjsadIIt6wNcabnCc
IU90AxnKStl2B+ZD3Sh72/e65AJ5cTcMU2aL9R14zN1d6KrJGzhaSg7qwu8F
uWKTuY7MzzrxcjBnQ3s8ubAT4mOLVMWT5OWdSMq9nR3F5zP3d+DAJb+pa9Fk
aQfmuXPS32skczqQ/yT9F88p8jEVnEeSJ+OcnJjdVLhYUr/vvIx8ox3CmDQz
fzU5th2ioBO+/HcEzPrtcAm73566mSxvg6PkkWF4FXl9GzZnXVs9+4w8poS1
RUhsjM8K5iQlvgvukYxWkk2VKIkuj4h/TW5tRa6L61cSsTOzfysO1VqFD3SS
H7RA7nDxi2lLF+bMFhx/EH7OOIts3QKLIT2HkL/ImmYsuCLkzo9wZd7ajDNH
4s7uHyW/aEJk0r2EMfFK5qImOIxcEJX/RuY3IfPE+7FzJG7MVxUYzLnpm/iQ
HKHAEDIKdh90Z+Yq8GO8VBbwwSpmnINY5S2Td5H3nwXnleDrGeknzIpG7Pry
adhjYw/miQacKR1wsx8gL27ArkXmW3aXejIH1SPjjltXXvhq5sIzkGRsuRm/
bg1zfx22/2wvNjEGM6cO5drLIzGHyW5yZNyeqIw0WkvzrYWtTvZhXwVZfhqe
Q41OnzoLaX41+HW9h8WrAbJpDZ4/spONJK2j+VSju0jKFaxYT/OogvPK8/t2
/E3WnEJnvsUF4ysbKO+TuNRbPMdVsZHyPQmz7Ls7ZuVelGclzLNFc01V3pRf
BRw8Zl9WjflQXsfxkBfEC7P1o3yO4R8npfqPPBHlUYao0TR/udln1P8PiKx0
HT9w63PqtxR6fbyx8HF/6q8Y8QcvV9dwAqifIogKJ5cIhZuo/iPI3GsuMGjd
TPUexq2G+/dqJYFUXwEmNUVGncFBVE8uuB3cjQOtwXR/Fvith1qk+SF0XxqU
j3lmt7O20/mpuGOoULb3hdJ5yUixVF2PlYfR/wnweG7uvi17J32/B81hgTFD
E7tpfyf+NOANG1t9QxYDbSKTmlAZ/gX1HeOo
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 10000.}, {0, 123.08456621176646`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{200., 200.}, {2.4616913242353293`, 
   2.4616913242353293`}}]], "Output",
 CellChangeTimes->{3.6089124773977957`*^9, 3.6089126689719515`*^9, 
  3.608913050815132*^9, 3.608915627793804*^9, 3.608915981749196*^9, 
  3.6089163575737743`*^9, 3.608917985111512*^9, 3.609153563232687*^9, 
  3.6096884315558214`*^9, 3.609688541871852*^9, 3.6096895269803534`*^9}]
}, Open  ]],

Cell["\<\
variance predicted to decrease in time\
\>", "Text",
 CellChangeTimes->{{3.608918112123212*^9, 3.608918128587858*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "coefvar", "]"}]], "Input",
 CellChangeTimes->{{3.608912502849341*^9, 3.6089125081788735`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJwt0glQlGUYB/AF5IpDDBrBI0FQOTKXgERE+WchyEAgNQwoibouramwSHLU
yrmwCojALEmgccqxHHEJy7GwCxokBJjQYS4QTIrDMSOnCGHmPt/MN9/85vu+
933e//OYnA72ZiszGIwzr+//n2+uK51wYZcN8VjnnN7YpxPxtcabOQlks06U
92nzYsvIsx1oYerwLfvI0g4MFPevBc6RUzvgphFjuN/ovML+HVg9kW0sciJb
dqDcUlW/KZD8QoYXixNr51LJP8mwLT8rvKuBLJTBJZGlOjBCPi3D3m6L0STN
CwozZZgvVPtt1Ya8JoVk+3WuVQC5V4qXZ18xtiSTs1/bWu452EjmSOHtcSbs
2D/kD6VYaOT8XK8fpPA6KXy0X5Y8O0QuagcnL8iIEUpGOx4GTfasFZIftyHo
xm7T6SFyRBvqK6esHmoEK2zQBrnRO+NiR3K1BKlvX1opDiG7S1DeoH68uIQ8
0QqRaqG2dJjMb4XNeoMnUVpchY1bIR7UmrM1J7e2QLKYESFwJvu2YMPK52we
izzfjI1faQiM4shpzfA/KlZl55Pfa8bBaFEwW0bubkIS/26pyRj5TBMKykaV
8lVCFGY0wXqbKGdyB/mmGJp6LdqaR8j2Ysj/iFunfIE82IiN758aG0kncxth
90h9Y0UjWbsRV43vj3KHyaUNyNuZZrhP7aLCnzTAXtPNXW8PefQO6qxZYmU/
Mu8Okkt6Tm7lkw3vYEy66a2ganJ9Pbg/+OepDJO96pH0kUBvRjtU4ak69Dxe
9jl4gHylDhU7MgRqwWSzOhztPCn3KyBLa2FR1enr8TvZvxaLu2p4Szpf03zX
wPCyZyT3MFlYA7n6n1/+GkNm1oCd5JywT0LurYbS6lrA3RUypxoLC3O2QsdL
NI/VuNvmPtQbTcaPkC/9K8q8R46oQoGNUayRbhjNVyUmrY4YCPzIExX4wqS1
a0Mp2bgCvAOW5rPLZN9yOA2FHA70DKf5EME0N3G8tpTcXQbJulBbM7UI6n8Z
1K+4/qLLIduXYmXxlMmDPjK3BGlKGi8GHSKpn8Xg73w6klZBHr0NE50HT5PM
vqF+3YZr1a0txwvJXkUIf7Ips9LiW+pHIZzPq864iMnSAnhYm1npePEo73w8
H9esUZklM/OxWiIb8M+9THnmwTXMbn+UXxTllwvvmS4t3e3RlNct5LA+c1Ze
IRvfxB6looljoTGURzb2nsiqVZonM76H28fTAXaxsXTeG1BP/7TbZGscnS8T
Hyw+C4i7T/YSIvCaPoZS4qn+DKy3bGAWc/hUbzqeJy2LXrESqL7rUNap27VZ
kEj1pMDL1V4jSi6g/a8ifukvh0fhV2m/BDCDDXzZwcm0fhwchP1C86lrtF40
2ot2u05lpdH/keiLSelnDmfQ9xfRyvrbceHQd/T+LExVh6ffHckh++EezNpc
Vguc/gP8TvQo
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0.0033433378387540988`},
  Method->{},
  PlotRange->{{0, 10000.}, {0.0033433378387540988`, 0.014574047005537761`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{200., 200.}, {0.00022461418333567324`, 
   0.00022461418333567324`}}]], "Output",
 CellChangeTimes->{{3.6089125087479305`*^9, 3.6089125244414997`*^9}, 
   3.608913050838134*^9, 3.608915695689593*^9, 3.608916357594777*^9, 
   3.6089179851245136`*^9, 3.608918669991993*^9, 3.609153563251687*^9, 
   3.6096884315748234`*^9, 3.6096885628329477`*^9, 3.609688630466711*^9, 
   3.6096895269973545`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"autocor", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6089132839574437`*^9, 3.608913287552803*^9}, {
  3.6096895341220675`*^9, 3.6096895379254475`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJwt0wsw1VkcB/BbZGc9yg57NZFBNnfuYgytrsnyTbdVDYrdLDtKHmtZa1A2
VnbbSoZJDzfyGLp506b1ft6u6xEqUSiXVR7LXpZKhb091O76nf/Mmf985pz/
Ob/fd87f2D/c49vVHA4n8L/x/3vlSWxDoJ+bpdaxDocVe7bBa6dkYI1qJ9m0
DVyNxCM8MfOLVqR/l52QjS6yrBVqmtd9JdPM51qx41cH6Uz6LbJPKzx9tQRJ
brfJ/FbMGux009K6Q1a2YG1ojvtcP3NHC07eNdQvzu8mp7ag/6VdeGfcXbJ/
C6Iz5+0nfXvIVi14KotMznHtJb+TIWJHwy/um+6Ru2WwWHCzlxcyZ8ng/CYg
+pblfXKwDHFJMfmpUmZbGQbXB49X7u8jq8ogEun9WLzAXNAM3SVu4ersfjKa
Yco9b3bIZYA8IoXEuSMvVO0BOUaKbRs0AiduM+tKYaK/ZuPFrIfk8hvY+t79
ov/RQbLLDZwzf3jZxVdOnpbAOGRxMshziBwvwW0ra6e/fIbJRhLoHPBNMYn6
gyxpQrfPw9isnBGyVxOeT5kZLg8/Ii80IlxF3M23HCVfaMSpo42BV1zGyOaN
0J6ur3ZfN07uaoCF2F4UP8Yc2IBIo5za9pYJMqcBm7l6j+XVf5Kz6/Fgu6dF
R9MkWVAPTZUI5aR8ijxQh6CAoWNP1yrIEXVIP3Nzr6bfNFmzDkfV1+ks9M2Q
S2qhXLqUoRIySxbWwm/IRj2I94Q8VoP+aB+P7XrPyHE1iONbv4m+PE9eX4NF
hdDf9P5zcnU17sfvj3vHe0neV42tBhKz09cWyHNVuFcaJS0KWCInViHEKe7d
Ri8l+x+qsBhWGTud9prd/0pkCHp5458us/teiTMKgTe4HMcVKysgPSLeGjq4
ipxaASt5hu2kQoVsVYGbHpkBg95q5O5yBOpu+spa+CE5uByuFryRV22aZNVy
zJlc2sU5rk3G70jSHE1L0dYhx1xHin3uY9EWLrm8DLk2o1G2H20gT18Dz99u
PnjQkGx0DZ+PT/Up/U3IXr/hbI/wSTN3M/nCVTzR6E1RNvLJXaUIVfUU7tlt
ReaUQm48l7D8yoYsKMFEnvsPIcUCckQxtr+pb27PdCCXFMFJrP/CWW8HeawQ
jp3Dfx975kxeXwjOZ7NyHVM38r4CCHuvDidofUlOzEfsupjUSHMvsiwPq3wU
l0bbD7K8c7FXdqfnUH4AyzcXYTZ2ZY+MQ1ieV+Cg5/nP14YRLD8xJhzFovy6
KJZXDuofBKnblcWyfLKhY7l7Zt7mBMsjCw31B5cNBAms/0yoh23jbZEks37T
cUrfmr8lS8T6S0NDj8SKb5DB+kkFv2hpVPGFmNUvwtnjQvV21wJWbwpeJ+h6
CP2usvrO4+3713uef1LB6kkGp1sR/7NbLTs/Cd+P9R0u+OAGO+80Rkuim7yn
Wtn+J1GlceBj66wutt9xvAyL7zRTuce+/wkOyRtcT/QNsPWHUZAse5v4fpjN
h+Cuh+su22/Gmb0xGzpTZlg45fgvH5sJBA==
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{100., 2.679904684343438*^-6},
  Method->{},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{
  3.608913288070855*^9, 3.6089159031103325`*^9, 3.6089163576137786`*^9, 
   3.6089179851365147`*^9, 3.609153563265687*^9, 3.6096884315938253`*^9, 
   3.609688655420206*^9, {3.609689527017357*^9, 3.6096895384545*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"autocorrelationfn", "[", "t", "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"t", ",", " ", "0", ",", " ", "tstar", ",", " ", "100"}], 
     "}"}]}], "]"}], "//", "ListPlot"}]], "Input",
 CellChangeTimes->{{3.608917836843687*^9, 3.6089178435303555`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJw10QswlWkYB/BT1M66xA57NMhEypmzMYZWx2T502lVg5bdLDtKLmtZa1A2
VnbbSoZJFydyGTq5RW1at1yP47iESghxWOWy7GGpFNnTRbad591v5ptvfvO+
3/s+z/8x9g/3+HY1h8MJfP/+9/3/CfRzs9A81mZP8obXLkn/GtV25hBw1ROP
8MTMssNI/y47IRsdbP0nrNW46SuZZsZx7PzVXjqTfoftPwlPX01Bkttd8thp
zBructPUvMf+T8K60Bz3uT7mjck4ed/IoCi/k513Hn0LtuHtcffJlimIzpy3
m/TtYueL8FQWmZzj2k3+IhURO2t/cd/Uw+5Lg/mim528kDkiHc5vAqLvWDxg
92ciLikmP1XKfCELg+uDx8v397J6siES6f1YtMhcmgPdJW7h6uw+Vp8Yptzz
Zodc+snBVyBxbssLXfuQ1ZuLHfrqgRN3mZW5MDFYs+Fi1gCrPw/bV9wv+h8d
JCfm49zWgcsuvnLWTwGMQ15OBnkOkdcX4q6lldNfPsOsv0LoHPBNMYn6g1x8
FZ0+A7FZOSOs3yI8nzIzWh5+RBYUI1xF3Mm3GGX9X8Opo3WBV1zGyB3XoD1d
U+muNc7yuA5zsZ0ofozZ6zdEbsypam2aYPncwBau3mN55Z/k6Rt46Ohp3lY/
yfIqgYZKhHJSPkWOuYmggKFjT9cpWH6/I/3M7X0aftNk1VIcVdPSWeydYXmW
Qrl0KUMlZJbcWQq/IWu1IN4Tlm8Z+qJ9PBz1npFTyxDHt3oTfXme5V2Glwqh
v+mD52SfcjyI3x/3jrfA8i/HdkOJ2ekbi2TTCvRci5JeDVhi86hAiFPcuw1e
SvJcBV6GlcdOp71m86lEhqCbN/7JMrmyEmcUAm9wOQ40r1uQHhFvDx1cRY67
BUt5hs2kQoU8dgu3PTIDBr3XkoVVCNTd9JWV8ENycRVczXkjr1o0yBrVmDO5
tJtzXJscUY0kjdG0FG0dcn81UuxyH4u2ccmCGuRaj0bZfKRPzq4Bz992PnjQ
iMypxWfjU71KfxNyYC3OdgmfNHK3kDtq8US9O0VZxydvrUOoqqdw7x5L8oU6
yI3nEpZfWZMX6zCR5/5DSJGA7FUPxzc1ja2Z9mRJPZzEBi+c9XaSN0rg0D78
97FnzuR4CTifzsp1TN3I0xIIu68PJ2h+SXZpQKxWTGrkVi9yaQNW+SgujbYe
JOtKsU92r+tQfgA5Roowa9uSR8Yh5BEp7PU8//naKIKMRkw4iEX51VHkgkbU
PAxSsy2JJavKoGOxZ2be+gTZRobamoPLhoIEcrAMamE7eNskyeQsGU4ZWPG3
ZYnIne/3d0ks+YYZ5Hcy8K8ujSo+F5Mtm3D2uFCt1bWA7N+E1wm6HkK/6+TU
Jrxdeb33+eYyclsTOJ2K+J/dqsjKJnw/1nu44IMGMr8Zo8XR9d5TzWSfZlSo
H/jYKquDfK4ZC2Hx7WYqPWRZM+yT9V1P9PaTXzSjIFn2NnFlmGzagvserrtt
vhkne7ZgNnSmxKhwyuFfWToHeQ==
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 9900.}, {0, 0.020993070376412813`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{198., 198.}, {0.00041986140752825626`, 
   0.00041986140752825626`}}]], "Output",
 CellChangeTimes->{3.608917914872489*^9, 3.6089179877797785`*^9, 
  3.609153566237687*^9, 3.609688434308097*^9, 3.609689529658621*^9}]
}, Open  ]],

Cell["\<\
CV predicted to decline; autocorrelation predicted to increase with time\
\>", "Text",
 CellChangeTimes->{{3.6089181408840876`*^9, 3.60891815170817*^9}, {
  3.608918687367731*^9, 3.608918692319226*^9}}]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{890, 690},
WindowMargins->{{Automatic, 69}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 103, 1, 39, "Subsubsection"],
Cell[685, 25, 1059, 19, 31, "Input"],
Cell[1747, 46, 1290, 33, 31, "Input"],
Cell[3040, 81, 1147, 26, 31, "Input"],
Cell[CellGroupData[{
Cell[4212, 111, 329, 5, 31, "Input"],
Cell[4544, 118, 1329, 25, 47, "Output"]
}, Open  ]],
Cell[5888, 146, 527, 9, 31, "Input"],
Cell[6418, 157, 774, 15, 31, "Input"],
Cell[7195, 174, 1188, 25, 31, "Input"],
Cell[8386, 201, 296, 5, 31, "Input"],
Cell[CellGroupData[{
Cell[8707, 210, 2271, 56, 112, "Input"],
Cell[10981, 268, 881, 27, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11899, 300, 284, 7, 31, "Input"],
Cell[12186, 309, 3355, 62, 235, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15590, 377, 105, 1, 49, "Subsection"],
Cell[15698, 380, 1319, 40, 31, "Input"],
Cell[17020, 422, 537, 12, 31, "Input"],
Cell[17560, 436, 1103, 30, 92, "Input"],
Cell[18666, 468, 315, 7, 31, "Input"],
Cell[18984, 477, 260, 6, 31, "Input"],
Cell[19247, 485, 2068, 57, 112, "Input"],
Cell[21318, 544, 1559, 40, 52, "Input"],
Cell[CellGroupData[{
Cell[22902, 588, 160, 3, 31, "Input"],
Cell[23065, 593, 212, 3, 31, "Output"]
}, Open  ]],
Cell[23292, 599, 582, 15, 31, "Input"],
Cell[23877, 616, 793, 19, 72, "Input"],
Cell[24673, 637, 367, 8, 31, "Input"],
Cell[25043, 647, 721, 16, 31, "Input"],
Cell[CellGroupData[{
Cell[25789, 667, 528, 12, 31, "Input"],
Cell[26320, 681, 289, 4, 31, "Output"]
}, Open  ]],
Cell[26624, 688, 991, 24, 31, "Input"],
Cell[27618, 714, 483, 13, 31, "Input"],
Cell[CellGroupData[{
Cell[28126, 731, 136, 2, 31, "Input"],
Cell[28265, 735, 2220, 41, 238, "Output"]
}, Open  ]],
Cell[30500, 779, 128, 3, 30, "Text"],
Cell[CellGroupData[{
Cell[30653, 786, 135, 2, 31, "Input"],
Cell[30791, 790, 2281, 42, 233, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33109, 837, 251, 5, 31, "Input"],
Cell[33363, 844, 2122, 39, 269, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35522, 888, 383, 10, 31, "Input"],
Cell[35908, 900, 2136, 40, 230, "Output"]
}, Open  ]],
Cell[38059, 943, 212, 4, 30, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
