(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     43856,       1158]
NotebookOptionsPosition[     41257,       1070]
NotebookOutlinePosition[     41599,       1085]
CellTagsIndexPosition[     41556,       1082]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Parameters", "Subsubsection",
 CellChangeTimes->{{3.559560896211769*^9, 3.5595608981479626`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Nm", "=", "10000"}], ";", "  ", 
  RowBox[{"\[Mu]", "=", "0.01"}], ";", " ", 
  RowBox[{"\[Delta]", "=", 
   RowBox[{"1", "/", "10"}]}], ";", "  ", 
  RowBox[{"Nh", "=", "1000"}], ";", " ", 
  RowBox[{"p", "=", "0.5"}], ";", 
  RowBox[{"q", "=", "0.5"}], ";", " ", 
  RowBox[{"\[Sigma]", "=", "0.05"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"eqnsRM", "[", "k_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", 
         RowBox[{"p", "/", "Nh"}]}], ")"}], "*", "y", "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", "x"}], ")"}]}], "-", 
      RowBox[{"\[Mu]", " ", "x"}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", " ", "q", " ", 
         RowBox[{"x", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", "y"}], ")"}]}], "-", 
      RowBox[{"\[Delta]", " ", "y"}]}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwd0E9Ik3EAxvG51IM2ZrglpRiipFvaNA3RwviBaM5ESAOTWDiKVJJFKMUU
ptHwP8y9TVepBMkOLhWZ6BjOCCVQRDNkTTyo7N0mP3nNw/TgIfo97+Hhc3zg
m6Y3PHwulUgk6Wxwsds8drGIkmfK/HForRK+FNyhpPQoMgF3r4YzXGWUZE81
q6DPmCfA0D1ONPZoZn+6nBKdJjEAVRvbh1Dv+yHAyZq6mBnmi6VGUe3rvxoo
+KS58NZG7W1YETdXCFO1xe3zzJA/sQO2rsu6YDjkEJVttgWhzlYXgvezLedQ
uvxd9OZyZs4C/s+MGlidZfiQ1E6JoiLeBv0NVeorzOPf4zfgN4/JcY1Z/dHt
hLLK01WFiZLtleg1uNQ3+gtq5R7RJ52f9yDPO8PwTQwvVzL9bXsJ0L7OmZs6
KXH3OrthfaVpAOq0B0Nw8E/0V+jwPBDd8c27IK/OmINbPy2SZqal1hsLXwaT
k2CJyy4qU1+6TJkRRX8KHN40psN/wahM+L5F/y7PTInX8ckMny5YA696KUnW
9fDQJn98Ci9YDaK2u41ROxwlWaODUrhvP7mumqXkLSfkwLMWJRcJsJ6PVkfg
f3ghIJ4=
  "]],

Cell[BoxData[
 RowBox[{
  RowBox[{"sols", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"eqnsRM", "[", "k", "]"}], "[", 
         RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", " ", "Reals"}], "]"}], "//", 
   "N"}]}]], "Input",
 CellChangeTimes->{{3.5541966693446703`*^9, 3.5541966804306707`*^9}, {
  3.5541968726606703`*^9, 3.5541968774916706`*^9}, {3.5541999144835997`*^9, 
  3.5541999190270543`*^9}, {3.554200238404261*^9, 3.5542002436192613`*^9}, {
  3.556288483901885*^9, 3.556288484806714*^9}, {3.556288657199264*^9, 
  3.5562886703219023`*^9}, {3.5569861788310966`*^9, 3.5569862162856135`*^9}, {
  3.5572493802110267`*^9, 3.557249401833458*^9}, {3.55724945309803*^9, 
  3.557249465375702*^9}, {3.582544243199629*^9, 3.582544265664875*^9}, {
  3.5825443426765757`*^9, 3.5825443437326813`*^9}, {3.609175237132673*^9, 
  3.6091752441796727`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sols", "[", "10000", "]"}]], "Input",
 CellChangeTimes->{{3.557249468729831*^9, 3.557249478012188*^9}, 
   3.557249649519188*^9, {3.5594927032385235`*^9, 3.559492703588681*^9}, {
   3.5617197021938057`*^9, 3.5617197028652086`*^9}, {3.582544286447953*^9, 
   3.582544288975206*^9}, 3.5825443615714645`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "\[Equal]", "0.`"}], "||", 
    RowBox[{"x", "\[Equal]", "999.99979999604`"}]}], ")"}], "&&", 
  RowBox[{"y", "\[Equal]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"0.002`", " ", "x"}], 
     RowBox[{
      RowBox[{"-", "1000.`"}], "+", 
      RowBox[{"1.`", " ", "x"}]}]]}]}]}]], "Output",
 CellChangeTimes->{{3.5572494711791253`*^9, 3.5572494786362123`*^9}, 
   3.557249649940404*^9, 3.5573223618943653`*^9, 3.557322393608799*^9, 
   3.5594927044090505`*^9, 3.5594932923245897`*^9, 3.5594951537000713`*^9, 
   3.55956031011652*^9, 3.5595631052106466`*^9, 3.5600985759122267`*^9, 
   3.560158189656099*^9, 3.5601656514452085`*^9, 3.560166561180173*^9, 
   3.56171959697171*^9, 3.5617197035236034`*^9, 3.5617197406508665`*^9, 
   3.56717557199247*^9, 3.5671757082930984`*^9, 3.5671819382720337`*^9, 
   3.567184400007183*^9, 3.5825442902233305`*^9, {3.5825443473480425`*^9, 
   3.5825443621105185`*^9}, 3.58254522991129*^9, 3.5825452664909477`*^9, 
   3.5825459744587374`*^9, 3.582906216633763*^9, 3.606739917390915*^9, 
   3.6067446478121142`*^9, 3.607967225555371*^9, 3.6089152274997787`*^9, 
   3.6089155342614517`*^9, 3.609153253298687*^9, {3.609153313891687*^9, 
   3.609153335008687*^9}, 3.6091753240816727`*^9, 3.609689348776534*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"bitingfn", "[", "t_", "]"}], ":=", 
  RowBox[{"0.3", "-", 
   RowBox[{"0.0001", "t"}]}]}]], "Input",
 CellChangeTimes->{{3.608910597037779*^9, 3.608910626416716*^9}, {
  3.6089110267107415`*^9, 3.608911029422013*^9}, {3.60891122581465*^9, 
  3.6089112260306716`*^9}, {3.608911303241392*^9, 3.6089113044095087`*^9}, {
  3.6089130224712973`*^9, 3.6089130233903894`*^9}, {3.6089150017012005`*^9, 
  3.6089150162296534`*^9}, {3.609153246793687*^9, 3.609153247004687*^9}, {
  3.6091533041136866`*^9, 3.609153328431687*^9}, {3.609175105612673*^9, 
  3.609175115875673*^9}}],

Cell[BoxData[
 RowBox[{"Xinit", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "0.3", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
   3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.58254438312562*^9, 
   3.582544419270234*^9}, {3.5825463967159586`*^9, 3.5825464004593334`*^9}, 
   3.5828985425484314`*^9, {3.5828993217493434`*^9, 3.582899324261595*^9}, 
   3.58290260993913*^9, {3.582902912415374*^9, 3.5829029146555977`*^9}, {
   3.606741553139687*^9, 3.606741553323687*^9}, {3.608910731101184*^9, 
   3.608910760718145*^9}, {3.6089150186698976`*^9, 3.6089150206700974`*^9}, {
   3.609175118387673*^9, 3.6091751203076725`*^9}}],

Cell[BoxData[
 RowBox[{"Yinit", ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"sols", "[", "0.3", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", 
   RowBox[{"x", "->", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"sols", "[", "0.3", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.557249518308538*^9, 3.5572495496033416`*^9}, {
   3.5572495852975144`*^9, 3.5572495857655325`*^9}, {3.5572496707984056`*^9, 
   3.5572496819372344`*^9}, {3.582544387717079*^9, 3.582544388373145*^9}, {
   3.582544429623269*^9, 3.582544500795386*^9}, {3.58254640252454*^9, 
   3.5825464067639637`*^9}, {3.582551914536686*^9, 3.5825519158008122`*^9}, 
   3.582898544485625*^9, {3.582899332102379*^9, 3.582899336454814*^9}, 
   3.5829026111722527`*^9, {3.5829029180799403`*^9, 3.5829029227204046`*^9}, {
   3.606741556579687*^9, 3.606741556771687*^9}, {3.6089107371417875`*^9, 
   3.608910763318405*^9}, {3.608915023783409*^9, 3.608915026142645*^9}, {
   3.6089152557115993`*^9, 3.6089152569737253`*^9}, {3.609175122091673*^9, 
   3.609175129027673*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"tstar", "=", "2800"}], ";"}]], "Input",
 CellChangeTimes->{{3.608912381871244*^9, 3.6089123862466817`*^9}, {
  3.6089130183588867`*^9, 3.6089130194059916`*^9}, {3.6089152171647453`*^9, 
  3.608915219845013*^9}, {3.6091532905546865`*^9, 3.6091533318876867`*^9}, {
  3.609175284729673*^9, 3.6091752866166725`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"soln", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "t", "]"}], "==", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"bitingfn", "[", "t", "]"}], 
            RowBox[{"p", "/", "Nh"}]}], ")"}], "*", 
          RowBox[{"y", "[", "t", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{"Nh", "-", 
            RowBox[{"x", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"\[Mu]", " ", 
          RowBox[{"x", "[", "t", "]"}]}]}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "'"}], "[", "t", "]"}], "==", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"bitingfn", "[", "t", "]"}], " ", "q", " ", 
            RowBox[{
             RowBox[{"x", "[", "t", "]"}], "/", "Nh"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{"Nm", "-", 
            RowBox[{"y", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"\[Delta]", " ", 
          RowBox[{"y", "[", "t", "]"}]}]}]}], ",", " ", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "Xinit"}], ",", "  ", 
       RowBox[{
        RowBox[{"y", "[", "0", "]"}], "\[Equal]", "Yinit"}]}], "}"}], ",", 
     " ", 
     RowBox[{"{", 
      RowBox[{"x", ",", " ", "y"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", " ", "0", ",", " ", "tstar"}], "}"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.564577583471239*^9, 3.5645776969485493`*^9}, {
   3.564577757103691*^9, 3.564577769506009*^9}, {3.5645786361102295`*^9, 
   3.564578700322476*^9}, {3.5645787565931187`*^9, 3.564578766280967*^9}, {
   3.5647301987431993`*^9, 3.5647302232358274`*^9}, {3.564730445639052*^9, 
   3.564730462190707*^9}, {3.5658640690934343`*^9, 3.5658640806186047`*^9}, 
   3.567379658579234*^9, {3.608910811555228*^9, 3.608910865897662*^9}, {
   3.608911114733543*^9, 3.6089111166377335`*^9}, {3.608911230122081*^9, 
   3.6089112414652147`*^9}, {3.6089113690789747`*^9, 
   3.6089113715102177`*^9}, {3.608912378890946*^9, 3.608912380010058*^9}, {
   3.6089150413381643`*^9, 3.6089150532263527`*^9}, {3.608915277874816*^9, 
   3.608915278247853*^9}, {3.6091752942816725`*^9, 3.609175319872673*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", 
     TagBox[
      RowBox[{"InterpolatingFunction", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"0.`", ",", "2800.`"}], "}"}], "}"}], ",", "\<\"<>\"\>"}], 
       "]"}],
      False,
      Editable->False]}], ",", 
    RowBox[{"y", "\[Rule]", 
     TagBox[
      RowBox[{"InterpolatingFunction", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"0.`", ",", "2800.`"}], "}"}], "}"}], ",", "\<\"<>\"\>"}], 
       "]"}],
      False,
      Editable->False]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.608915227590788*^9, {3.6089152706370916`*^9, 3.608915281179146*^9}, 
   3.608915534314457*^9, 3.609153253372687*^9, {3.609153294897687*^9, 
   3.609153335063687*^9}, 3.6091753241336727`*^9, 3.609689348819539*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", "soln"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"t", ",", " ", "0", ",", " ", "tstar"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.608915968057827*^9, 3.6089159782148423`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV0XtUzPkbB3AUjkS1ukmXySWL2qSoqfBGwiSi1W0baymVItWmNNJF7dy+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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 740.},
  Method->{},
  PlotRange->{{0, 2800}, {742.3871509957893, 988.96247240616}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.6089159839884195`*^9, 3.609153253503687*^9, {3.6091532973426867`*^9, 
   3.609153335082687*^9}, 3.609175324152673*^9, 3.609689348843541*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "/.", "soln"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"t", ",", " ", "0", ",", " ", "tstar"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.608915968057827*^9, 3.6089159782148423`*^9}, {
  3.6091753377816725`*^9, 3.6091753382386727`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV0Xs40wscBnCxHKEzPeuinOPS8eTUVIjDWuUtuSTshOT0dFMuXVSrlGFt
w4SurMylzXU/xYnmsq2LlOJYJFFKN6RDWmkpRkmdne/zvM/7fP57n+drtX2/
f5iujo7OBm3+b/a18dyMkamubxnrtadA/hu3uK1x71y3dyiuumldUmKa9lvc
uKvpkDGLonXdZc+KtSISzGaHMZoCFSgzTMyZHGeEfTni4UitWxy667ptp8Et
5BT9R4ACbj1s+TLRdLREkFbytV5Mv5KniTXDKfMKc6a/AsUD688FqMxh5ES9
8GydAj83x6zutLXCgPJDtKvWfNYsmpPIGtn2ueRvDAWYD/3nqmOpCDMK3hTo
qwC1tEAkdlgI7xgyrdhHgX7ex5k+qkXwaK77plmrwKJZjUmPbO2xqDpKk+Gt
gKQ+NNZe5Ah15Ad6i6cC6Rb5O97F0qG5TzdevEqBggYP/tvYtagfS918lKqA
TZa5SWPhJrhXhgdu/yLHxpfLlJXuYQi70Npw5K4cQ+2HO2fMisTzEhkvJFsO
a74LxbH2AEbj3SyHdsjx65z7HlL7w3DRk0a128mhaV0921rNQsD7bWzdMRlG
neseWp1nw9Vyht/NWhmKWnb7ftHj4aLyqepzsgxLz4TxNnfH48yNAv0xbxmi
/S7RqOcT4Wxjy483keFu/0j/cr8kHN/ZpVPVUQ1DsnSHz7xkqCvfXZ13rhqf
HOXh9V0p+Km1UH/N+mo0qWxpLjXHEdW3MGgJuRrymOIfH9NOYliuyA5WVmGN
fqQPxeM0Ej9xpm/kVyF82rpqU5M09M332bLHpQpx5oKkTYNpEDRbLQpXVyLl
0IkV5i/T0WxDK20XV8LC6diBBKUAF4lOpuXaSqSOFEeYSc6issasJ2W8Au8m
uO4OgnP4OvTox/7CClhO5vYfZWZgYtwrK86nAt0s7qRIbyG4mjm27BEphI4u
pM4/MsFc9mpO71kprNQzm1iULCgDPvqKnKSQDJVFZ+pmI3r4lz0JmZdRsc0j
L3gwG4qE7M47N8uRfp903E+ZA4GX1NNYXYZd/LhNt2XnsYzTHkwilWE6zfTT
7rMitCX2hagtLsF7o3ySPFIMIe9+bYnz34i+Y/yFE5yLQBfHUZp9KVjU1Cq2
Yx7GnkwZfWNfgquDXQvY0/KhH+G7+6HJRVi4n9z8iJcPg/j62F2aYjT7L22Z
GMwH9xr3w9NHBA7x6+3CQwvQxRZ4Mk5IwJe9GhloL8DNB5TeXs8ipBs+Ly/1
LsTBMWbE1scFeD2jQ7L8ViEYJqJXAUH5yLPc/k21sAhfEplLHORibGA0ez6R
FKHFy5J8zjcHrKONwy8pEnDpLLL/eyG6Q+q7ZDwJJr5HjQ3sOYtVu8U19zQS
1OaLm7x7TuPng1O+TYQSSBr3sfZbnQxp0LieKpyA0XPHK3vnJsOfPmj0eCcB
Q4dbDuk6yRCS2szKIwmEq8kZ/9Ycg0VmFn1LFIEY2tMlt52Owa7GJq42kUDN
viZm4u9JCND3+MopJBBRvNL9BCURGpWz7h4Jod0vrEj9lICs1vmGG4oJiBt3
XhC0JeBF1tQ5i0sJtC3/PrfhTAJCqR207goCN1RScpVxAo78GRrjWkfgvV35
3bcG8TB1Coqn3iHQfJ1hXD7Aw7XZXqmzGgiYZDS18pQ8fO+lZquVBN6EWL/2
T+Eh+fDnK3kPCPTPc8mUGvCwYGPfrRPtBKau8mL2tHFxb8UTZbT2T+JM0iBP
wIWJwfVORieB1EP/3LSZzkXl+0s99GcEPqxoWbC4g4PAttwBmxcErswgj/8l
5EAjS/tI6SIgrLWrubiBg6ychLEf3QRs9fZ+NZvNwX8h+qYQ
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 2800}, {0., 5973.333333332071}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.6091753393116727`*^9, 3.6096893488575425`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"y", "[", "2800", "]"}], "/.", "soln"}]], "Input",
 CellChangeTimes->{{3.609175359275673*^9, 3.6091753611566725`*^9}}],

Cell[BoxData[
 RowBox[{"{", "481.5690984305036`", "}"}]], "Output",
 CellChangeTimes->{3.6091753618766727`*^9, 3.609689348873544*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"x", "[", "2800", "]"}], "/.", "soln"}]], "Input",
 CellChangeTimes->{{3.609175359275673*^9, 3.609175378242673*^9}}],

Cell[BoxData[
 RowBox[{"{", "463.24406990547334`", "}"}]], "Output",
 CellChangeTimes->{{3.6091753618766727`*^9, 3.609175378696673*^9}, 
   3.609689348883545*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Linearisation", "Subsection",
 CellChangeTimes->{{3.6089112101970882`*^9, 3.6089112141964884`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"L", "[", "t", "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"bitingfn", "[", "t", "]"}], " ", 
           RowBox[{"p", "/", "Nh"}]}], ")"}]}], "*", 
        RowBox[{"y", "[", "t", "]"}]}], "-", "\[Mu]"}], "  ", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"bitingfn", "[", "t", "]"}], " ", 
         RowBox[{"p", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", 
         RowBox[{"x", "[", "t", "]"}]}], ")"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"bitingfn", "[", "t", "]"}], " ", 
         RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", 
         RowBox[{"y", "[", "t", "]"}]}], ")"}]}], ",", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"bitingfn", "[", "t", "]"}], " ", "q", " ", 
          RowBox[{
           RowBox[{"x", "[", "t", "]"}], "/", "Nh"}]}], ")"}]}], "-", 
       "\[Delta]"}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.6089111340344725`*^9, 3.6089111922472935`*^9}, {
  3.608911828804943*^9, 3.60891184997606*^9}, {3.608915341284156*^9, 
  3.60891534653168*^9}, {3.608916035508571*^9, 3.6089160359216127`*^9}, {
  3.609688924676129*^9, 3.6096889453591967`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"linearisation", "[", "t1_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"L", "[", "t", "]"}], "/.", 
    RowBox[{"soln", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], " ", "/.", 
   RowBox[{"t", "\[Rule]", "t1"}]}]}]], "Input",
 CellChangeTimes->{{3.565863798803557*^9, 3.5658638026462803`*^9}, {
  3.565864097775555*^9, 3.5658640985087786`*^9}, {3.5658641370508165`*^9, 
  3.5658641373160253`*^9}, {3.565864581163877*^9, 3.5658646333899546`*^9}, {
  3.565864721566986*^9, 3.5658649040949187`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"a11", "[", "t1_", "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    RowBox[{"linearisation", "[", "t1", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a12", "[", "t1_", "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    RowBox[{"linearisation", "[", "t1", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2"}], "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a21", "[", "t1_", "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    RowBox[{"linearisation", "[", "t1", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "1"}], "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a22", "[", "t1_", "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{
    RowBox[{"linearisation", "[", "t1", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "2"}], "]"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5658651138948965`*^9, 3.565865142652154*^9}, {
   3.56586518547773*^9, 3.56586523935806*^9}, 3.608911860156078*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Detlin", "[", "t1_", "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{"Det", "[", 
    RowBox[{"linearisation", "[", "t1", "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5658652947264376`*^9, 3.5658653227231364`*^9}, {
  3.565865360457548*^9, 3.5658653657209167`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Trlin", "[", "t1_", "]"}], ":=", 
  RowBox[{"Evaluate", "[", 
   RowBox[{"Tr", "[", 
    RowBox[{"linearisation", "[", "t1", "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.565865372637939*^9, 3.5658653798191695`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"B22", "[", "k_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", " ", 
      RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
    RowBox[{"xEE", "[", "k", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "k", "]"}]}], ")"}]}], "+", " ", 
   RowBox[{"\[Delta]", " ", 
    RowBox[{"yEE", "[", "k", "]"}]}], "+", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "q", " ", "q", 
    " ", "*", 
    RowBox[{"xEE", "[", "k", "]"}], "*", 
    RowBox[{"xEE", "[", "k", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "k", "]"}]}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{"Nm", "-", 
      RowBox[{"yEE", "[", "k", "]"}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.5572500828539515`*^9, {3.557250116816675*^9, 3.5572501626671324`*^9}, {
   3.559492802858534*^9, 3.5594928166756196`*^9}, {3.5601584582819586`*^9, 
   3.5601584596270933`*^9}, {3.582544890203323*^9, 3.5825448905233545`*^9}, {
   3.5825449651668186`*^9, 3.5825450095042515`*^9}, {3.582551600619297*^9, 
   3.58255162634787*^9}, {3.6067437066800103`*^9, 3.606743740929435*^9}, {
   3.607967680809371*^9, 3.6079677189663706`*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"B11", "[", "t1_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"bitingfn", "[", "t", "]"}], " ", 
          RowBox[{"p", "/", "Nh"}]}], ")"}], "*", 
        RowBox[{"y", "[", "t", "]"}], "*", 
        RowBox[{"(", 
         RowBox[{"Nh", "-", 
          RowBox[{"x", "[", "t", "]"}]}], ")"}]}], "+", " ", 
       RowBox[{"\[Mu]", " ", 
        RowBox[{"x", "[", "t", "]"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "p", " ", 
        "*", " ", "p", " ", "*", 
        RowBox[{"y", "[", "t", "]"}], "*", 
        RowBox[{"y", "[", "t", "]"}], "*", 
        RowBox[{"(", 
         RowBox[{"Nh", "-", 
          RowBox[{"x", "[", "t", "]"}]}], ")"}], "*", 
        RowBox[{"(", 
         RowBox[{"Nh", "-", 
          RowBox[{"x", "[", "t", "]"}]}], ")"}]}]}], "/.", 
      RowBox[{"soln", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
     RowBox[{"t", "\[Rule]", "t1"}]}]}], "\[IndentingNewLine]", " ", 
   RowBox[{
    RowBox[{"B12", "[", "t1_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "p", " ", 
       "q", " ", "*", 
       RowBox[{"y", "[", "t", "]"}], "*", 
       RowBox[{"x", "[", "t", "]"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", 
         RowBox[{"x", "[", "t", "]"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", 
         RowBox[{"y", "[", "t", "]"}]}], ")"}]}], "/.", 
      RowBox[{"soln", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
     RowBox[{"t", "\[Rule]", "t1"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"B21", "[", "t1_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "p", " ", 
       "q", " ", "*", 
       RowBox[{"y", "[", "t", "]"}], "*", 
       RowBox[{"x", "[", "t", "]"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nh", "-", 
         RowBox[{"x", "[", "t", "]"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"Nm", "-", 
         RowBox[{"y", "[", "t", "]"}]}], ")"}]}], "/.", 
      RowBox[{"soln", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
     RowBox[{"t", "\[Rule]", "t1"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"B22", "[", "t1_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"bitingfn", "[", "t", "]"}], 
          RowBox[{"q", " ", "/", "Nh"}]}], ")"}], "*", 
        RowBox[{"x", "[", "t", "]"}], "*", 
        RowBox[{"(", 
         RowBox[{"Nm", "-", 
          RowBox[{"y", "[", "t", "]"}]}], ")"}]}], "+", " ", 
       RowBox[{"\[Delta]", " ", 
        RowBox[{"y", "[", "t", "]"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Sigma]", "/", "Nh"}], ")"}], "^", "2"}], "*", "q", " ", 
        "q", " ", "*", 
        RowBox[{"x", "[", "t", "]"}], "*", 
        RowBox[{"x", "[", "t", "]"}], "*", 
        RowBox[{"(", 
         RowBox[{"Nm", "-", 
          RowBox[{"y", "[", "t", "]"}]}], ")"}], "*", 
        RowBox[{"(", 
         RowBox[{"Nm", "-", 
          RowBox[{"y", "[", "t", "]"}]}], ")"}]}]}], "/.", 
      RowBox[{"soln", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
     RowBox[{"t", "\[Rule]", "t1"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.565865566917977*^9, 3.565865661910427*^9}, {
  3.5658657332335167`*^9, 3.56586584638435*^9}, {3.608912147420801*^9, 
  3.6089122402620845`*^9}, {3.6089154619062166`*^9, 3.608915504162442*^9}, {
  3.6089159191669383`*^9, 3.6089159205770793`*^9}, {3.609689122928952*^9, 
  3.6096893381744747`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"PSDIm", "[", 
   RowBox[{"t_", " ", ",", "\[Omega]_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], 
      RowBox[{"B12", "[", "t", "]"}], 
      RowBox[{"a12", "[", "t", "]"}], 
      RowBox[{"a22", "[", "t", "]"}]}], "+", 
     RowBox[{
      RowBox[{"B11", "[", "t", "]"}], "*", 
      RowBox[{"a22", "[", "t", "]"}], "*", 
      RowBox[{"a22", "[", "t", "]"}]}], "+", 
     RowBox[{
      RowBox[{"B22", "[", "t", "]"}], "*", 
      RowBox[{"a12", "[", "t", "]"}], "*", 
      RowBox[{"a12", "[", "t", "]"}]}], "+", 
     RowBox[{
      RowBox[{"B11", "[", "t", "]"}], "*", 
      RowBox[{"\[Omega]", "^", "2"}]}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Omega]", "^", "2"}], "-", 
        RowBox[{"(", 
         RowBox[{"Detlin", "[", "t", "]"}], ")"}]}], ")"}], "^", "2"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"Trlin", "[", "t", "]"}]}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"Trlin", "[", "t", "]"}]}], ")"}], "*", 
      RowBox[{"\[Omega]", "^", "2"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.5572501736968274`*^9, 3.5572503769909124`*^9}, {
   3.557250462663035*^9, 3.5572504632402573`*^9}, {3.5573222480149784`*^9, 
   3.5573222749572144`*^9}, {3.5647290105543337`*^9, 
   3.5647290426443567`*^9}, {3.564729078431674*^9, 3.564729114499799*^9}, 
   3.5647293388335505`*^9, {3.5647294755242558`*^9, 3.564729565632166*^9}, {
   3.564730393953884*^9, 3.5647303946979585`*^9}, {3.565865871694762*^9, 
   3.5658659533845854`*^9}, {3.6096881761642847`*^9, 
   3.6096882327309413`*^9}, {3.6096890099036503`*^9, 3.6096890189215527`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PSDIm", "[", 
  RowBox[{"100", " ", ",", "0.1"}], "]"}]], "Input",
 CellChangeTimes->{{3.6089161104450645`*^9, 3.6089161192519445`*^9}}],

Cell[BoxData["33.47794002633553`"], "Output",
 CellChangeTimes->{3.6089161200130205`*^9, 3.608916353698387*^9, 
  3.6089179812871294`*^9, 3.609153558850687*^9, 3.6096884276924353`*^9, 
  3.609689422899946*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"varfn", "[", "t1_", "]"}], ":=", 
  RowBox[{
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{"PSDIm", "[", 
      RowBox[{"t1", ",", "\[Omega]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Omega]", ",", " ", 
       RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}], ",", " ", 
     RowBox[{"MaxRecursion", "\[Rule]", "120"}]}], "]"}], "/", 
   RowBox[{"(", 
    RowBox[{"2", " ", "\[Pi]"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.565866228776227*^9, 3.5658662623503056`*^9}, {
  3.608912334295487*^9, 3.608912334486506*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"autocovarfn", "[", "t1_", "]"}], ":=", 
  RowBox[{
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"PSDIm", "[", 
       RowBox[{"t1", ",", "\[Omega]"}], "]"}], "*", 
      RowBox[{"Cos", "[", 
       RowBox[{"30", " ", "\[Omega]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Omega]", ",", " ", 
       RowBox[{"-", "100000000000"}], ",", "100000000000"}], "}"}], ",", " ", 
     RowBox[{"MaxRecursion", "\[Rule]", "12000"}]}], "]"}], "/", 
   RowBox[{"(", 
    RowBox[{"2", "*", "\[Pi]"}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.565866350675341*^9, 3.565866437551531*^9}, {
  3.565873339549457*^9, 3.565873343004654*^9}, {3.6089123374828053`*^9, 
  3.608912337854843*^9}, {3.6096894156152177`*^9, 3.6096894160932655`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"autocorrelationfn", "[", "t1_", "]"}], ":=", 
  RowBox[{
   RowBox[{"autocovarfn", "[", "t1", "]"}], "/", 
   RowBox[{"varfn", "[", "t1", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5658664873123283`*^9, 3.565866501131772*^9}, {
  3.5658668206016293`*^9, 3.5658668284868827`*^9}, {3.6089123446305203`*^9, 
  3.6089123506711245`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"autocor", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"bitingfn", "[", "t", "]"}], ",", 
       RowBox[{"autocorrelationfn", "[", "t", "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", " ", "0", ",", " ", "tstar", ",", " ", "100"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5658711443543673`*^9, 3.565871176893812*^9}, {
   3.565871295547079*^9, 3.5658713114569893`*^9}, {3.565872737577932*^9, 
   3.565872744150743*^9}, {3.608912355175575*^9, 3.608912355560613*^9}, {
   3.6089123959536524`*^9, 3.6089124047365303`*^9}, 3.6089124364817047`*^9, {
   3.6096886456762314`*^9, 3.609688649001564*^9}, {3.6096893609327497`*^9, 
   3.6096893627219286`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"variance", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"varfn", "[", "t", "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", " ", "0", ",", " ", "tstar", ",", " ", "100"}], 
      "}"}]}], "]"}]}], ";", 
  RowBox[{"Length", "[", "variance", "]"}]}]], "Input",
 CellChangeTimes->{{3.565871325010225*^9, 3.565871351986891*^9}, {
  3.565872653654218*^9, 3.565872664176956*^9}, {3.608912364167474*^9, 
  3.608912364568514*^9}, {3.608912411775234*^9, 3.608912434953552*^9}}],

Cell[BoxData["29"], "Output",
 CellChangeTimes->{3.608912456386695*^9, 3.6089130464536953`*^9, 
  3.608915545304556*^9, 3.608915933372359*^9, 3.6089163567706947`*^9, 
  3.608917984340435*^9, 3.609153562317687*^9, 3.6091536764866867`*^9, 
  3.6096884307707434`*^9, 3.6096894238170376`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"coefvar", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"bitingfn", "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"Sqrt", "[", 
         RowBox[{"varfn", "[", "t", "]"}], "]"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"x", "[", "t", "]"}], "/.", 
          RowBox[{"soln", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", " ", "0", ",", " ", "tstar", ",", " ", "100"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5658766524214573`*^9, 3.565876747222186*^9}, {
   3.565876812872143*^9, 3.5658768268933935`*^9}, {3.6089123699440517`*^9, 
   3.60891237103316*^9}, {3.6089124246585226`*^9, 3.608912431986255*^9}, {
   3.60891251884594*^9, 3.608912519782034*^9}, {3.6089186584728413`*^9, 
   3.6089186587358675`*^9}, 3.609688558832548*^9, {3.609688619699634*^9, 
   3.609688626267291*^9}, {3.6096893663172884`*^9, 3.6096893678714437`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"variance", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"bitingfn", "[", "t", "]"}], ",", 
       RowBox[{"varfn", "[", "t", "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", " ", "0", ",", " ", "tstar", ",", " ", "100"}], 
      "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.608912593672422*^9, 3.608912655146569*^9}, {
  3.6096885354852133`*^9, 3.6096885380624714`*^9}, {3.60968937102876*^9, 
  3.6096893720588627`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"variance", ",", " ", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.608912460372093*^9, 3.6089124766677227`*^9}, {
  3.6096894829049463`*^9, 3.6096894861712723`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGCQBWIQbQwGl+2vyd1yCK/TdOg/9FUjpv+SfczHF1/e/dFy
eB24Q6719UX75bvsz25Yr+Pg/rBKZJ37Rftfkq/XT56h57CkwJbr+uIL9l9F
1pk8TDBwYACDC/YVvkXVf2cbOoB0B+44Z69q9NphI6uxA1h5wVn7+Y0sYmEr
TByAlgFtPGP/VebL95iJZg4PQMY/PGVfZj7lX8UlC4eZYHDSXuvJ8vCwZmuH
ILCBJ+wXePPsVDti5wAyzZbruH3elaBVexMcHcDOP3TU/kPkwVitu84OYOOq
jtjzMR4ovMfi7gDx72H7VtGHQS7S3lD/HbTXLuvaVecc4LAY7MAD9t7HnjZ1
fwl22AZ2/z77ZwsyVnQpR0Ldu8e+x+hCZHtYgsMMsPt22n8ue751G1eaAwfY
Pdvt/SasXHRXJB9q/xb7wKqdFjni5Q6vwPZttJ9zduMtT9smhy1g89fZR8x5
xV7ztA9q3kp7CwlhuZMacxwqwPqX2H+bMmHJG9nVDhvA6ufZizZwqrSd2uFQ
AJafYl/e227DkbDbAQAqMtrx
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0.019999999999999962`, 12.746759440065414`},
  Method->{},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{3.6089124773977957`*^9, 3.6089126689719515`*^9, 
  3.608913050815132*^9, 3.608915627793804*^9, 3.608915981749196*^9, 
  3.6089163575737743`*^9, 3.608917985111512*^9, 3.609153563232687*^9, 
  3.6096884315558214`*^9, 3.609688541871852*^9, 3.6096894240770636`*^9, 
  3.609689486889344*^9}]
}, Open  ]],

Cell["variance predicted to decrease in time", "Text",
 CellChangeTimes->{{3.608918112123212*^9, 3.608918128587858*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "coefvar", "]"}]], "Input",
 CellChangeTimes->{{3.608912502849341*^9, 3.6089125081788735`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJwtj10og2EUx99Wa0wRViOh5YZyMU1Lin9uLBeLTbkhF+QjNXvNtNcoSSSm
+RxaSabExSKLMfOtmdDMGknLkpIpU9wYsj126um5OOf8/r8jqFPKG1gURaWH
X+QXkbqG8P63831cAf3hZ3aN3g1bvkzkamtFQGbN6A9cgRrJEcc2KyHxa3lm
yRWEHM9ATSGNRbqIe2NygR+3XjZ/QYMi5ULSk+35TtmGyLbMegkRnlqHslQg
4/QFgnfm8v2ACuGwcOI5bt/4LOl5Ox4ieP8ZHlPs3JBTjVlSTnDmuBr/Swfk
BHiKhXEF4xVrEKEVcR3IC5Y4E6wMiP7hCXSVpZWJ3VoQnPYYPGHtEnuqG//3
HuGjy6s6SeuJ3neAULz6piu1FyYiuA/W7E/MN7sPG8R/F0fDa+5GTX/UdwcO
nd+4bRrEDPHbgrRllMf4dIghPpvI/BGrt6rGovkWVPQFFZnMFF5I3hrsq+zk
6mkjLIRvRgKM9VX6hShvGYaJaoOvaQUM2V9EMf3F93EsWCXzc8g9rvAUvO6B
Jv1JWBUbJQaBA39wIdyL
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 0.3}, {0, 0.06097581378884692}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.006, 0.006}, {0.0012195162757769385`, 
   0.0012195162757769385`}}]], "Output",
 CellChangeTimes->{{3.6089125087479305`*^9, 3.6089125244414997`*^9}, 
   3.608913050838134*^9, 3.608915695689593*^9, 3.608916357594777*^9, 
   3.6089179851245136`*^9, 3.608918669991993*^9, 3.609153563251687*^9, 
   3.6096884315748234`*^9, 3.6096885628329477`*^9, 3.609688630466711*^9, 
   3.609689424089065*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", "autocor", "]"}]], "Input",
 CellChangeTimes->{{3.6089132839574437`*^9, 3.608913287552803*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGCQBWIQbQwGl+09H14vDLP6Ydd/6KtGTP8l+0du0v/P5v23
ex24Q6719UV73sp7b8s7WezdH1aJrHO/aF9ybVbq4S9c9ksKbLmuL75gX/G4
TmLDMUF7BjC4YF/seP+6zURxe5DuwB3n7Ld8ZQz2z5G3BysvOGvP3xE5LUxE
1R5oGdDGM/ZeOXolPyt17B+AjH94yn7t9jhttiRj+5lgcNL+0/WzzD/mWtkH
gQ08YS+dXndgY6mTPcg0W67j9oK20+b1vvC0Bzv/0FH77Vrvvp4rCLIHG1d1
xH6zz4ELHVuj7CH+PWy/xH/DK+NDyfYQ/x20Pzu5VqPlf679YrADD9hPL7EX
Si8vt98Gdv8++51b6yZrf2uCunePvfr+Lnf7Of32M8Du22m/Yfqa75FMs+05
wO7Zbl8w1ZX5a8pyqP1b7IvVP03ZZbfF/hXYvo32lzO3b9xqedB+C9j8dfYP
b20vY4w+AzVvpb1RjFpAjek1+wqw/iX2c5ZbLk9zeGC/Aax+nr3Vlr7MNWuf
2heA5afY82udi+oufWkPAKTw34Q=
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 0.3}, {0, 0.3362993006049827}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.006, 0.006}, {0.006725986012099654, 
   0.006725986012099654}}]], "Output",
 CellChangeTimes->{3.608913288070855*^9, 3.6089159031103325`*^9, 
  3.6089163576137786`*^9, 3.6089179851365147`*^9, 3.609153563265687*^9, 
  3.6096884315938253`*^9, 3.609688655420206*^9, 3.6096894241020665`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"autocorrelationfn", "[", "t", "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"t", ",", " ", "0", ",", " ", "tstar", ",", " ", "100"}], 
     "}"}]}], "]"}], "//", "ListPlot"}]], "Input",
 CellChangeTimes->{{3.608917836843687*^9, 3.6089178435303555`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.24720000000000014`, 0.24, 0.6], PointBox[CompressedData["
1:eJxTTMoPSmViYGCQBWIQDQOeD68Xhln9sIPwIh0euUn/P5v3H8rPdOCtvPe2
vJPFHsw9UORQcm1W6uEvXBA+Q6VDxeM6iQ3HBCF8h3qHYsf7120mikPVNzls
+coY7J8jD+E/aHXg74icFiaiCtXf6eCVo1fys1IHwlfocVi7PU6bLckYal6/
w6frZ5l/zLWC8A0mOkin1x3YWOoENX+Sg6DttHm9Lzwh/IApDtu13n09VxAE
tW+qw2afAxc6tkZB+AXTHZb4b3hlfCgZav9Mh7OTazVa/udC+BNmOUwvsRdK
Ly+HumeOw86tdZO1vzVB+BvmOqjv73K3n9MPdd98hw3T13yPZJoN4WcscCiY
6sr8NWU51L0LHYrVP03ZZbcFwv+x0OFy5vaNWy0PQt2/yOHhre1ljNFnIPyO
xQ5GMWoBNabXoP5Z4jBnueXyNIcHEL7EUgerLX2Za9Y+hfpvqQO/1rmo7tKX
9gAuGZIw
     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 2800.}, {0, 0.3362993006049827}},
  PlotRangeClipping->True,
  PlotRangePadding->{{56., 56.}, {0.006725986012099654, 
   0.006725986012099654}}]], "Output",
 CellChangeTimes->{3.608917914872489*^9, 3.6089179877797785`*^9, 
  3.609153566237687*^9, 3.609688434308097*^9, 3.609689424892145*^9}]
}, Open  ]],

Cell["\<\
CV predicted to decline; autocorrelation predicted to increase with time\
\>", "Text",
 CellChangeTimes->{{3.6089181408840876`*^9, 3.60891815170817*^9}, {
  3.608918687367731*^9, 3.608918692319226*^9}}]
}, Open  ]]
},
WindowSize->{707, 867},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 103, 1, 39, "Subsubsection"],
Cell[685, 25, 1642, 43, 52, "Input"],
Cell[2330, 70, 1195, 27, 52, "Input"],
Cell[CellGroupData[{
Cell[3550, 101, 329, 5, 31, "Input"],
Cell[3882, 108, 1315, 25, 47, "Output"]
}, Open  ]],
Cell[5212, 136, 602, 11, 31, "Input"],
Cell[5817, 149, 824, 16, 31, "Input"],
Cell[6644, 167, 1234, 26, 31, "Input"],
Cell[7881, 195, 347, 6, 31, "Input"],
Cell[CellGroupData[{
Cell[8253, 205, 2364, 57, 92, "Input"],
Cell[10620, 264, 884, 27, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11541, 296, 284, 7, 31, "Input"],
Cell[11828, 305, 3534, 65, 244, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15399, 375, 337, 8, 31, "Input"],
Cell[15739, 385, 2335, 45, 241, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18111, 435, 152, 3, 31, "Input"],
Cell[18266, 440, 133, 2, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18436, 447, 150, 3, 31, "Input"],
Cell[18589, 452, 162, 3, 31, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18800, 461, 105, 1, 49, "Subsection"],
Cell[18908, 464, 1504, 44, 52, "Input"],
Cell[20415, 510, 537, 12, 31, "Input"],
Cell[20955, 524, 1103, 30, 92, "Input"],
Cell[22061, 556, 315, 7, 31, "Input"],
Cell[22379, 565, 260, 6, 31, "Input"],
Cell[22642, 573, 1276, 33, 52, "Input"],
Cell[23921, 608, 3904, 111, 232, "Input"],
Cell[27828, 721, 1778, 46, 72, "Input"],
Cell[CellGroupData[{
Cell[29631, 771, 160, 3, 31, "Input"],
Cell[29794, 776, 209, 3, 31, "Output"]
}, Open  ]],
Cell[30018, 782, 582, 15, 72, "Input"],
Cell[30603, 799, 795, 19, 72, "Input"],
Cell[31401, 820, 367, 8, 31, "Input"],
Cell[31771, 830, 779, 17, 31, "Input"],
Cell[CellGroupData[{
Cell[32575, 851, 528, 12, 52, "Input"],
Cell[33106, 865, 288, 4, 31, "Output"]
}, Open  ]],
Cell[33409, 872, 1045, 24, 52, "Input"],
Cell[34457, 898, 537, 14, 31, "Input"],
Cell[CellGroupData[{
Cell[35019, 916, 257, 5, 31, "Input"],
Cell[35279, 923, 1218, 24, 267, "Output"]
}, Open  ]],
Cell[36512, 950, 120, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[36657, 955, 135, 2, 31, "Input"],
Cell[36795, 959, 1325, 27, 238, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38157, 991, 135, 2, 31, "Input"],
Cell[38295, 995, 1228, 25, 238, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39560, 1025, 383, 10, 31, "Input"],
Cell[39946, 1037, 1068, 23, 240, "Output"]
}, Open  ]],
Cell[41029, 1063, 212, 4, 30, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
